﻿Imports Microsoft.VisualBasic
Imports System.Data
Imports PDF.DAL.MSSQL
Imports Utils
Imports System.Collections.Generic

Namespace BackEnd

    Public Class PropertySearch
        Public Id As Integer = 0, Name As String = "", UserId As Integer = 0
        Public SearchIn As Integer = 0, SurfaceType As Integer = 0, SurfaceMin As Integer = 0, SurfaceMax As Integer = 0
        Public ForSale As Boolean, SaleMin As Integer = 0, SaleMax As Integer = 0, ForRent As Boolean, RentMin As Integer = 0, RentMax As Integer = 0, BedroomsMin As Integer = 0, BedroomsMax As Integer = 0
        Public PropertiesIds As String = "", DistrictsIds As String = "", CitiesIds As String = "", NotCitiesIds As String = "", propertyTypesIds As String = ""
        Public View As Integer = 0, Age As Integer = 0, ParkingType As Integer = 0, ParkingCount As Integer = 0
        Public LTB As Boolean = False, Furnished As Boolean = False, Decorated As Boolean = False, NotUsed As Boolean = False, Lux As Boolean = False, Duplex As Boolean = False, Commercial As Boolean = False, Hot As Boolean = False, Exchange As Boolean = False, NoSlope As Boolean = False
        Public GF As Boolean = False, FirstFloor As Boolean = False, NotGF As Boolean = False, NotFirstFloor As Boolean = False, NotLastFloor As Boolean = False, Garden As Boolean = False, Terrace As Boolean = False, Balcony As Boolean = False, MaidRoom As Boolean = False, MaidBath As Boolean = False
        Public Heating As Boolean = False, Solar As Boolean = False, CentralAC As Boolean = False, Storage As Boolean = False, DoubleG As Boolean = False, Interphone As Boolean = False, Videophone As Boolean = False
        Public BIW As Boolean = False, Concierge As Boolean = False, Security As Boolean = False, Pool As Boolean = False, Pets As Boolean = False, Roof As Boolean = False, Exclusive As Boolean = False, IsActive As Boolean = False, IsNotActive As Boolean = False
        Public CreatedOn As DateTime 
        Public PropertiesTitles As String = "",  DistrictsTitles As String = "", CitiesTitles As String = "",  NotCitiesTitles As String = "", PropertyTypesTitles As String = ""

        Public Shared Function Load(ByVal aId As Integer, Optional ByRef aConContext As ConnectionContext = Nothing) As PropertySearch 
            Dim aParams As List(Of SqlClient.SqlParameter)
            Dim aDB As ConnectionContextConnection
            Dim aDS As DataSet, aDT As DataTable, aDT1 As DataTable, aDRow As DataRow
            Dim aSQL As String = ""   
            Dim aResult As New PropertySearch 

            If aConContext Is Nothing Then
                aConContext = New ConnectionContext

                aConContext.UseTransaction = False
                aConContext.CommitTransactionWhenTerminates = False
                aConContext.CloseConnectionWhenTerminates = False 
            End If

            aDB = aConContext.ConnectionEntryFromMapping("KSARE.First")

            'Get Source Name and Property Type Name
            aSQL =  "Select * From TBL_PROPERTYSEARCH Where PS_ID=" & aId & "; "

            aParams = New List(Of SqlClient.SqlParameter)

            aDT1 = DB.ReadDT_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)            
            If aDT1.Rows.Count <> 1 Then
                aConContext.CloseConnections()
                Throw New Exception("Invalid search entity specified.")
            End If

            aDRow = aDT1.Rows(0)

            aSQL= ""

            If aDRow("PS_PropertiesIds").ToString().Trim() = "" Then
               aSQL &= "Select PR_ID As Id, PR_PropertyKey As Name From Tbl_Property Where PR_ID IN (-1); "
            Else
               aSQL &= "Select PR_ID As Id, PR_PropertyKey As Name From Tbl_Property Where PR_ID IN (" & aDRow("PS_PropertiesIds") & "); "
            End If

            If aDRow("PS_DistrictsIds").ToString().Trim() = "" Then
               aSQL &= "Select CO_ID As Id, CO_NAME As Name From Tbl_Country Where CO_ID IN (-1); "
            Else
               aSQL &= "Select CO_ID As Id, CO_NAME As Name From Tbl_Country Where CO_ID IN (" & aDRow("PS_DistrictsIds") & "); "
            End If

            If aDRow("PS_PropertyTypesIds").ToString().Trim() = "" Then
               aSQL &= "Select PT_ID As Id, PT_NAME As Name From Tbl_PropertyType Where PT_ID IN (-1); "
            Else
               aSQL &= "Select PT_ID As Id, PT_NAME As Name From Tbl_PropertyType Where PT_ID IN (" & aDRow("PS_PropertyTypesIds") & "); "
            End If

            If aDRow("PS_CitiesIds").ToString().Trim() = "" Then
               aSQL &= "Select CI_ID As Id, CI_NAME As Name From Tbl_City Where CI_ID IN (-1); "
            Else
               aSQL &= "Select CI_ID As Id, CI_NAME As Name From Tbl_City Where CI_ID IN (" & aDRow("PS_CitiesIds") & "); "
            End If

            If aDRow("PS_NotCitiesIds").ToString().Trim() = "" Then
               aSQL &= "Select CI_ID As Id, CI_NAME As Name From Tbl_City Where CI_ID IN (-1); "
            Else
               aSQL &= "Select CI_ID As Id, CI_NAME As Name From Tbl_City Where CI_ID IN (" & aDRow("PS_NotCitiesIds") & "); "
            End If

            aConContext.CloseConnectionWhenTerminates = True 

            aParams = New List(Of SqlClient.SqlParameter)
            aDS = DB.ReadDS_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)            
            
            'PropertiesTitles
            aDT = aDS.Tables(0)
            If aDT.Rows.Count > 0 Then
                For Each aDRow in aDT.Rows
                    aResult.PropertiesIds &= "," & aDRow("ID") 
                    aResult.PropertiesTitles &= "," & aDRow("Name") 
                Next

                aResult.PropertiesIds = aResult.PropertiesIds.Substring(1)
                aResult.PropertiesTitles = aResult.PropertiesTitles.Substring(1)
            End If

            'DistrictsTitles
            aDT = aDS.Tables(1)
            If aDT.Rows.Count > 0 Then
                For Each aDRow in aDT.Rows
                    aResult.DistrictsIds &= "," & aDRow("ID") 
                    aResult.DistrictsTitles &= "," & aDRow("Name") 
                Next

                aResult.DistrictsIds = aResult.DistrictsIds.Substring(1)
                aResult.DistrictsTitles = aResult.DistrictsTitles.Substring(1)
            End If

            'PropertyTypesIds
            aDT = aDS.Tables(2)
            If aDT.Rows.Count > 0 Then
                For Each aDRow in aDT.Rows
                    aResult.propertyTypesIds &= "," & aDRow("ID") 
                    aResult.propertyTypesTitles &= "," & aDRow("Name") 
                Next

                aResult.PropertyTypesIds = aResult.PropertyTypesIds.Substring(1)
                aResult.PropertyTypesTitles = aResult.PropertyTypesTitles.Substring(1)
            End If

            'CitiesTitles
            aDT = aDS.Tables(3)
            If aDT.Rows.Count > 0 Then
                For Each aDRow in aDT.Rows
                    aResult.CitiesIds &= "," & aDRow("ID") 
                    aResult.CitiesTitles &= "," & aDRow("Name") 
                Next

                aResult.CitiesIds = aResult.CitiesIds.Substring(1)
                aResult.CitiesTitles = aResult.CitiesTitles.Substring(1)
            End If

            'NotCitiesTitles
            aDT = aDS.Tables(4)
            If aDT.Rows.Count > 0 Then
                For Each aDRow in aDT.Rows
                    aResult.NotCitiesIds &= "," & aDRow("ID") 
                    aResult.NotCitiesTitles &= "," & aDRow("Name") 
                Next

                aResult.NotCitiesIds = aResult.NotCitiesIds.Substring(1)
                aResult.NotCitiesTitles = aResult.NotCitiesTitles.Substring(1)
            End If


            aDRow = aDT1.Rows(0)
            With aResult
                .Id = aDRow("PS_ID")
                .Name = aDRow("PS_NAME")
                .UserId = aDRow("PS_USERID")
                .SearchIn = aDRow("PS_SearchIn")
                .SurfaceType = aDRow("PS_AreaType")
                .SurfaceMin=aDRow("PS_AreaMin")
                .SurfaceMax=aDRow("PS_AreaMax")
                .ForSale=aDRow("PS_ForSale")
                .SaleMin=aDRow("PS_SaleMin")
                .SaleMax=aDRow("PS_SaleMax")
                .ForRent=aDRow("PS_ForRent")
                .RentMin=aDRow("PS_RentMin")
                .RentMax=aDRow("PS_RentMax")
                .BedroomsMin=aDRow("PS_BedroomsMin")
                .BedroomsMax=aDRow("PS_BedroomsMax")
                .View=aDRow("PS_View")
                .Age=aDRow("PS_Age")
                .ParkingType=aDRow("PS_ParkingType")
                .ParkingCount=aDRow("PS_ParkingCount")
                .Furnished=aDRow("PS_Furnished")
                .Decorated = aDRow("PS_Decorated")
                .NotUsed = aDRow("PS_NotUsed")
                .Lux = aDRow("PS_Lux")
                .Duplex = aDRow("PS_Duplex")
                .Commercial = aDRow("PS_Commercial")
                .Hot = aDRow("PS_Hot")
                .Exchange = aDRow("PS_Exchange")
                .NoSlope = aDRow("PS_NoSlope")
                .GF = aDRow("PS_GF")
                .FirstFloor = aDRow("PS_FirstFloor")
                .NotGF = aDRow("PS_NotGF")
                .NotFirstFloor = aDRow("PS_NotFirstFloor")
                .NotLastFloor = aDRow("PS_NotLastFloor")
                .Garden = aDRow("PS_Garden")
                .Terrace = aDRow("PS_Terrace")
                .Balcony = aDRow("PS_Balcony")
                .MaidRoom = aDRow("PS_MaidRoom")
                .MaidBath = aDRow("PS_MaidBath")
                .Heating = aDRow("PS_Heating")
                .Solar = aDRow("PS_Solar")
                .CentralAC = aDRow("PS_CentralAC")
                .Storage = aDRow("PS_Storage")
                .DoubleG = aDRow("PS_DoubleG")
                .Interphone = aDRow("PS_Interphone")
                .Videophone = aDRow("PS_Videophone")
                .LTB = aDRow("PS_LTB")
                .Concierge = aDRow("PS_Concierge")
                .Security = aDRow("PS_Security")
                .Pool = aDRow("PS_Pool")
                .Pets = aDRow("PS_Pets")
                .Roof = aDRow("PS_ROOF")
                .Exclusive = aDRow("PS_Exclusive")
                .IsActive = aDRow("PS_IsActive")
                .IsNotActive = aDRow("PS_IsNotActive")
                .CreatedOn = aDRow("PS_CreatedOn")
            End With

            Return aResult 
        End Function 

        Public Shared Sub Save (ByRef aObj As PropertySearch, Optional ByRef  aConContext As ConnectionContext = Nothing)
            Dim aParams As List(Of SqlClient.SqlParameter)
            Dim aDB As ConnectionContextConnection
            Dim aSQL As String = ""   
            Dim aTempID As Object

            If aConContext Is Nothing Then
                aConContext = New ConnectionContext

                aConContext.UseTransaction = False
                aConContext.CommitTransactionWhenTerminates = False
                aConContext.CloseConnectionWhenTerminates = False 
            End If

            aDB = aConContext.ConnectionEntryFromMapping("KSARE.First")

            With aObj
                If IsNumeric(.Id) AndAlso CInt(.Id)> 0 Then
                    'Update => make sure the name exists for the user
                    aParams = New List(Of SqlClient.SqlParameter)

                    aSQL = "Select Top 1 PS_ID FROM TBL_PropertySearch Where PS_Name Like N'" & Utils.Utils.FixQuotes(.Name.Trim()) & "' And PS_UserId=" & .UserId & " And PS_ID <> " & .Id 
                    aTempID = DB.ReadValue_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)
                    If aTempID IsNot Nothing Then
                        aConContext.CloseConnections()
                        Throw New Exception("There exists a search entity with the specified name.")
                    End If

                    'Do the Update
                    aSQL = "Update Tbl_PropertySearch Set PS_SearchIn=" & .SearchIn & ", PS_AreaType=" & .SurfaceType & ", PS_AreaMin=" & .SurfaceMin & ", PS_AreaMax=" & .SurfaceMax & ","
                    aSQL &= "PS_ForSale='" & .ForSale & "', PS_SaleMin=" & .SaleMin & ", PS_SaleMax=" & .SaleMax & ", PS_ForRent='" & .ForRent & "', PS_RentMin=" & .RentMin  & ", PS_RentMax=" & .RentMax  & ", PS_BedroomsMin=" & .BedroomsMin & ","
                    aSQL &= "PS_BedroomsMax=" & .BedroomsMax  & ", PS_PropertiesIds='" & .PropertiesIds  & "', PS_DistrictsIds='" & .DistrictsIds  & "', PS_CitiesIds='" & .CitiesIds  & "', PS_NotCitiesIds='" & .NotCitiesIds & "', PS_PROPERTYTYPESIDS='" & .PropertyTypesIds & "',"
                    aSQL &= "PS_View=" & .View  & ", PS_Age=" & .Age  & ", PS_ParkingType=" & .ParkingType  & ", PS_ParkingCount=" & .ParkingCount  & ", PS_Furnished='" & .Furnished & "', PS_Decorated='" & .Decorated & "', PS_NotUsed='" & .NotUsed  & "', PS_Lux='" &  .Lux & "',"
                    aSQL &= "PS_Duplex='" & .Duplex & "', PS_Commercial='" & .Commercial & "', PS_Hot='" & .Hot & "', PS_Exchange='" & .Exchange & "', PS_NoSlope='" & .NoSlope & "', PS_GF='" & .GF  & "', PS_FirstFloor='" & .FirstFloor  & "', PS_NotLastFloor='"  & .NotLastFloor  & "',"
                    aSQL &= "PS_NotFirstFloor='" & .NotFirstFloor  & "', PS_Garden='" & .Garden  & "', PS_Terrace='" & .Terrace  & "', PS_Balcony='" & .Balcony  & "', PS_MaidRoom='" & .MaidRoom  & "', PS_MaidBath='" & .MaidBath  & "', PS_Heating='" & .Heating  & "', PS_Solar='" & .Solar & "',"
                    aSQL &= "PS_CentralAC='" & .CentralAC  & "', PS_Storage='" & .Storage  & "', PS_NOTGF='" & .NOTGF  & "', PS_DoubleG='" & .DoubleG  & "', PS_Interphone='" & .Interphone  & "', PS_Videophone='" & .Videophone  & "', PS_LTB='" & .LTB  & "', PS_BIW='" & .BIW  & "',"
                    aSQL &= "PS_Concierge='" & .Concierge  & "', PS_Security='" & .Security  & "', PS_Pool='" & .Pool  & "', PS_Pets='" & .Pets  & "', PS_Roof='" & .Roof  & "', PS_Exclusive='" & .Exclusive  & "', PS_IsActive='" & .IsActive  & "', PS_IsNotActive='" & .IsNotActive & "' "
                    aSQL &= "Where PS_ID=" & .Id 

                    aConContext.CloseConnectionWhenTerminates = True

                    aParams = New List(Of SqlClient.SqlParameter)
                    DB.CUD_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)
                Else
                    'Insert
                    aParams = New List(Of SqlClient.SqlParameter)

                    aSQL = "Select Top 1 PS_ID FROM TBL_PropertySearch Where PS_Name Like N'" & Utils.Utils.FixQuotes(.Name.Trim()) & "' And PS_UserId=" & .UserId
                    aTempID = DB.ReadValue_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)
                    If aTempID IsNot Nothing Then
                        aConContext.CloseConnections()
                        Throw New Exception("There exists a search entity with the specified name.")
                    End If

                    'Do the Insert
                    aSQL= "INSERT INTO TBL_PROPERTYSEARCH(PS_NAME, PS_USERID, PS_SEARCHIN, PS_AREATYPE, PS_AREAMIN, PS_AREAMAX, PS_FORSALE, PS_SALEMIN, PS_SALEMAX, PS_FORRENT, PS_RENTMIN, PS_RENTMAX,"
                    aSQL &="PS_BEDROOMSMIN, PS_BEDROOMSMAX, PS_PROPERTIESIDS, PS_DISTRICTSIDS, PS_CITIESIDS, PS_NOTCITIESIDS, PS_PROPERTYTYPESIDS, PS_VIEW, PS_AGE, PS_PARKINGTYPE, PS_PARKINGCOUNT, PS_FURNISHED,"
                    aSQL &="PS_DECORATED, PS_NOTUSED, PS_LUX, PS_DUPLEX, PS_COMMERCIAL, PS_HOT, PS_EXCHANGE, PS_NOSLOPE, PS_GF, PS_FIRSTFLOOR, PS_NOTFIRSTFLOOR, PS_NOTLASTFLOOR, PS_GARDEN, PS_TERRACE, PS_BALCONY, PS_MAIDROOM,"
                    aSQL &="PS_MAIDBATH, PS_HEATING, PS_SOLAR, PS_CENTRALAC, PS_STORAGE, PS_NOTGF, PS_DOUBLEG, PS_INTERPHONE, PS_VIDEOPHONE, PS_LTB, PS_BIW, PS_CONCIERGE, PS_SECURITY, PS_POOL, PS_PETS, PS_ROOF,"
                    aSQL &="PS_EXCLUSIVE, PS_ISACTIVE, PS_ISNOTACTIVE) VALUES(N'" & Utils.Utils.FixQuotes(.Name.Trim()) & "'," & .UserId & "," & .SearchIn & ","  & .SurfaceType & "," & .SurfaceMin & "," & .SurfaceMax & ",'"  & .ForSale & "',"  & .SaleMin & "," & .SaleMax & ",'" & .ForRent & "',"  & .RentMin & "," & .RentMax & ","  
                    aSQL &= .BedroomsMin & ","  & .BedroomsMax & ",'" & .PropertiesIds & "','" & .DistrictsIds & "','"  & .CitiesIds & "','"  & .NotCitiesIds & "','" & .propertyTypesIds & "'," & .View & "," & .Age & ","  & .ParkingType & "," & .ParkingCount & ",'" & .Furnished & "','" & .Decorated & "','"  & .NotUsed & "','"  & .Lux & "','"  & .Duplex & "','"
                    aSQL &= .Commercial & "','" & .Hot & "','"  & .Exchange & "','"  & .NoSlope & "','"  & .GF & "','" & .FirstFloor & "','" & .NotLastFloor & "','"  & .NotFirstFloor & "','"  & .Garden & "','"  & .Terrace & "','"
                    aSQL &= .Balcony & "','" & .MaidRoom & "','"  & .MaidBath & "','"  & .Heating & "','"  & .Solar & "','" & .CentralAC & "','" & .Storage & "','"  & .NotGF & "','"  & .DoubleG & "','"  & .Interphone & "','"
                    aSQL &= .Videophone & "','" & .LTB & "','"  & .BIW & "','"  & .Concierge & "','"  & .Security & "','" & .Pool & "','" & .Pets & "','"  & .Roof & "','"  & .Exclusive & "','"  & .IsActive & "','" & .IsNotActive & "')"

                    aParams = New List(Of SqlClient.SqlParameter)
                    DB.CUD_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)

                    aConContext.CloseConnectionWhenTerminates = True 
                    aParams = New List(Of SqlClient.SqlParameter)
                    .Id = DB.ReadValue_Text("Select Top 1 PS_ID From Tbl_PropertySearch Where PS_Name Like N'" & Utils.Utils.FixQuotes(.Name) & "' And PS_UserId=" & .UserId & " Order By PS_ID DESC", aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)                   
                End If
            End With
        End Sub

        Public Shared Function GetPropertiesSearchesWhoseNamesStartWith(name As string, userId As Integer, Optional ByRef aConContext As ConnectionContext = Nothing) As List(Of Utils.IntegerString) 
            Dim aParams As New List(Of SqlClient.SqlParameter)
            Dim aDB As ConnectionContextConnection
            Dim aDT As DataTable
            Dim aSQL As String = ""
            Dim aResult As New List(Of Utils.IntegerString)

            If aConContext Is Nothing Then
                aConContext = New ConnectionContext

                aConContext.UseTransaction = False
                aConContext.CommitTransactionWhenTerminates = False
                aConContext.CloseConnectionWhenTerminates = True
            End If

            aDB = aConContext.ConnectionEntryFromMapping("KSARE.First")
            
            aParams = New List(Of SqlClient.SqlParameter)

            aSQL = "Select Top 15 PS_ID as ID, PS_NAME AS NAME FROM TBL_PROPERTYSEARCH WHERE PS_NAME LIKE N'" & Utils.Utils.FixQuotes(name) & "%' AND PS_USERID=" & userId & " Order By PS_NAME"

            aDT = DB.ReadDT_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)

            For Each aDRow As DataRow In aDT.Rows 
                aResult.Add(New Utils.IntegerString(aDRow("ID"), aDRow("NAME")))
            Next

            Return aResult
        End Function

    End Class
End Namespace
