﻿Imports Microsoft.VisualBasic
Imports System.Data
Imports PDF.DAL.MSSQL
Imports Utils
Imports System.Collections.Generic
Imports System.ComponentModel

Namespace BackEnd 
    Public Class Tag

        Public Shared Function GetTagsStartingWith(name As string, Optional ByRef aConContext As ConnectionContext = Nothing) As List(Of Utils.IntegerString) 
            Dim aParams As New List(Of SqlClient.SqlParameter)
            Dim aDB As ConnectionContextConnection
            Dim aDT As DataTable
            Dim aSQL As String = ""
            Dim aResult As New List(Of IntegerString)

            If aConContext Is Nothing Then
                aConContext = New ConnectionContext

                aConContext.UseTransaction = False
                aConContext.CommitTransactionWhenTerminates = False
                aConContext.CloseConnectionWhenTerminates = True
            End If

            aDB = aConContext.ConnectionEntryFromMapping("KSARE.First")
            
            aParams = New List(Of SqlClient.SqlParameter)

            aSQL = "Select Top 15 TG_ID AS ID, TG_NAME AS NAME FROM TBL_TAG WHERE TG_NAME LIKE N'" & Utils.Utils.FixQuotes(name) & "%' Order By TG_NAME"

            aDT = DB.ReadDT_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)
            For Each aDRow As DataRow In aDT.Rows
                aResult.Add(New Utils.IntegerString(aDRow("ID"), aDRow("NAME")))
            Next

            Return aResult
        End Function

    End Class
End Namespace 