﻿Imports System.Collections.Generic
Imports Microsoft.VisualBasic

Namespace Utils
    Public Class ApiResponse
        Public Succeeded As Boolean = True
        Public ErrorNumber As Integer = 0
        Public ErrorMessage As String = ""

        Public sub New()

        End sub

        Public Sub New(aSucceeded As Boolean, aErrorNumber As Integer, aErrorMessage As string)
            Succeeded = aSucceeded
            ErrorNumber = aErrorNumber
            ErrorMessage = aErrorMessage 
        End Sub
    End Class

    Public Class Utils
        Public Shared Function FixQuotes(value As String) As String
            If value Is Nothing Then Return Nothing

            Return value.Replace("'", "''")
        End Function

        Public Shared Function GetDatesBetweenTwoDates(sDate As Date, eDate As Date) As List(Of Date)
            Dim aResult As New List(Of Date)
            Dim dayCtr As Date
            dayCtr = sDate

            Do While (dayCtr <= eDate)
                aResult.Add(dayCtr)
                dayCtr = dayCtr.AddDays(1)
            Loop

            Return aResult 
        End Function

        Public Shared Function CleanPhoneNumber (value As String) As String
            If value Is Nothing Then Return ""

            return value.Trim().Replace(" ","").Replace("-","").Replace("/","")
        End Function
    End Class

    Public Class IntegerBool

        'Fields
        Protected p_Val1 As Integer = 0, p_Val2 As Boolean = False


        'Properties
        Public Property Val1() As Integer
            Get
                Return p_Val1
            End Get
            Set(ByVal value As Integer)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As Boolean
            Get
                Return p_Val2
            End Get
            Set(ByVal value As Boolean)
                p_Val2 = value
            End Set
        End Property


        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As Integer, ByVal aVal2 As Boolean)
            p_Val1 = aVal1
            p_Val2 = aVal2
        End Sub

    End Class

    Public Class IntegerString

        'Fields
        Protected p_Val1 As Integer = 0, p_Val2 As String = ""


        'Properties
        Public Property Val1() As Integer
            Get
                Return p_Val1
            End Get
            Set(ByVal value As Integer)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As String
            Get
                Return p_Val2
            End Get
            Set(ByVal value As String)
                p_Val2 = value
            End Set
        End Property


        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As Integer, ByVal aVal2 As String)
            p_Val1 = aVal1
            p_Val2 = aVal2
        End Sub

    End Class

    Public Class IntegerStringBoolean

        'Fields
        Protected p_Val1 As Integer = 0, p_Val2 As String = "", p_Val3 As Boolean = false


        'Properties
        Public Property Val1() As Integer
            Get
                Return p_Val1
            End Get
            Set(ByVal value As Integer)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As String
            Get
                Return p_Val2
            End Get
            Set(ByVal value As String)
                p_Val2 = value
            End Set
        End Property

        Public Property Val3() As Boolean
            Get
                Return p_Val3
            End Get
            Set(ByVal value As Boolean)
                p_Val3 = value
            End Set
        End Property


        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As Integer, ByVal aVal2 As String, ByVal aVal3 As Boolean)
            p_Val1 = aVal1
            p_Val2 = aVal2
            p_Val3 = aVal3
        End Sub

    End Class


    Public Class StringString

        'Fields
        Protected p_Val1 As String = 0, p_Val2 As String = ""


        'Properties
        Public Property Val1() As String
            Get
                Return p_Val1
            End Get
            Set(ByVal value As String)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As String
            Get
                Return p_Val2
            End Get
            Set(ByVal value As String)
                p_Val2 = value
            End Set
        End Property


        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As String, ByVal aVal2 As String)
            p_Val1 = aVal1
            p_Val2 = aVal2
        End Sub

    End Class

    Public Class StringStringString

        'Fields
        Protected p_Val1 As String = 0, p_Val2 As String = "", p_Val3 As String = ""


        'Properties
        Public Property Val1() As String
            Get
                Return p_Val1
            End Get
            Set(ByVal value As String)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As String
            Get
                Return p_Val2
            End Get
            Set(ByVal value As String)
                p_Val2 = value
            End Set
        End Property

        Public Property Val3() As String
            Get
                Return p_Val3
            End Get
            Set(ByVal value As String)
                p_Val3 = value
            End Set
        End Property


        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As String, ByVal aVal2 As String, aVal3 As String)
            p_Val1 = aVal1
            p_Val2 = aVal2
            p_Val3 = aVal3
        End Sub

    End Class

    Public Class StringStringStringString

        'Fields
        Protected p_Val1 As String = 0, p_Val2 As String = "", p_Val3 As String = "", p_Val4 As String = ""


        'Properties
        Public Property Val1() As String
            Get
                Return p_Val1
            End Get
            Set(ByVal value As String)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As String
            Get
                Return p_Val2
            End Get
            Set(ByVal value As String)
                p_Val2 = value
            End Set
        End Property

        Public Property Val3() As String
            Get
                Return p_Val3
            End Get
            Set(ByVal value As String)
                p_Val3 = value
            End Set
        End Property

        Public Property Val4() As String
            Get
                Return p_Val4
            End Get
            Set(ByVal value As String)
                p_Val4 = value
            End Set
        End Property

        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As String, ByVal aVal2 As String, aVal3 As String, aVal4 As string)
            p_Val1 = aVal1
            p_Val2 = aVal2
            p_Val3 = aVal3
            p_Val4 = aval4
        End Sub

    End Class


    Public Class IntegerStringString

        'Fields
        Protected p_Val1 As Integer = 0, p_Val2 As String = "", p_Val3 As String = ""


        'Properties
        Public Property Val1() As Integer
            Get
                Return p_Val1
            End Get
            Set(ByVal value As Integer)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As String
            Get
                Return p_Val2
            End Get
            Set(ByVal value As String)
                p_Val2 = value
            End Set
        End Property

        Public Property Val3() As String
            Get
                Return p_Val3
            End Get
            Set(ByVal value As String)
                p_Val3 = value
            End Set
        End Property

        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As Integer, ByVal aVal2 As String, ByVal aVal3 As String)
            p_Val1 = aVal1
            p_Val2 = aVal2
            p_Val3 = aVal3
        End Sub

    End Class

    Public Class IntegerStringStringBoolean

        'Fields
        Protected p_Val1 As Integer = 0, p_Val2 As String = "", p_Val3 As String = "", p_Val4 As Boolean = false


        'Properties
        Public Property Val1() As Integer
            Get
                Return p_Val1
            End Get
            Set(ByVal value As Integer)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As String
            Get
                Return p_Val2
            End Get
            Set(ByVal value As String)
                p_Val2 = value
            End Set
        End Property

        Public Property Val3() As String
            Get
                Return p_Val3
            End Get
            Set(ByVal value As String)
                p_Val3 = value
            End Set
        End Property

        Public Property Val4() As Boolean 
            Get
                Return p_Val4
            End Get
            Set(ByVal value As Boolean )
                p_Val4 = value
            End Set
        End Property


        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As Integer, ByVal aVal2 As String, ByVal aVal3 As String, aVal4 As Boolean)
            p_Val1 = aVal1
            p_Val2 = aVal2
            p_Val3 = aVal3
            p_Val4 = aVal4 
        End Sub

    End Class



    Public Class IntegerStringStringString

        'Fields
        Protected p_Val1 As Integer = 0, p_Val2 As String = "", p_Val3 As String = "", p_Val4 As String = ""


        'Properties
        Public Property Val1() As Integer
            Get
                Return p_Val1
            End Get
            Set(ByVal value As Integer)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As String
            Get
                Return p_Val2
            End Get
            Set(ByVal value As String)
                p_Val2 = value
            End Set
        End Property

        Public Property Val3() As String
            Get
                Return p_Val3
            End Get
            Set(ByVal value As String)
                p_Val3 = value
            End Set
        End Property

        Public Property Val4() As String
            Get
                Return p_Val4
            End Get
            Set(ByVal value As String)
                p_Val4 = value
            End Set
        End Property

        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As Integer, ByVal aVal2 As String, ByVal aVal3 As String, ByVal aVal4 As String)
            p_Val1 = aVal1
            p_Val2 = aVal2
            p_Val3 = aVal3
            p_Val4 = aVal4
        End Sub

    End Class

    Public Class IntegerStringStringStringBoolean

        'Fields
        Protected p_Val1 As Integer = 0, p_Val2 As String = "", p_Val3 As String = "", p_Val4 As String = "", p_Val5 As Boolean=true


        'Properties
        Public Property Val1() As Integer
            Get
                Return p_Val1
            End Get
            Set(ByVal value As Integer)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As String
            Get
                Return p_Val2
            End Get
            Set(ByVal value As String)
                p_Val2 = value
            End Set
        End Property

        Public Property Val3() As String
            Get
                Return p_Val3
            End Get
            Set(ByVal value As String)
                p_Val3 = value
            End Set
        End Property

        Public Property Val4() As String
            Get
                Return p_Val4
            End Get
            Set(ByVal value As String)
                p_Val4 = value
            End Set
        End Property

        Public Property Val5() As Boolean
            Get
                Return p_Val5
            End Get
            Set(ByVal value As Boolean)
                p_Val5 = value
            End Set
        End Property

        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As Integer, ByVal aVal2 As String, ByVal aVal3 As String, ByVal aVal4 As String, aVal5 As Boolean)
            p_Val1 = aVal1
            p_Val2 = aVal2
            p_Val3 = aVal3
            p_Val4 = aVal4
            p_Val5 = aVal5 
        End Sub

    End Class

    Public Class IntegerStringStringStringBooleanInteger

        'Fields
        Protected p_Val1 As Integer = 0, p_Val2 As String = "", p_Val3 As String = "", p_Val4 As String = "", p_Val5 As Boolean=true, p_Val6 As Integer = 1


        'Properties
        Public Property Val1() As Integer
            Get
                Return p_Val1
            End Get
            Set(ByVal value As Integer)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As String
            Get
                Return p_Val2
            End Get
            Set(ByVal value As String)
                p_Val2 = value
            End Set
        End Property

        Public Property Val3() As String
            Get
                Return p_Val3
            End Get
            Set(ByVal value As String)
                p_Val3 = value
            End Set
        End Property

        Public Property Val4() As String
            Get
                Return p_Val4
            End Get
            Set(ByVal value As String)
                p_Val4 = value
            End Set
        End Property

        Public Property Val5() As Boolean
            Get
                Return p_Val5
            End Get
            Set(ByVal value As Boolean)
                p_Val5 = value
            End Set
        End Property

        Public Property Val6() As Integer
            Get
                Return p_Val6
            End Get
            Set(ByVal value As Integer)
                p_Val6 = value
            End Set
        End Property

        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As Integer, ByVal aVal2 As String, ByVal aVal3 As String, ByVal aVal4 As String, aVal5 As Boolean, aVal6 As Integer)
            p_Val1 = aVal1
            p_Val2 = aVal2
            p_Val3 = aVal3
            p_Val4 = aVal4
            p_Val5 = aVal5 
            p_Val6 = aVal6
        End Sub

    End Class


    Public Class IntegerStringStringStringString

        'Fields
        Protected p_Val1 As Integer = 0, p_Val2 As String = "", p_Val3 As String = "", p_Val4 As String = "", p_Val5 As String = ""


        'Properties
        Public Property Val1() As Integer
            Get
                Return p_Val1
            End Get
            Set(ByVal value As Integer)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As String
            Get
                Return p_Val2
            End Get
            Set(ByVal value As String)
                p_Val2 = value
            End Set
        End Property

        Public Property Val3() As String
            Get
                Return p_Val3
            End Get
            Set(ByVal value As String)
                p_Val3 = value
            End Set
        End Property

        Public Property Val4() As String
            Get
                Return p_Val4
            End Get
            Set(ByVal value As String)
                p_Val4 = value
            End Set
        End Property

        Public Property Val5() As String
            Get
                Return p_Val5
            End Get
            Set(ByVal value As String)
                p_Val5 = value
            End Set
        End Property

        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As Integer, ByVal aVal2 As String, ByVal aVal3 As String, ByVal aVal4 As String, ByVal aVal5 As String)
            p_Val1 = aVal1
            p_Val2 = aVal2
            p_Val3 = aVal3
            p_Val4 = aVal4
            p_Val5 = aVal5
        End Sub

    End Class

        Public Class IntegerStringStringStringStringIntegerBoolean

        'Fields
        Protected p_Val1 As Integer = 0, p_Val2 As String = "", p_Val3 As String = "", p_Val4 As String = "", p_Val5 As String = "", p_Val6 As Integer = 0, p_Val7 As Boolean = false


        'Properties
        Public Property Val1() As Integer
            Get
                Return p_Val1
            End Get
            Set(ByVal value As Integer)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As String
            Get
                Return p_Val2
            End Get
            Set(ByVal value As String)
                p_Val2 = value
            End Set
        End Property

        Public Property Val3() As String
            Get
                Return p_Val3
            End Get
            Set(ByVal value As String)
                p_Val3 = value
            End Set
        End Property

        Public Property Val4() As String
            Get
                Return p_Val4
            End Get
            Set(ByVal value As String)
                p_Val4 = value
            End Set
        End Property

        Public Property Val5() As String
            Get
                Return p_Val5
            End Get
            Set(ByVal value As String)
                p_Val5 = value
            End Set
        End Property

        Public Property Val6() As Integer 
            Get
                Return p_Val6
            End Get
            Set(ByVal value As Integer)
                p_Val6 = value
            End Set
        End Property

        Public Property Val7() As Boolean 
            Get
                Return p_Val7
            End Get
            Set(ByVal value As Boolean)
                p_Val7 = value
            End Set
        End Property

        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As Integer, ByVal aVal2 As String, ByVal aVal3 As String, ByVal aVal4 As String, ByVal aVal5 As String, ByVal aVal6 As Integer, ByVal aVal7 As Boolean)
            p_Val1 = aVal1
            p_Val2 = aVal2
            p_Val3 = aVal3
            p_Val4 = aVal4
            p_Val5 = aVal5
            p_Val6 = aVal6
            p_Val7 = aVal7
        End Sub

    End Class



    Public Class IntegerStringStringStringStringStringIntegerString

        'Fields
        Protected p_Val1 As Integer = 0, p_Val2 As String = "", p_Val3 As String = "", p_Val4 As String = "", p_Val5 As String = "", p_Val6 As String = "", p_Val7 As Integer = 0 , p_Val8 As String=""


        'Properties
        Public Property Val1() As Integer
            Get
                Return p_Val1
            End Get
            Set(ByVal value As Integer)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As String
            Get
                Return p_Val2
            End Get
            Set(ByVal value As String)
                p_Val2 = value
            End Set
        End Property

        Public Property Val3() As String
            Get
                Return p_Val3
            End Get
            Set(ByVal value As String)
                p_Val3 = value
            End Set
        End Property

        Public Property Val4() As String
            Get
                Return p_Val4
            End Get
            Set(ByVal value As String)
                p_Val4 = value
            End Set
        End Property

        Public Property Val5() As String
            Get
                Return p_Val5
            End Get
            Set(ByVal value As String)
                p_Val5 = value
            End Set
        End Property

        Public Property Val6() As String
            Get
                Return p_Val6
            End Get
            Set(ByVal value As String)
                p_Val6 = value
            End Set
        End Property

        Public Property Val7() As Integer 
            Get
                Return p_Val7
            End Get
            Set(ByVal value As Integer)
                p_Val7 = value
            End Set
        End Property

        Public Property Val8() As String  
            Get
                Return p_Val8
            End Get
            Set(ByVal value As String)
                p_Val8 = value
            End Set
        End Property

        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As Integer, ByVal aVal2 As String, ByVal aVal3 As String, ByVal aVal4 As String, ByVal aVal5 As String, aVal6 As String, aVal7 as Integer, aVal8 As String)
            p_Val1 = aVal1
            p_Val2 = aVal2
            p_Val3 = aVal3
            p_Val4 = aVal4
            p_Val5 = aVal5
            p_Val6 = aVal6
            p_Val7 = aVal7
            p_Val8 = aVal8
        End Sub

    End Class

        Public Class IntegerStringStringStringStringStringIntegerStringString

        'Fields
        Protected p_Val1 As Integer = 0, p_Val2 As String = "", p_Val3 As String = "", p_Val4 As String = "", p_Val5 As String = "", p_Val6 As String = "", p_Val7 As Integer = 0 , p_Val8 As String="", p_Val9 As String


        'Properties
        Public Property Val1() As Integer
            Get
                Return p_Val1
            End Get
            Set(ByVal value As Integer)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As String
            Get
                Return p_Val2
            End Get
            Set(ByVal value As String)
                p_Val2 = value
            End Set
        End Property

        Public Property Val3() As String
            Get
                Return p_Val3
            End Get
            Set(ByVal value As String)
                p_Val3 = value
            End Set
        End Property

        Public Property Val4() As String
            Get
                Return p_Val4
            End Get
            Set(ByVal value As String)
                p_Val4 = value
            End Set
        End Property

        Public Property Val5() As String
            Get
                Return p_Val5
            End Get
            Set(ByVal value As String)
                p_Val5 = value
            End Set
        End Property

        Public Property Val6() As String
            Get
                Return p_Val6
            End Get
            Set(ByVal value As String)
                p_Val6 = value
            End Set
        End Property

        Public Property Val7() As Integer 
            Get
                Return p_Val7
            End Get
            Set(ByVal value As Integer)
                p_Val7 = value
            End Set
        End Property

        Public Property Val8() As String  
            Get
                Return p_Val8
            End Get
            Set(ByVal value As String)
                p_Val8 = value
            End Set
        End Property

        Public Property Val9() As String  
            Get
                Return p_Val9
            End Get
            Set(ByVal value As String)
                p_Val9 = value
            End Set
        End Property

        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As Integer, ByVal aVal2 As String, ByVal aVal3 As String, ByVal aVal4 As String, ByVal aVal5 As String, aVal6 As String, aVal7 as Integer, aVal8 As String, aVal9 As String)
            p_Val1 = aVal1
            p_Val2 = aVal2
            p_Val3 = aVal3
            p_Val4 = aVal4
            p_Val5 = aVal5
            p_Val6 = aVal6
            p_Val7 = aVal7
            p_Val8 = aVal8
            p_Val9 = aVal9 
        End Sub

    End Class


    Public Class IntegerStringStringStringStringStringIntegerStringStringString

        'Fields
        Protected p_Val1 As Integer = 0, p_Val2 As String = "", p_Val3 As String = "", p_Val4 As String = "", p_Val5 As String = "", p_Val6 As String = "", p_Val7 As Integer = 0 , p_Val8 As String="", p_Val9 As String="", p_Val10 As String = ""


        'Properties
        Public Property Val1() As Integer
            Get
                Return p_Val1
            End Get
            Set(ByVal value As Integer)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As String
            Get
                Return p_Val2
            End Get
            Set(ByVal value As String)
                p_Val2 = value
            End Set
        End Property

        Public Property Val3() As String
            Get
                Return p_Val3
            End Get
            Set(ByVal value As String)
                p_Val3 = value
            End Set
        End Property

        Public Property Val4() As String
            Get
                Return p_Val4
            End Get
            Set(ByVal value As String)
                p_Val4 = value
            End Set
        End Property

        Public Property Val5() As String
            Get
                Return p_Val5
            End Get
            Set(ByVal value As String)
                p_Val5 = value
            End Set
        End Property

        Public Property Val6() As String
            Get
                Return p_Val6
            End Get
            Set(ByVal value As String)
                p_Val6 = value
            End Set
        End Property

        Public Property Val7() As Integer 
            Get
                Return p_Val7
            End Get
            Set(ByVal value As Integer)
                p_Val7 = value
            End Set
        End Property

        Public Property Val8() As String  
            Get
                Return p_Val8
            End Get
            Set(ByVal value As String)
                p_Val8 = value
            End Set
        End Property

        Public Property Val9() As String  
            Get
                Return p_Val9
            End Get
            Set(ByVal value As String)
                p_Val9 = value
            End Set
        End Property

        Public Property Val10() As String  
            Get
                Return p_Val10
            End Get
            Set(ByVal value As String)
                p_Val10 = value
            End Set
        End Property

        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As Integer, ByVal aVal2 As String, ByVal aVal3 As String, ByVal aVal4 As String, ByVal aVal5 As String, aVal6 As String, aVal7 as Integer, aVal8 As String, aVal9 As String, aVal10 As String)
            p_Val1 = aVal1
            p_Val2 = aVal2
            p_Val3 = aVal3
            p_Val4 = aVal4
            p_Val5 = aVal5
            p_Val6 = aVal6
            p_Val7 = aVal7
            p_Val8 = aVal8
            p_Val9 = aVal9
            p_Val10  = aVal10 
        End Sub

    End Class


    Public Class StringIntegerIntegerIntegerInteger

        'Fields
        Protected p_Val1 As String = "", p_Val2 As Integer = 0, p_Val3 As Integer = 0, p_Val4 As Integer = 0, p_Val5 As Integer = 0


        'Properties
        Public Property Val1() As String
            Get
                Return p_Val1
            End Get
            Set(ByVal value As String)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As Integer
            Get
                Return p_Val2
            End Get
            Set(ByVal value As Integer)
                p_Val2 = value
            End Set
        End Property

        Public Property Val3() As Integer
            Get
                Return p_Val3
            End Get
            Set(ByVal value As Integer)
                p_Val3 = value
            End Set
        End Property

        Public Property Val4() As Integer
            Get
                Return p_Val4
            End Get
            Set(ByVal value As Integer)
                p_Val4 = value
            End Set
        End Property

        Public Property Val5() As Integer
            Get
                Return p_Val5
            End Get
            Set(ByVal value As Integer)
                p_Val5 = value
            End Set
        End Property

        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As String, ByVal aVal2 As Integer, ByVal aVal3 As Integer, ByVal aVal4 As Integer, ByVal aVal5 As Integer)
            p_Val1 = aVal1
            p_Val2 = aVal2
            p_Val3 = aVal3
            p_Val4 = aVal4
            p_Val5 = aVal5
        End Sub

    End Class


    Public Class IntegerStringStringStringIntegerIntegerIntegerIntegerIntegerStringStringBoolean

        'Fields
        Protected p_Val1 As Integer = 0, p_Val2 As String = "", p_Val3 As String = ""
        Protected p_Val4 As Integer = 0, p_Val5 As Integer = 0, p_Val6 As Integer = 0, p_Val7 As Integer = 0, p_Val8 As Integer = 0
        Protected p_Val9 As String = "", p_Val10 As String = "", p_Val11 As Boolean = False

        'Properties
        Public Property Val1() As Integer
            Get
                Return p_Val1
            End Get
            Set(ByVal value As Integer)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As String
            Get
                Return p_Val2
            End Get
            Set(ByVal value As String)
                p_Val2 = value
            End Set
        End Property
        Public Property Val3() As String
            Get
                Return p_Val3
            End Get
            Set(ByVal value As String)
                p_Val3 = value
            End Set
        End Property
        Public Property Val4() As Integer
            Get
                Return p_Val4
            End Get
            Set(ByVal value As Integer)
                p_Val4 = value
            End Set
        End Property

        Public Property Val5() As Integer
            Get
                Return p_Val5
            End Get
            Set(ByVal value As Integer)
                p_Val5 = value
            End Set
        End Property

        Public Property Val6() As Integer
            Get
                Return p_Val6
            End Get
            Set(ByVal value As Integer)
                p_Val6 = value
            End Set
        End Property

        Public Property Val7() As Integer
            Get
                Return p_Val7
            End Get
            Set(ByVal value As Integer)
                p_Val7 = value
            End Set
        End Property
        Public Property Val8() As Integer
            Get
                Return p_Val8
            End Get
            Set(ByVal value As Integer)
                p_Val8 = value
            End Set
        End Property
        Public Property Val9() As String
            Get
                Return p_Val9
            End Get
            Set(ByVal value As String)
                p_Val9 = value
            End Set
        End Property

        Public Property Val10() As String
            Get
                Return p_Val10
            End Get
            Set(ByVal value As String)
                p_Val10 = value
            End Set
        End Property

        Public Property Val11() As Boolean
            Get
                Return p_Val11
            End Get
            Set(ByVal value As Boolean)
                p_Val11 = value
            End Set
        End Property

        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As Integer, aVal2 As String, aVal3 As String, aVal4 As Integer, ByVal aVal5 As Integer, ByVal aVal6 As Integer, ByVal aVal7 As Integer, ByVal aVal8 As Integer, aVal9 As String, aVal10 As String, aVal11 As Boolean)
            p_Val1 = aVal1
            p_Val2 = aVal2
            p_Val3 = aVal3
            p_Val4 = aVal4
            p_Val5 = aVal5
            p_Val6 = aVal6
            p_Val7 = aVal7
            p_Val8 = aVal8
            p_Val9 = aVal9
            p_Val10 = aVal10
            p_Val11 = aVal11
        End Sub

    End Class


    Public Class IntegerStringStringStringStringStringStringInteger

        'Fields
        Protected p_Val1 As Integer = 0, p_Val2 As String = "", p_Val3 As String = "", p_Val4 As String = "", p_Val5 As String = "", p_Val6 As String = "", p_Val7 As String = "", p_Val8 As Integer = 0


        'Properties
        Public Property Val1() As Integer
            Get
                Return p_Val1
            End Get
            Set(ByVal value As Integer)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As String
            Get
                Return p_Val2
            End Get
            Set(ByVal value As String)
                p_Val2 = value
            End Set
        End Property

        Public Property Val3() As String
            Get
                Return p_Val3
            End Get
            Set(ByVal value As String)
                p_Val3 = value
            End Set
        End Property

        Public Property Val4() As String
            Get
                Return p_Val4
            End Get
            Set(ByVal value As String)
                p_Val4 = value
            End Set
        End Property

        Public Property Val5() As String
            Get
                Return p_Val5
            End Get
            Set(ByVal value As String)
                p_Val5 = value
            End Set
        End Property

        Public Property Val6() As String
            Get
                Return p_Val6
            End Get
            Set(ByVal value As String)
                p_Val6 = value
            End Set
        End Property

        Public Property Val7() As String  
            Get
                Return p_Val7
            End Get
            Set(ByVal value As String)
                p_Val7 = value
            End Set
        End Property

        Public Property Val8() As Integer 
            Get
                Return p_Val8
            End Get
            Set(ByVal value As Integer)
                p_Val8 = value
            End Set
        End Property


        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As Integer, ByVal aVal2 As String, ByVal aVal3 As String, ByVal aVal4 As String, ByVal aVal5 As String, aVal6 As String, aVal7 as String, aVal8 As Integer)
            p_Val1 = aVal1
            p_Val2 = aVal2
            p_Val3 = aVal3
            p_Val4 = aVal4
            p_Val5 = aVal5
            p_Val6 = aVal6
            p_Val7 = aVal7
            p_Val8 = aVal8
        End Sub

    End Class


    Public Class IntegerStringStringStringStringStringStringIntegerIntegerString

        'Fields
        Protected p_Val1 As Integer = 0, p_Val2 As String = "", p_Val3 As String = "", p_Val4 As String = "", p_Val5 As String = "", p_Val6 As String = "", p_Val7 As String = "", p_Val8 As Integer = 0, p_Val9 As Integer = 0, p_Val10 As String = ""


        'Properties
        Public Property Val1() As Integer
            Get
                Return p_Val1
            End Get
            Set(ByVal value As Integer)
                p_Val1 = value
            End Set
        End Property


        Public Property Val2() As String
            Get
                Return p_Val2
            End Get
            Set(ByVal value As String)
                p_Val2 = value
            End Set
        End Property

        Public Property Val3() As String
            Get
                Return p_Val3
            End Get
            Set(ByVal value As String)
                p_Val3 = value
            End Set
        End Property

        Public Property Val4() As String
            Get
                Return p_Val4
            End Get
            Set(ByVal value As String)
                p_Val4 = value
            End Set
        End Property

        Public Property Val5() As String
            Get
                Return p_Val5
            End Get
            Set(ByVal value As String)
                p_Val5 = value
            End Set
        End Property

        Public Property Val6() As String
            Get
                Return p_Val6
            End Get
            Set(ByVal value As String)
                p_Val6 = value
            End Set
        End Property

        Public Property Val7() As String  
            Get
                Return p_Val7
            End Get
            Set(ByVal value As String)
                p_Val7 = value
            End Set
        End Property

        Public Property Val8() As Integer 
            Get
                Return p_Val8
            End Get
            Set(ByVal value As Integer)
                p_Val8 = value
            End Set
        End Property

        Public Property Val9() As Integer 
            Get
                Return p_Val9
            End Get
            Set(ByVal value As Integer)
                p_Val9 = value
            End Set
        End Property

        Public Property Val10() As String  
            Get
                Return p_Val10
            End Get
            Set(ByVal value As String)
                p_Val10 = value
            End Set
        End Property

        'Constructors
        Public Sub New()

        End Sub

        Public Sub New(ByVal aVal1 As Integer, ByVal aVal2 As String, ByVal aVal3 As String, ByVal aVal4 As String, ByVal aVal5 As String, aVal6 As String, aVal7 as String, aVal8 As Integer, aVal9 As Integer, aVal10 As String)
            p_Val1 = aVal1
            p_Val2 = aVal2
            p_Val3 = aVal3
            p_Val4 = aVal4
            p_Val5 = aVal5
            p_Val6 = aVal6
            p_Val7 = aVal7
            p_Val8 = aVal8
            p_Val9 = aVal9
            p_Val10 = aVal10
        End Sub

    End Class

End Namespace
