﻿Imports System.Web
Imports System.Web.Services
Imports System.Web.Services.Protocols
Imports System.Collections.Generic
Imports System.Web.Script.Services
Imports System.Web.Script.Serialization

<System.Web.Script.Services.ScriptService> _
<WebService(Namespace:="http://proinns.com/")> _
<WebServiceBinding(ConformsTo:=WsiProfiles.BasicProfile1_1)> _
<Global.Microsoft.VisualBasic.CompilerServices.DesignerGenerated()> _
Public Class WSEvents
    Inherits System.Web.Services.WebService

    <WebMethod()> _
    Public Sub GetEvents(start As String, [end] As String)'As List(Of CalendarEvent)
        Dim aResult As New List(Of CalendarEvent)

        aResult.Add(New CalendarEvent(1, "Showing1", "2019-06-03 11:00", "2019-06-03 11:30", false))', New CalendarEventExtendedProps("showing")))
        aResult.Add(New CalendarEvent(2, "Showing2", "2019-06-03 11:30", "2019-06-03 12:30", false))', New CalendarEventExtendedProps("showing")))
        aResult.Add(New CalendarEvent(3, "Task1", "2019-06-03", "2019-06-03", true))', New CalendarEventExtendedProps("task")))

        Dim js As JavaScriptSerializer = new JavaScriptSerializer()
        Context.Response.Write(js.Serialize(aResult))
        'Return aResult 
    End Sub

    <WebMethod()> _
    <ScriptMethod(ResponseFormat:= ResponseFormat.Json)> _
    Public Function GetEvents2(start As String, [end] As String) As List(Of Utils.IntegerBool)
        Dim aResult As New List(Of Utils.IntegerBool)

        aresult.add(New Utils.IntegerBool(1,true))
        aresult.add(New Utils.IntegerBool(2,false))

        Return aResult 
    End Function
End Class

Public Class CalendarEvent
    Public id As Integer
    Public title As String
    Public start As String
    Public [end] As String
    Public allDay As Boolean
    'Public ExtendedProps As CalendarEventExtendedProps

    Public sub New()

    End sub

    Public Sub New (aId as integer, aTitle as string, aStart as string, [aEnd] as string, aAllDay As Boolean)', aExtendedProps As CalendarEventExtendedProps  )
        id = aId
        title = aTitle
        start = aStart
        [end] = aEnd
        allDay = aAllDay
        'ExtendedProps = aExtendedProps 
    End Sub

End Class

Public Class CalendarEventExtendedProps
    Public MyType As String

    Public sub New

    End sub

    Public sub New (aMyType As string)
        MyType = aMyType 
    End sub
End Class