﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="FrmAlerts.aspx.vb" Inherits="Backend_FrmAlerts" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    
    <!-- Stylesheet -->
	<link rel="stylesheet" href="css/bootstrap.min.css" />

    <link rel="stylesheet" href="css/theme.bootstrap_4.min.css" />

	<link href="js/bootstrap-datepicker/dist/css/bootstrap-datepicker3.css" rel="stylesheet" type="text/css" />

    <link rel="stylesheet" href="js/jquery-ui1.11.2.css"/>

    <link rel="stylesheet" href="fontawesome/css/font-awesome.min.css" />

    <!--My Every Page -->
    <link rel="Stylesheet" href="css/page.css" />


	<!-- JavaScript -->
    <script src="js/jquery1.11.1.min.js"></script>

    <script src="js/jquery-ui1.11.2.min.js"></script>

	<script src="js/popper.min.js"></script>

	<script src="js/bootstrap.min.js"></script>

    <script src="js/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js"></script>

    <script src="js/alert.js"></script>

    <script src="js/utils.js"></script>
       

    <style>
        .spinnerOuterContainer{
            visibility:hidden;
            width:100%;
            height:100%;
            position:absolute;
            left:0;
            top:0;
            background-color:transparent;
            display:flex;
            align-items:center;
            justify-content:center;
            z-index:9999;
        }

        .spinnerInnerContainer{
            width:200px;
            height: 200px;
            background-color:transparent;
            display:flex;
            align-items:center;
            justify-content:center;
        }

        .toolbar{
            justify-content:space-between !important;
            padding-top:6px !important;
            padding-bottom:8px !important;
        }

        .cell{
            display: flex;
            flex-direction:column;
            margin-left:8px;
        }
        
        .ig_ClaymationControl, #GV{
            color:rgba(0,0,0,0.4);     
            border-color:rgba(0,0,0,0.1) !important ;    
        }

        .ig_ClaymationControl td, .ig_ClaymationControl th, #GV td, #GV th{
            color:black ;   
            border-color:rgba(0,0,0,0.1) !important ;    
            font-weight:400 !important;
            border-left:none !important;
            border-right:none !important;
        }   

        #GV tbody > tr:first-of-type{
            background-color:#f7f8fa !important;
        }

        #GV th {
            font-weight: 700 !important;
        }

        #GV td, #GV th{
            padding-left:8px;
            padding-right:8px;
        }

        #GV tr{
            height: 30px !important;
        }
        th{
            font-weight:400 !important;
        }

    </style>

    <!-- Style for date picker -->
    <style>
        .input-group-addon{
            padding: 6px 12px !important;
            font-size: 14px;
            font-weight: 400;
            line-height: 1;
            color: #555;
            text-align: center;
            background-color: #eee;
            border: 1px solid #ccc;                
            border-radius: 4px;
        }

        .input-group-addon, .input-group-btn{
            white-space: nowrap;

            vertical-align: middle;
        }

        .input-group .form-control, .input-group-addon{
            display: table-cell;
        }     

    </style>
</head>

<body onload="loadMe()">
    <div class="spinnerOuterContainer">
        <div class="spinnerInnerContainer">
            <div class="spinner-grow text-muted spinner-grow-sm"></div>
            <div class="spinner-grow text-primary spinner-grow-sm"></div>
            <div class="spinner-grow text-success spinner-grow-sm"></div>
            <div class="spinner-grow text-info spinner-grow-sm"></div>
        </div>
    </div>

    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" LoadScriptsBeforeUI="false">
        </asp:ScriptManager>

        <asp:HiddenField ID="HF_Exit" runat="server" />
        <asp:HiddenField ID="HF_ExitTo" runat="server" />        
        <asp:HiddenField ID="HF_ExitMessage" runat="server" />

        <!--Context Menu -->
        <div class="root">
            <div class="toolbar" style="justify-content:space-between !important;">
                <div style="display:flex;">
                    <div style="color:#008ef2 !important; font-weight:700;">
                        Alerts
                    </div>
                </div>

                <div style="display:flex;">
                    <div class="cell" style="">
                        <div style="margin-bottom:3px;"><span class="lbl" style="">Creation Period</span></div>
	                    <div class="input-daterange input-group" id="datepicker" style="">
	                        <input type="text" class="input-sm form-control txt" name="start" id="sDate" />
	                        <span class="input-group-addon" style="line-height:1 !important;">To</span>
	                        <input type="text" class="input-sm form-control txt" name="end" id="eDate" />
	                    </div>                             
                    </div>

                    <div class="cell" style="">
                        <asp:Label ID="Lbl_Type" runat="server" Text="Type" CssClass="lbl" />
                        <asp:DropDownList ID="Cmb_Type" runat="server" CssClass="form-control dropDown" />
                    </div>

                    <div class="cell" style="">
                        <asp:Label ID="Label1" runat="server" Text="Status" CssClass="lbl" />
                        <asp:DropDownList ID="Cmb_Status" runat="server" CssClass="form-control dropDown" />
                    </div>


                    <div class="cell" style="justify-content:flex-end">
                        <asp:Button ID="Cmd_View" runat="server" Text="View" CssClass="btn btnToolbar" OnClientClick="search(false); return false;"/>
                    </div>
                </div>
            </div>

            <div class="content">
                <asp:GridView ID="GV" runat="server" AutoGenerateColumns="false"  Width="100%" PageSize="9999" ShowHeader="true" CssClass="grid">
                    <Columns>       
                       
                        <asp:TemplateField HeaderText="Created On">
                            <ItemTemplate> 
                                <asp:Label ID="Txt_CreatedOn" runat="server" Visible="true" CssClass="TextBox hPadding" Width="100%" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign ="Center"></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>  

                        <asp:TemplateField HeaderText="Type">
                            <ItemTemplate> 
                                <asp:Label ID="Txt_Type" runat="server" Visible="true" CssClass="TextBox hPadding" Width="100%" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign ="Center"></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>

                        <asp:TemplateField HeaderText="Title">
                            <ItemTemplate> 
                                <asp:Label ID="Txt_Title" runat="server" Visible="true" CssClass="TextBox hPadding" Width="100%" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign ="Center"></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>

                        <asp:TemplateField HeaderText="Info">
                            <ItemTemplate> 
                                <asp:Label ID="Txt_Info" runat="server" Visible="true" CssClass="TextBox hPadding" Width="100%" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign ="Center"></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>

                    </Columns>

                    <RowStyle Height="26px" />
                    <HeaderStyle BackColor="LightGray"  Height="26px" />
                    <EditRowStyle Height="26px" />
                    <AlternatingRowStyle BackColor="White" />
                </asp:GridView>
            </div>

        </div>

    </form>

    <script id="jsGeneric" type="text/javascript">

      var selectedEntryId = "";
      var selectedEntry = null;

      function loadMe()
      {
          //Handle Redirect/Transfer + MOVABLE popups
          if (document.getElementById("HF_Exit").value == "exit") {
              if (document.getElementById("HF_ExitMessage").value != "")
                  alert(document.getElementById("HF_ExitMessage").value);

              var aExitTo = document.getElementById("HF_ExitTo").value;

              if (aExitTo.substring(0, 1) == "1") {
                  if (window.parent.parent)
                      window.parent.parent.location = aExitTo.substring(1);
                  else if (window.parent)
                      window.parent.location = aExitTo.substring(1);
              }

              else {
                  if (window.parent.document.getElementById('myIframe'))
                      window.parent.document.getElementById('myIframe').src = aExitTo.substring(1);
                  else if (window.parent)
                      window.parent.location = aExitTo.substring(1);
              }
          }
        } 
    </script>


    <!-- Spinner -->
    <script id="jsSpinner" type="text/javascript">
        function showSpinner() {
            $(".spinnerOuterContainer").css("visibility", "visible");
        }

        function hideSpinner(){
            $(".spinnerOuterContainer").css("visibility", "hidden");
        }
    </script>


    <script type="text/javascript">
        $(document).ready(function () {
            //Initialize datePicker
            $('.input-daterange').datepicker({
                autoclose: true,
                clearBtn: true,
                format: 'M/dd/yyyy',
                keepEmptyValues: true,
                todayHighlight: true,
                showOnFocus: true,
                //toggleActive: false,
            });

            var today = new Date();
            var sDate = new Date(today.getFullYear(), today.getMonth(), today.getDate() - 1);
            var eDate = today;

            $('#sDate').datepicker('setDate', sDate);
            $('#eDate').datepicker('setDate', eDate);
        });

        function search() {
            var aCurrentUserId = -1;
            var data;
            var type = document.getElementById("<%=Cmb_Type.ClientID%>").value;
            var status = document.getElementById("<%=Cmb_Status.ClientID%>").value;

            <% If aCurrentUser IsNot Nothing Then %>
                aCurrentUserId = <%=aCurrentUser.ID %>;
            <%End If%>

            showSpinner();

            //Clear Grid
            $("#<%=GV.ClientID%>").empty();

            //sDate
            var sDateT, eDateT;
            var sDate = $('#sDate').datepicker('getDate');
            if (!sDate)
                sDateT = "";
            else
                sDateT = (sDate.getMonth() + 1).toString() + "/" + sDate.getDate().toString() + "/" + sDate.getFullYear().toString();

            //eDate
            var eDate = $('#eDate').datepicker('getDate');
            if (!eDate)
                eDateT = "";
            else
                eDateT = (eDate.getMonth() + 1).toString() + "/" + eDate.getDate().toString() + "/" + eDate.getFullYear().toString();

            if (sDate && eDate && sDate > eDate) {
                alert("Start date must be smaller than end date.");
                return false;
            }

            data = { 'sDate': sDateT, 'eDate': eDateT, 'type': type, 'status': status, 'userId': aCurrentUserId };
            

            $.ajax({
                url: "WSAlert.asmx/search",
                data: JSON.stringify(data),
                dataType: "json",
                type: "POST",
                contentType: "application/json; charset=utf-8",
                success: function (data) {
                    bindGrid(data);

                    hideSpinner();
                },
                error: function (XMLHttpRequest, textStatus, errorThrown) {
                    hideSpinner();

                    alert("Error fetching data.");
                }
            });
        }

        function bindGrid(arr) {
            $("#<%=GV.ClientID%>").empty();

            $("#<%=GV.ClientID%>").append("<tr><th>Created On</th><th>Type</th><th>Title</th><th>Info</th></tr>");

            if (arr.length > 0) {
                for (var i = 0; i < arr.length; i++) {
                    $("#<%=GV.ClientID%>").append("<tr><td>" + arr[i].Val1 + "</td><td>" + arr[i].Val2 + "</td><td>" + arr[i].Val3 + "</td><td>" + arr[i].Val4 + "</td></tr>");
                }

                window.parent.postMessage({ message: 'refreshIFrameHeight' }, 'http://localhost:56038');
            }
        }
    </script>

</body>
</html>


