﻿
Partial Class Backend_FrmLocateProperty
    Inherits System.Web.UI.Page

    Public aCanView As Boolean = False 
    Public aPageNotFound As Boolean = True 

    Private Function ValidateUser() As Boolean
        Dim aCurrentUser As FrontEnd.User = Session("CurrentUser")

        If aCurrentUser Is Nothing OrElse (aCurrentUser.IsAdmin = False AndAlso aCurrentUser.IsAgent = False AndAlso aCurrentUser.IsSuperUser = false) Then Return False
       
        Return True
    End Function
    
    Private Sub Backend_FrmLocateProperty_Load(sender As Object, e As EventArgs) Handles Me.Load
        Dim propertyId As Integer, requestId As Integer 

        If ValidateUser() = False Then 
            aCanView = false
            Return 
        Else
            aCanView = true
        End If

        If Me.IsPostBack = False Then
           If Request.QueryString("id") Is Nothing OrElse Request.QueryString("id").ToString().Trim() = "" Then
                aPageNotFound = True
                Return 
            End If

            If Request.QueryString("id") IsNot Nothing AndAlso Request.QueryString("id").ToString().ToLower().StartsWith("cr-") Then
                If Request.QueryString("id").ToString().Length < 4 Then
                    aPageNotFound = True
                    Return                 
                End If

                Dim aRId As Object = Request.QueryString("id").ToString().Substring(3)
                If IsNumeric(aRID) = False OrElse CInt(aRId) < 1 Then
                    aPageNotFound = True
                    Return 
                End If

                aPageNotFound = False
                HttpContext.Current.Response.Redirect("frmClientsRequests2.aspx?id=" & aRID, True)
            Else
                propertyId = BackEnd.Prop.ResolveProperty(Request.QueryString("id"))
                If propertyId < 1 Then 
                    aPageNotFound = True
                    Return 
                End If

                aPageNotFound = False
                HttpContext.Current.Response.Redirect("frmItems2.aspx?id=" & propertyId, True)
            End If
        End If
    End Sub
End Class
