﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="FrmPO2.aspx.vb" Inherits="Backend_FrmPO2" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    
    <!-- Stylesheet -->
	<link rel="stylesheet" href="css/bootstrap.min.css" />

    <link rel="stylesheet" href="css/theme.bootstrap_4.min.css" />

    <!-- Context Menu 2.7.1 -->
    <link rel="stylesheet" href="css/contextmenu-2-7-1/jquery.contextMenu.min.css" />

	<link href="js/tag/tagsinput.css" rel="stylesheet" type="text/css" />
	 
    <link rel="stylesheet" href="js/jquery-ui1.11.2.css"/>

    <link rel="stylesheet" href="fontawesome/css/font-awesome.min.css" />

    <!--My Every Page -->
    <link rel="Stylesheet" href="css/page.css" />


	<!-- JavaScript -->
    <script src="js/jquery1.11.1.min.js"></script>

    <script src="js/jquery-ui1.11.2.min.js"></script>

	<script src="js/popper.min.js"></script>

	<script src="js/bootstrap.min.js"></script>

    <!-- Context Menu 2.7.1 -->
    <script src="js/contextmenu-2-7-1/jquery.contextMenu.min.js"></script>
    <script src="js/contextmenu-2-7-1/jquery.ui.position.js"></script>

	<script src="js/tag/tagsinput.js"></script>

    <script src="Js/movablediv.js"></script>

    <script src="js/utils.js"></script>
       

    <style>
        .spinnerOuterContainer{
            visibility:hidden;
            width:100%;
            height:100%;
            position:absolute;
            left:0;
            top:0;
            background-color:transparent;
            display:flex;
            align-items:center;
            justify-content:center;
            z-index:9999;
        }

        .spinnerInnerContainer{
            width:200px;
            height: 200px;
            background-color:transparent;
            display:flex;
            align-items:center;
            justify-content:center;
        }

        .toolbar{
            justify-content:space-between !important;
            padding-top:6px !important;
            padding-bottom:8px !important;
        }

        .cell{
            display: flex;
            flex-direction:column;
            margin-left:8px;
        }
        
        .ig_ClaymationControl, #GV{
            color:rgba(0,0,0,0.4);     
            border-color:rgba(0,0,0,0.1) !important ;    
        }

        .ig_ClaymationControl td, .ig_ClaymationControl th, #GV td, #GV th{
            color:black ;   
            border-color:rgba(0,0,0,0.1) !important ;    
            font-weight:400 !important;
            border-left:none !important;
            border-right:none !important;
        }   

        #GV tbody > tr:first-of-type{
            background-color:#f7f8fa !important;
        }

        #GV th {
            font-weight: 700 !important;
        }

        #GV td, #GV th{
            padding-left:8px;
            padding-right:8px;
        }

        #GV tr{
            height: 30px !important;
        }
        th{
            font-weight:400 !important;
        }

    </style>

    <!--Popups-->
    <style>
        #popupPo{
            display: none;
            position:absolute;
            z-index:999;
            left:0;
            right:0;
            top:0;
            bottom:0;
            background-color:#F7F8FA;
            width:100%;
            height: 100%;
            justify-content:center;
            /*align-items:center;*/
        }

        #popupPoInner{
            display:flex;
            flex-direction:column;
            position:absolute;
            z-index:9999;
            /*left:45px;*/
            top:75px;
            /*width:calc(100% - 90px);*/
            max-width: 1200px;
            min-width: 60%;
            /*margin-left: auto;
            margin-right:auto;*/
            /*border: 1px solid transparent;*/ /*#008fe2;*/
            box-shadow:rgba(0, 0, 0, 0.14) 0px 24px 38px 3px, rgba(0, 0, 0, 0.12) 0px 9px 46px 8px, rgba(0, 0, 0, 0.2) 0px 11px 15px -7px;
            border-radius:8px;
            background-color:white;
        }

        #popupPo .content{
            margin-top:0px;
            display: flex;
            flex-direction:column;
            margin: 0px 16px 32px 16px;/*0px 0 8px 8px;*/
            /*padding-right:8px;*/
            /*max-height:500px;*/
            overflow-y:auto;
            background-color:white;
        }

        #popupPo .header{
            border-bottom: none; /*1px solid #008fe2;*/
            background-color: white;
            margin: 16px 16px 0px 16px;
            padding-bottom:0;
        }
        .cell1{
            display:flex;
            flex-direction:column;
            flex:1;
        }
    </style>

    <!--Context Menu-->
    <style>
        /*The below is the class given to the main menu div and the div of every parent; by default it has a vertical padding; the below code removes this padding*/
        .context-menu-list{
            padding-top:0 !important;
            padding-bottom: 0 !important;
        }
        .parent1{
            color:red !important;
        }

        .parent2{
            background-color: yellow !important;
        }

        .myHover{
            /*color:yellow !important;
            background-color:orange !important;*/
        }
    </style>

    <style>
        .toolbar {
            justify-content: space-between !important;
            padding-top:6px !important;
            padding-bottom:6px !important;
        }

    .content{
        display: flex;
        flex-direction:column;            
    }

    .cell{
        display:flex;
        flex-direction:column;
    }

    .cell1{
        display:flex;
        flex-direction:column;
        flex:1;
    }

    .row{
        display: flex;
        margin-left:0;
        margin-right:0;
        padding:0px 0px;
    }

    #Cmd_Go{
        margin-left: 6px;
        margin-top:1px;
        padding: 3px 8px;
    }

    .errorDiv {
        color: red;
        font-weight: 600;
        padding: 8px;
        border: 1px solid red;
        margin:9px 6px;
    }

</style>

    <!--Style for autocomplete WHEN IN POPUP -->
    <style>
        .ui-autocomplete{
            z-index: 99999 !important;
        }
    </style>


    <!-- Style for Tags -->
    <style>
        .bootstrap-tagsinput{
            margin-top:3px !important;
        }

        .bootstrap-tagsinput > input{
            min-height:60px !important;
        }

        .toolbar .bootstrap-tagsinput{
            margin-top: 6px !important;
        }

        .toolbar .bootstrap-tagsinput > input{
            min-height:30px !important;
        }
    </style>
</head>

<body onload="loadMe()">
    <div class="spinnerOuterContainer">
        <div class="spinnerInnerContainer">
            <div class="spinner-grow text-muted spinner-grow-sm"></div>
            <div class="spinner-grow text-primary spinner-grow-sm"></div>
            <div class="spinner-grow text-success spinner-grow-sm"></div>
            <div class="spinner-grow text-info spinner-grow-sm"></div>
        </div>
    </div>

    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" LoadScriptsBeforeUI="false">
        </asp:ScriptManager>

        <asp:HiddenField ID="HF_Exit" runat="server" />
        <asp:HiddenField ID="HF_ExitTo" runat="server" />        
        <asp:HiddenField ID="HF_ExitMessage" runat="server" />

        <!--Context Menu -->
        <div style="display:none;" class="dynamicMenu">
             Dynamic Menu
        </div>

        <div class="root">
            <div class="toolbar" style="justify-content:space-between !important;">
                <div style="display:flex;">
                    <div style="color:#008ef2 !important; font-weight:700;">
                        Potential Owners
                    </div>
                </div>

                <div style="display:flex;">
                    <div style="display:flex; justify-content:flex-end;">
                        <div class="cell">
                            <asp:Label ID="Label1" runat="server" text="&nbsp;" CssClass="lbl" />
                            <asp:Image ID="Img_Status" runat="server" ImageUrl="~/BackEnd/App_Photos/Ico_Success.png" style="display:none;" />
                        </div>
                    </div>

                    <div style="display:flex; justify-content:flex-end;">
                        <div style="display:flex;justify-content:flex-end;flex-direction:column;">
                            <div style="display:flex;">
                                <div class="cell" style="">
                                    <asp:Label ID="Lbl_Status" runat="server" Text="Status" CssClass="lbl" />
                                    <asp:DropDownList ID="Cmb_Status" runat="server" CssClass="form-control dropDown" />
                                </div>

                                <!--Can search by agent only if S.U. -->
                                <%
                                    If aCurrentUser IsNot Nothing AndAlso (aCurrentUser.IsAdmin=True OrElse aCurrentUser.IsSuperUser=True) Then
                                %>  
                                       <div class="cell">
                                        <asp:Label ID="Lbl_Agent" runat="server" Text="Agent" CssClass="lbl" />
                                        <asp:DropDownList ID="Cmb_Agents" runat="server" CssClass="form-control dropDown" />
                                      </div>
                                <%  
                                    End If
                                %>

                                <div class="cell" style="">
                                    <div style="display:flex;justify-content:space-between;">
                                        <span class="lbl">Tags</span>
                                        <asp:CheckBox ID="Chk_TagsAnd" runat="server" Text="AND" CssClass="custom-control custom-checkbox"></asp:CheckBox>
                                    </div>
                                    <asp:TextBox ID="Txt_TagsSearch" style="min-height:30px !important;" runat="server" CssClass="form-control txt"></asp:TextBox>
                                </div>

                                <div class="cell" style="justify-content:flex-end">
                                    <asp:Button ID="Cmd_View" runat="server" Text="View" CssClass="btn btnToolbar" OnClientClick="onSearchClick(); return false;"/>
                                </div>

                                <div class="cell" style="justify-content:flex-end;margin-left:20px;">
                                    <asp:Button ID="Cmd_New" runat="server" Text="New" CssClass="btn btnToolbar btnGreen" OnClientClick="cmdNewClicked(); return false;"/>
                                </div>
                            </div>

                            <div style="display:flex;justify-content:flex-end;">
                                <div class="cell" style="flex:1;">
                                    <input id="Tg_TagsSearch" data-role="tagsinput " class="form-control txt tagHeight" style="margin-top:3px;" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <% If aError IsNot Nothing AndAlso aError <> "" %>
                <div class="errorDiv">
                    <%= aError %>
                </div>
            <%End If %>

            <div class="content">
                <asp:GridView ID="GV" runat="server" AutoGenerateColumns="false"  Width="100%" PageSize="9999" ShowHeader="true" CssClass="grid">
                    <Columns>       
                        <asp:BoundField DataField="ID" ItemStyle-CssClass="hidden" HeaderStyle-CssClass="hidden"  />  
                        
                        <asp:TemplateField HeaderText="Name">
                            <ItemTemplate> 
                                <asp:Label ID="Txt_EntryName" runat="server" Visible="true" CssClass="TextBox hPadding" Width="100%" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign ="Center"></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>  

                        <asp:TemplateField HeaderText="Agent">
                            <ItemTemplate> 
                                <asp:Label ID="Txt_Agent" runat="server" Visible="true" CssClass="TextBox hPadding" Width="100%" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign ="Center"></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>

                        <asp:TemplateField HeaderText="Cell">
                            <ItemTemplate> 
                                <asp:Label ID="Txt_Cell" runat="server" Visible="true" CssClass="TextBox hPadding" Width="100%" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign ="Center"></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>

                        <asp:TemplateField HeaderText="Phone">
                            <ItemTemplate> 
                                <asp:Label ID="Txt_Phone" runat="server" Visible="true" CssClass="TextBox hPadding" Width="100%" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign ="Center"></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>

                        <asp:TemplateField HeaderText="Email">
                            <ItemTemplate> 
                                <asp:Label ID="Txt_Email" runat="server" Visible="true" CssClass="TextBox hPadding" Width="100%" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign ="Center"></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>

                        <asp:TemplateField HeaderText="Info">
                            <ItemTemplate> 
                                <asp:Label ID="Txt_Info" runat="server" Visible="true" CssClass="TextBox hPadding" Width="100%" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign ="Center"></asp:Label>
                            </ItemTemplate>
                        </asp:TemplateField>

                    </Columns>

                    <RowStyle Height="26px" />
                    <HeaderStyle BackColor="LightGray"  Height="26px" />
                    <EditRowStyle Height="26px" />
                    <AlternatingRowStyle BackColor="White" />
                </asp:GridView>
            </div>

        </div>


        <!--PopupPo-->
        <div id="popupPo">
            <div id="popupPoInner" class="movableDiv">
                <div id="popupPoInnerheader" class="popupToolbar header">
                    <asp:Button ID="Cmd_Save" runat="server" Text="Save" CssClass="btn btnToolbar" style="margin-right:12px;" OnClientClick="cmdSaveClicked(); return false;"  />
                    <asp:Button ID="Cmd_Close" runat="server" Text="Close" CssClass="btn btnToolbar"  OnClientClick="hidePopup(); return false;" />
                </div>

                <div class="content">
                    <div class="row">
                        <div class="cell1">
                            <span class="lbl" style="">Name*</span>
                            <asp:TextBox ID="Txt_Name" runat="server" CssClass="form-control txt"></asp:TextBox>
                        </div>
                        <div class="cell1" style="margin-left:14px;">
                            <span class="lbl" style="">Cell*</span>
                            <asp:TextBox ID="Txt_Cell" runat="server" CssClass="form-control txt"></asp:TextBox>
                        </div>
                        <div class="cell1" style="margin-left:14px;">
                            <span class="lbl">Phone</span>
                            <asp:TextBox ID="Txt_Phone" runat="server" CssClass="form-control txt"></asp:TextBox>
                        </div>
                    </div>

                    <div class="row" style="margin-top:8px">
                        <div class="cell1" >
                            <span class="lbl">Email</span>
                            <asp:TextBox ID="Txt_Email" runat="server" CssClass="form-control txt"></asp:TextBox>
                        </div>
                        <div class="cell1" style="margin-left:14px;">
                            <span class="lbl">Company</span>
                            <asp:TextBox ID="Txt_Company" runat="server" CssClass="form-control txt"></asp:TextBox>
                        </div>
                        <div class="cell1" style="margin-left:14px;">
                            <span class="lbl">Address</span>
                            <asp:TextBox ID="Txt_Address" runat="server" CssClass="form-control txt"></asp:TextBox>
                        </div>
                    </div>

                    <div class="row" style="margin-top:8px">
                        <div class="cell1">
                            <span class="lbl">Agent</span>
                            <asp:DropDownList ID="Cmb_Agent" runat="server" CssClass="form-control dropDown"></asp:DropDownList>
                        </div>

                        <div class="cell1" style="margin-left:14px;">
                            <span class="lbl">Info</span>
                            <asp:TextBox ID="Txt_Info" runat="server"  CssClass="form-control txt" style="min-width:220px;"></asp:TextBox>
                        </div>

                        <div class="cell1" style="margin-left:14px;">
                            <span class="lbl">&nbsp;</span>
                            <asp:CheckBox ID="Chk_IsActive" runat="server" Text="Is Active" CssClass="custom-control custom-checkbox"></asp:CheckBox>
                        </div>
                    </div>

                    <div class="row" style="margin-top:8px">
                        <span class="lbl">Tags</span>
                        <asp:TextBox ID="Txt_Tags" runat="server" CssClass="form-control txt"></asp:TextBox>
                        <input id="Tg_Tags" data-role="tagsinput " class="form-control txt tagHeight" style="margin-top:3px;" />
                    </div>
                </div>
            </div>
        </div>

    </form>

    <script id="jsGeneric" type="text/javascript">

      var selectedEntryId = "";
      var selectedEntry = null;

      function loadMe()
      {
          //Handle checkboxes look
          $(".custom-checkbox input").addClass("custom-control-input");
          $(".custom-checkbox label").addClass("custom-control-label");

          //Handle Redirect/Transfer + MOVABLE popups
          if (document.getElementById("HF_Exit").value == "exit") {
              if (document.getElementById("HF_ExitMessage").value != "")
                  alert(document.getElementById("HF_ExitMessage").value);

              var aExitTo = document.getElementById("HF_ExitTo").value;

              if (aExitTo.substring(0, 1) == "1") {
                  if (window.parent.parent)
                      window.parent.parent.location = aExitTo.substring(1);
                  else if (window.parent)
                      window.parent.location = aExitTo.substring(1);
              }

              else {
                  if (window.parent.document.getElementById('myIframe'))
                      window.parent.document.getElementById('myIframe').src = aExitTo.substring(1);
                  else if (window.parent)
                      window.parent.location = aExitTo.substring(1);
              }
          }
          else {
              makeElementMovable(document.getElementById("popupPoInner"));
          }
        } 

        function showSuccessIcon(delay = 3000) {
            var icon = $("#<%=Img_Status.ClientID%>");

            icon.show();

            window.setTimeout(function () { icon.hide(); }, delay);
        }
    </script>


    <!-- Spinner -->
    <script id="jsSpinner" type="text/javascript">
        function showSpinner() {
            $(".spinnerOuterContainer").css("visibility", "visible");
        }

        function hideSpinner(){
            $(".spinnerOuterContainer").css("visibility", "hidden");
        }
    </script>


    <!--ContextMenu-->
    <script id="jsContextMenu" type="text/javascript">
        function bindGridEvents() {
            $(".grid tr").mousedown(function (event) {

                if (event.which == 3) {
                    var td = $(this).find(">:first-child");
                    var id = td.html();

                    if (isStrictlyPositiveNumber(id)) {
                        selectedEntryId = id;
                        selectedEntry = $(this);

                        $(".dynamicMenu").contextMenu({ x: event.clientX, y: event.clientY });
                    }
                }

            });
        }

        $(document).ready(function () {
            bindGridEvents();

            //Bind context menu
            $.contextMenu({
                selector: ".dynamicMenu",//The item that when click the popupmenu appears
                itemClickEvent: "click",//otherwise both click and right-click will fire the click handler
                classNames: {
                    //Add a class only if you want to override its corresponding appearance
                    //hover: 'myHover',          // Item hover
                    //disabled: 'disabled',       // Item disabled
                    //visible: 'visible',        // Item visible
                },

                build: function ($trigger, e) {
                    var items = {
                        "edit": { name: "Edit", icon: "fa-pencil-square-o" },
                        "sep1": "---------",
                        "activate": { name: "Activate", icon:"fa-check-circle-o" },
                        "deactivate": { name: "Deactivate", icon: "fa-ban" },
                        "sep2": "---------",
                        "transform": { name: "Transform Into Owner", icon:"fa-magic" },
                        "sep3": "---------",
                        "delete": { name: "Delete", icon: "fa-trash" }
                    };

                    return {
                        callback: function (key, options) {
                            if (key == "edit") {
                                $(".dynamicMenu").contextMenu("hide");

                                showSpinner();

                                //Call API
                                $.ajax({
                                    url: "WSPotentialOwners.asmx/Load",
                                    data: JSON.stringify({ 'id': selectedEntryId }),
                                    dataType: "json",
                                    type: "POST",
                                    contentType: "application/json; charset=utf-8",
                                    success: function (data) {
                                        hideSpinner();

                                        if (data.Succeeded.toString().toLowerCase() == "false") {
                                            alert(data.ErrorMessage);
                                            return;
                                        }
                                        else {
                                            //Bind
                                            var loadedEntity = data.Data;

                                            //selectedPOId = selectedEntryId;
                                            mode = 2;

                                            //Bind Controls
                                            document.getElementById("<%=Txt_Name.ClientID%>").value = loadedEntity.Name;
                                            document.getElementById("<%=Txt_Company.ClientID%>").value = loadedEntity.CoName;
                                            document.getElementById("<%=Txt_Cell.ClientID%>").value = loadedEntity.Cell;
                                            document.getElementById("<%=Txt_Phone.ClientID%>").value = loadedEntity.Phone;
                                            document.getElementById("<%=Txt_Email.ClientID%>").value = loadedEntity.Email;
                                            document.getElementById("<%=Txt_Address.ClientID%>").value = loadedEntity.Address;
                                            document.getElementById("<%=Txt_Info.ClientID%>").value = loadedEntity.Info;
                                            document.getElementById("<%=Chk_IsActive.ClientID%>").checked = loadedEntity.IsActive;
                                            document.getElementById("<%=Cmb_Agent.ClientID%>").value = loadedEntity.AgentId;
                                            document.getElementById("<%=Txt_Tags.ClientID%>").value = "";

                                            //Handle Tags
                                            clearTag("TG_Tags");

                                            var tagsIds = loadedEntity.TagsIds;
                                            var tagsTitles = loadedEntity.TagsTitles;

                                            if (tagsIds && tagsIds.trim() != "") {
                                                var tagsIdsArr = tagsIds.split(",");
                                                var tagsTitlesArr = tagsTitles.split(",");

                                                if (tagsIds && tagsIds.length > 0) {
                                                    for (var i = 0; i < tagsIdsArr.length; i++) {
                                                        addToTag("Tg_Tags", tagsIdsArr[i], tagsTitlesArr[i]);
                                                    }
                                                }
                                            }

                                            showPopup();
                                        }
                                    },
                                    error: function (XMLHttpRequest, textStatus, errorThrown) {
                                        hideSpinner();

                                        alert("An error occured.");
                                    }
                                });

                            }
                            else if (key == "activate") {
                                $(".dynamicMenu").contextMenu("hide");

                                showSpinner();

                                //Call API
                                $.ajax({
                                    url: "WSPotentialOwners.asmx/Activate",
                                    data: JSON.stringify({ 'id': selectedEntryId, 'isActive': 'true' }),
                                    dataType: "json",
                                    type: "POST",
                                    contentType: "application/json; charset=utf-8",
                                    success: function (data) {
                                        hideSpinner();

                                        if (data.Succeeded.toString().toLowerCase() == "false") {
                                            alert(data.ErrorMessage);
                                            return;
                                        }
                                        else {
                                            if (selectedEntry) {
                                                var status = document.getElementById("<%=Cmb_Status.ClientID%>").value;

                                                if (status == "2")//ALL statuses
                                                    selectedEntry.find("td").css('color', 'black');
                                                else if (status == "0")
                                                    selectedEntry.remove();
                                            }

                                            showSuccessIcon();
                                        }
                                    },
                                    error: function (XMLHttpRequest, textStatus, errorThrown) {
                                        hideSpinner();

                                        alert("An error occured.");
                                    }
                                });
                            }
                            else if (key == "deactivate") {
                                $(".dynamicMenu").contextMenu("hide");

                                showSpinner();

                                //Call API
                                $.ajax({
                                    url: "WSPotentialOwners.asmx/Activate",
                                    data: JSON.stringify({ 'id': selectedEntryId, 'isActive': 'false' }),
                                    dataType: "json",
                                    type: "POST",
                                    contentType: "application/json; charset=utf-8",
                                    success: function (data) {
                                        hideSpinner();

                                        if (data.Succeeded.toString().toLowerCase() == "false") {
                                            alert(data.ErrorMessage);
                                            return;
                                        }
                                        else {
                                            if (selectedEntry) {
                                                var status = document.getElementById("<%=Cmb_Status.ClientID%>").value;
                                                if (status == "2")
                                                    selectedEntry.find("td").css('color', 'red');
                                                else if (status == "1")
                                                    selectedEntry.remove();
                                            }

                                            showSuccessIcon();
                                        }
                                    },
                                    error: function (XMLHttpRequest, textStatus, errorThrown) {
                                        hideSpinner();

                                        alert("An error occured.");
                                    }
                                });
                            }
                            else if (key == "delete") {
                                $(".dynamicMenu").contextMenu("hide");

                                if (!confirm("Are you sure that you want to delete the selected potential owner?"))
                                    return;

                                showSpinner();

                                //Call API
                                $.ajax({
                                    url: "WSPotentialOwners.asmx/Delete",
                                    data: JSON.stringify({ 'id': selectedEntryId }),
                                    dataType: "json",
                                    type: "POST",
                                    contentType: "application/json; charset=utf-8",
                                    success: function (data) {
                                        hideSpinner();

                                        if (data.Succeeded.toString().toLowerCase() == "false") {
                                            alert(data.ErrorMessage);
                                            return;
                                        }
                                        else {
                                            if (selectedEntry)
                                                selectedEntry.remove();
                                            showSuccessIcon();
                                        }
                                    },
                                    error: function (XMLHttpRequest, textStatus, errorThrown) {
                                        hideSpinner();

                                        alert("An error occured.");
                                    }
                                });
                            }
                            else if (key == "transform") {
                                $(".dynamicMenu").contextMenu("hide");

                                if (!confirm("Are you sure that you want to transform the selected potential owner into an owner?"))
                                    return;

                                showSpinner();

                                //Call API
                                $.ajax({
                                    url: "WSPotentialOwners.asmx/TransformIntoOwner",
                                    data: JSON.stringify({ 'id': selectedEntryId }),
                                    dataType: "json",
                                    type: "POST",
                                    contentType: "application/json; charset=utf-8",
                                    success: function (data) {
                                        hideSpinner();

                                        if (data.Succeeded.toString().toLowerCase() == "false") {
                                            alert(data.ErrorMessage);
                                            return;
                                        }
                                        else {
                                            if (selectedEntry)
                                                selectedEntry.remove();
                                            showSuccessIcon();
                                        }
                                    },
                                    error: function (XMLHttpRequest, textStatus, errorThrown) {
                                        hideSpinner();

                                        alert("An error occured.");
                                    }
                                });
                            }
                        },
                        items: items                        
                    };
                }
            });

            //Call search when form loads
            onSearchClick();

            //Initialize Tag
            $(".tagHeight").tagsinput({
                allowDuplicates: false,
                itemValue: 'id',  // this will be used to set id of tag
                itemText: 'title' // this will be used to set text of tag
            });

            $(".bootstrap-tagsinput > input").prop("readonly", true);


            makeTxtTagsAutoComplete();

            makeTxtTagsSearchAutoComplete();


            $("#<%= Txt_Tags.ClientID%>").on("keypress", function (e) {
                  if ( e.which == 13 ) {
                      e.preventDefault();
                      addNewTag("Tg_Tags", document.getElementById("<%=Txt_Tags.ClientID%>").value);
                      document.getElementById("<%=Txt_Tags.ClientID%>").value = "";
                  }
            });

        });


        function makeTxtTagsAutoComplete() {
            $("#<%= Txt_Tags.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSTag.asmx/GetTagsStartingWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val2,
                                    value: item.Val2,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    addToTag("Tg_Tags", ui.item.val1 , ui.item.val2);
                    window.setTimeout(function () { document.getElementById("<%=Txt_Tags.ClientID%>").value = ""; }, 100);
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {

            var li = "<li style='display:flex;'></li>";

            return $(li)
                .attr("data-value", item.val2)
                .append("<span style='display:flex;'>" + item.val2 + "</span>")
                .appendTo(ul);
            };
        }

        function makeTxtTagsSearchAutoComplete() {
            $("#<%= Txt_TagsSearch.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSTag.asmx/GetTagsStartingWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val2,
                                    value: item.Val2,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    addToTag("Tg_TagsSearch", ui.item.val1 , ui.item.val2);
                    window.setTimeout(function () { document.getElementById("<%=Txt_TagsSearch.ClientID%>").value = ""; }, 100);
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {

            var li = "<li style='display:flex;'></li>";

            return $(li)
                .attr("data-value", item.val2)
                .append("<span style='display:flex;'>" + item.val2 + "</span>")
                .appendTo(ul);
            };
        }


        function onSearchClick() {
            var aAgentId = 0;
            var aIsActive = 2;
            var aTagsIds = getIdsAsString("Tg_TagsSearch");
            var aTagsAnd = document.getElementById("<%=Chk_TagsAnd.ClientID%>").checked;
            var aCurrentUserId = 0;

            <% If aCurrentUser Is Nothing Then %>
                aCurrentUserId = -1;
            <%ElseIf aCurrentUser.IsAdmin = False AndAlso aCurrentUser.IsSuperUser=False%>
                aCurrentUserId = <%=aCurrentUser.ID %>;
            <%End If%>


            var cmbStatus = document.getElementById("<%=Cmb_Status.ClientID%>");
            var cmbAgent = document.getElementById("<%=Cmb_Agents.ClientID%>");

            if (cmbStatus.value == "1" || cmbStatus.value == "0")
                aIsActive = cmbStatus.value;

            if (cmbAgent)
                aAgentId = cmbAgent.value;


            //Show spinner
            showSpinner();

            //Clear Grid
            $("#<%=GV.ClientID%>").empty();


            //Call API
            $.ajax({
                url: "WSPotentialOwners.asmx/Search",
                data: JSON.stringify({ 'isActive': aIsActive, 'tagsIds':aTagsIds, 'tagsAnd': aTagsAnd, 'agentId': aAgentId, 'userId': aCurrentUserId }),
                dataType: "json",
                type: "POST",
                contentType: "application/json; charset=utf-8",
                success: function (data) {
                    bindGrid(data);

                    hideSpinner();

                    if (data.length < 1) {
                        //alert("No matches found.");
                        return;
                    }
                },
                error: function (XMLHttpRequest, textStatus, errorThrown) {
                    hideSpinner();

                    alert("Error fetching data.");
                }
            });
        }

        function bindGrid(arr) {
            $("#<%=GV.ClientID%>").empty();

            $("#<%=GV.ClientID%>").append("<tr><th style='display:none'>ID</th><th>Name</th><th>Agent</th><th>Cell</th><th>Phone</th><th>Email</th><th>Info</th></tr>");


            if (arr.length > 0) {
                for (var i = 0; i < arr.length; i++) {
                    if (arr[i].Val7.toString() == "0")
                        $("#<%=GV.ClientID%>").append("<tr style='color:red'><td style='display:none'>" + arr[i].Val1 + "</td><td style='color:red !important'>" + arr[i].Val2 + "</td><td style='color:red !important'>" + arr[i].Val8 + "</td><td style='color:red !important'>" + arr[i].Val3 + "</td><td style='color:red !important'>" + arr[i].Val4 + "</td><td style='color:red !important'>" + arr[i].Val5 + "</td><td style='color:red !important'>" + arr[i].Val6 + "</td></tr>");
                    else
                        $("#<%=GV.ClientID%>").append("<tr><td style='display:none'>" + arr[i].Val1 + "</td><td>" + arr[i].Val2 + "</td><td>" + arr[i].Val8 + "</td><td>" + arr[i].Val3 + "</td><td>" + arr[i].Val4 + "</td><td>" + arr[i].Val5 + "</td><td>" + arr[i].Val6 + "</td></tr>");
                }

                window.parent.postMessage({ message: 'refreshIFrameHeight' }, 'http://localhost:56038');

                bindGridEvents();
            }
        }
    </script>


    <!--Popups-->
    <script>
        //var selectedPOId = 0;
        var mode = -1;
        var needToRefresh = false;

        function showPopup(delay=400) {
            needToRefresh = false;

            $("#popupPo").css("display", "flex").hide().fadeIn(delay, function () {
                $("#<%=Txt_Name.ClientID%>").focus();                
            });
        }

        function hidePopup() {
            $("#popupPo").fadeOut();

            //selectedPOId = 0;
            selectedEntry = null;
            selectedEntryId = "";
            mode = -1;

            if (needToRefresh == true) {
                needToRefresh = false;
                onSearchClick();
            }
        }

        function clearControls() {
            document.getElementById("<%=Txt_Name.ClientID%>").value = '';
            document.getElementById("<%=Txt_Company.ClientID%>").value = '';
            document.getElementById("<%=Txt_Cell.ClientID%>").value = '';
            document.getElementById("<%=Txt_Phone.ClientID%>").value = '';
            document.getElementById("<%=Txt_Email.ClientID%>").value = '';
            document.getElementById("<%=Txt_Address.ClientID%>").value = '';
            document.getElementById("<%=Txt_Info.ClientID%>").value = '';
            document.getElementById("<%=Chk_IsActive.ClientID%>").checked = true;
            document.getElementById("<%=Cmb_Agent.ClientID%>").value = 0;
            document.getElementById("<%=Txt_Tags.ClientID%>").value = "";

            clearTag("Tg_Tags");
        }

        function gotoNewMode() {
            //selectedPOId = 0;
            selectedEntry = null;
            selectedEntryId = "";
            mode = 1;

            clearControls();

            showPopup();
        }

        function cmdNewClicked() {
            gotoNewMode();
            return false;
        }

        function cmdSaveClicked() {
            var aErrors = "";
            var aUserId = 0, aUserIsAdmin=false, aUserIsSuperUser=false, aUserIsAgent=false;

            <%If aCurrentUser IsNot Nothing Then%>
                aUserId = <%=aCurrentUser.ID %>;
                aUserIsAdmin = "<%=aCurrentUser.IsAdmin %>";
                aUserIsSuperUser = "<%=aCurrentUser.IsSuperUser %>";
                aUserIsAgent = "<%=aCurrentUser.IsAgent %>";
            <%End If%>

            showSpinner();

            //Validate
            aErrors = validateForm();
            if (aErrors != "") {
                hideSpinner();

                alert(aErrors);

                return false;
            }

            //Create the object
            var aObj = { };
            var aTagsIds = "", aTagsTitles = "";

            aObj.name = document.getElementById("<%=Txt_Name.ClientID%>").value.trim();
            aObj.coName = document.getElementById("<%=Txt_Company.ClientID%>").value.trim();
            aObj.cell = document.getElementById("<%=Txt_Cell.ClientID%>").value.trim();
            aObj.phone = document.getElementById("<%=Txt_Phone.ClientID%>").value.trim();
            aObj.email = document.getElementById("<%=Txt_Email.ClientID%>").value.trim();
            aObj.address = document.getElementById("<%=Txt_Address.ClientID%>").value.trim();
            aObj.notes = "";
            aObj.info = document.getElementById("<%=Txt_Info.ClientID%>").value.trim();
            aObj.isActive = document.getElementById("<%=Chk_IsActive.ClientID%>").checked
            aObj.agentId = document.getElementById("<%=Cmb_Agent.ClientID%>").value;

            var items = $("#Tg_Tags").tagsinput('items');

            if (items || items.length >= 1) {
                for (var i = 0; i < items.length; i++) {
                    aTagsIds += "," + items[i].id.toString();
                    aTagsTitles += "," + items[i].title;
                }

                aTagsIds = aTagsIds.substr(1);
                aTagsTitles = aTagsTitles.substr(1);
            }
            
            //Proceed to saving
            if (mode == 1) {
                //Insert
                var pl = { 'name': aObj.name, 'coName': aObj.coName, 'cell': aObj.cell, 'phone': aObj.phone, 'email': aObj.email, 'address': aObj.address, 'notes': aObj.notes, 'info': aObj.info, 'isActive': aObj.isActive, 'agentId': aObj.agentId, 'userId': aUserId, 'userIsAdmin': aUserIsAdmin, 'userIsSuperUser': aUserIsSuperUser, 'userIsAgent': aUserIsAgent, 'tagsIds': aTagsIds, 'tagsTitles': aTagsTitles };

                //Call API
                $.ajax({
                    url: "WSPotentialOwners.asmx/Create",
                    data: JSON.stringify(pl),
                    type: "POST",
                    contentType: "application/json; charset=utf-8",
                    success: function (data) {
                        hideSpinner();

                        if (data.Succeeded.toString().toLowerCase() == "false") {
                            alert(data.ErrorMessage);
                            return;
                        }
                        else {
                            needToRefresh = true;
                            showSuccessIcon();
                            hidePopup();
                        }
                    },
                    error: function (XMLHttpRequest, textStatus, errorThrown) {
                        hideSpinner();

                        alert("An error occured.");
                    }
                });
            }
            else {
                //Update
                var pl = { id: selectedEntryId, 'name': aObj.name, 'coName': aObj.coName, 'cell': aObj.cell, 'phone': aObj.phone, 'email': aObj.email, 'address': aObj.address, 'notes': aObj.notes, 'info': aObj.info, 'isActive': aObj.isActive, 'agentId': aObj.agentId, 'userId': aUserId, 'userIsAdmin': aUserIsAdmin, 'userIsSuperUser': aUserIsSuperUser, 'userIsAgent': aUserIsAgent, 'tagsIds': aTagsIds, 'tagsTitles': aTagsTitles  };

                //Call API
                $.ajax({
                    url: "WSPotentialOwners.asmx/Update",
                    data: JSON.stringify(pl),
                    type: "POST",
                    contentType: "application/json; charset=utf-8",
                    success: function (data) {
                        hideSpinner();

                        if (data.Succeeded.toString().toLowerCase() == "false") {
                            alert(data.ErrorMessage);
                            return;
                        }
                        else {
                            needToRefresh = true;
                            showSuccessIcon();
                            hidePopup();
                        }
                    },
                    error: function (XMLHttpRequest, textStatus, errorThrown) {
                        hideSpinner();

                        alert("An error occured.");
                    }
                });
            }

            return false;
        }

        function validateForm() {
            var aErrors = "";
            var txtName = document.getElementById("<%=Txt_Name.ClientID %>");
            var txtCell = document.getElementById("<%=Txt_Cell.ClientID %>");
            var focusSet = false;

            if (txtName.value.trim() == "") {
                aErrors += "The name of the potential owner must be specified.\n";

                $("#<%=Txt_Name.ClientID%>").focus();
                focusSet = true;
            }

            if (txtCell.value.trim() == "") {
                aErrors += "The cell of the potential owner must be specified.\n";

                if (focusSet == false)
                    $("#<%=Txt_Cell.ClientID%>").focus();

                focusSet = true;
            }

            return aErrors;
        }

    </script>


    <script type="text/javascript" id="jsTags">
        function getIdsAsString(controlId) {
            var result = "";
            var resultArr = $("#" + controlId).val().split(",");

            if (resultArr && resultArr.length > 0) {
                for (var i = 0; i < resultArr.length; i++) 
                    result += resultArr[i] + ",";

                result = result.substr(0, result.length - 1);
            }

            return result;
        }

        function addToTag(controlId, id, title) {
            //If id or text (trimmed + insensitive) exists then return
            var items = $("#" + controlId).tagsinput('items');

            if (!items || items.length < 1) 
                $("#" + controlId).tagsinput("add", { "id": id , "title": title});    
            else {
                //Do NOT add if the id is there or a text (trimmed + insensitive)
                for (var i = 0; i < items.length; i++) {
                    if (items[i].title.trim().toLowerCase() == title.trim().toLowerCase() || items[i].id == id)
                        return;
                }

                $("#" + controlId).tagsinput("add", { "id": id , "title": title});    
            }
        }

        function clearTag(controlId) {
            $('#' + controlId).tagsinput('removeAll');
        }

        function getLowestNegativeTagId(controlId) {
            var result = 0;

            var items = $("#" + controlId).tagsinput('items');

            if (!items || items.length < 1)
                return result;

            for (var i = 0; i < items.length; i++) {
                if (items[i].id < 0) {
                    if (items[i].id < result)
                        result = parseInt(items[i].id);
                }
            }

            return result;
        }

        function addNewTag(controlId, title) {
            var items = $("#" + controlId).tagsinput('items');

            if (!items || items.length < 1) 
                addToTag(controlId, getLowestNegativeTagId(controlId) - 1, title);            
            else {
                //Check maybe the trimmed text is there
                for (var i = 0; i < items.length; i++) {
                    if (items[i].title.trim().toLowerCase() == title.trim().toLowerCase())
                        return;
                }

                addToTag(controlId, getLowestNegativeTagId(controlId) - 1, title);            
            }
        }
    </script>

</body>
</html>

