﻿Imports System.Data
Imports PDF, PDF.DAL.MSSQL

Partial Class Backend_FrmReports
    Inherits System.Web.UI.Page
       
    Protected Sub AddGrandTotals(aDT As DataTable) 
        Dim aDR As DataRow
        Dim sum As Integer = 0
        Dim c As Integer, r As Integer, val As integer

        aDT.Columns.Add(New DataColumn("Total", GetType(Integer)))

        For Each aDR in aDT.Rows
            sum = 0
            For c=1 To aDT.Columns.Count -2
                If(Integer.TryParse(aDR.Item(c).ToString(), val) = true)
                    sum += val
                End If
            Next

            aDR.Item(aDT.Columns.Count -1) = sum
        Next

        Dim aLastRow As DataRow= aDT.Rows.Add()
        aLastRow.Item(0) = "Total"

        For c=1 To aDT.Columns.Count -1
           sum = 0
           For r=0 To aDT.Rows.Count - 2
                If(Integer.TryParse(aDT.Rows.Item(r).Item(c).ToString(), val) = true)
                    sum += val
                End If
           Next
           aLastRow.Item(c) = sum
        Next
    End Sub

    Protected Function GetLookups() As DataSet
        Dim aConContext As ConnectionContext = New ConnectionContext()
        Dim aDB As ConnectionContextConnection = aConContext.ConnectionEntryFromMapping("KSARE.First")
        Dim aDS As DataSet
        Dim aSQL As string = "Select UR_ID as Id, UR_NAME as Name from Tbl_User Order By UR_Name;"

        aSQL += "Select SO_ID as Id, SO_Name as Name from Tbl_Source Order By SO_ID"

        aDS = DB.ReadDS_Text(aSql, Nothing, aDB.Connection, aDB.ConnectionString, Nothing, False, True, true)
        
        Return aDS
    End Function

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If(IsPostback)
            HF_IsFresh.Value="false"
        Else
            Dim currentMonth As Integer = Month(DateTime.Now)
            Dim currentMonthS As String = currentMonth.ToString()

            If(currentMonth.ToString().Length = 1)
               currentMonthS = "0" & currentMonth.ToString()
            End If 

            Dim today As Date = Now
            Dim lastDay As Integer = Date.DaysInMonth(today.Year, today.Month)

            txtSDate.Text = Year(Now) & "." & currentMonthS & ".01"
            txtEDate.Text = Year(Now) & "." & currentMonthS & "." & lastDay

            HF_IsFresh.Value="true"   
            
            cmbReports.Items.Add(New System.Web.UI.WebControls.ListItem("Details", 1))
            cmbReports.Items.Add(New System.Web.UI.WebControls.ListItem("Count Per Day", 2))
            cmbReports.Items.Add(New System.Web.UI.WebControls.ListItem("Agent By Source", 3))
            cmbReports.Items.Add(New System.Web.UI.WebControls.ListItem("City By Source", 4))

            cmbReports.SelectedIndex = 0
        End If
    End Sub


    Protected Sub GetReport1(sDate As String, eDate As string)
        'Details
        Dim aConContext As ConnectionContext = New ConnectionContext()
        Dim aDB As ConnectionContextConnection = aConContext.ConnectionEntryFromMapping("KSARE.First")

        Dim aSQL As String = "SELECT CONVERT(NVARCHAR(20), TBL_CLIENT.CT_DATE, 102) AS Date, IIF(CR_AGENT = 0, 'N/A', UR_NAME) AS Agent, IIF(CR_TYPE = 0, 'N/A', PT_NAME) AS Type, "
        aSQL += "IIF(CR_CITY = 0, 'N/A', CI_NAME) AS City, CT_RFNAME AS Source, LEFT(CT_INFO, 16) As Ref, CT_NAME as Client, CT_CELL AS Cell FROM TBL_CLIENT INNER JOIN TBL_CLIENTREQUESTLIST ON TBL_CLIENT.CT_ID=TBL_CLIENTREQUESTLIST.CR_CLIENT "
        aSQL += "LEFT OUTER JOIN TBL_USER ON TBL_CLIENTREQUESTLIST.CR_AGENT=TBL_USER.UR_ID LEFT OUTER JOIN TBL_PROPERTYTYPE ON CR_TYPE=PT_ID LEFT OUTER JOIN TBL_CITY ON CR_CITY=CI_ID "
        aSQL += "WHERE CT_DATE >= '" + sDate + "' AND CT_DATE <= '" + eDate + "' ORDER BY CT_DATE, UR_NAME"

        Dim aDT As DataTable = DB.ReadDT_Text(aSQL, Nothing, aDB.Connection, aDB.ConnectionString, Nothing, False, False, true)

        tblData.CssClass = "grid grid1"
        tblData.DataSource = aDT
        tblData.DataBind()
    End Sub

    Protected Sub GetReport2(sDate As String, eDate As string)
        'Details
        Dim aConContext As ConnectionContext = New ConnectionContext()
        Dim aDB As ConnectionContextConnection = aConContext.ConnectionEntryFromMapping("KSARE.First")

        Dim aSQL As String = "SELECT CONVERT(NVARCHAR(20), TBL_CLIENT.CT_DATE, 102) As Date, COUNT(CT_ID) AS Requests FROM TBL_CLIENT "
        aSQL += "WHERE CT_DATE >= '" + sDate + "' AND CT_DATE <= '" + eDate + "' GROUP BY CT_DATE ORDER BY CT_DATE"

        Dim aDT As DataTable = DB.ReadDT_Text(aSQL, Nothing, aDB.Connection, aDB.ConnectionString, Nothing, False, False, true)

        tblData.CssClass = "grid grid2"
        tblData.DataSource = aDT
        tblData.DataBind()
    End Sub

    Protected Sub GetReport3(sDate As String, eDate As string)
        'Details
        Dim aConContext As ConnectionContext = New ConnectionContext()
        Dim aDB As ConnectionContextConnection = aConContext.ConnectionEntryFromMapping("KSARE.First")
        Dim aDR As DataRow 
        Dim aDS As DataSet = GetLookups()
        Dim aDTSource As DataTable = aDS.Tables.Item(1)

        Dim aSQL As string = "SELECT Agent, "
        
        For Each aDR In aDTSource.Rows
            aSQL &= "[" & aDR("Id") & "] as [" & aDR("Name") & "], "
        Next

        aSQL = aSQL.Substring(0, aSQL.Length-2)

        aSQL &= " from (SELECT IIF(CR_AGENT = 0, 'N/A', UR_NAME) AS Agent, COUNT(CT_ID) AS Calls, TBL_SOURCE.SO_ID AS SOURCEID FROM TBL_CLIENT INNER JOIN TBL_CLIENTREQUESTLIST ON TBL_CLIENT.CT_ID=TBL_CLIENTREQUESTLIST.CR_CLIENT "
	    aSQL &= " INNER JOIN TBL_SOURCE ON CT_RFNAME=SO_NAME LEFT OUTER JOIN TBL_USER ON TBL_CLIENTREQUESTLIST.CR_AGENT=TBL_USER.UR_ID "
        aSQL &= "WHERE CT_DATE >= '" & sDate & "' AND CT_DATE <= '" & eDate & "' GROUP BY CT_DATE, CR_AGENT, UR_NAME, SO_ID) x pivot (sum(Calls) for sourceID in ("
        
        For Each aDR In aDTSource.ROws
            aSQL &= "[" & aDR("Id") & "], "
        Next

        aSQL = aSQL.Substring(0, aSQL.Length-2)

        aSQL &= ")) p"

        Dim aDT As DataTable = DB.ReadDT_Text(aSQL, Nothing, aDB.Connection, aDB.ConnectionString, Nothing, False, False, true)

        AddGrandTotals(aDT)

        tblData.CssClass = "grid grid3"
        tblData.DataSource = aDT
        tblData.DataBind()
    End Sub

    Protected Sub GetReport4(sDate As String, eDate As string)
        'Details
        Dim aConContext As ConnectionContext = New ConnectionContext()
        Dim aDB As ConnectionContextConnection = aConContext.ConnectionEntryFromMapping("KSARE.First")
        Dim aDR As DataRow 
        Dim aDS As DataSet = GetLookups()
        Dim aDTSource As DataTable = aDS.Tables.Item(1)

        Dim aSQL As string = "SELECT City, "
        
        For Each aDR In aDTSource.Rows
            aSQL &= "[" & aDR("Id") & "] as [" & aDR("Name") & "], "
        Next

        aSQL = aSQL.Substring(0, aSQL.Length-2)

        aSQL &= " from (SELECT IIF(CR_CITY = 0, 'N/A', CI_NAME) AS City, COUNT(CT_ID) AS Calls, TBL_SOURCE.SO_ID AS SOURCEID FROM TBL_CLIENT INNER JOIN TBL_CLIENTREQUESTLIST ON TBL_CLIENT.CT_ID=TBL_CLIENTREQUESTLIST.CR_CLIENT "
	    aSQL &= " INNER JOIN TBL_SOURCE ON CT_RFNAME=SO_NAME LEFT OUTER JOIN TBL_CITY ON CR_CITY=CI_ID "
        aSQL &= "WHERE CT_DATE >= '" & sDate & "' AND CT_DATE <= '" & eDate & "' GROUP BY CT_DATE, CI_ID, CR_CITY, CI_NAME, SO_ID) x pivot (sum(Calls) for sourceID in ("
        
        For Each aDR In aDTSource.ROws
            aSQL &= "[" & aDR("Id") & "], "
        Next

        aSQL = aSQL.Substring(0, aSQL.Length-2)

        aSQL &= ")) p"

        Dim aDT As DataTable = DB.ReadDT_Text(aSQL, Nothing, aDB.Connection, aDB.ConnectionString, Nothing, False, False, true)

        AddGrandTotals(aDT)

        tblData.CssClass = "grid grid4"
        tblData.DataSource = aDT
        tblData.DataBind()
    End Sub

    Private Sub cmdGo_Click(sender As Object, e As EventArgs) Handles cmdGo.Click
        If(cmbReports.SelectedIndex = 0)
            GetReport1(txtSDate.Text, txtEDate.Text)
        ElseIf (cmbReports.SelectedIndex = 1)
            GetReport2(txtSDate.Text, txtEDate.Text)
        ElseIf (cmbReports.SelectedIndex = 2)
            GetReport3(txtSDate.Text, txtEDate.Text)
        ElseIf (cmbReports.SelectedIndex = 3)
            GetReport4(txtSDate.Text, txtEDate.Text)
        End If 
    End Sub


End Class
