﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="SpinnerTest.aspx.vb" Inherits="Backend_SpinnerTest" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">

    <!-- jQuery library -->
    <script src="Js/jquery1.11.1.min.js"></script>

    <!-- Latest compiled JavaScript -->

    <title></title>

    <style>
        .spinnerOuterContainer{
            visibility:hidden;
            width:100%;
            height:100%;
            position:absolute;
            left:0;
            top:0;
            background-color:transparent;
            display:flex;
            align-items:center;
            justify-content:center;
        }

        .spinnerInnerContainer{
            width:200px;
            height: 200px;
            /*border: 2px solid rgba(0,0,0,0.1);*/
            background-color:white;
            display:flex;
            align-items:center;
            justify-content:center;
            border-radius:50%;
        }
    </style>

    <script>
        function showSpinner() {
            $(".spinnerOuterContainer").css("visibility", "visible");

            window.setTimeout(function () { hideSpinner(); }, 2000);
        }

        function hideSpinner(){
            $(".spinnerOuterContainer").css("visibility", "hidden");
        }
    </script>
</head>
<body>
    <div class="spinnerOuterContainer">
        <div class="spinnerInnerContainer">
            <div class="spinner-grow text-muted spinner-grow-sm"></div>
            <div class="spinner-grow text-primary spinner-grow-sm"></div>
            <div class="spinner-grow text-success spinner-grow-sm"></div>
            <div class="spinner-grow text-info spinner-grow-sm"></div>
        </div>
    </div>

    <form id="form1" runat="server">
        <div>
            <input type="button" value="Click Me" onclick="showSpinner(); return false;" />
        </div>
    </form>
</body>
</html>
