﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="TestTag.aspx.vb" Inherits="Backend_TestTag" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

    
	<!-- Stylesheet -->

	<link rel="stylesheet" href="css/bootstrap.min.css" />

	<link href="js/tag/tagsinput.css" rel="stylesheet" type="text/css" />
	 
	<link href="js/bootstrap-datepicker/dist/css/bootstrap-datepicker3.css" rel="stylesheet" type="text/css" />


	<!-- JavaScript -->
    <script src="js/jquery1.11.1.min.js"></script>

	<script src="js/popper.min.js"></script>

	<script src="js/bootstrap.min.js"></script>

	<script src="js/tag/tagsinput.js"></script>

    <script src="js/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js"></script>

    <style>
        .input-group-addon{
            padding: 6px 12px !important;
            font-size: 14px;
            font-weight: 400;
            line-height: 1;
            color: #555;
            text-align: center;
            background-color: #eee;
            border: 1px solid #ccc;
                border-top-width: 1px;
                border-right-width: 1px;
                border-bottom-width: 1px;
                border-left-width: 1px;
            border-radius: 4px;
        }

        .input-group-addon, .input-group-btn{
            white-space: nowrap;

            vertical-align: middle;
        }

        .input-group .form-control, .input-group-addon{
            display: table-cell;
        }

    </style>
</head>
<body>
    <form id="form1" runat="server">
        <div style="width:200px;">
	        <input id="t" data-role="tagsinput " class="leotta" style="width:200px;" />

            <br />
            <input type="button" value="B1" onclick="b1();" />
            <input type="button" value="B2" onclick="b2();" />

            <br /><br />       

        </div>

	    <div class="input-daterange input-group" id="datepicker" style="width:300px">

	        <input type="text" class="input-sm form-control" name="start" id="sDate" />

	        <span class="input-group-addon">to</span>

	        <input type="text" class="input-sm form-control" name="end" id="eDate" />
	    </div> 
        
        <input type="button" value="B3" onclick="b3();" />
        <input type="button" value="B4" onclick="b4();" />

    </form>

    <script>
        $(document).ready(function () {
            $('.input-daterange').datepicker({
                autoclose: true,
                clearBtn: true,
                format: 'M/dd/yyyy',
                keepEmptyValues: true,
                todayHighlight: true,
                showOnFocus: true,
                //toggleActive: false,
            });

            $("#sDate").on('changeDate', function (e) {
                //e.date is a date object
                //if (!e.date) => date is cleared
                console.log("sDate Change: ", e);
            });

	        $("#eDate").on('changeDate', function(e) {
                console.log("eDate Change: ", e);
	          });

            $("#t").tagsinput({
                allowDuplicates: true,
                itemValue: 'id',  // this will be used to set id of tag
                itemText: 'text' // this will be used to set text of tag
                //itemValue: function (item) {
                //    return item ? item.value : item;
                //},

                //itemText: function (item) {
                //    return item ? item.text : item;
                //},

                //itemTitle: function (item) {
                //    return item ? item.text : item;
                //}
            });

            $('#t').on('beforeItemAdd', function (event) {
                console.log("beforeItemAdd: ", event); //Access the add item as event.item.id/.text
              //event.cancel = true;
            });

            $(".bootstrap-tagsinput input").hide();
            $(".bootstrap-tagsinput").css("min-height", "26px");
            window.setTimeout(function () {  }, 1000);
        });
           
        function b1() {
            $("#t").tagsinput("add", { "id": 1 , "text": "jQuery"});
        }

         function b2() {
            console.log($("#t").val());
        }

        function b3() {
            $('#sDate').datepicker('setDate', '06/12/2018');
            $('#eDate').datepicker('setDate', '06/12/2019');
        }

        function b4() {
            console.log($('#sDate').datepicker('getDate'));
            console.log($('#eDate').datepicker('getDate'));//if no date => null is returned
        }
    </script>
</body>
</html>
