﻿<%@ Page Language="vb" AutoEventWireup="false"  CodeFile="frmAdminPanel.aspx.vb" Inherits="Backend_frmAdminPanel" %>

<%@ Register Assembly="Infragistics2.Web.v8.1, Version=8.1.20081.2013, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.LayoutControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics2.WebUI.Misc.v8.1, Version=8.1.20081.2013, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.WebUI.Misc" TagPrefix="igmisc" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">

<head id="Head1" runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
 
    <!-- Stylesheet -->
    <!-- jQuery-ui -->
    <link rel="stylesheet" href="js/jquery-ui1.11.2.css"/>

    <!-- Bootstrap -->
	<link rel="stylesheet" href="css/bootstrap.min.css" />

    <!-- Tablesorter -->
    <link rel="stylesheet" href="css/theme.bootstrap_4.min.css" />

    <!-- Context Menu 2.7.1 -->
    <link rel="stylesheet" href="css/contextmenu-2-7-1/jquery.contextMenu.min.css" />

    <!-- TagsInput -->
	<link href="js/tag/tagsinput.css" rel="stylesheet" type="text/css" />	 

    <!-- Datepicker -->
	<link href="js/bootstrap-datepicker/dist/css/bootstrap-datepicker3.css" rel="stylesheet" type="text/css" />

    <!-- Fontawesome -->
    <link rel="stylesheet" href="fontawesome/css/font-awesome.min.css" />

    <!-- Spinner -->
    <link rel="stylesheet" href="css/spinner.css" />

    <!-- My Alert -->
    <link rel="Stylesheet" href="css/alert.css" />

    <!--My Every Page -->
    <link rel="Stylesheet" href="css/page.css" />


	<!-- JavaScript -->
    <!-- jQuery -->
    <script src="js/jquery1.11.1.min.js"></script>

    <!-- jQuery-UI -->
    <script src="js/jquery-ui1.11.2.min.js"></script>

    <!-- Popper -->
	<script src="js/popper.min.js"></script>

    <!-- Bootstrap -->
	<script src="js/bootstrap.min.js"></script>

    <!-- Tablesorter -->
    <script src="js/jquery.tablesorter.js"></script>
    <script type="text/javascript" src="js/jquery.tablesorter.widgets.js"></script>

    <!-- Context Menu 2.7.1 -->
    <script src="js/contextmenu-2-7-1/jquery.contextMenu.min.js"></script>
    <script src="js/contextmenu-2-7-1/jquery.ui.position.js"></script>

    <!-- TagsInput -->
	<script src="js/tag/tagsinput.js"></script>

    <!-- Datepicker -->
    <script src="js/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js"></script>

    <!-- Movable -->
    <script src="Js/movablediv.js"></script>

    <!-- Utils -->
    <script src="js/utils.js"></script>
    
    <!-- My Alert -->
    <script src="js/alert.js"></script>


    <title>iSOLD - Admin Panel</title>
    
    <style type="text/css">
        * {
            box-sizing: border-box;  
            font-family:'Open Sans','Helvetica Neue',Helvetica,Arial,sans-serif, Nunito, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji" !important;
            font-size:0.95rem;
        }

        html, body{
            border: none !important;
            box-sizing:border-box !important;
            padding: 0 !important;
            margin: 0!important;
            height:100vh !important;
            overflow:auto !important;
        }

        .fa 
         { 
             font-family: 'FontAwesome' !important; 
         }

        .fa:hover{
        }

        .centerText{
            text-align:center;
        }

        .root{
            display:flex;
            flex-direction:column;
        }

        .root > .content{
            padding: 0 !important;
        }

        .top{
            display:flex;
            justify-content:space-between;
            align-items:center;
            height: 50px;
            min-height:50px;
            padding:0px 16px 0px 0;
            background-color: #008fe2;
            color:white;
            border-bottom:1.5px solid rgba(0,0,0,0.1);
        }

        .logo{
            height:100%;
            width:calc(15% + 2px);
            background-color:white;
            display:flex;
            flex-direction:column;
            justify-content:space-around;
            align-items:center;
        }

        .locator{
            display:flex;
        }

        .topRight{
            display:flex;
            align-items:center;
        }

        .toolbarItem{
            position:relative;
            display:flex;
            flex-direction:column; 
            justify-content:space-between;
            align-items:center; 
            margin-right:30px;
        }

        .toolbarIcon{
            color:white; 
            font-size:20px;
            margin-right:10px;
        }

        .toolbarIcon:hover {
            color:white;
        }

        .toolbarBadge{
            position:absolute; 
            bottom:12px; 
            left:15px; 
            color:red;
            background-color:white;
            border:1px solid transparent;
            border-radius:50%;
        }

        .content{
            display:flex;
        }

        .contentLeft{
            display:flex;
            justify-content:center;
            flex-direction:column;
            flex: 1 1 15%;
            max-width:15%;
            background-color:white;
        }

        .contentRight{
            display:flex;
            flex: 1 1 85%;
            max-width:85%;
            background-color:#fafcfe;
            border-left: 1px solid rgba(0,0,0,0.1);
        }

        .leftMenu{
            display:flex;
            flex-direction:column;
            height:100%;
            padding:4px 16px;
        }

        .leftMenu span.leftMenuTitle{
            color:#8da0aa;
            text-decoration:none;
            padding:4px 8px;
            font-size:0.8rem !important;
            font-weight:700;
        }

        .leftMenu a, .leftMenu span{
            color:#8da0aa;
            text-decoration:none;
            padding:11px 8px;
            font-size:0.92rem !important;
        }

        .leftMenu a{
            border: 1px solid transparent;
        }

        .leftMenu a:hover{
            border: 1px solid rgba(0,0,0,0.1);
            border-radius:4px;
        }

        .separator{
            border-bottom:1px solid rgba(0,0,0,0.1);
            margin-top:6px;
            margin-bottom:6px;
        }

        .txtLocator{
            border:1px solid white;
            background-color:white;
            border-radius:5px;
            width:250px !important;
            height:30px !important;
            text-align:left;
            padding:3px;
            border-bottom-right-radius:0;
            border-top-right-radius:0
        }

        .cmdLocator{
            display:flex;
            align-items:center;
            justify-content:center;
            height: 30px !important;
            background-color:transparent;
            color:white;
            padding:4px 6px;
            text-decoration:none;
            border:1px solid white;
            border-left:none;
            margin-left:0px;
            border-radius:5px;
            border-bottom-left-radius:0;
            border-top-left-radius:0;
        }

        .cmdLocator:hover {
            text-decoration:none;
        }

        .logout{
            background:#4e73df;
            color:white !important;
            padding:8px 8px;
            border:1px solid white;
            border-radius:5px;
            text-decoration:none;
        }

        .ui-autocomplete .ui-menu-item{
            color:black !important;
            background-color:#fafcfe !important;
        }

        .ui-autocomplete .ui-menu-item:hover, .ui-autocomplete .ui-state-focus{
            color:white !important;
            background-color:#008fe2 !important;
        }
    </style>
</head>


<body onload="LoadMe();" style="margin-top: 0px; margin-bottom: 0px; overflow: auto;" >

    <form id="form1" runat="server" style="margin-block-end:0; height:100vh!important;margin:0; padding:0;">
        <asp:ScriptManager ID="ScriptManager1" runat="server" LoadScriptsBeforeUI="false">
        </asp:ScriptManager>
        
        <asp:HiddenField ID="HF_Exit" runat="server" />
        <asp:HiddenField ID="HF_ExitTo" runat="server" />
        <asp:HiddenField ID="HF_ExitMessage" runat="server" />

        <asp:HiddenField ID="HF_SearchClicked" runat="server" />

        <asp:HiddenField ID="HF_LocatorType" runat="server" />
        <asp:HiddenField ID="HF_LocatorId" runat="server" />

        <div id="theMainDiv" class="root">

            <!--Alerts-->
            <div id="alerts" class="alert alert-info alert-dismissible proinns-alert" style="display:none; overflow-y:auto !important;">
                <button type="button" class="close">&times;</button>
                <div class="proinns-alert-title" style="display:flex;justify-content:center;align-items:center;background-color:transparent !important;">
                    <div style="font-weight:900;">ALERTS</div>
                </div>
                <div class="proinns-alert-content">

                </div>
            </div>

            <div class="top">
                <div class="logo" style="background-color:transparent;">
                    <a href="frmAdminPanel.aspx" style="color:white !important; display:flex;flex-direction:column;text-decoration:none">
                        <span style="font-family:'Courier New' !important; font-size:27px; font-weight:700; margin-bottom: -10px;">iSold</span>
                        <span style="font-style:italic;">real estate</span>
                    </a>
                </div>

                <div class="locator">
                    <input type="text" id="Txt_Locator" class="txtLocator" style="text-align:left !important;"/>
                    <a href="#" id="Cmd_Locator" class="cmdLocator" onclick="return openLocator(2);"><i class="fa fa-search"></i></a>
                </div>

                <div class="topRight">
                    <%If aCurrentUser IsNot Nothing AndAlso (aCurrentUser.IsAgent = True OrElse aCurrentUser.IsSuperUser = True) %>
                        <div class="toolbarItem" data-toggle="tooltip" data-placement="bottom" title="To Review Properties" style="">
                            <a href="frmToReviewProperties.Aspx" target="myIframe" class="HyperLnkMenu"><i class="fa fa-filter" style="color:white; font-size:20px;margin-right:20px;"></i><span></span></a>
                            <%If aUserToolbar IsNot Nothing AndAlso aUserToolbar.ToReviewCount > 0 Then %>
                                <span class="badge toolbarBadge" style=""><%= aUserToolbar.ToReviewCount %></span>
                            <%End If %>
                        </div>
                    <%End If %>

                    <%If aCurrentUser IsNot Nothing AndAlso (aCurrentUser.IsAdmin = True OrElse aCurrentUser.IsAgent = True OrElse aCurrentUser.IsSuperUser = True) %>
                        <div class="toolbarItem" data-toggle="tooltip" data-placement="bottom" title="Reviewed Properties" style="">
                            <a href="frmReviewedProperties.Aspx?id=0" target="myIframe" class="HyperLnkMenu"><i class="fa fa-check-square" style="color:white; font-size:20px;margin-right:20px;"></i><span></span></a>
                            <%If aUserToolbar IsNot Nothing AndAlso aUserToolbar.ReviewedCount > 0 Then %>
                                <span class="badge toolbarBadge" style=""><%= aUserToolbar.ReviewedCount %></span>
                            <%End If %>
                        </div>
                    <%End If %>

                    <%If aCurrentUser IsNot Nothing AndAlso (aCurrentUser.IsAgent = True OrElse aCurrentUser.IsAdmin = True OrElse aCurrentUser.IsSuperUser = True) %>
                        <div class="toolbarItem" data-toggle="tooltip" data-placement="bottom" title="Alerts" style="">
                            <a href="FrmAlerts.Aspx" target="myIframe" class="HyperLnkMenu toolbarIcon"><i class="fa fa-bell" style=""></i></a>
                        </div>
                    <%End If %>

                    <asp:LinkButton ID="Lnk_Logout" runat="server" ><i class="fa fa-sign-out" style="color:white;font-size:20px;margin-left:10px;margin-right:30px;"></i></asp:LinkButton>
                    
                    <asp:Image ID="Img_Avatar" runat="server" style="height:35px;width:35px;border-radius:50%; border:1px solid transparent;" />
                </div>
            </div>
            
            <div class="content">
                <div class="contentLeft">
                    <div class="leftMenu">
                        <span class="leftMenuTitle" style="margin-left: -10px;">TASKS</span>

                        <%If aCurrentUser IsNot Nothing AndAlso (aCurrentUser.IsAdmin = True OrElse aCurrentUser.IsSuperUser = True) %>
                            <a href="frmPropertyReceived.Aspx?id=0" target="myIframe" class="HyperLnkMenu"><i class="fa fa-mail-forward" style="color:#008fe2"></i><span>Properties Received</span></a>
                        <%End If %>

                        <%If aCurrentUser IsNot Nothing AndAlso (aCurrentUser.IsAgent = True OrElse aCurrentUser.IsAdmin = True OrElse aCurrentUser.IsSuperUser = True) %>
                            <a href="frmItems2.Aspx?id=0" target="myIframe" class="HyperLnkMenu"><i class="fa fa-home" style="color:#008fe2"></i><span style="">Register a Property</span></a>
                        <%End If %>

                        <%If aCurrentUser IsNot Nothing AndAlso (aCurrentUser.IsAgent = True OrElse aCurrentUser.IsAdmin = True OrElse aCurrentUser.IsSuperUser = True) %>
                            <a href="frmSearch.Aspx?id=0" target="myIframe" class="HyperLnkMenu"><i class="fa fa-search" style="color:#008fe2"></i><span>Search Properties</span></a>
                        <%End If %>


                        <div class="separator"></div>


                        <%If aCurrentUser IsNot Nothing AndAlso (aCurrentUser.IsAdmin = True OrElse aCurrentUser.IsAgent = True OrElse aCurrentUser.IsSuperUser = True) %>
                            <a href="FrmClientsRequests2.Aspx" target="myIframe" class="HyperLnkMenu"><i class="fa fa-comment-o" style="color:#008fe2"></i><span>Client Requests</span></a>
                        <%End If %>

                        <%If aCurrentUser IsNot Nothing AndAlso (aCurrentUser.IsAgent = True OrElse aCurrentUser.IsSuperUser = True) %>
                            <a href="FrmSearchClientRequests.Aspx" target="myIframe" class="HyperLnkMenu"><i class="fa fa-th" style="color:#008fe2"></i><span>Requests Manager </span></a>
                        <%End If %>


                        <div class="separator"></div>

                        <%If aCurrentUser IsNot Nothing AndAlso (aCurrentUser.IsAgent = True OrElse aCurrentUser.IsAdmin = True OrElse aCurrentUser.IsSuperUser = True) %>
                            <a href="frmOwners2.Aspx?id=0" target="myIframe" class="HyperLnkMenu"><i class="fa fa-key" style="color:#008fe2"></i><span>Property Owners</span></a>
                        <%End If %>

                        <%If aCurrentUser IsNot Nothing AndAlso (aCurrentUser.IsAgent = True OrElse aCurrentUser.IsAdmin = True OrElse aCurrentUser.IsSuperUser = True) %>
                            <a href="FrmPO2.Aspx?id=0" target="myIframe" class="HyperLnkMenu"><i class="fa fa-thumb-tack" style="color:#008fe2"></i><span>Potential Owners</span></a>
                        <%End If %>


                        <%If aCurrentUser IsNot Nothing AndAlso (aCurrentUser.IsAdmin = True OrElse aCurrentUser.IsAgent = True OrElse aCurrentUser.IsSuperUser = True) %>
                            <a href="FrmClients2.Aspx" target="myIframe" class="HyperLnkMenu"><i class="fa fa-vcard-o" style="color:#008fe2"></i><span>Clients</span></a>
                        <%End If %>


                        <div class="separator"></div>

                        <%If aCurrentUser IsNot Nothing AndAlso (aCurrentUser.IsAdmin = True OrElse aCurrentUser.IsAgent = True OrElse aCurrentUser.IsSuperUser = True) %>
                            <a href="FrmPhoneBook.Aspx" target="myIframe" class="HyperLnkMenu"><i class="fa fa-phone" style="color:#008fe2"></i><span>Phone Book</span></a>
                        <%End If %>


                        <!--Reporting-->
                        <span class="leftMenuTitle" style="margin-top:16px;margin-left: -10px;">REPORTS</span>

                        <%If aCurrentUser IsNot Nothing AndAlso (aCurrentUser.IsSuperUser = True) %>
                            <a href="frmReportingAdminDailyTasks.aspx" target="myIframe" class="HyperLnkMenu"><i class="fa fa-cog" style="color:#008fe2"></i><span>Daily Tasks</span></a>
                        <%End If %>                        

                    </div>
                </div>

                <div class="contentRight">
                    <iframe id="myIframe" name="myIframe" style="height1: 100%; width: 100%; background-color: Transparent; " onload="setIFrameHeight(this)"
                                        enableviewstate="true" src="SiteManagerBack.htm" frameborder="0" scrolling="no" >
                    </iframe>
                </div>
            </div>

        </div>

        
    </form>
</body>

<script language="javascript" type="text/javascript">
    
    var MyTitle = 'SiteManager';

    function setIFrameHeight() {
        var frame = document.getElementById("myIframe");

        window.setTimeout(function () {
            var dHeight = $("body").height() - 50;//document.body.scrollHeight - 50;
            var iHeight = frame.contentWindow.document.body.scrollHeight;
            if (dHeight > iHeight) {
                frame.style.height = dHeight + 'px';
                document.getElementById("theMainDiv").style.height = "calc(100%)";
            }
            else {
                frame.style.height = iHeight - 2 + 'px';
                document.getElementById("theMainDiv").style.height = "auto";
            }
            //console.log(dHeight, iHeight);
        }, 0);
    }

    function openLocator(i) {
        var txtLocator = document.getElementById("Txt_Locator");
        var hfLocatorType = document.getElementById("<%= HF_LocatorType.ClientID %>");
        var hfLocatorId = document.getElementById("<%= HF_LocatorId.ClientID %>");
        var url = "";

        if (txtLocator.value.trim() != "" && isStrictlyPositiveNumber(hfLocatorType.value) && isStrictlyPositiveNumber(hfLocatorId.value)) {
            if (i == 1) {
                if (hfLocatorType.value=="1")
                    url = "frmItems2.aspx?id=" + hfLocatorId.value;
                else
                    url = "frmclientsrequests2.aspx?id=" + hfLocatorId.value;

                document.getElementById("myIframe").src = url;
            }
            else {
                url = "frmAdminPanel.aspx?_pageid=" + hfLocatorType.value + "&_pageitemid=" + hfLocatorId.value;
                window.open(url, "_blank");
            }
        }

        return false;
    }

    $(document).ready(function () {
        var aCurrentUserId = -1;

        <% If aCurrentUser IsNot Nothing Then %>
            aCurrentUserId = "<%=aCurrentUser.ID%>";
        <% End If %>

        //Be able to set iframeheight by content loaded using javascript in child windows
        window.addEventListener('message', function (event) {
            if (event.data.message == "refreshIFrameHeight") {
                setIFrameHeight();
            }

        }, false);

        //Handle Alerts
        var alerts = new Proinns.Alert({ id: "alerts", userId: parseInt(aCurrentUserId) });

        $(".proinns-alert button").click(function (e) {
            alerts.hide(true);
        });

        alerts.fetchAndShow();

        window.setInterval(function () { alerts.fetchAndShow(); }, 15000);


        //Handle Auto Form Submit
        document.getElementById("<%=form1.ClientID%>").onkeypress = function (e) {
            var key = e.charCode || e.keyCode || 0;
            if (key == 13) {
                e.preventDefault();
            }
        };


        makeTxtLocatorAutoComplete();

        $('#Txt_Locator').on('keyup', function (e) {
            var code = (e.keyCode ? e.keyCode : e.which);
            if ((code == 8 || code == 46) || (code > 64 && code != 91)) {
                document.getElementById("<%=HF_LocatorType.ClientID%>").value = "";
                document.getElementById("<%=HF_LocatorId.ClientID%>").value = "";
            }
        });

        $('#Txt_Locator').on('keypress', function (e) {
            if (e.which == 13 || e.keyCode == 13) {
                openLocator(1);
            }
        });

    });

    function makeTxtLocatorAutoComplete() {
        var type = 0;
        var currentUserId = -1;

        $("#Txt_Locator").autocomplete({  
            source: function (request, response) {
                var term = request.term;
                var val = "";
                var url = "";
                var data = {};
                currentUserId = -1;

                <% If aCurrentUser IsNot Nothing Then %>
                    <% If aCurrentUser.IsAdmin OrElse aCurrentUser.IsSuperUser Then %>
                        currentUserId = 0;
                    <%Else%>
                        currentUserId = <%=aCurrentUser.ID %>;
                    <% End If %>
                <% End If %>

                type = 0;

                term = term.trim();
                if (term.length > 3) {
                    if (term.toLowerCase().substr(0, 3) == "cr-" && isStrictlyPositiveNumber(term.substr(3))) {
                        //Client Request
                        type = 2;
                        val = term.substr(3).trim();
                        url = "WSClientsRequests.asmx/GetClientsRequestsWhoseIdsStartWith";

                        data = { name: val, userId: currentUserId };
                    }
                }

                if (type == 0 && term.indexOf(".") > 0) {
                    type = 1;
                    val = term;
                    url = "WSProperties.asmx/GetPropertiesKeysWhoStartWith";
                    data = { name: val, userId: currentUserId };
                }

                if (type == 0) {
                    //Client Request
                    type = 2;
                    val = term;
                    url = "WSClientsRequests.asmx/GetClientsRequestsWhoseNamesStartWith";

                    data = { name: val, userId: currentUserId };
                }

                $.ajax({
                    url: url,
                    data: JSON.stringify(data),
                    dataType: "json",
                    type: "POST",
                    contentType: "application/json; charset=utf-8",
                    success: function (data) {
                        response($.map(data, function (item) {
                            if (type == 1) {
                                return {
                                    label: item.Val2 + " - " + item.Val3  + " - " + item.Val4 + "m2 - " + item.Val5,
                                    value: item.Val2,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2,
                                    val3: item.Val3,
                                    val4: item.Val4,
                                    val5: item.Val5,
                                    val6: item.Val6,
                                    val7: item.Val7,
                                    val8: item.Val8,
                                    val9: item.Val9,
                                    val10: item.Val10,
                                    val11: item.Val11
                                }
                            }
                            else {
                                return {
                                    label: item.Val2 + " - " + item.Val3 + " - " + item.Val4 + " / CR - " + item.Val1,
                                    value: "CR-" + item.Val1,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2,
                                    val3: item.Val3,
                                    val4: item.Val4,
                                    val5: item.Val5,
                                    val6: item.Val6,
                                    val7: item.Val7
                                }
                            }
                        }))
                    },
                    error: function (XMLHttpRequest, textStatus, errorThrown) {
                        console.log("Error");
                        console.log(textStatus, errorThrown);
                        console.log(XMLHttpRequest);
                    }
                });
            },
            minLength: 1,
            select: function (event, ui) {
                if (type == 1) {
                    document.getElementById("<%= HF_LocatorType.ClientID %>").value = "1";
                    document.getElementById("<%= HF_LocatorId.ClientID %>").value = ui.item.val1;
                }
                else {
                    document.getElementById("<%= HF_LocatorType.ClientID %>").value = "2";
                    document.getElementById("<%= HF_LocatorId.ClientID %>").value = ui.item.val1;
                }
            }
        }).data("ui-autocomplete")._renderItem = function (ul, item) {
            var li = "";

            if (type == 1) {
                li = "<li style='display:flex;font-size:12.5px;'></li>";
                if (item.val11.toString().toLowerCase() == "false")
                    li = "<li style='display:flex;font-size:12.5px; color:" + inactiveColor + " !important;'></li>"

                return $(li)
                    .attr("data-value", item.val2)
                    .append("<span style='display:flex;'>" + item.val2 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val3 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val4 + "m2</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val5 + "m2</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val6 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val7 + "$</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val8 + "$</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val9 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val10 + "</span>")
                    .appendTo(ul);
            }
            else
                var color = "";

                if (item.val7.toString().toLowerCase() == "false")
                    color = crInactiveColor;
                else {
                    if (item.val6 == 1)//normal
                        color = crNormalColor;
                    else if (item.val6 == 2)
                        color = crImportantColor;
                    else
                        color = crNotImportantColor;
                }

                li = "<li style='display:flex;font-size:12.5px;color:" + color + " !important;'></li>";

                return $(li)
                        .attr("data-value", item.val2)
                        .append("<span style='display:flex;'>" + item.val2 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val3 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val4 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val5 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>CR-" + item.val1 + "</span>")
                    .appendTo(ul);
        };
    } 

    function isFirefox() 
	{
	  if (/Firefox[\/\s](\d+\.\d+)/.test(navigator.userAgent))
	    { //test for Firefox/x.x or Firefox x.x (ignoring remaining digits);
	      var ffversion=new Number(RegExp.$1) // capture x.x portion and store as a number
	      if (ffversion>=3)
	        return true; 
	        
	      //document.write("You're using FF 3.x or above")
	      else if (ffversion>=2)
	          return true; 
	          
	      //document.write("You're using FF 2.x")
	      else if (ffversion>=1)
	          return true; 
	          
	      //document.write("You're using FF 1.x")
	     }
	 else
	    return false; 
	 }
	 
	function isIE() 
	{
		if (/MSIE (\d+\.\d+);/.test(navigator.userAgent)){ //test for MSIE x.x;
		 var ieversion=new Number(RegExp.$1) // capture x.x portion and store as a number
		 if (ieversion>=8)
		  //document.write("You're using IE8 or above")
		  return true;
		 else if (ieversion>=7)
		  //document.write("You're using IE7.x")
		  return true;
		 else if (ieversion>=6)
		  //document.write("You're using IE6.x")
		  return true;
		 else if (ieversion>=5)
		  //document.write("You're using IE5.x")
		  return true;
		}
		else
		 return false;
	}     
     
    function LoadMe()
    {                 
        if (document.getElementById("HF_Exit").value == "exit") {
            if (document.getElementById("HF_ExitMessage").value != "")
                alert(document.getElementById("HF_ExitMessage").value);

            var aExitTo = document.getElementById("HF_ExitTo").value;

            if (aExitTo.substring(0, 1) == "1") {
                if (window.parent.parent)
                    window.parent.parent.location = aExitTo.substring(1);
                else
                    window.parent.location = aExitTo.substring(1);
            }

            else {
                if (window.parent.document.getElementById('myIframe'))
                    window.parent.document.getElementById('myIframe').src = aExitTo.substring(1);
                else
                    window.parent.location = aExitTo.substring(1);
            }
        }
        else {
            $('[data-toggle="tooltip"]').tooltip();

            var aCurrentUser = "<%= aCurrentUser %>";
            var aPageId = "<%= aPageId %>";
            var aPageItemId = "<%= aPageItemId %>";
            var url = "";

            if (!aCurrentUser || !aPageId)
                return;

            if (aPageId == 1) {
                //New Property
                if (aPageItemId)
                    url = "frmItems2.aspx?id=" + aPageItemId;
                else
                    url = "frmItems2.aspx";
            }
            else if (aPageId == 2) {
                //New CR
                if (aPageItemId)
                    url = "frmClientsRequests2.aspx?id=" + aPageItemId;
                else
                    url = "frmClientsRequests2.aspx";
            }

            if (aPageId == 1 || aPageId == 2) {
                document.getElementById("myIframe").src = url;
                var i = url.indexOf("?");
                url = url.substr(0, i);
                //window.history.replaceState({}, document.title, url);
                window.history.replaceState(null, null, window.location.pathname);
            }
        }
    }      
       
                   
    </script>
    
<script language="javascript" type="text/javascript">
    function isNumber(v) {
        if (v == null || v.toString().trim()=="" || isNaN(v.toString().trim().replace(",","")))
            return false;
        return true;
    }

    function isPositiveNumber(v) {
        if (v == null || v.toString().trim()=="" || isNaN(v.toString().trim().replace(",","")) || parseFloat(v.toString().trim().replace(",","")) < 0)
            return false;
        return true;
    }

    function isStrictlyPositiveNumber(v) {
        if (v == null || v.toString().trim()=="" || isNaN(v.toString().trim().replace(",","")) || parseFloat(v.toString().trim().replace(",","")) <= 0)
            return false;
        return true;
    }


    function convertIntFromK(value) {
        if (value == null || value == undefined || value.toString().length < 2)
            return null;

        var v = value.toString();

        var lastChar = v.substr(v.length - 1, 1);
        if (lastChar.toLowerCase() != "k") {
            if (!isNumber(value))
                return null;
            return parseInt(value);
        }
        else {
            v = value.substr(0, value.length - 1);
            if (!isNumber(v))
                return null;
            return parseInt(parseInt(v)*1000);
        }        
    }
    function convertFloatFromK(value) {
        if (value == null || value == undefined || value.toString().length < 2)
            return null;

        var v = value.toString();

        var lastChar = v.substr(v.length - 1, 1);
        if (lastChar.toLowerCase() != "k") {
            if (!isNumber(value))
                return null;
            return parseFloat(value);
        }
        else {
            v = value.substr(0, value.length - 1);
            if (!isNumber(v))
                return null;
            return parseFloat(parseFloat(v)*1000);
        }        
    }

    </script>
</html>