﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="frmClients2.aspx.vb" Inherits="Backend_frmClients2" ValidateRequest="false" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />     
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />

    <title></title>

	<!-- Stylesheet -->
	<link rel="stylesheet" href="css/bootstrap.min.css" />

    <link rel="stylesheet" href="css/theme.bootstrap_4.min.css" />

	<link href="js/tag/tagsinput.css" rel="stylesheet" type="text/css" />
	 
    <link rel="stylesheet" href="Js/jquery-ui1.11.2.css"/>

    <link rel="stylesheet" href="fontawesome/css/font-awesome.min.css" />

    <!--My Every Page -->
    <link rel="Stylesheet" href="css/page.css" />


	<!-- JavaScript -->
    <script src="js/jquery1.11.1.min.js"></script>

    <script src="Js/jquery-ui1.11.2.min.js"></script>

	<script src="js/popper.min.js"></script>

	<script src="js/bootstrap.min.js"></script>

	<script src="js/tag/tagsinput.js"></script>

    <script src="js/utils.js"></script>


     <style>
         .toolbar {
             justify-content: space-between !important;
             padding-top:6px !important;
             padding-bottom:6px !important;
         }

        .content{
            display: flex;
            flex-direction:column;            
        }

        .cell{
            display:flex;
            flex-direction:column;
        }

        .cell1{
            display:flex;
            flex-direction:column;
            flex:1;
        }

        .row{
            display: flex;
            margin-left:0;
            margin-right:0;
            padding:0px 0px;
        }

        #Cmd_Go{
            margin-left: 6px;
            margin-top:1px;
            padding: 3px 8px;
        }

        .errorDiv {
            color: red;
            font-weight: 600;
            padding: 8px;
            border: 1px solid red;
            margin:9px 6px;
        }

    </style>

    <!-- Style for Tags -->
    <style>
        .bootstrap-tagsinput{
            margin-top:3px !important;
            min-height:60px !important;
        }
    </style>

</head>
<body onload="loadMe()">
    <form id="form1" runat="server" defaultbutton="Cmd_PreventSubmit">
        <asp:ScriptManager ID="ScriptManager1" runat="server" LoadScriptsBeforeUI="false">
        </asp:ScriptManager>

        <asp:HiddenField ID="HF_Exit" runat="server" />
        <asp:HiddenField ID="HF_ExitTo" runat="server" />        
        <asp:HiddenField ID="HF_ExitMessage" runat="server" />
        <asp:HiddenField ID="HF_Mode" runat="server" />

        <asp:HiddenField ID="HF_ClientId" runat="server" />

        <asp:HiddenField ID="HF_TagsIds" runat="server" />
        <asp:HiddenField ID="HF_TagsTitles" runat="server" />

        <asp:Button ID="Cmd_PreventSubmit" runat="server" CssClass="hidden" OnClientClick="return false;" />

        <div class="root">
            <div class="toolbar">
                <div style="display:flex;">
                    <div class="cell">
                        <span class="" style="display:inline-block;">Client</span>
                        <asp:TextBox ID="Txt_Client" runat="server" CssClass="form-control txt" Width="200px" ></asp:TextBox>
                    </div>
                    <div class="cell">
                        <span>&nbsp;</span>
                        <asp:Button ID="Cmd_Go" runat="server" Text="View" CssClass="btn btnToolbar" OnClick="Cmd_Go_Click" />
                    </div>
                </div>

                <div style="display:flex;align-items:center;">
                    <asp:Image ID="Img_Status" runat="server" ImageUrl="~/BackEnd/App_Photos/Ico_Success.png" />
                    <asp:Button ID="Cmd_New" runat="server" Text="New" CssClass="btn btnToolbar btnGreen" OnClientClick="clearControls(); return true;"  OnClick="Cmd_New_Click" style="margin-right:12px;" />
                    <asp:Button ID="Cmd_Save" runat="server" Text="Save" CssClass="btn btnToolbar" OnClientClick="return cmdSaveClicked();"  OnClick="Cmd_Save_Click" style="margin-right:12px;" />
                    <asp:Button ID="Cmd_Delete" runat="server" Text="Delete" CssClass="btn btnToolbarDelete" />
                </div>

            </div>

            <% If aError IsNot Nothing AndAlso aError <> "" %>
                <div class="errorDiv">
                    <%= aError %>
                </div>
            <%End If %>

            <div class="content">
                <div class="row">
                    <div class="cell1">
                        <span class="lbl" style="">Name*</span>
                        <asp:TextBox ID="Txt_Name" runat="server" CssClass="form-control txt"></asp:TextBox>
                    </div>
                    <div class="cell1" style="margin-left:14px;">
                        <span class="lbl" style="">Cell*</span>
                        <asp:TextBox ID="Txt_Cell" runat="server" CssClass="form-control txt"></asp:TextBox>
                    </div>
                    <div class="cell1" style="margin-left:14px;">
                        <span class="lbl">Phone</span>
                        <asp:TextBox ID="Txt_Phone" runat="server" CssClass="form-control txt"></asp:TextBox>
                    </div>
                    <div class="cell1" style="margin-left:14px;">
                        <span class="lbl">Email</span>
                        <asp:TextBox ID="Txt_Email" runat="server" CssClass="form-control txt"></asp:TextBox>
                    </div>
                </div>

                <div class="row" style="margin-top:8px">
                    <div class="cell1">
                        <span class="lbl">Address</span>
                        <asp:TextBox ID="Txt_Address" runat="server" CssClass="form-control txt"></asp:TextBox>
                    </div>
                    <div class="cell1" style="margin-left:14px;">
                        <span class="lbl">Source</span>
                        <asp:DropDownList ID="Cmb_Source" runat="server" CssClass="form-control dropDown"></asp:DropDownList>
                    </div>
                    <div class="cell1" style="margin-left:14px;">
                        <span class="lbl">CreatedOn*</span>
                        <asp:TextBox ID="Txt_CreatedOn" runat="server" CssClass="form-control txt"></asp:TextBox>
                    </div>
                    <div class="cell1" style="margin-left:14px;">
                        <span class="lbl">&nbsp;</span>
                        <asp:CheckBox ID="Chk_IsActive" runat="server" Text="Is Active" CssClass="custom-control custom-checkbox"></asp:CheckBox>
                    </div>
                </div>

                <div class="row" style="margin-top:8px">
                    <div class="cell1" style="flex:1 1 calc(50% - 7px);">
                        <span class="lbl">Info</span>
                        <asp:TextBox ID="Txt_Info" runat="server" TextMode="MultiLine" style="height:95px !important;" CssClass="form-control"></asp:TextBox>
                    </div>

                    <div class="cell1" style="flex:1 1 calc(50% - 7px); margin-left:14px;">
                        <span class="lbl">Tags</span>
                        <asp:TextBox ID="Txt_Tags" runat="server" CssClass="form-control txt"></asp:TextBox>
                        <input id="Tg_Tags" data-role="tagsinput " class="form-control txt tagHeight" style="margin-top:3px;" />
                    </div>
                </div>
            </div>
        </div>

    </form>

    <script type="text/javascript">
      function fnHideSuccessIcon()
      {
          window.setTimeout(function(){
             var o = document.getElementById("<%= Img_Status.ClientID %>");
              if (o)
                  o.style.display = "none";   
          }, 3000);
      }

      function loadMe()
      {
           fnHideSuccessIcon();

           //Handle checkboxes look
           $(".custom-checkbox input").addClass("custom-control-input");
           $(".custom-checkbox label").addClass("custom-control-label");

           if (document.getElementById("HF_Exit").value == "exit")
             {      
               if (document.getElementById("HF_ExitMessage").value != "")
                  alert(document.getElementById("HF_ExitMessage").value);
           
               var aExitTo = document.getElementById("HF_ExitTo").value;
           
               if (aExitTo.substring(0,1) == "1")
                  {
                    if (window.parent.parent)
                       window.parent.parent.location = aExitTo.substring(1);
                    else if (window.parent)
                       window.parent.location = aExitTo.substring(1); 
                  }
                 
               else
                 {
                    if (window.parent.document.getElementById('myIframe'))
                        window.parent.document.getElementById('myIframe').src= aExitTo.substring(1);            
                    else if (window.parent)
                       window.parent.location = aExitTo.substring(1);
                 } 
              }
        }    

        function cmdSaveClicked() {
            var aErrors = validateForm();

            if (aErrors != "") {
                alert(aErrors);
                return false;
            }

            fillHiddenFieldsFromTags();

            return true;
        }

        function validateForm() {
            var aErrors = "";

            var hfMode = document.getElementById("<%= HF_Mode.ClientID %>");
            var hfClient = document.getElementById("<%= HF_ClientId.ClientID  %>");

            var txtName = document.getElementById("<%=Txt_Name.ClientID %>");
            var txtCell = document.getElementById("<%=Txt_Cell.ClientID %>");

            if (hfMode.value == 1) {
                //New Mode
                if (isStrictlyPositiveNumber(hfClient.value)) {
                    aErrors = "A client is selected while in new mode.";
                    return aErrors;
                }
            }
            else {
                //Edit Mode
                if (!isStrictlyPositiveNumber(hfClient.value)) {
                    aErrors = "Invalid client to update.";
                    return aErrors;
                }
            }

            if (txtName.value.trim()=="" || txtCell.value.trim()=="") {
                aErrors = "The name and cell of the client must be specified.";
                return aErrors;
            }

            return aErrors;
        }

    </script>

    <script type="text/javascript">
        $(document).ready(function () {
            makeTxtClientAutoComplete();

            makeTxtTagsAutoComplete();

            $('#<%= Txt_Client.ClientID %>').on('keyup', function(e) {
                var code = (e.keyCode ? e.keyCode : e.which);
                if ((code==8 || code==46) || (code >64 && code!=91)) {
                    document.getElementById("<%=HF_ClientId.ClientID%>").value = "";
                }
            });

            //Initialize Tag
            $(".tagHeight").tagsinput({
                allowDuplicates: false,
                itemValue: 'id',  // this will be used to set id of tag
                itemText: 'title' // this will be used to set text of tag
            });

            $("#<%= Txt_Tags.ClientID%>").on("keypress", function (e) {
                  if ( e.which == 13 ) {
                      e.preventDefault();
                      addNewTag("Tg_Tags", document.getElementById("<%=Txt_Tags.ClientID%>").value);
                      document.getElementById("<%=Txt_Tags.ClientID%>").value = "";
                  }
            });

            //Fill it from hidden fields
            fillTagsFromHiddenFields();
        });

        function makeTxtClientAutoComplete() {
            $("#<%= Txt_Client.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSClients.asmx/GetClientsWhoseNamesOrPhonesStartWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function(item) {
                                return {
                                    label: item.Val2 + " - " + item.Val3,
                                    value: item.Val2,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2,
                                    val3: item.Val3,
                                    val4: item.Val4
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    document.getElementById("<%= HF_ClientId.ClientID %>").value = ui.item.val1;
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {

            var li = "<li style='display:flex;'></li>";
            if (item.val4.toString().toLowerCase() == "false")
                li = "<li style='display:flex; color:" + inactiveColor + " !important;'></li>";

            return $(li)
                .attr("data-value", item.val2)
                .append("<span style='display:flex;'>" + item.val2 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val3 + "</span>")
                .appendTo(ul);
            };
        }

        function makeTxtTagsAutoComplete() {
            $("#<%= Txt_Tags.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSTag.asmx/GetTagsStartingWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function(item) {
                                return {
                                    label: item.Val2,
                                    value: item.Val2,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    addToTag("Tg_Tags", ui.item.val1 , ui.item.val2);
                    window.setTimeout(function () { document.getElementById("<%=Txt_Tags.ClientID%>").value = ""; }, 100);
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {

            var li = "<li style='display:flex;'></li>";

            return $(li)
                .attr("data-value", item.val2)
                .append("<span style='display:flex;'>" + item.val2 + "</span>")
                .appendTo(ul);
            };
        }

        function clearControls() {
            var id = "Tg_Tags";
            clearTag(id);
        }

    </script>

    <script type="text/javascript" id="jsTags">
        function getIdsAsString(controlId) {
            var result = "";
            var resultArr = $("#" + controlId).val().split(",");

            if (resultArr && resultArr.length > 0) {
                for (var i = 0; i < resultArr.length; i++) 
                    result += resultArr[i] + ",";

                result = result.substr(0, result.length - 1);
            }

            return result;
        }

        function addToTag(controlId, id, title) {
            //If id or text (trimmed + insensitive) exists then return
            var items = $("#" + controlId).tagsinput('items');

            if (!items || items.length < 1) 
                $("#" + controlId).tagsinput("add", { "id": id , "title": title});    
            else {
                //Do NOT add if the id is there or a text (trimmed + insensitive)
                for (var i = 0; i < items.length; i++) {
                    if (items[i].title.trim().toLowerCase() == title.trim().toLowerCase() || items[i].id == id)
                        return;
                }

                $("#" + controlId).tagsinput("add", { "id": id , "title": title});    
            }
        }

        function clearTag(controlId) {
            $('#' + controlId).tagsinput('removeAll');
            document.getElementById("<%=HF_TagsIds.ClientID%>").value = "";
            document.getElementById("<%=HF_TagsTitles.ClientID%>").value = "";
        }

        function fillTagsFromHiddenFields() {
            var ids = document.getElementById("<%=HF_TagsIds.ClientID %>").value;
            var titles = document.getElementById("<%=HF_TagsTitles.ClientID %>").value;

            if (ids && ids.length > 0) {
                var idsArr = ids.split(",");
                var titlesArr = titles.split(",");

                for (var i = 0; i < idsArr.length; i++) {
                    addToTag("Tg_Tags", idsArr[i], titlesArr[i])
                }
            }
        }

        function fillHiddenFieldsFromTags() {
            var hfIds = document.getElementById("<%=HF_TagsIds.ClientID %>");
            var hfTitles = document.getElementById("<%=HF_TagsTitles.ClientID %>");
            var ids = "", titles = "";
            var items = $("#Tg_Tags").tagsinput('items');

            hfIds.value = "";
            hfTitles.value = "";

            if (items && items.length > 0) {
                for (var i = 0; i < items.length; i++) {
                    ids += items[i].id + ",";
                    titles += items[i].title + ",";
                }

                ids = ids.substr(0, ids.length - 1);
                titles = titles.substr(0, titles.length - 1);

                hfIds.value = ids;
                hfTitles.value = titles;
            }
        }

        function getLowestNegativeTagId(controlId) {
            var result = 0;

            var items = $("#" + controlId).tagsinput('items');

            if (!items || items.length < 1)
                return result;

            for (var i = 0; i < items.length; i++) {
                if (items[i].id < 0) {
                    if (items[i].id < result)
                        result = parseInt(items[i].id);
                }
            }

            return result;
        }

        function addNewTag(controlId, title) {
            var items = $("#" + controlId).tagsinput('items');

            if (!items || items.length < 1) 
                addToTag(controlId, getLowestNegativeTagId(controlId) - 1, title);            
            else {
                //Check maybe the trimmed text is there
                for (var i = 0; i < items.length; i++) {
                    if (items[i].title.trim().toLowerCase() == title.trim().toLowerCase())
                        return;
                }

                addToTag(controlId, getLowestNegativeTagId(controlId) - 1, title);            
            }
        }
    </script>

</body>
</html>
