﻿<%@ Page Language="vb" AutoEventWireup="false" CodeFile="frmLogin.aspx.vb" Inherits="Backend_frmLogin"  %>

<%@ Register Assembly="Infragistics2.Web.v8.1, Version=8.1.20081.2013, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.LayoutControls" TagPrefix="ig" %>
    
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">

<head runat="server">

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.2/css/bootstrap.min.css" integrity="sha384-Smlep5jCw/wG7hdkwQ/Z5nLIefveQRIY9nfy6xoR1uRYBtpZgI6339F5dgvm/e9B" crossorigin="anonymous">
    
    <title>Welcome to iSOLD</title>
    
    <style type="text/css">
        * {
            box-sizing: border-box;  
            font-family:'Open Sans','Helvetica Neue',Helvetica,Arial,sans-serif, Nunito, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji" !important;
            font-size:0.95rem;
        }

        html, body{
            border: none !important;
            box-sizing:border-box !important;
            padding: 0 !important;
            margin: 0!important;
            height:100vh !important;
            overflow:auto !important;
        }

        .fa 
         { 
             font-family: 'FontAwesome' !important; 
         }

        .fa:hover{
        }

        .centerText{
            text-align:center;
        }

        .root{
            height: 100%;
            display:flex;
            flex-direction:column;
            background-color: #fafcfe;
        }

        .errorDiv{
            color:red;
            font-weight:600;
            /*border:1px solid red;*/
            padding:4px;
            margin-bottom:10px;
        }


        .top{
            display:flex;
            justify-content:space-between;
            align-items:center;
            height: 50px;
            min-height:50px;
            padding:0px 16px 0px 0;
            background-color: #008fe2;
            color:white;
            border-bottom:1.5px solid rgba(0,0,0,0.1);
        }

        .logo{
            height:100%;
            width:calc(15% + 2px);
            background-color:white;
            display:flex;
            flex-direction:column;
            justify-content:space-around;
            align-items:center;
        }

        .content{
            height: calc(100% - 50px);
            display:flex;
            flex-direction:column;
            justify-content:center;
            align-items:center;
        }

        .contentInner{
            display:flex;
            flex-direction:column;
            border: 1px solid rgba(0,0,0,0.2);
            border-radius:4px;
            padding:14px;
            width:300px;
        }

        .txt {
            background-color: white !important;
            padding: 0.3rem 0.4rem;
            line-height: 1;
            display: flex;
            height: calc(1.5rem + .3rem + 2px);
        }

        .btnToolbar {
            background-color: #008fe2 !important;
            color: white !important;
            font-size: 0.9rem !important;
        }

    </style>

</head>

<body style="margin-top: 0px; margin-bottom: 0px; overflow: hidden;">
    <form id="form1" runat="server" defaultbutton="Cmd_Login" style="margin-block-end:0; height:100vh!important;margin:0; padding:0;">
        
        <asp:ScriptManager ID="ScriptManager1" runat="server" LoadScriptsBeforeUI="false">
        </asp:ScriptManager>
        
        <div class="root">
            <div class="top">
                <div class="logo" style="background-color:transparent;">
                    <span style="font-family:'Courier New' !important; font-size:27px; font-weight:700; margin-bottom: -10px;">iSold</span>
                    <span style="font-style:italic;">real estate</span>
                </div>
            </div>

            <div class="content">
                <div class="contentInner">
                    <img src="App_Photos/Logo_small.png" style="width:100px;display:flex;align-self:center;margin-bottom:25px" />

                    <% If aError <> "" Then  %>
                        <div class="errorDiv"><%=aError %></div>
                    <%End if %>                    

                    <span class="label">Username*</span>
                    <asp:TextBox ID="Txt_Username" runat="server" CssClass="form-control txt"></asp:TextBox>

                    <span class="label" style="margin-top: 14px;">Password*</span>
                    <asp:Textbox ID="Txt_Password" runat="server" TextMode="Password" CssClass="form-control txt"></asp:Textbox>

                    <asp:Button ID="Cmd_Login" runat="server" Text="Login" style="margin-top: 20px;" CssClass="btn btnToolbar" />
                </div>
            </div>
        </div>

    </form>
</body>
</html>
