﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="frmPotentialOwners2.aspx.vb" Inherits="Backend_frmPotentialOwners2" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />     
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />

    <title></title>

    <script src="Js/jquery1.11.1.min.js"></script>
    <link rel="stylesheet" href="Js/jquery-ui1.11.2.css"/>
    <script src="Js/jquery-ui1.11.2.min.js"></script>

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="css/bootstrap.min.css" />
    <link rel="stylesheet" href="fontawesome/css/font-awesome.min.css" />

    <!--My Every Page -->
    <link rel="Stylesheet" href="css/page.css" />


     <style>
         .toolbar {
             justify-content: space-between !important;
             padding-top:6px !important;
             padding-bottom:6px !important;
         }

        .content{
            display: flex;
            flex-direction:column;            
        }

        .cell{
            display:flex;
            flex-direction:column;
        }

        .cell1{
            display:flex;
            flex-direction:column;
            flex:1;
        }

        .row{
            display: flex;
            margin-left:0;
            margin-right:0;
            padding:0px 0px;
        }

        #Cmd_Go{
            margin-left: 6px;
            margin-top:1px;
            padding: 3px 8px;
        }

        .errorDiv {
            color: red;
            font-weight: 600;
            padding: 8px;
            border: 1px solid red;
            margin:9px 6px;
        }

    </style>
</head>

<body onload="loadMe()">
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" LoadScriptsBeforeUI="false">
        </asp:ScriptManager>

        <asp:HiddenField ID="HF_Exit" runat="server" />
        <asp:HiddenField ID="HF_ExitTo" runat="server" />        
        <asp:HiddenField ID="HF_ExitMessage" runat="server" />
        <asp:HiddenField ID="HF_Mode" runat="server" />

        <asp:HiddenField ID="HF_PotentialOwnerId" runat="server" />

        <div class="root">
            <div class="toolbar">
                <div style="display:flex;">
                    <div class="cell">
                        <span class="" style="display:inline-block;">Potential Owner</span>
                        <asp:TextBox ID="Txt_PotentialOwner" runat="server" CssClass="form-control txt" Width="200px" ></asp:TextBox>
                    </div>
                    <div class="cell">
                        <span>&nbsp;</span>
                        <asp:Button ID="Cmd_Go" runat="server" Text="View" CssClass="btn btnToolbar" OnClick="Cmd_Go_Click" />
                    </div>
                </div>

                <div style="display:flex;align-items:center;">
                    <asp:Image ID="Img_Status" runat="server" ImageUrl="~/BackEnd/App_Photos/Ico_Success.png" />
                    <asp:Button ID="Cmd_New" runat="server" Text="New" CssClass="btn btnToolbar btnGreen" OnClick="Cmd_New_Click" style="margin-right:12px;" />
                    <asp:Button ID="Cmd_Save" runat="server" Text="Save" CssClass="btn btnToolbar" OnClientClick="return cmdSaveClicked();"  OnClick="Cmd_Save_Click" style="margin-right:12px;" />
                    <asp:Button ID="Cmd_Delete" runat="server" Text="Delete" CssClass="btn btnToolbarDelete" />
                </div>

            </div>

            <% If aError IsNot Nothing AndAlso aError <> "" %>
                <div class="errorDiv">
                    <%= aError %>
                </div>
            <%End If %>

            <div class="content">
                <div class="row">
                    <div class="cell1">
                        <span class="lbl" style="">Name*</span>
                        <asp:TextBox ID="Txt_Name" runat="server" CssClass="form-control txt"></asp:TextBox>
                    </div>
                    <div class="cell1" style="margin-left:14px;">
                        <span class="lbl" style="">Cell*</span>
                        <asp:TextBox ID="Txt_Cell" runat="server" CssClass="form-control txt"></asp:TextBox>
                    </div>
                    <div class="cell1" style="margin-left:14px;">
                        <span class="lbl">Phone</span>
                        <asp:TextBox ID="Txt_Phone" runat="server" CssClass="form-control txt"></asp:TextBox>
                    </div>
                    <div class="cell1" style="margin-left:14px;">
                        <span class="lbl">Email</span>
                        <asp:TextBox ID="Txt_Email" runat="server" CssClass="form-control txt"></asp:TextBox>
                    </div>
                </div>

                <div class="row" style="margin-top:8px">
                    <div class="cell1">
                        <span class="lbl">Company</span>
                        <asp:TextBox ID="Txt_Company" runat="server" CssClass="form-control txt"></asp:TextBox>
                    </div>
                    <div class="cell1" style="margin-left:14px;">
                        <span class="lbl">Address</span>
                        <asp:TextBox ID="Txt_Address" runat="server" CssClass="form-control txt"></asp:TextBox>
                    </div>
                    <div class="cell1" style="margin-left:14px;">
                        <span class="lbl">Agent</span>
                        <asp:DropDownList ID="Cmb_Agent" runat="server" CssClass="form-control dropDown"></asp:DropDownList>
                    </div>
                    <div class="cell1" style="margin-left:14px;">
                        <span class="lbl">&nbsp;</span>
                        <asp:CheckBox ID="Chk_IsActive" runat="server" Text="Is Active" CssClass="custom-control custom-checkbox"></asp:CheckBox>
                    </div>
                </div>

                <div class="row" style="margin-top:8px">
                    <div class="cell1" style="flex:1 1 calc(50% - 7px);">
                        <span class="lbl">Info</span>
                        <asp:TextBox ID="Txt_Info" runat="server" TextMode="MultiLine" style="height:120px !important;" CssClass="form-control txtBig"></asp:TextBox>
                    </div>

                    <div class="cell1" style="flex:1 1 calc(50% - 7px); margin-left:14px;">
                        <span class="lbl">Notes</span>
                        <asp:TextBox ID="Txt_Notes" runat="server" TextMode="MultiLine" style="height:120px !important;" CssClass="form-control txtBig"></asp:TextBox>
                    </div>
                </div>
            </div>
        </div>

    </form>

    <script type="text/javascript">
        function isPositiveNumber(v) {
            if (v == null || v.toString().trim()=="" || isNaN(v.toString().trim().replace(",","")) || parseFloat(v.toString().trim().replace(",","")) < 0)
                return false;
            return true;
        }

        function isStrictlyPositiveNumber(v) {
            if (v == null || v.toString().trim()=="" || isNaN(v.toString().trim().replace(",","")) || parseFloat(v.toString().trim().replace(",","")) <= 0)
                return false;
            return true;
        }

      function fnHideSuccessIcon()
      {
          window.setTimeout(function(){
             var o = document.getElementById("<%= Img_Status.ClientID %>");
              if (o)
                  o.style.display = "none";   
          }, 3000);
        }

      function loadMe()
      {
          fnHideSuccessIcon();

          //Handle checkboxes look
          $(".custom-checkbox input").addClass("custom-control-input");
          $(".custom-checkbox label").addClass("custom-control-label");

          if (document.getElementById("HF_Exit").value == "exit")
             {      
               if (document.getElementById("HF_ExitMessage").value != "")
                  alert(document.getElementById("HF_ExitMessage").value);
           
               var aExitTo = document.getElementById("HF_ExitTo").value;
           
               if (aExitTo.substring(0,1) == "1")
                  {
                    if (window.parent.parent)
                       window.parent.parent.location = aExitTo.substring(1);
                    else if (window.parent)
                       window.parent.location = aExitTo.substring(1); 
                  }
                 
               else
                 {
                    if (window.parent.document.getElementById('myIframe'))
                        window.parent.document.getElementById('myIframe').src= aExitTo.substring(1);            
                    else if (window.parent)
                       window.parent.location = aExitTo.substring(1);
                 } 
              }
        }    

        function cmdSaveClicked() {
            var aErrors = validateForm();

            if (aErrors != "") {
                alert(aErrors);
                return false;
            }

            return true;
        }

        function validateForm() {
            var aErrors = "";

            var hfMode = document.getElementById("<%= HF_Mode.ClientID %>");
            var hfOwner = document.getElementById("<%= HF_PotentialOwnerId.ClientID  %>");

            var txtName = document.getElementById("<%=Txt_Name.ClientID %>");
            var txtCell = document.getElementById("<%=Txt_Cell.ClientID %>");

            if (hfMode.value == 1) {
                //New Mode
                if (isStrictlyPositiveNumber(hfOwner.value)) {
                    aErrors = "A potential owner is selected while in new mode.";
                    return aErrors;
                }
            }
            else {
                //Edit Mode
                if (!isStrictlyPositiveNumber(hfOwner.value)) {
                    aErrors = "Invalid potential owner to update.";
                    return aErrors;
                }
            }

            if (txtName.value.trim()=="" || txtCell.value.trim()=="") {
                aErrors = "The name and cell of the potential owner must be specified.";
                return aErrors;
            }

            return aErrors;
        }

    </script>

    <script type="text/javascript">
        $(document).ready(function() {
            makeTxtOwnerAutoComplete();

            $('#<%= Txt_PotentialOwner.ClientID %>').on('keyup', function(e) {
                var code = (e.keyCode ? e.keyCode : e.which);
                if ((code==8 || code==46) || (code >64 && code!=91)) {
                    document.getElementById("<%=HF_PotentialOwnerId.ClientID%>").value = "";
                }
            });
        });

        function makeTxtOwnerAutoComplete() {
            $("#<%= Txt_PotentialOwner.ClientID %>").autocomplete({               
                source: function (request, response) {
                    var aCurrentUserId = 0;

                    <% If aCurrentUser Is Nothing Then %>
                          aCurrentUserId = -1; 
                    <%ElseIf aCurrentUser.IsAdmin = False AndAlso aCurrentUser.IsSuperUser=False%>
                          aCurrentUserId = <%=aCurrentUser.ID %>;
                    <%End If%>

                    $.ajax({
                        url: "WSPotentialOwners.asmx/GetPotentialOwnersWhoseNamesOrPhonesStartWith",
                        data: JSON.stringify({ 'name': request.term, 'userId': aCurrentUserId }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function(item) {
                                return {
                                    label: item.Val2 + " - " + item.Val3,
                                    value: item.Val2,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2,
                                    val3: item.Val3,
                                    val4: item.Val4,
                                    val5: item.Val5
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    document.getElementById("<%= HF_PotentialOwnerId.ClientID %>").value = ui.item.val1;
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {
            var li = "<li style='display:flex;'></li>";
            if (item.val5.toString().toLowerCase() == "false")
                li = "<li style='display:flex; color:red !important;'></li>";


            return $(li)
                .attr("data-value", item.val2)
                .append("<span style='display:flex;'>" + item.val2 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val3 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val4 + "</span>")
                .appendTo(ul);
            };
        }
    </script>

</body>
</html>

