﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="frmPropertyReceived.aspx.vb" Inherits="Backend_PropertyReceived" %>

   
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />     
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous" />
    <link rel="stylesheet" href="fontawesome/css/font-awesome.min.css" />

    <!--My Every Page -->
    <link rel="Stylesheet" href="css/page.css" />


    <title>Property Received</title>

    <style type="text/css">

        .content{
            margin-top:0px;
            display: flex;
            flex-direction:column;            
        }

        .cell{
            margin-top:0px;
            display:flex;           
        }

        .cell:not(:first-of-type){
            margin-top:10px;
            display:flex; 
        }

        .txtInfo{
            height: 150px !important;
        }

        .label{
            display: inline-block;
            margin-top:2px;
            width:55px;
        }

    </style>


</head>
<body onload="loadMe()">

    <form id="frmPropertyReceived" runat="server" defaultbutton="CmdSave">
        <asp:HiddenField ID="HF_Exit" runat="server" />
        <asp:HiddenField ID="HF_ExitTo" runat="server" />        
        <asp:HiddenField ID="HF_ExitMessage" runat="server" />

        <div class="root">
            <div class="toolbar">
                <div class="row">
                    <div class="cell">
                        <asp:Image ID="Img_Status" runat="server" ImageUrl="~/BackEnd/App_Photos/Ico_Success.png" />
                        <asp:Button ID="CmdSave" runat="server" Text="Save" TabIndex="5" OnClientClick="return clientSave();"  CssClass="btn btnToolbar"/>
                    </div>
                </div>
            </div>

            <div class="content">
                <div class="cell" style="">
                    <span class="label" style="">Date*:</span>
                    <asp:TextBox ID="TxtDate" style="text-align:center; max-width:120px;" runat="server" TabIndex="1" Width="85px" CssClass="form-control txt" />
                </div>
                <div class="cell" style="">
                    <span class="label" style="">Agent*: </span>
                    <asp:DropDownList ID="CmbAgents" runat="server" TabIndex="2" CssClass="form-control dropDown" style="flex: 0 0 250px; max-width:250px;" ></asp:DropDownList>
                </div>
                <div class="cell" style="">
                    <span class="label" style="">Count*: </span>
                    <asp:TextBox ID="TxtCount" style="text-align:center" runat="server" TabIndex="3" Width="80px" CssClass="form-control txt" />
                </div>
                <div class="cell">
                    <span class="label">Info: </span>
                    <asp:TextBox ID="TxtInfo" style="text-align:left" runat="server" TabIndex="4" Width="572px"  TextMode="MultiLine" CssClass="form-control txt txtInfo" />
                </div>
            </div>
        </div>        
    </form>
</body>

<script type="text/javascript">
    function fnHideSuccessIcon()
    {
        window.setTimeout(function(){
            var o = document.getElementById("<%= Img_Status.ClientID %>");
            if (o)
                o.style.display = "none";   
        }, 3000);
    }

  function loadMe()
  {
      fnHideSuccessIcon();

       if (document.getElementById("HF_Exit").value == "exit")
         {      
           if (document.getElementById("HF_ExitMessage").value != "")
              alert(document.getElementById("HF_ExitMessage").value);
           
           var aExitTo = document.getElementById("HF_ExitTo").value;
           
           if (aExitTo.substring(0,1) == "1")
              {
                if (window.parent.parent)
                   window.parent.parent.location = aExitTo.substring(1);
                else if (window.parent)
                   window.parent.location = aExitTo.substring(1); 
              }
                 
           else
             {
                if (window.parent.document.getElementById('myIframe'))
                    window.parent.document.getElementById('myIframe').src= aExitTo.substring(1);            
                else if (window.parent)
                   window.parent.location = aExitTo.substring(1);
             } 
          }
     }      


    function isDate(value) {            
         return !isNaN(Date.parse(value));
    }

    function clientSave() {
        var txtDate = document.getElementById("<%= TxtDate.ClientID %>");
        var cmbAgents = document.getElementById("<%= CmbAgents.ClientID %>");
        var txtCount = document.getElementById("<%= TxtCount.ClientID %>");

        var dateS = txtDate.value;
        var agentId = cmbAgents.selectedIndex;
        var count = txtCount.value;

        if (isDate(dateS) == false) {
            alert("Invalid date specified.");
            return false;
        }
        else if (agentId <= 0) {
            alert("Please, select an agent.");
            return false;
        }
        else if (isNaN(count) || parseInt(count) <= 0) {
            alert("Invalid count specified.");
            return false;
        }
        return true;
    }
</script>


</html>