﻿Imports System.Data 
Partial Class Backend_frmReportingMarketingExpiry
    Inherits System.Web.UI.Page

    'Redirect option = Transfer / Redirect
    Private aRedirectOption As RedirectOptionEnum = RedirectOptionEnum.Transfer
    Public aCurrentUser As FrontEnd.User = Nothing
    Public aDataSource As DataTable 
    Public aError As String

    Private Sub ClientTransferOrRedirect(ByVal aRedirect As Boolean, ByVal aDestination As String, ByVal aErrorMessage As String)
        Me.HF_Exit.Value = "exit"
        Me.HF_ExitMessage.Value = aErrorMessage

        If aRedirect = True Then
            Me.HF_ExitTo.Value = "1" & aDestination
        Else
            Me.HF_ExitTo.Value = "2" & aDestination
        End If
    End Sub

    Private Function ValidateUser() As Boolean
        aCurrentUser = Session("CurrentUser")

        If aCurrentUser Is Nothing OrElse (aCurrentUser.IsAgent = False AndAlso aCurrentUser.IsAdmin=False AndAlso aCurrentUser.IsSuperUser = False) Then
            ClientTransferOrRedirect(True, "frmLogin.Aspx", "")
            Return False
        End If

        Return True
    End Function
    
    Private Sub Backend_frm_Load(sender As Object, e As EventArgs) Handles Me.Load
        If ValidateUser = False Then Return

        aError = ""

        If Me.IsPostBack = False Then 
            Txt_ExpiresIn.Text=5
        End If 
    End Sub

    Protected Sub Cmd_Search_Click(sender As Object, e As EventArgs)
        Dim agentId As Integer = 0

        If aCurrentUser.IsAgent = True Then agentId = aCurrentUser.ID 

        Try 
            aDataSource = BackEnd.Reporting.GetMarketingExpiry(agentId, Txt_ExpiresIn.Text)
            Me.GV.DataSource = aDataSource
            Me.GV.DataBind()

        Catch ex As Exception
            aError = ex.Message
        End Try
    End Sub
End Class
