﻿Imports Microsoft.VisualBasic
Imports System.Data


Partial Class Real_Estate_Lebanon_Lite
    Inherits System.Web.UI.Page

    Public aSdate As New Date(1900, 1, 1)
    Public aEdate As New Date(2020, 1, 1)

    Public aPropertyTitle As String = ""
    Public aPublicDescription As String = ""
    Public aMainPhoto As String = ""
    Public aURL As String = ""


    Private Function ValidateQueryString(ByVal aID As String) As Integer
        If aID Is Nothing OrElse IsNumeric(aID) = False OrElse CInt(aID) < 1 OrElse CInt(aID) > 8 Then
            Return 0
        End If
    End Function

    Protected Sub Page_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        Dim aImageURL As String = "http://www.961property.com/client%20resources/properties/ThumbPhotos/"
        Dim aHTMLCode As String = "", aSiteUrl As String = "http://www.961property.com/", aEmail As String = "", aBgColor As String = "", aIsNew As String = "", aIsHot As String = ""
        Dim aDS As DataSet, aDT As DataTable, aDR As DataRow, aDays As Integer = 0
        Dim aDtFeatured As DataTable, aDrFeatured As DataRow
        Dim aFeaturedItem As Integer = 0


        aDtFeatured = BackEnd.Prop.I_GenerateFeaturedProperties(1)


        'Load the main linked in preview item
        aFeaturedItem = ValidateQueryString(Request.QueryString("id"))

        If aDtFeatured.Columns.Count >= aFeaturedItem Then
            aDrFeatured = aDtFeatured.Rows(aFeaturedItem)

            aPropertyTitle = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            aPublicDescription = Left(aDrFeatured("INFO"), 450)
            aMainPhoto = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            aURL = "http://real-estate-lebanon.net/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
        End If



        'Apartments Price: 60-190
        If aDtFeatured.Columns.Count >= 1 Then
            aDrFeatured = aDtFeatured.Rows(0)
            Me.FeaturedTitle_A0.InnerText = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            Me.FeaturedText_A0.InnerText = Left(aDrFeatured("INFO"), 450)
            'Me.FeaturedImg_A0.Src = "http://www.961property.com/getThumb.asp?path=" & Server.MapPath(".") & "\" & PictureUtils.RelativePathFromPhysical(aDrFeatured("MAINPHOTO")) & "&width=450&height=337"
            Me.FeaturedImg_A0.Src = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            Me.FeaturedImg_A0.Width = 200
            Me.FeaturedImg_A0.Height = 160

            Me.HL_A0.NavigateUrl = "http://real-estate-lebanon.net/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
        End If

        'Apartments Price: 190-250
        If aDtFeatured.Columns.Count >= 2 Then
            aDrFeatured = aDtFeatured.Rows(1)
            Me.FeaturedTitle_A1.InnerText = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            Me.FeaturedText_A1.InnerText = Left(aDrFeatured("INFO"), 450)
            Me.FeaturedImg_A1.Src = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            Me.FeaturedImg_A1.Width = 200
            Me.FeaturedImg_A1.Height = 160
            Me.HL_A1.NavigateUrl = "http://real-estate-lebanon.net/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
        End If

        'Apartments Price: 251-350
        If aDtFeatured.Columns.Count >= 3 Then
            aDrFeatured = aDtFeatured.Rows(2)
            Me.FeaturedTitle_A2.InnerText = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            Me.FeaturedText_A2.InnerText = Left(aDrFeatured("INFO"), 450)
            Me.FeaturedImg_A2.Src = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            Me.FeaturedImg_A2.Width = 200
            Me.FeaturedImg_A2.Height = 160
            Me.HL_A2.NavigateUrl = "http://real-estate-lebanon.net/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
        End If

        'Apartments Price: 351-550
        If aDtFeatured.Columns.Count >= 4 Then
            aDrFeatured = aDtFeatured.Rows(3)
            Me.FeaturedTitle_A3.InnerText = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            Me.FeaturedText_A3.InnerText = Left(aDrFeatured("INFO"), 450)
            Me.FeaturedImg_A3.Src = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            Me.HL_A3.NavigateUrl = "http://real-estate-lebanon.net/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
        End If

        'Apartments Price: 551-2,000,000
        If aDtFeatured.Columns.Count >= 5 Then
            aDrFeatured = aDtFeatured.Rows(4)
            Me.FeaturedTitle_A4.InnerText = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            Me.FeaturedText_A4.InnerText = Left(aDrFeatured("INFO"), 450)
            Me.FeaturedImg_A4.Src = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            Me.FeaturedImg_A4.Width = 200
            Me.FeaturedImg_A4.Height = 160
            Me.HL_A4.NavigateUrl = "http://real-estate-lebanon.net/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
        End If

        'Villas & houses
        If aDtFeatured.Columns.Count >= 6 Then
            aDrFeatured = aDtFeatured.Rows(5)
            Me.FeaturedTitle_A5.InnerText = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            Me.FeaturedText_A5.InnerText = Left(aDrFeatured("INFO"), 450)
            Me.FeaturedImg_A5.Src = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            Me.FeaturedImg_A5.Width = 200
            Me.FeaturedImg_A5.Height = 160
            Me.HL_A5.NavigateUrl = "http://real-estate-lebanon.net/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
        End If

        'Lands
        If aDtFeatured.Columns.Count >= 7 Then
            aDrFeatured = aDtFeatured.Rows(6)
            Me.FeaturedTitle_A6.InnerText = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            Me.FeaturedText_A6.InnerText = Left(aDrFeatured("INFO"), 450)
            Me.FeaturedImg_A6.Src = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            Me.FeaturedImg_A6.Width = 200
            Me.FeaturedImg_A6.Height = 160
            Me.HL_A6.NavigateUrl = "http://real-estate-lebanon.net/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
        End If

        'Commercial
        If aDtFeatured.Columns.Count >= 8 Then
            aDrFeatured = aDtFeatured.Rows(7)
            Me.FeaturedTitle_A7.InnerText = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            Me.FeaturedText_A7.InnerText = Left(aDrFeatured("INFO"), 450)
            Me.FeaturedImg_A7.Src = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            Me.FeaturedImg_A7.Width = 200
            Me.FeaturedImg_A7.Height = 160
            Me.HL_A7.NavigateUrl = "http://real-estate-lebanon.net/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
        End If






        'aDS = BackEnd.Prop.I_GenerateHotProperties(1)
        'aDT = aDS.Tables(0)

        'If aDT.Rows.Count > 0 Then
        '    aHTMLCode = "<table id=""Tbl_Items"" border=""1"" cellpadding=""1"" style=""border: thin solid #0099CC; font-size:12px"" width=""100%"">"

        '    For Each aDR In aDT.Rows
        '        aHTMLCode = aHTMLCode + "<tr><td><img src=" + aImageURL + CStr(aDR("PROPERTYID")) + ".jpg width=100 height=75 style=border:0 /></td>"
        '        aHTMLCode = aHTMLCode + "<td align=left valign=middle bgcolor=" + aBgColor + "><b style=color:black;display:block;margin:0 0 1px 0;>" + aIsNew + " " + CStr(aDR("PROPERTYTYPE")) + " in " + CStr(aDR("CITY")) + ", " + CStr(aDR("AREA")) + " m2 " + ", $ " + CStr(aDR("PRICE")) + " </b><br>" + StringMisc.GetInfoPreview(CStr(aDR("INFO")), 190) + "... "
        '        aHTMLCode = aHTMLCode + "<a href=http://real-estate-lebanon.net/properties_detail.aspx?id=" + CStr(aDR("PROPERTYID")) + ">(more)</a> . <a href=mailto:info@isold-realestate.com>info@isold-realestate.com</a> . 70 592 593 . 71 6655 71</td></tr>"
        '    Next
        '    aHTMLCode = aHTMLCode + "</table>"
        'End If
        'Me.Div_Hot_Items_A0.InnerHtml = aHTMLCode


        'aDT = aDS.Tables(1)
        'If aDT.Rows.Count > 0 Then
        '    aHTMLCode = "<table id=""Tbl_Items"" border=""1"" cellpadding=""1"" style=""border: thin solid #0099CC; font-size:12px"" width=""100%"">"

        '    For Each aDR In aDT.Rows
        '        aHTMLCode = aHTMLCode + "<tr><td><img src=" + aImageURL + CStr(aDR("PROPERTYID")) + ".jpg width=100 height=75 style=border:0 /></td>"
        '        aHTMLCode = aHTMLCode + "<td align=left valign=middle bgcolor=" + aBgColor + "><b style=color:black;display:block;margin:0 0 1px 0;>" + aIsNew + " " + CStr(aDR("PROPERTYTYPE")) + " in " + CStr(aDR("CITY")) + ", " + CStr(aDR("AREA")) + " m2 " + ", $ " + CStr(aDR("PRICE")) + " </b><br>" + StringMisc.GetInfoPreview(CStr(aDR("INFO")), 190) + "... "
        '        aHTMLCode = aHTMLCode + "<a href=http://real-estate-lebanon.net/properties_detail.aspx?id=" + CStr(aDR("PROPERTYID")) + ">(more)</a> . <a href=mailto:info@isold-realestate.com>info@isold-realestate.com</a> . 70 592 593 . 71 6655 71</td></tr>"
        '    Next
        '    aHTMLCode = aHTMLCode + "</table>"
        'End If
        'Me.Div_Hot_Items_A1.InnerHtml = aHTMLCode


        'aDT = aDS.Tables(2)
        'If aDT.Rows.Count > 0 Then
        '    aHTMLCode = "<table id=""Tbl_Items"" border=""1"" cellpadding=""1"" style=""border: thin solid #0099CC; font-size:12px"" width=""100%"">"

        '    For Each aDR In aDT.Rows
        '        aHTMLCode = aHTMLCode + "<tr><td><img src=" + aImageURL + CStr(aDR("PROPERTYID")) + ".jpg width=100 height=75 style=border:0 /></td>"
        '        aHTMLCode = aHTMLCode + "<td align=left valign=middle bgcolor=" + aBgColor + "><b style=color:black;display:block;margin:0 0 1px 0;>" + aIsNew + " " + CStr(aDR("PROPERTYTYPE")) + " in " + CStr(aDR("CITY")) + ", " + CStr(aDR("AREA")) + " m2 " + ", $ " + CStr(aDR("PRICE")) + " </b><br>" + StringMisc.GetInfoPreview(CStr(aDR("INFO")), 190) + "... "
        '        aHTMLCode = aHTMLCode + "<a href=http://real-estate-lebanon.net/properties_detail.aspx?id=" + CStr(aDR("PROPERTYID")) + ">(more)</a> . <a href=mailto:info@isold-realestate.com>info@isold-realestate.com</a> . 70 592 593 . 71 6655 71</td></tr>"
        '    Next
        '    aHTMLCode = aHTMLCode + "</table>"
        'End If
        'Me.Div_Hot_Items_A2.InnerHtml = aHTMLCode


        'aDT = aDS.Tables(3)
        'If aDT.Rows.Count > 0 Then
        '    aHTMLCode = "<table id=""Tbl_Items"" border=""1"" cellpadding=""1"" style=""border: thin solid #0099CC; font-size:12px"" width=""100%"">"

        '    For Each aDR In aDT.Rows
        '        aHTMLCode = aHTMLCode + "<tr><td><img src=" + aImageURL + CStr(aDR("PROPERTYID")) + ".jpg width=100 height=75 style=border:0 /></td>"
        '        aHTMLCode = aHTMLCode + "<td align=left valign=middle bgcolor=" + aBgColor + "><b style=color:black;display:block;margin:0 0 1px 0;>" + aIsNew + " " + CStr(aDR("PROPERTYTYPE")) + " in " + CStr(aDR("CITY")) + ", " + CStr(aDR("AREA")) + " m2 " + ", $ " + CStr(aDR("PRICE")) + " </b><br>" + StringMisc.GetInfoPreview(CStr(aDR("INFO")), 190) + "... "
        '        aHTMLCode = aHTMLCode + "<a href=http://real-estate-lebanon.net/properties_detail.aspx?id=" + CStr(aDR("PROPERTYID")) + ">(more)</a> . <a href=mailto:info@isold-realestate.com>info@isold-realestate.com</a> . 70 592 593 . 71 6655 71</td></tr>"
        '    Next
        '    aHTMLCode = aHTMLCode + "</table>"
        'End If
        'Me.Div_Hot_Items_A3.InnerHtml = aHTMLCode



        'aDT = aDS.Tables(4)
        'If aDT.Rows.Count > 0 Then
        '    aHTMLCode = "<table id=""Tbl_Items"" border=""1"" cellpadding=""1"" style=""border: thin solid #0099CC; font-size:12px"" width=""100%"">"

        '    For Each aDR In aDT.Rows
        '        aHTMLCode = aHTMLCode + "<tr><td><img src=" + aImageURL + CStr(aDR("PROPERTYID")) + ".jpg width=100 height=75 style=border:0 /></td>"
        '        aHTMLCode = aHTMLCode + "<td align=left valign=middle bgcolor=" + aBgColor + "><b style=color:black;display:block;margin:0 0 1px 0;>" + aIsNew + " " + CStr(aDR("PROPERTYTYPE")) + " in " + CStr(aDR("CITY")) + ", " + CStr(aDR("AREA")) + " m2 " + ", $ " + CStr(aDR("PRICE")) + " </b><br>" + StringMisc.GetInfoPreview(CStr(aDR("INFO")), 190) + "... "
        '        aHTMLCode = aHTMLCode + "<a href=http://real-estate-lebanon.net/properties_detail.aspx?id=" + CStr(aDR("PROPERTYID")) + ">(more)</a> . <a href=mailto:info@isold-realestate.com>info@isold-realestate.com</a> . 70 592 593 . 71 6655 71</td></tr>"
        '    Next
        '    aHTMLCode = aHTMLCode + "</table>"
        'End If
        'Me.Div_Hot_Items_A4.InnerHtml = aHTMLCode

        ''Villas
        'aDT = aDS.Tables(5)
        'If aDT.Rows.Count > 0 Then
        '    aHTMLCode = "<table id=""Tbl_Items"" border=""1"" cellpadding=""1"" style=""border: thin solid #0099CC; font-size:12px"" width=""100%"">"

        '    For Each aDR In aDT.Rows
        '        aHTMLCode = aHTMLCode + "<tr><td><img src=" + aImageURL + CStr(aDR("PROPERTYID")) + ".jpg width=100 height=75 style=border:0 /></td>"
        '        aHTMLCode = aHTMLCode + "<td align=left valign=middle bgcolor=" + aBgColor + "><b style=color:black;display:block;margin:0 0 1px 0;>" + aIsNew + " " + CStr(aDR("PROPERTYTYPE")) + " in " + CStr(aDR("CITY")) + ", " + CStr(aDR("AREA")) + " m2 " + ", $ " + CStr(aDR("PRICE")) + " </b><br>" + StringMisc.GetInfoPreview(CStr(aDR("INFO")), 190) + "... "
        '        aHTMLCode = aHTMLCode + "<a href=http://real-estate-lebanon.net/properties_detail.aspx?id=" + CStr(aDR("PROPERTYID")) + ">(more)</a> . <a href=mailto:info@isold-realestate.com>info@isold-realestate.com</a> . 70 592 593 . 71 6655 71</td></tr>"
        '    Next
        '    aHTMLCode = aHTMLCode + "</table>"
        'End If
        'Me.Div_Hot_Items_A5.InnerHtml = aHTMLCode


        ''Lands
        'aDT = aDS.Tables(6)
        'If aDT.Rows.Count > 0 Then
        '    aHTMLCode = "<table id=""Tbl_Items"" border=""1"" cellpadding=""1"" style=""border: thin solid #0099CC; font-size:12px"" width=""100%"">"

        '    For Each aDR In aDT.Rows
        '        aHTMLCode = aHTMLCode + "<tr><td><img src=" + aImageURL + CStr(aDR("PROPERTYID")) + ".jpg width=100 height=75 style=border:0 /></td>"
        '        aHTMLCode = aHTMLCode + "<td align=left valign=middle bgcolor=" + aBgColor + "><b style=color:black;display:block;margin:0 0 1px 0;>" + aIsNew + " " + CStr(aDR("PROPERTYTYPE")) + " in " + CStr(aDR("CITY")) + ", " + CStr(aDR("AREA")) + " m2 " + ", $ " + CStr(aDR("PRICE")) + " </b><br>" + StringMisc.GetInfoPreview(CStr(aDR("INFO")), 190) + "... "
        '        aHTMLCode = aHTMLCode + "<a href=http://real-estate-lebanon.net/properties_detail.aspx?id=" + CStr(aDR("PROPERTYID")) + ">(more)</a> . <a href=mailto:info@isold-realestate.com>info@isold-realestate.com</a> . 70 592 593 . 71 6655 71</td></tr>"
        '    Next
        '    aHTMLCode = aHTMLCode + "</table>"
        'End If
        'Me.Div_Hot_Items_A6.InnerHtml = aHTMLCode


        ''Commercial
        'aDT = aDS.Tables(7)
        'If aDT.Rows.Count > 0 Then
        '    aHTMLCode = "<table id=""Tbl_Items"" border=""1"" cellpadding=""1"" style=""border: thin solid #0099CC; font-size:12px"" width=""100%"">"

        '    For Each aDR In aDT.Rows
        '        aHTMLCode = aHTMLCode + "<tr><td><img src=" + aImageURL + CStr(aDR("PROPERTYID")) + ".jpg width=100 height=75 style=border:0 /></td>"
        '        aHTMLCode = aHTMLCode + "<td align=left valign=middle bgcolor=" + aBgColor + "><b style=color:black;display:block;margin:0 0 1px 0;>" + aIsNew + " " + CStr(aDR("PROPERTYTYPE")) + " in " + CStr(aDR("CITY")) + ", " + CStr(aDR("AREA")) + " m2 " + ", $ " + CStr(aDR("PRICE")) + " </b><br>" + StringMisc.GetInfoPreview(CStr(aDR("INFO")), 190) + "... "
        '        aHTMLCode = aHTMLCode + "<a href=http://real-estate-lebanon.net/properties_detail.aspx?id=" + CStr(aDR("PROPERTYID")) + ">(more)</a> . <a href=mailto:info@isold-realestate.com>info@isold-realestate.com</a> . 70 592 593 . 71 6655 71</td></tr>"
        '    Next
        '    aHTMLCode = aHTMLCode + "</table>"
        'End If
        'Me.Div_Hot_Items_A7.InnerHtml = aHTMLCode


    End Sub


End Class
