<%@ Page Language="VB" %>

<%@ Register Src="headerUC.ascx" TagName="Header"   TagPrefix="ucHeader" %> 
<%@ Register Src="footerUC.ascx" TagName="Footer"   TagPrefix="ucFooter" %> 

<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html lang="en"> <!--<![endif]-->
<head>
	<meta charset="utf-8" />
	
	<!-- Page Title -->
	<title>iSOLD Real Estate in Lebanon</title>
	
	<meta name="keywords" content="real estate, responsive, retina ready, modern html5 template, bootstrap, css3" />
	<meta name="description" content="Cozy - Responsive Real Estate HTML5 Template" />
	<meta name="author" content="Wisely Themes - www.wiselythemes.com" />
	
	<!-- Mobile Meta Tag -->
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />

	<!-- Fav and touch icons -->
	<link rel="shortcut icon" type="image/x-icon" href="images/fav_touch_icons/favicon.ico" />
	<link rel="apple-touch-icon" href="images/fav_touch_icons/apple-touch-icon.png" />
	<link rel="apple-touch-icon" sizes="72x72" href="images/fav_touch_icons/apple-touch-icon-72x72.png" />
	<link rel="apple-touch-icon" sizes="114x114" href="images/fav_touch_icons/apple-touch-icon-114x114.png" />
	
	<!-- IE6-8 support of HTML5 elements -->
	<!--[if lt IE 9]>
	  <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script> 
	<![endif]-->
	
	<!-- Google Web Font -->
	<link href="http://fonts.googleapis.com/css?family=Raleway:300,500,900%7COpen+Sans:400,700,400italic" rel="stylesheet" type="text/css" />
	
	<!-- Bootstrap CSS -->
	<link href="css/bootstrap.min.css" rel="stylesheet" />
	
	<!-- Template CSS -->
	<link href="css/style.css" rel="stylesheet" />
	
	<!-- Modernizr -->
	<script src="js/modernizr-2.8.1.min.js"></script>
</head>


<body>
	<!-- BEGIN WRAPPER -->
	<div id="wrapper">
	
		<!-- BEGIN HEADER -->		
        <header id="header">
		    <ucHeader:Header id="HeaderID" runat="server" />
		</header>
		<!-- END HEADER -->
		
		
		<!-- BEGIN PAGE TITLE/BREADCRUMB -->
		<div class="parallax colored-bg pattern-bg" data-stellar-background-ratio="0.5">
			<div class="container">
				<div class="row">
					<div class="col-sm-12">
						<h1 class="page-title">About Us</h1>
						
						<ul class="breadcrumb">
							<li><a href="index.aspx">Home </a></li>
							<li><a href="#">Pages</a></li>
							<li><a href="about.html">About</a></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
		<!-- END PAGE TITLE/BREADCRUMB -->
		
		
		<!-- BEGIN HIGHLIGHT -->
		<div class="content">
			<div class="container">
				<div class="row">
					<div class="main col-sm-6">
						<div class="center">
							<h2 class="section-highlight" data-animation-direction="from-left" data-animation-delay="50">Welcome to my website</h2>
							<p class="darker-text" data-animation-direction="from-left" data-animation-delay="250">Purchasing a property in Lebanon (apartment, house, land, office) is often a very crucial and important task. Having a huge stock to choose from, my aim is to provide you with the optimum choice making your decision a rewarding one. </p>
							<p data-animation-direction="from-left" data-animation-delay="650">In addition to assisting our clients finding the optimum real estate deals across Lebanon, we also help out selling or renting their properties by exposing the items to our wide advertising channel.</p>
							<br/>
							<a href="contacts.aspx" class="btn btn-default-color" data-animation-direction="from-left" data-animation-delay="850">Contact Us Now</a>
						</div>
					</div>
					
					<div class="col-sm-6">
						<img id="about-img" src="images\office.jpg" alt="" data-animation-direction="from-right" data-animation-delay="200" />
					</div>
				</div>
			</div>
		</div>
		<!-- END HIGHLIGHT -->
		
		
		<!-- BEGIN SERVICES -->
		<div class="gray-bg">
			<div class="container">
				<div class="row">
					<div class="col-md-12">
						<h1 class="section-title" data-animation-direction="from-bottom" data-animation-delay="50">Real Estate in Lebanon</h1>
					
						<ul class="services">
							<li class="col-md-3" data-animation-direction="from-bottom" data-animation-delay="250">
								<h3><i class="fa fa-tags"></i> Sell or rent a property</h3>
								<p>You have a property (apartment, villa, house, land, office, shope) to sell or rent? <a href="#">Contact Us</a></p>
							</li>
							<li class="col-md-3" data-animation-direction="from-bottom" data-animation-delay="450">
								<h3><i class="fa fa-search"></i> Find a property</h3>
								<p>Searching for the best property in Lebanon? a best buy? something to invest in? <a href="#">Contact Us</a></p>
							</li>
							<li class="col-md-3" data-animation-direction="from-bottom" data-animation-delay="650">
								<h3><i class="fa fa-building"></i> Work with our team</h3>
								<p>Are you interrested to make extra money? Join us now <a href="#">Apply Now</a></p>
							</li>
							<li class="col-md-3" data-animation-direction="from-bottom" data-animation-delay="850">
								<h3><i class="fa fa-group"></i> Become a partner</h3>
								<p>Interrested to cover new area's in Lebanon. <a href="#">Apply Now</a></p>
							</li>
						</ul>
					
						<div class="center">
							<a href="register.html" class="btn btn-default-color" data-animation-direction="from-bottom" data-animation-delay="1050">Register Now!</a>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- END SERVICES -->
		
		
		<!-- BEGIN PROPERTY TYPE BUTTONS -->
		<div class="parallax colored-bg pattern-bg" data-stellar-background-ratio="0.5">
			<div class="container">
				<div class="row">
					<div class="col-sm-12">
						<h1 class="section-title" data-animation-direction="from-bottom" data-animation-delay="50">What are you looking for?</h1>
						
						<ul class="property-large-buttons2 clearfix">
							<li data-animation-direction="from-bottom" data-animation-delay="250">
								<i class="fa fa-home"></i><br>
								<h4>Residential</h4>
								<a href="properties-grid.html" class="btn btn-default">View All</a>
							</li>
							<li data-animation-direction="from-bottom" data-animation-delay="450">
								<i class="fa fa-tags"></i><br>
								<h4>Commercial</h4>
								<a href="properties-grid.html" class="btn btn-default">View All</a>
							</li>
							<li data-animation-direction="from-bottom" data-animation-delay="650">
								<i class="fa fa-leaf"></i><br>
								<h4>Land</h4>
								<a href="properties-grid.html" class="btn btn-default">View All</a>
							</li>
						</ul>
					</div>
				</div>
			</div>
		</div>
		<!-- END PROPERTY TYPE BUTTONS -->
		
		
		<!-- BEGIN CONTENT WRAPPER -->
		
		<!-- END CONTENT WRAPPER -->
		
		
		<!-- BEGIN PARTNERS WRAPPER -->
		
		<!-- END PARTNERS WRAPPER -->
		
		
		<!-- BEGIN FOOTER -->
		<footer id="footer">
		<ucFooter:Footer ID="FooterID" runat="server" />
		</footer>
		<!-- END FOOTER -->
	
	</div>
	<!-- END WRAPPER -->
	
	
	<!-- Libs -->
	<script src="js/common.js"></script>
	<script src="http://maps.google.com/maps/api/js?sensor=false" type="text/javascript"></script>
	<script src="js/infobox.min.js"></script>
	
	<!-- Template Scripts -->
	<script src="js/variables.js"></script>
	<script src="js/scripts.js"></script>
	
		<!-- Agencies list -->
	<script src="js/agencies.js"></script>
	
	<script type="text/javascript">
		(function($){
			"use strict";
			
			$(document).ready(function(){
				//Create agencies maps
				Cozy.agencyMap(agencies, 'agency_map1', 0);
				Cozy.agencyMap(agencies, 'agency_map2', 1);
				Cozy.agencyMap(agencies, 'agency_map3', 2);
				Cozy.agencyMap(agencies, 'agency_map4', 3);
			});
		})(jQuery);
	</script>


     <!-- Start of StatCounter Code for Default Guide -->
<script type="text/javascript">
    var sc_project = 10518358;
    var sc_invisible = 1;
    var sc_security = "0296bd09";
    var scJsHost = (("https:" == document.location.protocol) ?
"https://secure." : "http://www.");
    document.write("<sc" + "ript type='text/javascript' src='" +
scJsHost +
"statcounter.com/counter/counter.js'></" + "script>");
</script>
<noscript><div class="statcounter"><a title="shopify traffic
stats" href="http://statcounter.com/shopify/"
target="_blank"><img class="statcounter"
src="http://c.statcounter.com/10518358/0/0296bd09/1/"
alt="shopify traffic stats"></a></div></noscript>
<!-- End of StatCounter Code for Default Guide -->

</body>
</html>