﻿<%@ Page Language="VB" AutoEventWireup="false"  CodeFile="contacts.aspx.vb" Inherits="FrontEnd_Contact" %>

<%@ Register Src="headerUC.ascx" TagName="Header"   TagPrefix="ucHeader" %> 
<%@ Register Src="footerUC.ascx" TagName="Footer"   TagPrefix="ucFooter" %> 

<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html lang="en"> <!--<![endif]-->
<head>
	<meta charset="utf-8" />
	
	<!-- Page Title -->
	<title>Contact iSold Real Estate, Maten, Keserwan, Baabda, Achrafieh</title>
	
    <meta name="keywords" content="real estate in Rabieh, Properties for sale in Beirut, Baabda properties, Maten properties, Bsalim properties, Mtayleb properties, Rabwe, Ballouneh, Shaile, properties lebanon, properties keserwen." />
	<meta name="description" content="Welcome to my website. Purchasing a property in Lebanon (apartment, house, land, office…) is often a very crucial and important task. Having a huge stock to 
    choose from, my aim is to provide you with the optimum choice making your decision a rewarding one." />
	<meta name="author" content="Pierre Francis Eid" />
	
	<!-- Mobile Meta Tag -->
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />

	<!-- Fav and touch icons -->
	<link rel="shortcut icon" type="image/x-icon" href="images/fav_touch_icons/favicon.ico" />
	<link rel="apple-touch-icon" href="images/fav_touch_icons/apple-touch-icon.png" />
	<link rel="apple-touch-icon" sizes="72x72" href="images/fav_touch_icons/apple-touch-icon-72x72.png" />
	<link rel="apple-touch-icon" sizes="114x114" href="images/fav_touch_icons/apple-touch-icon-114x114.png" />
	
	<!-- IE6-8 support of HTML5 elements -->
	<!--[if lt IE 9]>
	  <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script> 
	<![endif]-->
	
	<!-- Google Web Font -->
	<link href="http://fonts.googleapis.com/css?family=Raleway:300,500,900%7COpen+Sans:400,700,400italic" rel="stylesheet" type="text/css" />
	
	<!-- Bootstrap CSS -->
	<link href="css/bootstrap.min.css" rel="stylesheet" />
	
	<!-- Template CSS -->
	<link href="css/style.css" rel="stylesheet" />
	
	<!-- Modernizr -->
	<script src="js/modernizr-2.8.1.min.js"></script>
</head>
<body>
	<!-- BEGIN WRAPPER -->
	<div id="wrapper">
	
		<!-- BEGIN HEADER -->
		 <header id="header">
		    <ucHeader:Header id="HeaderID" runat="server" />
		</header>
		<!-- END HEADER -->
		
		
		<!-- BEGIN PAGE TITLE/BREADCRUMB -->
		<div class="parallax colored-bg pattern-bg" data-stellar-background-ratio="0.5">
			<div class="container">
				<div class="row">
					<div class="col-sm-12">
						<h1 class="page-title">Contact Us</h1>
						
						<ul class="breadcrumb">
							<li><a href="index.aspx">Home </a></li>
							<li><a href="contacts.aspx">Contacts</a></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
		<!-- END PAGE TITLE/BREADCRUMB -->
		
		
		<!-- BEGIN CONTENT WRAPPER -->
		<div class="content contacts">
			<div id="contacts_map"></div>
			
			
			
			<div class="container">
				<div class="row">
				
					<div id="contacts-overlay" class="col-sm-7">
						<i id="contacts-overlay-close" class="fa fa-minus"></i>
						
						<ul class="col-sm-6">
							<li><i class="fa fa-map-marker"></i> Zalka Main St, Mount Lebanon, Maten, Lebanon</li>
							<li><i class="fa fa-envelope"></i> <a href="mailto:youremail@domain.com">info@isold-realestate.com</a></li>
						</ul>
						
						<ul class="col-sm-6">
							<li><i class="fa fa-phone"></i> Cel.: 00961 70 592 593</li>
							<li><i class="fa fa-print"></i> Tel: 00961 01 873 567</li>
						</ul>
					</div>
					
					<!-- BEGIN MAIN CONTENT -->
					<div class="main col-sm-4 col-sm-offset-8">
						<h2 class="section-title">Contact Form</h2>
						<p class="col-sm-12 center">Tired of searching for your dream property?. <strong>Contact iSold</strong> Fill in your request 
                        <br /><a href="#"><asp:Label ID="Lbl_Error" runat="server"></asp:Label></a></p>
						
						<form runat="server" id="form1">						
							<div class="col-sm-12">

                                <asp:TextBox ID="Txt_Name" name="Name" placeholder="Name" runat="server" CssClass="form-control required fromName" TabIndex="1"/>		
						         <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="Txt_Name" Display="None" ErrorMessage="Please specify your name."></asp:RequiredFieldValidator>
                                						
                                <asp:TextBox ID="Txt_Email" name="Email" placeholder="Email"  runat="server" CssClass="form-control required fromEmail" TabIndex="2" />                                
                                <asp:RequiredFieldValidator ID="RFV_Email" runat="server" ControlToValidate="Txt_Email" Display="None"   ErrorMessage="Please specify your email"></asp:RequiredFieldValidator>
                                <asp:RegularExpressionValidator ID="REV_Email" runat="server" ControlToValidate="Txt_Email" Display="None" ErrorMessage="Please provide a valid email" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator>
							    
                                <asp:TextBox ID="Txt_Phone" name="Phone" placeholder="Phone"  runat="server" CssClass="form-control required" TabIndex="3" />	                                				
						        <asp:RequiredFieldValidator ID="RFV_Phone" runat="server"  ControlToValidate="Txt_Phone" Display="None" ErrorMessage="Please specify your phone"></asp:RequiredFieldValidator>
                                
                                <asp:TextBox ID="Txt_Notes" name="Message" placeholder="Message" runat="server" TextMode="MultiLine" CssClass="form-control required" TabIndex="4"/>  
                                <asp:RequiredFieldValidator ID="RFV_Notes" runat="server"  ControlToValidate="Txt_Notes" Display="None" ErrorMessage="Please specify your text."></asp:RequiredFieldValidator>
                            
							</div>
							
							<div class="center">
                              
                                <asp:ImageButton ID="Img_Send" runat="server" ImageUrl="images\sendmail.jpg" />                                
                            </div>

                                 <asp:ValidationSummary ID="ValidationSummary1" runat="server" ShowMessageBox="True" ShowSummary="False" />
						</form>
					</div>	
					<!-- END MAIN CONTENT -->

				</div>
			</div>
		</div>
		<!-- END CONTENT WRAPPER -->
		 
		
		<!-- BEGIN FOOTER -->
		<footer id="footer">
		<ucFooter:Footer ID="FooterID" runat="server" />
		</footer>
		<!-- END FOOTER -->
	
	</div>
	<!-- END WRAPPER -->
	
	
	<!-- Libs -->
	<script src="js/common.js"></script>
	<script src="js/bootstrap-checkbox.js"></script>
	<script src="http://maps.google.com/maps/api/js?sensor=false" type="text/javascript"></script>
	<script src="js/infobox.min.js"></script>
	
	<!-- Template Scripts -->
	<script src="js/variables.js"></script>
	<script src="js/scripts.js"></script>
	
	<script type="text/javascript">
		var singleMarker = [
			{
				"id": 0,
				"title": "Zalka Office",
				"latitude": 33.903347,
				"longitude": 35.573517,
				"image": "http://placehold.it/700x603",
				"description": "Zalka Main St, Mount Lebanon, Maten <br> Cel: (961) 70 592 593",
				"map_marker_icon": "images/markers/coral-marker-cozy.png"
			}
		];
		
		(function ($) {
			"use strict";
			
			$(document).ready(function () {
				//Create contacts map. Usage: Cozy.contactsMap(marker_JSON_Object, map canvas, map zoom);
				Cozy.contactsMap(singleMarker, 'contacts_map', 14);
			});
		})(jQuery);
	</script>
	

     <!-- Start of StatCounter Code for Default Guide -->
<script type="text/javascript">
    var sc_project = 10518358;
    var sc_invisible = 1;
    var sc_security = "0296bd09";
    var scJsHost = (("https:" == document.location.protocol) ?
"https://secure." : "http://www.");
    document.write("<sc" + "ript type='text/javascript' src='" +
scJsHost +
"statcounter.com/counter/counter.js'></" + "script>");
</script>
<noscript><div class="statcounter"><a title="shopify traffic
stats" href="http://statcounter.com/shopify/"
target="_blank"><img class="statcounter"
src="http://c.statcounter.com/10518358/0/0296bd09/1/"
alt="shopify traffic stats"></a></div></noscript>
<!-- End of StatCounter Code for Default Guide -->


</body>
</html>