﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="index.aspx.vb" Inherits="_Index"%>
<%@ Register Src="headerUC.ascx" TagName="Header"   TagPrefix="ucHeader" %> 
<%@ Register Src="footerUC.ascx" TagName="Footer"   TagPrefix="ucFooter" %> 
<%@ Register Src="NewsletterUC.ascx" TagName="Newsletter"   TagPrefix="ucNewsletter" %> 

<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html lang="en"> <!--<![endif]-->
<head>
	<meta charset="utf-8" content="" />

	
	<!-- Page Title -->
	<title>Luxury apartments for sale in Maten, Keserwan</title>
	
	<meta name="keywords" content="real estate in Lebanon, Properties for sale in Achrafieh, Baabda, Maten, Bsalim, Rabieh, Rabwe, Ballouneh, Shaile, properties lebanon, properties keserwen." />
	<meta name="description" content="Welcome to my website. Purchasing a property in Lebanon (apartment, house, land, office…) is often a very crucial and important task. Having a huge stock to 
    choose from, my aim is to provide you with the optimum choice making your decision a rewarding one." />
	<meta name="author" content="Pierre Francis Eid" />
	
	<!-- Mobile Meta Tag -->
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />

	<!-- Fav and touch icons -->
	<link rel="shortcut icon" type="image/x-icon" href="images/fav_touch_icons/favicon.ico" />
	<link rel="apple-touch-icon" href="images/fav_touch_icons/apple-touch-icon.png" />
	<link rel="apple-touch-icon" sizes="72x72" href="images/fav_touch_icons/apple-touch-icon-72x72.png" />
	<link rel="apple-touch-icon" sizes="114x114" href="images/fav_touch_icons/apple-touch-icon-114x114.png" />
	
	<!-- IE6-8 support of HTML5 elements -->
	<!--[if lt IE 9]>
	  <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script> 
	<![endif]-->
	
  	<!-- Google Web Font -->
	<link href="http://fonts.googleapis.com/css?family=Raleway:300,500,900%7COpen+Sans:400,700,400italic" rel="stylesheet" type="text/css" />
	
	<!-- Bootstrap CSS -->
	<link href="css/bootstrap.min.css" rel="stylesheet" />
	
	<!-- Template CSS -->
	<link href="css/style.css" rel="stylesheet" />
	
	<!-- Modernizr -->
	<script src="js/modernizr-2.8.1.min.js"></script>

    <!-- Handle Buttons by Pierre -->
    <script id="handleButtons" language="javascript" type="text/javascript">
       
        function joinNewsletter() {

            document.getElementById("HD_Email").value = document.getElementById("newsletter_email").value;
            document.getElementById("Cmd_JoinNewsletter").click();
        }

        function saleOrRentClicked(aVal) {
            if (aVal==1)  
                document.getElementById("HD_RentorSale").value = 1;
            else 
                document.getElementById("HD_RentorSale").value = 2;
            
            //alert('ok');
        }

        //Apartments & Chalet
        function IconClicked(aType) {
            var propertyTypeIds;

            //alert(aType);

            if (aType == 1) {
                propertyTypeIds = "13,5";
            }
            
            if (aType == 2) { 
                propertyTypeIds = "17,2";    
            }
            
            if (aType == 3) { 
                propertyTypeIds = "3,6,14,15,16,17";    
            }

            document.getElementById("HD_PropType").value = propertyTypeIds;
            document.getElementById("Cmd_Search").click();
        }

        function searchClicked() {
            var searchVal=document.getElementById("home_search").value;

            //alert(searchVal);

            if (searchVal != '') {

                document.getElementById("Txt_Any").value = document.getElementById("home_search").value;
                document.getElementById("Cmd_Search").click();
            }

            else {
                alert('Please fill in the AREA.');
            }
        }

        function searchClicked2() {

            //alert('ok');

            var TypeVal = document.getElementById("Cmb_PropertyType").value;
            var CityVal = document.getElementById("Cmb_City").value;

//            alert(TypeVal);
//            alert(CityVal);

            document.getElementById("Cmd_Search").click();

        }

        function LoadMe() {
            if (document.getElementById("HD_Message").value != '')
            {
                alert(document.getElementById("HD_Message").value);
            }

        }

    </script>

</head>



<body onload="LoadMe();">

	<!-- BEGIN WRAPPER -->
	<div id="wrapper">
	
		<!-- BEGIN HEADER -->
		<header id="header">
		    <ucHeader:Header id="HeaderID" runat="server" />
		</header>
		<!-- END HEADER -->
		
		
		<!-- BEGIN HOME SEARCH SECTION -->
		<section id="home-search-section" data-stellar-background-ratio="0.5">
			<div class="container">
				<div class="row">
					<div class="col-sm-12" data-animation-direction="from-top" data-animation-delay="50">
						
						<h2 class="slider-title">Real Estate Lebanon</h2>
						<div class="slider-subtitle">We make selling / buying your property an easy task.</div>
					</div>
					
					<div id="home-search-buttons" class="col-sm-6 col-sm-offset-3" data-animation-direction="from-bottom" data-animation-delay="250">
						<input type="button" id="Btn_Sale" class="btn btn-default active" name="For Sale" value="For Sale" title="For Sale" onclick="saleOrRentClicked(1);"   />
                        <input type="button" id="Btn_Rent" class="btn btn-default" name="For Rent" value="For Rent" title="For Rent" onclick="saleOrRentClicked(2);"   />
						
						<div class="input-group">
							<input type="text" placeholder="City, State, Country, etc..." name="home_search" id="home_search" class="form-control" />
							<span class="input-group-btn">
								<button class="btn btn-default" type="button" onclick="searchClicked();"><i class="fa fa-search"></i>Search</button>
							</span>
						</div>
						<!--
						<a href="#" class="advanced-search">Advanced Search</a>
                        -->
					</div>
				</div>
			</div>
		</section>
		<!-- END HOME SEARCH SECTION -->
		
		<!-- BEGIN ACTION BOX -->
		<div class="action-box">
			<div class="container">
				<div class="row">
					<div class="col-sm-12 center">
						<h2>Need a Villa in Lebanon? Invest in a Land ? Sell your House?<br/>Contact us now.</h2>
						<div><a href="contacts.aspx" target="_blank" class="btn btn-default btn-lg">Contact Us</a></div>
					</div>
				</div>
			</div>
		</div>
		<!-- END ACTION BOX -->
		
		<!-- BEGIN PROPERTIES SLIDER WRAPPER-->
		<div class="parallax pattern-bg" data-stellar-background-ratio="0.5">
			<div class="container">
				<div class="row">
					<div class="col-sm-12">
						<h1 class="section-title" data-animation-direction="from-bottom" data-animation-delay="50">New Properties Available</h1>
						
						<div id="new-properties-slider" class="owl-carousel carousel-style1">
							
                            <% 						    
                                Dim aDt As Data.DataTable = Me.RecentItems()
						    Dim aDr As Data.DataRow
						    If aDt IsNot Nothing AndAlso drawElements = True Then
						        For Each aDr In aDt.Rows
						    %>
                            <div class="item" data-animation-direction="from-bottom" data-animation-delay="250">
								<div class="image">
									<a href="properties_detail.aspx?id=<%= adr("ID") %>" class="info">
										<h3><%= Left(aDR("INFO"),65) %>...</h3>
										<span class="location"><%=aDR("City") %></span>
									</a>
									<img src="http://www.961property.com/<%= RelativePathFromPhysical(aDR("PhotoLink")) %>" alt="" title="" height="670px" width="760px" style="width:760px; height:670px" />
								</div>
								<div class="price">
									<i class="fa fa-home"></i>For Sale
									<span><%= aDR("Price")%></span>
								</div>
								<ul class="amenities">
									<li><i class="icon-area"></i><%= aDr("SpaceM2")%> m2</li>
                                    <!--
									<li><i class="icon-bedrooms"></i> 4</li>
									<li><i class="icon-bathrooms"></i> 3</li>-->
								</ul>
							</div>

								<%
						Next
                    End If
						%>
						
						</div>
						
					</div>
				</div>
			</div>
		</div>
		<!-- END PROPERTIES SLIDER WRAPPER -->
		
		<!-- BEGIN CONTENT WRAPPER -->
		<div class="content colored">
			<div class="container">
				<div class="row">
				
					<!-- BEGIN MAIN CONTENT -->
					<div class="main col-sm-8">
						<h1 class="section-title" data-animation-direction="from-bottom" data-animation-delay="50">Properties in Lebanon</h1>

						<div class="feature col-sm-4" data-animation-direction="from-bottom" data-animation-delay="250">
							<i class="fa fa-building-o"></i>
							<h3>Apartments & Chalets</h3>
							<p>Click and navigate our fine collection of apartments for sale in Lebanon.</p>
							<a href="Javascript:IconClicked(1)" class="btn btn-default-color">List More</a>
						</div>
						<div class="feature col-sm-4" data-animation-direction="from-bottom" data-animation-delay="450">
							<i class="fa fa-home"></i>
							<h3>Villa's & Houses</h3>
							<p>Click and navigate our fine collection of villa's for sale in Lebanon.</p>
							<a href="Javascript:IconClicked(2)" class="btn btn-default-color">List More</a>
						</div>
						<div class="feature col-sm-4" data-animation-direction="from-bottom" data-animation-delay="650">
							<i class="fa fa-picture-o"></i>
							<h3>Lands & Industrial</h3>
							<p>Click and navigate our fine collection of lands for sale in Lebanon.</p>
							<a href="Javascript:IconClicked(3)" class="btn btn-default-color">List More</a>
						</div>
						
						
						<h1 class="section-title" data-animation-direction="from-bottom" data-animation-delay="50">Hot properties in Lebanon</h1>
						<p class="center" data-animation-direction="from-bottom" data-animation-delay="150">Looking for a good investment ? need a property with a good price ? check our hot deals.</p>
					
						<div id="property-gallery" class="owl-carousel property-gallery">

                        <% 						    
                            Dim aDt2 As Data.DataTable = Me.RecentItems()
                            Dim aDr2 As Data.DataRow
                            If aDt2 IsNot Nothing AndAlso drawElements = True Then
                                For Each aDr2 In aDt2.Rows
						    %>
							<div class="item" data-animation-direction="from-bottom" data-animation-delay="350">
								<a href="http://placehold.it/760x670" data-gal="prettyPhoto[gallery]" title="<%=aDR2("info") %>"><span class="btn btn-default">+</span></a>
								<img src="http://www.961property.com/<%= RelativePathFromPhysical(aDR2("PhotoLink")) %>" alt="<%=aDR2("info") %>" title="<%=aDR2("info") %>" height="217px" style="height:217px" />
							</div>
                        <% 						    
                            Next
                    End If
					 %>
						</div>
						
						
						<!-- BEGIN LATEST NEWS -->
						<h1 class="section-title" data-animation-direction="from-bottom" data-animation-delay="50">Latest News</h1>
						<div class="latest-news list-style clearfix">

							<div class="item col-sm-12" data-animation-direction="from-bottom" data-animation-delay="250">
								<div class="image">
									<a href="blog-detail.html">
										<span class="btn btn-default"><i class="fa fa-file-o"></i> Read More</span>
									</a>
									<img src="Client Resources/Article Pages/The slump begins to hurt.jpg" alt="" />
								</div>
								<div class="tag"><i class="fa fa-file-text"></i></div>
								<div class="info-blog">
									<ul class="top-info">
										<li><i class="fa fa-calendar"></i> Dec 08, 2014</li>
										<li><i class="fa fa-tags"></i> by Matt Nash (Executive Magazine)</li>
									</ul>
									<h3>
										<a href="blog-detail.html">The slump begins to hurt</a>
									</h3>
									<p>Developers are cutting prices and looking abroad to up their cash flow. Lebanon’s real estate developers are singing a different tune these days. Gone is the talk that residential property prices will never go down as three years of a slump are taking their toll.</p>
								</div>
							</div>

						</div>
						<!-- END LATEST NEWS -->
						
					</div>
					<!-- END MAIN CONTENT -->
					
					<!-- BEGIN SIDEBAR -->
					<div class="sidebar colored col-sm-4">
						
						<!-- BEGIN FIND AGENTS -->
						<div id="find_agents" class="col-sm-12" data-animation-direction="fade" data-animation-delay="250">
							<h2 class="section-title">Advanced Search</h2>
							
							<img src="images/search_pic.jpg" alt="" id="agents-img"/>
							
                            <form runat="server" id="mainForm">

                                <asp:TextBox ID="Txt_PropertyKey" runat="server" CssClass="form-control" name="search_prop_key" placeholder="Property key" ValidationGroup="VG_Search"></asp:TextBox>

						        <asp:DropDownList ID="Cmb_PropertyType" name="Cmb_PropertyType" runat="server" > </asp:DropDownList>   
                                <asp:DropDownList ID="Cmb_City" runat="server"></asp:DropDownList>
                                
                                <asp:DropDownList ID="Cmb_RentOrSale" runat="server">
                                <asp:ListItem Text="For sale" Selected="True" Value="1" ></asp:ListItem> 
                                <asp:ListItem Text="For Rent" Value="2" ></asp:ListItem> 
                                </asp:DropDownList>
                                
                                <asp:TextBox ID="Txt_Any" runat="server" CssClass="form-control" name="Keywords" placeholder="Keyword Search" ValidationGroup="VG_Search" Visible="true"  ></asp:TextBox>
						
                                <asp:Button ID="Cmd_Search" runat="server" Text="." Width="1px" Height="1px" BackColor="Transparent" BorderColor="Transparent" />

                                <asp:HiddenField ID="HD_Email" runat="server" />
                                  <asp:HiddenField ID="HD_Validation" runat="server" />
                                <asp:HiddenField ID="HD_Message"  runat="server" />
                                <asp:HiddenField ID="HD_PropType"  runat="server" />

                                <asp:HiddenField ID="HD_RentorSale"  runat="server" Value="1" />

                                <asp:Button ID="Cmd_JoinNewsletter" runat="server" Text="." Width="1px" Height="1px" BackColor="Transparent" BorderColor="Transparent" />                            
                            
                                <!-- asp.net search fields -->
                                <div class="" style="visibility:hidden;" >
                         		</div>								
                            
                                <asp:DropDownList ID="DropDownList1" runat="server" CssClass="col-sm-12" name="search_prop_type" data-placeholder="Type of Property" ValidationGroup="VG_Search" Visible="false"></asp:DropDownList>
									
                                <asp:DropDownList ID="DropDownList2" runat="server" CssClass="col-sm-12" name="search_prop_type" data-placeholder="Location of Property" ValidationGroup="VG_Search"  Visible="false"></asp:DropDownList>

                                <asp:DropDownList ID="Cmb_Country" runat="server" CssClass="col-sm-12" name="search_prop_type" data-placeholder="Location of Property"  ValidationGroup="VG_Search" Visible="false" ></asp:DropDownList>

                                <asp:DropDownList ID="Cmb_Area" runat="server" CssClass="col-sm-12" name="search_prop_type" data-placeholder="Area Size"  ValidationGroup="VG_Search" Visible="false" ></asp:DropDownList>

                                      <asp:DropDownList ID="Cmb_For"  runat="server" name="search_status" data-placeholder="Status" ValidationGroup="VG_Search"  Visible="false">
                                      <asp:ListItem  Text="" Value="0"></asp:ListItem>                           
                                      <asp:ListItem Selected="True"  Text="For Sale" Value="For Sale"></asp:ListItem>
                                      <asp:ListItem  Text="For Rent" Value="For Rent"></asp:ListItem>
                                     </asp:DropDownList>

                                      <asp:TextBox ID="Txt_Area" runat="server" MaxLength="20" Width="1px" Height="1"  ValidationGroup="VG_Search"  Visible="false"></asp:TextBox>
                                      <asp:TextBox ID="Txt_Street" runat="server" MaxLength="20"  Width="1px" Height="1"  ValidationGroup="VG_Search" Visible="false"></asp:TextBox>
                                      <asp:TextBox ID="Txt_For" runat="server" MaxLength="20" Width="1px" Height="1"  ValidationGroup="VG_Search" Visible="false"></asp:TextBox>

                                <asp:CheckBox ID="Chk_IsFeatured" runat="server"   Text="" ValidationGroup="VG_Search"  Visible="false"  />
					
                            
                          

                            </form>

                            
							
							<div class="form-actions">
								<button class="btn btn-default" type="button" onclick="searchClicked2();">Search</button>
                      
                        		</div>
						</div>
						<!-- END FIND AGENTS -->
						
						<!-- BEGIN AGENCIES -->
						<div id="agencies" class="col-sm-12" data-animation-direction="fade" data-animation-delay="250">
							<h2 class="section-title">Office Location</h2>
							
							<div class="mapborder">
								<div id="map_agency" class="gmap"></div>
							</div>
							<select id="agency" name="agency" >
							
								<!-- The list of agencies will be automatically created. 
									Set the list of agencies in the file js/agencies.js -->
							</select>
						</div>
						<!-- END AGENCIES -->
						
						<!-- BEGIN TESTIMONIALS 
						<div id="testimonials" class="col-sm-12" data-animation-direction="from-bottom" data-animation-delay="200">
							<h2 class="section-title">Testimonials</h2>
							
							<div id="testimonials-slider" class="owl-carousel testimonials">
								<div class="item">
									<blockquote class="text">
										<p>Lorem ipsum dolor sit amet consectetur adipiscing elit. Pellentesque elementum libero enim, eget gravida nunc laoreet et. Nullam ac enim auctor, fringilla risus at, imperdiet turpis.</p>
									</blockquote>
									<div class="author">
										<img src="http://placehold.it/61x61" alt="" />
										<div>
											Mark Maecenas<br>
											<span>CEO at Lorem Ipsum Agency</span>
										</div>
									</div>
								</div>

								<div class="item">
									<blockquote class="text">
										<p>Pellentesque elementum libero enim, eget gravida nunc laoreet et. Nullam ac enim auctor, fringilla risus at, imperdiet turpis.</p>
									</blockquote>
									<div class="author">
										<img src="http://placehold.it/61x61" alt="" />
										<div>
											John Doe<br>
											<span>CTO at Dolor Sit Amet Agency</span>
										</div>
									</div>
								</div>
								
								<div class="item">
									<blockquote class="text">
										<p>Lorem ipsum dolor sit amet consectetur adipiscing elit. Pellentesque elementum libero enim, eget gravida nunc laoreet et. Nullam ac enim auctor, fringilla risus at, imperdiet turpis. Nullam ac enim auctor, fringilla risus at, imperdiet turpis.</p>
									</blockquote>
									<div class="author">
										<img src="http://placehold.it/61x61" alt="" />
										<div>
											Mary Smith<br>
											<span>UFO at Some Agency</span>
										</div>
									</div>
								</div>
							</div>
						</div>
					 END TESTIMONIALS -->
						
						<!-- BEGIN NEWSLETTER -->   
                        <div class="col-sm-12" data-animation-direction="from-bottom" data-animation-delay="200">
							<div class="col-sm-12" id="Newsletter">								                 
					        	<ucNewsletter:Newsletter ID="NewsletterID" runat="server" />
                            </div>	


  		                </div>                 
						<!-- END NEWSLETTER -->
						
					</div>
					<!-- END SIDEBAR -->
					
				</div>
			</div>
		</div>
		<!-- END CONTENT WRAPPER -->
		
		<!-- BEGIN PARTNERS WRAPPER 
		<div class="parallax pattern-bg" data-stellar-background-ratio="0.5">
			<div class="container">
				<div class="row">
					<div class="col-sm-12">
						<h1 class="section-title" data-animation-direction="from-bottom" data-animation-delay="50">Our Agents</h1>
						
						<div id="partners">
							<div class="item" data-animation-direction="from-bottom" data-animation-delay="250">
								<a href="#"><img src="http://placehold.it/194x45" alt="" onmouseover="this.src='http://placehold.it/194x45';" onmouseout="this.src='http://placehold.it/194x45';" /></a>
							</div>
							<div class="item" data-animation-direction="from-bottom" data-animation-delay="450">
								<a href="#"><img src="http://placehold.it/194x45" alt="" onmouseover="this.src='http://placehold.it/194x45';" onmouseout="this.src='http://placehold.it/194x45';" /></a>
							</div>
							<div class="item" data-animation-direction="from-bottom" data-animation-delay="650">
								<a href="#"><img src="http://placehold.it/194x45" alt="" onmouseover="this.src='http://placehold.it/194x45';" onmouseout="this.src='http://placehold.it/194x45';" /></a>
							</div>
							<div class="item" data-animation-direction="from-bottom" data-animation-delay="850">
								<a href="#"><img src="http://placehold.it/194x45" alt="" onmouseover="this.src='http://placehold.it/194x45';" onmouseout="this.src='http://placehold.it/194x45';" /></a>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		END PARTNERS WRAPPER -->
		
		<!-- BEGIN FOOTER -->
		<footer id="footer">
        <ucFooter:Footer ID="FooterID" runat="server" />
		</footer>
		<!-- END FOOTER -->
	
	</div>
	<!-- END WRAPPER -->

	
	<!-- Libs -->
	<script src="js/common.js"></script>
	<script src="js/jquery.prettyPhoto.js"></script>
    <script src="js/owl.carousel.min.js"></script>
	<script src="js/chosen.jquery.min.js"></script>
	<script src="http://maps.google.com/maps/api/js?sensor=false" type="text/javascript"></script>
	<script src="js/infobox.min.js"></script>
	
	<!-- Template Scripts -->
	<script src="js/variables.js"></script>
	<script src="js/scripts.js"></script>
	
	<!-- Agencies list -->
	<script src="js/agencies.js"></script>
	
	<script type="text/javascript">
		(function($){
			"use strict";
			
			$(document).ready(function(){
				//Create agencies map with markers and populate dropdown agencies list.
				Cozy.agencyMap(agencies, "map_agency");
			});
		})(jQuery);
	</script>


 
 <!-- Start of StatCounter Code for Default Guide -->
<script type="text/javascript">
    var sc_project = 10518358;
    var sc_invisible = 1;
    var sc_security = "0296bd09";
    var scJsHost = (("https:" == document.location.protocol) ?
"https://secure." : "http://www.");
    document.write("<sc" + "ript type='text/javascript' src='" +
scJsHost +
"statcounter.com/counter/counter.js'></" + "script>");
</script>
<noscript><div class="statcounter"><a title="shopify traffic
stats" href="http://statcounter.com/shopify/"
target="_blank"><img class="statcounter"
src="http://c.statcounter.com/10518358/0/0296bd09/1/"
alt="shopify traffic stats"></a></div></noscript>
<!-- End of StatCounter Code for Default Guide -->
 				

</body>
</html>