Imports Microsoft.VisualBasic
Imports System.Data, system.Data.SqlClient, System.Collections.Generic, System.ComponentModel
Imports PDF, PDF.DAL, PDF.DAL.MSSQL


Partial Class _Index
    Inherits System.Web.UI.Page

    Public drawElements As Boolean = True

    Sub FillLookups()
        Dim aSQL As String = ""
        Dim aDS As DataSet, aDR As DataRow
        Dim aParams As New List(Of SqlClient.SqlParameter)
        Dim aDB As ConnectionContextConnection
        Dim aConContext As New ConnectionContext

        'If Cache("PropCombos") IsNot Nothing Then
        'aDS = Cache("PropCombos")
        'Else
        aDB = aConContext.ConnectionEntryFromMapping("KSARE.First")

        If aConContext.Status = 0 Then
            aConContext.UseTransaction = False
            aConContext.CloseConnectionWhenTerminates = True
        End If


        aSQL = "Select CO_ID As ID, CO_NAME As Name From TBL_COUNTRY Order BY CO_NAME; "
        aSQL &= "Select CI_ID As ID, CI_NAME As Name From TBL_CITY WHERE CI_ISACTIVE=1 AND  1=1 Order BY CI_Name; "
        aSQL &= "Select PT_ID As ID, PT_NAME As Name From TBL_PROPERTYTYPE Order BY PT_ORDERID; "

        aSQL &= "Select SI_ID As ID, SI_NAME As Name, SI_THEVALUE AS THEVALUE, SI_THEDIRECTION AS THEDIRECTION From TBL_STOCKITEM Order BY SI_ORDERID; "
        'aSQL &= "Select TOP 10 PR_ID AS ID, PR_PROPERTYKEY AS PKEY, PR_PUBLICDESCRIPTION AS INFO, PR_MAINPHOTO AS MAINPHOTO, PP_PHOTOLINK AS PHOTOLINK FROM TBL_PROPERTY, TBL_PROPERTYPHOTO WHERE TBL_PROPERTY.PR_ID=TBL_PROPERTYPHOTO.PP_PROPERTY AND  TBL_PROPERTY.PR_ISFEATURED='TRUE' AND TBL_PROPERTY.PR_ISACTIVE='TRUE' AND TBL_PROPERTY.PR_AGENTISACTIVE='TRUE' AND PP_ORDERID=1 ORDER BY ID DESC; "

        'Most Recent
        aSQL &= "Select TOP 10 PR_ID AS ID, PR_PROPERTYKEY AS PKEY, PR_PUBLICDESCRIPTION AS INFO, PR_MAINPHOTO AS MAINPHOTO, PR_SALEAMOUNT AS PRICE, PP_PHOTOLINK AS PHOTOLINK, PR_AREA AS SPACEM2, CI_NAME AS CITY  FROM TBL_PROPERTY, TBL_PROPERTYPHOTO, TBL_CITY WHERE TBL_PROPERTY.PR_CITY=TBL_CITY.CI_ID AND TBL_PROPERTY.PR_ID=TBL_PROPERTYPHOTO.PP_PROPERTY AND TBL_PROPERTY.PR_ISFEATURED='FALSE' AND TBL_PROPERTY.PR_ISACTIVE='TRUE' AND TBL_PROPERTY.PR_AGENTISACTIVE='TRUE' AND PR_FORSALE=1 AND PR_PROPERTYTYPE NOT IN (6,14,15,16) AND PP_ORDERID=1 ORDER BY ID DESC;"

        'Is Featured
        aSQL &= "Select TOP 6 PR_ID AS ID, PR_PROPERTYKEY AS PKEY, PR_PUBLICDESCRIPTION AS INFO, PR_MAINPHOTO AS MAINPHOTO, PR_SALEAMOUNT AS PRICE, PP_PHOTOLINK AS PHOTOLINK, PR_AREA AS SPACEM2, CI_NAME AS CITY  FROM TBL_PROPERTY, TBL_PROPERTYPHOTO, TBL_CITY WHERE TBL_PROPERTY.PR_CITY=TBL_CITY.CI_ID AND TBL_PROPERTY.PR_ID=TBL_PROPERTYPHOTO.PP_PROPERTY AND TBL_PROPERTY.PR_ISFEATURED='TRUE' AND TBL_PROPERTY.PR_ISACTIVE='TRUE' AND TBL_PROPERTY.PR_AGENTISACTIVE='TRUE' AND PR_FORSALE=1 AND PR_PROPERTYTYPE NOT IN (6,14,15,16) AND PP_ORDERID=1 ORDER BY ID DESC;"


        aDS = DB.ReadDS_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)

        Cache("PropCombos") = aDS
        'End If


        'Fill Districts
        'With Cmb_Country
        '    .Items.Clear()

        '    .Items.Add(New System.Web.UI.WebControls.ListItem("-", 0))

        '    For Each aDR In aDS.Tables(0).Rows
        '        .Items.Add(New System.Web.UI.WebControls.ListItem(aDR("Name"), aDR("ID")))
        '    Next
        'End With


        'Fill Cities
        With Cmb_City
            .Items.Clear()

            .Items.Add(New System.Web.UI.WebControls.ListItem("Select a City", 0))

            For Each aDR In aDS.Tables(1).Rows
                .Items.Add(New System.Web.UI.WebControls.ListItem(aDR("Name"), aDR("ID")))
            Next
        End With



        'Fill Property Type
        With Cmb_PropertyType
            .Items.Clear()

            .Items.Add(New System.Web.UI.WebControls.ListItem("Select a Type", 0))

            For Each aDR In aDS.Tables(2).Rows
                .Items.Add(New System.Web.UI.WebControls.ListItem(aDR("Name"), aDR("ID")))
            Next
        End With

        'With Cmb_Area
        '    .Items.Clear()
        '    .Items.Add(New System.Web.UI.WebControls.ListItem("-", 0))
        '    .Items.Add(New System.Web.UI.WebControls.ListItem("=", 1))
        '    .Items.Add(New System.Web.UI.WebControls.ListItem("<", 2))
        '    .Items.Add(New System.Web.UI.WebControls.ListItem("<=", 3))
        '    .Items.Add(New System.Web.UI.WebControls.ListItem(">", 4))
        '    .Items.Add(New System.Web.UI.WebControls.ListItem(">=", 5))
        '    .Items.Add(New System.Web.UI.WebControls.ListItem("~", 6))
        'End With


        'With Cmb_For
        '    .Items.Clear()
        '    .Items.Add(New System.Web.UI.WebControls.ListItem("-", 0))
        '    .Items.Add(New System.Web.UI.WebControls.ListItem("=", 1))
        '    .Items.Add(New System.Web.UI.WebControls.ListItem("<", 2))
        '    .Items.Add(New System.Web.UI.WebControls.ListItem("<=", 3))
        '    .Items.Add(New System.Web.UI.WebControls.ListItem(">", 4))
        '    .Items.Add(New System.Web.UI.WebControls.ListItem(">=", 5))
        '    .Items.Add(New System.Web.UI.WebControls.ListItem("~", 6))
        'End With

    End Sub

    Public Function RelativePathFromPhysical(ByVal aPhysicalPath As String) As String
        Dim i As Integer

        i = aPhysicalPath.LastIndexOf("Client Resources")

        If i < 0 Then
            Return ""
        Else
            Return aPhysicalPath.Substring(i)
        End If
    End Function

    Public Function DirectionPhoto(ByVal aTheDirection As Integer) As String
        If aTheDirection = 0 OrElse aTheDirection = 1 Then
            Return "App_Resources/Bottom/Arrow_Up.jpg"
        Else
            Return "App_Resources/Bottom/Arrow_Down.jpg"
        End If
    End Function

    Private Function ValidateSpamTest(ByVal aID As String) As Boolean
        If aID Is Nothing OrElse IsNumeric(aID) = False OrElse CInt(aID) <> 2 Then Return False

        Return True
    End Function


    Public ReadOnly Property StockItems() As DataTable
        Get
            Dim aDS As DataSet = Cache("PropCombos")

            If aDS Is Nothing Then Return Nothing

            Return aDS.Tables(3)
        End Get
    End Property

    Public ReadOnly Property RecentItems() As DataTable
        Get
            Dim aDS As DataSet = Cache("PropCombos")

            If aDS Is Nothing Then Return Nothing

            Return aDS.Tables(4)
        End Get
    End Property

    Public ReadOnly Property HotItems() As DataTable
        Get
            Dim aDS As DataSet = Cache("PropCombos")

            If aDS Is Nothing Then Return Nothing

            Return aDS.Tables(5)
        End Get
    End Property


    'Private Function ConstructCriteria() As String
    '    Dim aResult As String = ""

    '    If Cmb_PropertyType.SelectedIndex > 0 Then aResult &= "PropertyType=" & Cmb_PropertyType.SelectedValue & ";"

    '    If Cmb_Country.SelectedIndex > 0 Then aResult &= "Country=" & Cmb_Country.SelectedValue & ";"

    '    If Cmb_City.SelectedIndex > 0 Then aResult &= "City=" & Cmb_City.SelectedValue & ";"

    '    If Cmb_Area.SelectedIndex > 0 Then aResult &= "Area1=" & Cmb_Area.SelectedValue & ";"
    '    If Txt_Area.Text.Trim <> "" AndAlso IsNumeric(Txt_Area.Text.Trim) = True Then aResult &= "Area2=" & Txt_Area.Text.Trim & ";"

    '    If Chk_ForRent.Checked = True Then
    '        aResult &= "For1=2;"

    '        If Cmb_For.SelectedIndex > 0 Then aResult &= "For2=" & Cmb_For.SelectedValue & ";"
    '        If Txt_For.Text.Trim <> "" AndAlso IsNumeric(Txt_For.Text.Trim) = True Then aResult &= "For3=" & Txt_For.Text.Trim & ";"

    '    ElseIf Chk_ForSale.Checked = True Then
    '        aResult &= "For1=1;"

    '        If Cmb_For.SelectedIndex > 0 Then aResult &= "For2=" & Cmb_For.SelectedValue & ";"
    '        If Txt_For.Text.Trim <> "" AndAlso IsNumeric(Txt_For.Text.Trim) = True Then aResult &= "For3=" & Txt_For.Text.Trim & ";"
    '    End If

    '    Return aResult
    'End Function

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        If Me.IsPostBack = False Then '1st time loading
            Me.FillLookups()
        Else
            Me.HD_Message.Value = ""
        End If
    End Sub

    'Protected Sub Cmd_Go_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Cmd_Go.Click

    '    drawElements = False
    '    Session("PropSearch") = Me.ConstructCriteria()
    '    Response.Redirect("Search.aspx", False)

    'End Sub

    'Protected Sub Cmb_Country_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles Cmb_Country.SelectedIndexChanged
    '    Me.FillCities(Cmb_Country.SelectedValue)
    'End Sub

    'Sub FillCities(ByVal aCountry As Integer)
    '    Dim aSQL As String = ""
    '    Dim aDT As DataTable, aDR As DataRow
    '    Dim aParams As List(Of SqlClient.SqlParameter)
    '    Dim aDB As ConnectionContextConnection
    '    Dim aConContext As ConnectionContext

    '    With Cmb_City
    '        .Items.Clear()

    '        .Items.Add(New System.Web.UI.WebControls.ListItem("-", 0))
    '    End With

    '    If aCountry > 0 Then
    '        aParams = New List(Of SqlClient.SqlParameter)

    '        aConContext = New ConnectionContext
    '        aDB = aConContext.ConnectionEntryFromMapping("KSARE.First")

    '        If aConContext.Status = 0 Then
    '            aConContext.UseTransaction = False
    '            aConContext.CloseConnectionWhenTerminates = True
    '        End If


    '        aSQL = "Select CI_ID As ID, CI_NAME As Name From TBL_CITY WHERE CI_COUNTRY=" & aCountry & " Order BY CI_Name"


    '        aDT = DB.ReadDT_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)

    '        For Each aDR In aDT.Rows
    '            Cmb_City.Items.Add(New System.Web.UI.WebControls.ListItem(aDR("Name"), aDR("ID")))
    '        Next

    '        If aDT IsNot Nothing Then aDT.Dispose()
    '    End If
    'End Sub

    Private Function ConstructCriteria() As String
        Dim aResult As String = ""

        If Cmb_PropertyType.SelectedIndex > 0 Then aResult &= "PropertyType=" & Cmb_PropertyType.SelectedValue & ";"

        'If Cmb_PropertyType.SelectedValue <> "Select a City" Then aResult &= "PropertyType=" & Me.HD_PropType.Value & ";"

        If Cmb_Country.SelectedIndex > 0 Then aResult &= "Country=" & Cmb_Country.SelectedValue & ";"

        If Cmb_City.SelectedIndex > 0 Then aResult &= "City=" & Cmb_City.SelectedValue & ";"

        If Cmb_Area.SelectedIndex > 0 Then aResult &= "Area1=" & Cmb_Area.SelectedValue & ";"

        If Txt_Area.Text.Trim <> "" AndAlso IsNumeric(Txt_Area.Text.Trim) = True Then aResult &= "Area2=" & Txt_Area.Text.Trim & ";"

        If Txt_Any.Text.Trim <> "" Then aResult &= "Any=" & Txt_Any.Text.Trim & ";"


        'If Chk_ForRent.Checked = True Then
        '    aResult &= "For1=2;"

        '    If Cmb_For.SelectedIndex > 0 Then aResult &= "For2=" & Cmb_For.SelectedValue & ";"
        '    If Txt_For.Text.Trim <> "" AndAlso IsNumeric(Txt_For.Text.Trim) = True Then aResult &= "For3=" & Txt_For.Text.Trim & ";"

        'ElseIf Chk_ForSale.Checked = True Then
        '    aResult &= "For1=1;"

        '    If Cmb_For.SelectedIndex > 0 Then aResult &= "For2=" & Cmb_For.SelectedValue & ";"
        '    If Txt_For.Text.Trim <> "" AndAlso IsNumeric(Txt_For.Text.Trim) = True Then aResult &= "For3=" & Txt_For.Text.Trim & ";"
        'End If

        Return aResult
    End Function

    Protected Sub Cmd_JoinNewsletter_Click(sender As Object, e As System.EventArgs) Handles Cmd_JoinNewsletter.Click
        Dim aEmail As String, aValue As String
        aEmail = Me.HD_Email.Value
        aValue = Me.HD_Email.Value

        'If ValidateSpamTest(aValue) = False Then
        '    Me.HD_Message.Value = "Invalid value !"
        '    'Exit Sub

        'End If
      
        'If Trim(aEmail) <> "" And Mail.ValidEmail(aEmail) = True Then
        '    Mail.SendMail(Application("AdminEmail"), Application("AssistantEmail"), "pierre.francis78@live.com", "Join Newsletter", Me.HD_Email.Value)
        '    Me.HD_Message.Value = "Thanks for joining our newsletter."
        'Else
        '    Me.HD_Message.Value = "Invalid Email !"
        'End If
    End Sub

    Protected Sub Cmd_Search_Click(sender As Object, e As System.EventArgs) Handles Cmd_Search.Click

        drawElements = False
        Session("PropSearch") = Me.ConstructCriteria()
        Response.Redirect("properties_list.aspx", False)
    End Sub
End Class
