<%@ Page Language="VB" AutoEventWireup="false"  %>

<%@ Register Src="headerUC.ascx" TagName="Header"   TagPrefix="ucHeader" %> 
<%@ Register Src="footerUC.ascx" TagName="Footer"   TagPrefix="ucFooter" %> 

<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html lang="en"> <!--<![endif]-->
<head>
	<meta charset="utf-8" />
	
	<!-- Page Title -->
	<title>Contact iSold Real Estate, Maten, Keserwan, Baabda, Achrafieh</title>
	
    <meta name="keywords" content="real estate in Rabieh, Properties for sale in Beirut, Baabda properties, Maten properties, Bsalim properties, Mtayleb properties, Rabwe, Ballouneh, Shaile, properties lebanon, properties keserwen." />
	<meta name="description" content="Welcome to my website. Purchasing a property in Lebanon (apartment, house, land, office) is often a very crucial and important task. Having a huge stock to 
    choose from, my aim is to provide you with the optimum choice making your decision a rewarding one." />
	<meta name="author" content="Pierre Francis Eid" />
	
	<!-- Mobile Meta Tag -->
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />

	<!-- Fav and touch icons -->
	<link rel="shortcut icon" type="image/x-icon" href="images/fav_touch_icons/favicon.ico" />
	<link rel="apple-touch-icon" href="images/fav_touch_icons/apple-touch-icon.png" />
	<link rel="apple-touch-icon" sizes="72x72" href="images/fav_touch_icons/apple-touch-icon-72x72.png" />
	<link rel="apple-touch-icon" sizes="114x114" href="images/fav_touch_icons/apple-touch-icon-114x114.png" />
	
	<!-- IE6-8 support of HTML5 elements -->
	<!--[if lt IE 9]>
	  <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script> 
	<![endif]-->
	
	<!-- Google Web Font -->
	<link href="http://fonts.googleapis.com/css?family=Raleway:300,500,900%7COpen+Sans:400,700,400italic" rel="stylesheet" type="text/css" />
	
	<!-- Bootstrap CSS -->
	<link href="css/bootstrap.min.css" rel="stylesheet" />
	
	<!-- Template CSS -->
	<link href="css/style.css" rel="stylesheet" />
	
	<!-- Modernizr -->
	<script src="js/modernizr-2.8.1.min.js"></script>
</head>

<body>
	<!-- BEGIN WRAPPER -->
	<div id="wrapper">
		
	<!-- BEGIN HEADER -->
		 <header id="header">
		    <ucHeader:Header id="HeaderID" runat="server" />
		</header>
		<!-- END HEADER -->
		
		<!-- BEGIN PAGE TITLE/BREADCRUMB -->
		<div class="parallax colored-bg pattern-bg" data-stellar-background-ratio="0.5">
			<div class="container">
				<div class="row">
					<div class="col-sm-12">
						<h1 class="page-title">404 Error</h1>
						
						<ul class="breadcrumb">
							<li><a href="index.aspx">Home </a></li>
							<li><a href="#">Pages</a></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
		<!-- END PAGE TITLE/BREADCRUMB -->
		
		
		<!-- BEGIN CONTENT WRAPPER -->
		<div class="content">
			<div class="container">
				<div class="row">
				
					<!-- BEGIN MAIN CONTENT -->
					<div class="main col-sm-6">
						
						<div class="e404 clearfix">
							<div>
								<strong>404</strong>
								ERROR 
							</div>
							<i class="fa fa-file-text-o"></i>
						</div>
						
					</div>	
					<!-- END MAIN CONTENT -->
					
					<!-- BEGIN SIDEBAR -->
					<div class="sidebar col-sm-5 col-md-offset-1">
						
						<div id="e404-side">
							<h3>Hey! Page not found.</h3>
							
							<p><br/><br/>Sorry, but the page you requested could not be found. This page may have been moved, deleted or maybe you have mistyped the URL.</p>
							
							<p>Please, try again and make sure you have typed the URL correctly.</p>
							
							<p class="center"><br/><a href="index.aspx" class="btn btn-default-color">Go to Homepage</a></p>
						</div>
					</div>
					<!-- END SIDEBAR -->
					
				</div>
			</div>
		</div>
		<!-- END CONTENT WRAPPER -->
		
		
		<!-- BEGIN FOOTER -->
		<footer id="footer">
			<div id="footer-top" class="container">
				<div class="row">
					<div class="block col-sm-3">
						<a href="index.aspx"><img src="images/logo.png" alt="Cozy Logo" /></a>
						<br><br>
						<p>Cozy is a simple clean and modern HTML template designed for Real Estate business. This template has a lot of useful features and it's highly customizable so you can turn it into your own awesome website.</p>
					</div>
					<div class="block col-sm-3">
						<h3>Contact Info</h3>
						<ul class="footer-contacts">
							<li><i class="fa fa-map-marker"></i> 24th Street, New York, USA</li>
							<li><i class="fa fa-phone"></i> 00351 123 456 789</li>
							<li><i class="fa fa-envelope"></i> <a href="mailto:email@yourbusiness.com">email@yourbusiness.com</a></li>
						</ul>
					</div>
					<div class="block col-sm-3">
						<h3>Helpful Links</h3>
						<ul class="footer-links">
							<li><a href="properties-list.html">All Properties Available</a></li>
							<li><a href="agent-listing.html">Look for an Agent</a></li>
							<li><a href="agency-listing.html">Look for an Agency</a></li>
							<li><a href="pricing-tables.html">See our Pricing Tables</a></li>
						</ul>
					</div>
					<div class="block col-sm-3">
						<h3>Latest Listings</h3>
						<ul class="footer-listings">
							<li>
								<div class="image">
									<a href="properties-detail.html"><img src="http://placehold.it/760x670" alt="" /></a>
								</div>
								<p><a href="properties-detail.html">Luxury Apartment with great views<span>+</span></a></p>
							</li>
							<li>
								<div class="image">
									<a href="properties-detail.html"><img src="http://placehold.it/760x670" alt="" /></a>
								</div>
								<p><a href="properties-detail.html">Stunning Villa with 5 bedrooms<span>+</span></a></p>
							</li>
							<li>
								<div class="image">
									<a href="properties-detail.html"><img src="http://placehold.it/760x670" alt="" /></a>
								</div>
								<p><a href="properties-detail.html">Recent construction with 3 bedrooms.<span>+</span></a></p>
							</li>
						</ul>
					</div>
				</div>
			</div>
			
			
			<!-- BEGIN COPYRIGHT -->
			<div id="copyright">
				<div class="container">
					<div class="row">
						<div class="col-sm-12">
							&copy; 2014 Cozy - Real Estate template. All rights reserved. Developed by <a href="http://www.wiselythemes.com" target="_blank">WiselyThemes</a>
							
							<!-- BEGIN SOCIAL NETWORKS -->
							<ul class="social-networks">
								<li><a href="#"><i class="fa fa-facebook"></i></a></li>
								<li><a href="#"><i class="fa fa-twitter"></i></a></li>
								<li><a href="#"><i class="fa fa-google"></i></a></li>
								<li><a href="#"><i class="fa fa-pinterest"></i></a></li>
								<li><a href="#"><i class="fa fa-youtube"></i></a></li>
								<li><a href="#"><i class="fa fa-rss"></i></a></li>
							</ul>
							<!-- END SOCIAL NETWORKS -->
						
						</div>
					</div>
				</div>
			</div>
			<!-- END COPYRIGHT -->
			
		</footer>
		<!-- END FOOTER -->
	
	</div>
	<!-- END WRAPPER -->
	
	
	<!-- Libs -->
	<script src="js/common.js"></script>
	
	<!-- Template Scripts -->
	<script src="js/variables.js"></script>
	<script src="js/scripts.js"></script>
	
</body>
</html>