﻿Imports Microsoft.VisualBasic
Imports System.Web.Mail
Imports System.Collections

Imports System.Net.Mail



Public Class Mail

    Public Shared Sub SendMail2(ByVal aTo As String, aCc As String, aBcc As String, aSubject As String, ByVal aBody As String, Optional aHasAttachment As Boolean = False, Optional aAttachmentList As String = "")
        Dim smtpServer As String = System.Web.HttpContext.Current.Application("smtpServer")
        Dim userName As String = System.Web.HttpContext.Current.Application("userName")
        Dim password As String = System.Web.HttpContext.Current.Application("password")
        Dim cdoBasic As Integer = 1
        Dim cdoSendUsingPort As Integer = 2

        Dim msg As New System.Web.Mail.MailMessage()


        If userName.Length > 0 Then
            msg.Fields.Add("http://schemas.microsoft.com/cdo/configuration/smtpserver", smtpServer)
            msg.Fields.Add("http://schemas.microsoft.com/cdo/configuration/smtpserverport", 587)
            msg.Fields.Add("http://schemas.microsoft.com/cdo/configuration/sendusing", cdoSendUsingPort)
            msg.Fields.Add("http://schemas.microsoft.com/cdo/configuration/smtpauthenticate", cdoBasic)
            msg.Fields.Add("http://schemas.microsoft.com/cdo/configuration/sendusername", userName)
            msg.Fields.Add("http://schemas.microsoft.com/cdo/configuration/sendpassword", password)
        End If

        msg.BodyEncoding = System.Text.Encoding.UTF8
        msg.BodyFormat = MailFormat.Html

        'Dim attachment As New MailAttachment(System.Web.HttpContext.Current.Server.MapPath("test.txt")) 'create the attachment
        'Mail.Attachment.Add(attachment) 'add the attachment

        If aHasAttachment = True Then
            msg.Attachments.Add(New MailAttachment(System.Web.HttpContext.Current.Server.MapPath(".") & " "))
        End If


        msg.From = System.Web.HttpContext.Current.Application("userName")
        msg.To = aTo

        msg.Cc = aCc
        msg.Cc = System.Web.HttpContext.Current.Application("BackupEmail") '"isoldproperties@gmail.com"
        msg.Cc = System.Web.HttpContext.Current.Application("AdminEmail") '"info@realestatelebanon.net"
        msg.Cc = System.Web.HttpContext.Current.Application("AssistantEmail") '"maria@realestatelebanon.net"

        msg.Bcc = aBcc
        msg.Bcc = System.Web.HttpContext.Current.Application("GmailAddress") '"pierre.francis1978@gmail.com"
        msg.Bcc = System.Web.HttpContext.Current.Application("LiveAddress") '"pierre.francis78@live.com"


        msg.Subject = aSubject
        msg.Body = aBody

        SmtpMail.SmtpServer = smtpServer
        SmtpMail.Send(msg)

    End Sub



    Public Shared Sub SendMail(ByVal aTo As String, aCc As String, aBcc As String, aSubject As String, ByVal aBody As String, Optional aHasAttachment As Boolean = False, Optional aAttachmentList As String = "")
        Dim smtpServer As String = System.Web.HttpContext.Current.Application("smtpServer")
        Dim userName As String = System.Web.HttpContext.Current.Application("userName")
        Dim password As String = System.Web.HttpContext.Current.Application("password")

        Dim Smtp_Server As New SmtpClient
        Dim e_mail As New System.Net.Mail.MailMessage()
        Smtp_Server.UseDefaultCredentials = False
        'Smtp_Server.Credentials = New Net.NetworkCredential("isoldrealestate@gmail.com", "I1!_05@gmail")
        Smtp_Server.Credentials = New Net.NetworkCredential(userName, password)

        Smtp_Server.Port = 587
        Smtp_Server.EnableSsl = False 'True
        ' Smtp_Server.Host = "smtp.gmail.com"
        Smtp_Server.Host = smtpServer

        e_mail = New System.Net.Mail.MailMessage()
        e_mail.From = New MailAddress(System.Web.HttpContext.Current.Application("userName"))

        e_mail.To.Add(aTo)

        If aCc <> "" Then e_mail.CC.Add(aCc)
        if aBcc <> "" Then e_mail.Bcc.Add(aBcc)

        'e_mail.CC.Add("isoldproperties@gmail.com")
        'e_mail.Bcc.Add("maria@realestatelebanon.net")

        'e_mail.Bcc.Add(System.Web.HttpContext.Current.Application("BackupEmail"))
        'e_mail.Bcc.Add(System.Web.HttpContext.Current.Application("AdminEmail"))
        'e_mail.Bcc.Add(System.Web.HttpContext.Current.Application("AssistantEmail"))
        'e_mail.Bcc.Add(System.Web.HttpContext.Current.Application("LiveAddress"))

        e_mail.Subject = aSubject
        e_mail.IsBodyHtml = True
        'e_mail.Priority = Net.Mail.MailPriority.Normal
        'e_mail.DeliveryNotificationOptions = DeliveryNotificationOptions.OnFailure

        e_mail.Body = aBody

        Smtp_Server.Send(e_mail)


    End Sub

    Public Shared Function ValidEmail(ByVal strCheck As String) As Boolean
        'Created by Chad M. Kovac
        'Tech Knowledgey, Inc.
        'http://www.TechKnowledgeyInc.com

        Dim bCK As Boolean
        Dim strDomainType As String
        Dim strDomainName As String
        Const sInvalidChars As String = "!#$%^&*()=+{}[]|\;:'/?>,< "
        Dim i As Integer

        bCK = Not InStr(1, strCheck, Chr(34)) > 0 'Check to see if there is a double quote
        If Not bCK Then GoTo ExitFunction

        bCK = Not InStr(1, strCheck, "..") > 0 'Check to see if there are consecutive dots
        If Not bCK Then GoTo ExitFunction

        ' Check for invalid characters.
        If Len(strCheck) > Len(sInvalidChars) Then
            For i = 1 To Len(sInvalidChars)
                If InStr(strCheck, Mid(sInvalidChars, i, 1)) > 0 Then
                    bCK = False
                    GoTo ExitFunction
                End If
            Next
        Else
            For i = 1 To Len(strCheck)
                If InStr(sInvalidChars, Mid(strCheck, i, 1)) > 0 Then
                    bCK = False
                    GoTo ExitFunction
                End If
            Next
        End If

        If InStr(1, strCheck, "@") > 1 Then 'Check for an @ symbol
            bCK = Len(Left(strCheck, InStr(1, strCheck, "@") - 1)) > 0
        Else
            bCK = False
        End If
        If Not bCK Then GoTo ExitFunction

        strCheck = Right(strCheck, Len(strCheck) - InStr(1, strCheck, "@"))
        bCK = Not InStr(1, strCheck, "@") > 0 'Check to see if there are too many @'s
        If Not bCK Then GoTo ExitFunction

        strDomainType = Right(strCheck, Len(strCheck) - InStr(1, strCheck, "."))
        bCK = Len(strDomainType) > 0 And InStr(1, strCheck, ".") < Len(strCheck)
        If Not bCK Then GoTo ExitFunction

        strCheck = Left(strCheck, Len(strCheck) - Len(strDomainType) - 1)
        Do Until InStr(1, strCheck, ".") <= 1
            If Len(strCheck) >= InStr(1, strCheck, ".") Then
                strCheck = Left(strCheck, Len(strCheck) - (InStr(1, strCheck, ".") - 1))
            Else
                bCK = False
                GoTo ExitFunction
            End If
        Loop
        If strCheck = "." Or Len(strCheck) = 0 Then bCK = False

ExitFunction:
        ValidEmail = bCK
    End Function



    Public NotInheritable Class TestEmail
        Private Sub New()
        End Sub
        Public Const MatchEmailPattern As String = "^(([\w-]+\.)+[\w-]+|([a-zA-Z]{1}|[\w-]{2,}))@" + "((([0-1]?[0-9]{1,2}|25[0-5]|2[0-4][0-9])\.([0-1]?" & vbCr & vbLf & "    [0-9]{1,2}|25[0-5]|2[0-4][0-9])\." + "([0-1]?[0-9]{1,2}|25[0-5]|2[0-4][0-9])\.([0-1]?" & vbCr & vbLf & "    [0-9]{1,2}|25[0-5]|2[0-4][0-9])){1}|" + "([a-zA-Z]+[\w-]+\.)+[a-zA-Z]{2,4})$"


        Public Shared Function IsEmail(email As String) As Boolean
            If email IsNot Nothing Then
                Return Regex.IsMatch(email, MatchEmailPattern)
            Else
                Return False
            End If
        End Function
    End Class
End Class

