﻿Imports System.Collections.Generic
Imports System.Data
Imports Microsoft.VisualBasic
Imports PDF.DAL.MSSQL
Imports Utils

Namespace BackEnd
    <Serializable()> _
    Public Class Notification
        Public Shared Sub Create(title As String, createdOn As DateTime, user As Integer, category As Integer, isViewed As Boolean, propertyId As Integer, clientRequestId As Integer, Optional createToAgentId As Integer = -1, Optional createToAdmins As Integer = -1, Optional createToSuperUser As Boolean = True, Optional ByRef aConContext As ConnectionContext = Nothing)
            Dim aParams As List(Of SqlClient.SqlParameter)
            Dim aDB As ConnectionContextConnection
            Dim aDT As DataTable

            If aConContext Is Nothing Then
                aConContext = New ConnectionContext

                aConContext.UseTransaction = False
                aConContext.CommitTransactionWhenTerminates = False
                aConContext.CloseConnectionWhenTerminates = True
            End If

            aDB = aConContext.ConnectionEntryFromMapping("KSARE.First")

            Dim aSQL As String = "Select UR_ID as Id From Tbl_User Where UR_ISACTIVE='TRUE' AND ("
            Dim aSQLWhere As String = ""

            If createToAgentId > 0 Then aSQLWhere &= " OR UR_ID = " & createToAgentId

            If createToAdmins = True Then aSQLWhere &= " OR UR_ISADMIN='TRUE'"

            If createToSuperUser = True Then aSQLWhere &= " OR UR_ISSUPERUSER='TRUE'"

            If aSQLWhere = "" Then Return

            aSQL &= aSQLWhere.Substring(3) & ")"

            aParams = New List(Of SqlClient.SqlParameter)
            aDT = DB.ReadDT_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)

            For Each aDrow As DataRow In aDT.Rows
                aSQL = "Insert Into Tbl_Notification (Title, CreatedOn, CreatedTo, User, Category, IsViewed, Property, Request) Values('N" & Utils.Utils.FixQuotes(title) & "','" & DateTime.Now & "'," & aDrow("Id") & "," & user & "," & category & ", 'False', " & propertyId & "," & clientRequestId & ")" 
                 DB.CUD_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)
            Next
        End Sub

        'Public Shared Sub CreatePropertyCreated(createdOn As DateTime, user As Integer, category As Integer, isViewed As Boolean, propertyId As Integer, clientRequestId As Integer, Optional ByRef aConContext As ConnectionContext = Nothing)
        '    Dim aParams As List(Of SqlClient.SqlParameter)
        '    Dim aDB As ConnectionContextConnection
        '    Dim aDT As DataTable, aDRow As DataRow 
        '    Dim aSQL As String = ""
        '    Dim aSQLWhere As String = ""
        '    Dim title As String=""

        '    If aConContext Is Nothing Then
        '        aConContext = New ConnectionContext

        '        aConContext.UseTransaction = False
        '        aConContext.CommitTransactionWhenTerminates = False
        '        aConContext.CloseConnectionWhenTerminates = False
        '    End If

        '    aDB = aConContext.ConnectionEntryFromMapping("KSARE.First")

        '    'Get the property info
        '    aParams = new List(Of SqlClient.SqlParameter)

        '    aSQL = "SELECT T1.PR_ID AS PROPERTYID, T1.PR_PROPERTYKEY AS PROPERTYKEY, T2.CI_NAME + ', ' + CAST(T1.PR_AREA AS NVARCHAR(50)) + ' m2, ' + IIF(T1.PR_FORSALE='TRUE', CAST(T1.PR_SALEAMOUNT AS NVARCHAR(50)) + ' $, ','') + IIF(T1.PR_FORRENT='TRUE', CAST(T1.PR_RENTAMOUNT AS NVARCHAR(50)) + ' $','') AS INFO, PR_AGENTID as AgentId "
        '    aSQL &= " FROM TBL_PROPERTY T1 INNER JOIN TBL_CITY T2 ON T1.PR_CITY=T2.CI_ID WHERE PR_ID=" & propertyId 
        '    aDT = DB.ReadDT_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)

        '    aDRow = aDT.Rows(0)

        '    title = "Property Created: " & aDRow("PropertyID") & "/" & aDRow("PropertyKey") & ", " & aDRow("Info") & "."

        '    'Get the target users
        '    aSQL = "Select UR_ID as Id From Tbl_User Where UR_ISACTIVE='True' And (UR_ID=" & aDRow("AgentId") & " OR UR_ISSuperUser='True')"

        '    aParams = New List(Of SqlClient.SqlParameter)
        '    aDT = DB.ReadDT_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)

        '    For Each aDRow In aDT.Rows
        '        aSQL = "Insert Into Tbl_Notification (NO_Title, NO_CreatedOn, NO_CreatedTo, NO_User, NO_Category, NO_IsViewed, NO_Property, NO_Request) Values(N'" & Utils.Utils.FixQuotes(title) & "','" & DateTime.Now & "'," & aDRow("Id") & "," & user & "," & category & ", 'False', " & propertyId & "," & clientRequestId & ")" 
        '         DB.CUD_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)
        '    Next

        '    'Do anything to commit
        '    aConContext.CommitTransactionWhenTerminates = True
        '    aConContext.CloseConnectionWhenTerminates = True

        '    Dim aID As Integer =  DB.ReadValue_Text("Select Top 1 MC_ID From Tbl_MarketingChannel", aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)
        'End Sub

        Public Shared Sub CreatePropertyReviewed(createdOn As DateTime, user As Integer, isViewed As Boolean, propertyId As Integer, clientRequestId As Integer, Optional ByRef aConContext As ConnectionContext = Nothing)
            Dim aParams As List(Of SqlClient.SqlParameter)
            Dim aDB As ConnectionContextConnection
            Dim aDT As DataTable, aDRow As DataRow 
            Dim aSQL As String = ""
            Dim aSQLWhere As String = ""
            Dim title As String=""

            If aConContext Is Nothing Then
                aConContext = New ConnectionContext

                aConContext.UseTransaction = False
                aConContext.CommitTransactionWhenTerminates = False
                aConContext.CloseConnectionWhenTerminates = True
            End If

            aDB = aConContext.ConnectionEntryFromMapping("KSARE.First")

            'Get the property info
            aParams = new List(Of SqlClient.SqlParameter)

            aSQL = "SELECT T1.PR_ID AS PROPERTYID, T1.PR_PROPERTYKEY AS PROPERTYKEY, T2.CI_NAME + ', ' + CAST(T1.PR_AREA AS NVARCHAR(50)) + ' m2, ' + IIF(T1.PR_FORSALE='TRUE', CAST(T1.PR_SALEAMOUNT AS NVARCHAR(50)) + ' $, ','') + IIF(T1.PR_FORRENT='TRUE', CAST(T1.PR_RENTAMOUNT AS NVARCHAR(50)) + ' $','') AS INFO, PR_AGENTID as AgentId "
            aSQL &= " FROM TBL_PROPERTY T1 INNER JOIN TBL_CITY T2 ON T1.PR_CITY=T2.CI_ID WHERE PR_ID=" & propertyId 
            aDT = DB.ReadDT_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)

            aDRow = aDT.Rows(0)

            title = aDRow("PropertyID") & "/" & aDRow("PropertyKey") & ", " & aDRow("Info") '& "."

            'Get the target users
            aSQL = "Select UR_ID as Id From Tbl_User Where UR_ISACTIVE='True' And (UR_ISAdmin='TRUE' OR UR_ISSuperUser='True')"

            aParams = New List(Of SqlClient.SqlParameter)
            aDT = DB.ReadDT_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)

            For Each aDRow In aDT.Rows
                aSQL = "Insert Into Tbl_Notification (NO_Title, NO_CreatedOn, NO_CreatedTo, NO_User, NO_Category, NO_IsViewed, NO_Property, NO_Request) Values(N'" & Utils.Utils.FixQuotes(title) & "','" & DateTime.Now & "'," & aDRow("Id") & "," & user & ", 3, 'False', " & propertyId & "," & clientRequestId & ")" 
                 DB.CUD_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)
            Next
        End Sub

        Public Shared Sub CreateReviewedPropertyProcessedCompleted(reviewId As Integer, createdOn As DateTime, user As Integer, isViewed As Boolean, propertyId As Integer, clientRequestId As Integer, Optional ByRef aConContext As ConnectionContext = Nothing)
            Dim aParams As List(Of SqlClient.SqlParameter)
            Dim aDB As ConnectionContextConnection
            Dim aDT As DataTable, aDRow As DataRow 
            Dim aSQL As String = ""
            Dim aSQLWhere As String = ""
            Dim title As String=""

            If aConContext Is Nothing Then
                aConContext = New ConnectionContext

                aConContext.UseTransaction = False
                aConContext.CommitTransactionWhenTerminates = False
                aConContext.CloseConnectionWhenTerminates = True
            End If

            aDB = aConContext.ConnectionEntryFromMapping("KSARE.First")

            'Get the property info
            aParams = new List(Of SqlClient.SqlParameter)

            aSQL = "SELECT T1.PR_ID AS PROPERTYID, T1.PR_PROPERTYKEY AS PROPERTYKEY, T2.CI_NAME + ', ' + CAST(T1.PR_AREA AS NVARCHAR(50)) + ' m2, ' + IIF(T1.PR_FORSALE='TRUE', CAST(T1.PR_SALEAMOUNT AS NVARCHAR(50)) + ' $, ','') + IIF(T1.PR_FORRENT='TRUE', CAST(T1.PR_RENTAMOUNT AS NVARCHAR(50)) + ' $','') AS INFO, PR_AGENTID as AgentId "
            aSQL &= " FROM TBL_PROPERTY T1 INNER JOIN TBL_CITY T2 ON T1.PR_CITY=T2.CI_ID WHERE PR_ID=" & propertyId 

            aDT = DB.ReadDT_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)

            aDRow = aDT.Rows(0)

            title = aDRow("PropertyID") & "/" & aDRow("PropertyKey") & ", " & aDRow("Info") & "."

            'Get the target users
            aSQL = "Select UR_ID as Id From Tbl_User Where UR_ISACTIVE='True' And (UR_ID = " & aDRow("AgentId") & " OR UR_ISSuperUser='True')"

            aParams = New List(Of SqlClient.SqlParameter)

            aDT = DB.ReadDT_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)

            For Each aDRow In aDT.Rows
                aSQL = "Insert Into Tbl_Notification (NO_Title, NO_CreatedOn, NO_CreatedTo, NO_User, NO_Category, NO_IsViewed, NO_Property, NO_Request) Values(N'" & Utils.Utils.FixQuotes(title) & "','" & DateTime.Now & "'," & aDRow("Id") & "," & user & ",4 , 'False', " & propertyId & "," & clientRequestId & ")" 
                 DB.CUD_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)
            Next
        End Sub

        Public Shared Function Search(createdTo As Integer, Optional status As Integer=0, Optional type As Integer=0, Optional userId As Integer = 0, Optional sDate As String="", Optional eDate As String = "", Optional ByRef aConContext As ConnectionContext = Nothing) As DataTable 
            Dim aParams As New List(Of SqlClient.SqlParameter)
            Dim aDB As ConnectionContextConnection
            Dim aDT As DataTable
            Dim aSQL As String = "", aSQLWhere As String =""

            If aConContext Is Nothing Then
                aConContext = New ConnectionContext

                aConContext.UseTransaction = False
                aConContext.CommitTransactionWhenTerminates = False
                aConContext.CloseConnectionWhenTerminates = True
            End If

            aDB = aConContext.ConnectionEntryFromMapping("KSARE.First")

            aSQL = "SELECT NO_ID AS ID, CONVERT(NVARCHAR(24), NO_CREATEDON, 100) AS CREATEDON, T2.NC_TITLE AS CATEGORY, T1.NO_TITLE AS TITLE, IIF(T3.UR_ID IS NULL, '', T3.UR_NAME) AS [USER] "
            aSQL &= "FROM TBL_NOTIFICATION T1 INNER JOIN TBL_NOTIFICATIONCATEGORY T2 ON T1.NO_CATEGORY=T2.NC_ID LEFT OUTER JOIN TBL_USER T3 ON T1.NO_USER=T3.UR_ID "
             aSQL &= " WHERE NO_CREATEDTO=" & createdTo

            If status = 1 Then 
                aSQLWhere &= " AND T1.NO_ISVIEWED='TRUE'"
            ElseIf status = 2 Then
                aSQLWhere &= " AND T1.NO_ISVIEWED='FALSE'"
            End If

            If type > 0 Then aSQLWhere &= " AND T1.NO_CATEGORY=" & type

            If userId > 0 Then aSQLWhere &= " AND T1.NO_USER=" & userId 

            If IsDate(sDate) Then aSQLWhere &= " AND T1.NO_CREATEDON >='" & CDate (sDate) & " 00:00:00'"
            If IsDate(eDate) Then aSQLWhere &= " AND T1.NO_CREATEDON <='" & CDate (eDate) & " 23:59:59'"

            If aSQLWhere <> "" Then aSQL &= aSQLWhere

            aSQL &= " ORDER BY T1.NO_CREATEDON, T1.NO_ID "


            aParams = New List(Of SqlClient.SqlParameter)

            aDT = DB.ReadDT_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)

            Return aDT
        End Function

        Public Shared Function GetSearchLookups(Optional ByRef aConContext As ConnectionContext = Nothing) As DataSet 
            Dim aParams As New List(Of SqlClient.SqlParameter)
            Dim aDB As ConnectionContextConnection
            Dim aDS As DataSet 
            Dim aSQL As String = ""

            If aConContext Is Nothing Then
                aConContext = New ConnectionContext

                aConContext.UseTransaction = False
                aConContext.CommitTransactionWhenTerminates = False
                aConContext.CloseConnectionWhenTerminates = True
            End If

            aDB = aConContext.ConnectionEntryFromMapping("KSARE.First")

            aSQL = "SELECT NC_ID AS ID, NC_TITLE AS TITLE FROM TBL_NOTIFICATIONCATEGORY ORDER BY NC_ORDERID; "
            aSQL &= "SELECT UR_ID AS ID, UR_NAME AS NAME FROM TBL_USER ORDER BY UR_NAME;"
          
            aParams = New List(Of SqlClient.SqlParameter)

            aDS = DB.ReadDS_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)

            Return aDS
        End Function

        Public Shared Sub MarkAsViewed(userId As Integer, Optional ByRef aConContext As ConnectionContext = Nothing)
            Dim aParams As List(Of SqlClient.SqlParameter)
            Dim aDB As ConnectionContextConnection
            Dim aSQL As String 

            If aConContext Is Nothing Then
                aConContext = New ConnectionContext

                aConContext.UseTransaction = False
                aConContext.CommitTransactionWhenTerminates = False
                aConContext.CloseConnectionWhenTerminates = True
            End If

            aDB = aConContext.ConnectionEntryFromMapping("KSARE.First")

            aParams = New List(Of SqlClient.SqlParameter)()

            aSQL = "Update Tbl_Notification Set NO_IsViewed='True' Where NO_CreatedTo=" & userId & ""
            DB.CUD_Text(aSQL, aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aConContext.UseTransaction, aConContext.CommitTransactionWhenTerminates, aConContext.CloseConnectionWhenTerminates)
        End Sub

    End Class
End Namespace

