﻿Imports Microsoft.VisualBasic
Imports System.Data
Imports System.Collections.Generic
Imports PDF, PDF.DAL.MSSQL


Namespace BackEnd

    Public Class PropertyReceived
        Public Shared sub Create(dt As string, agentId As Integer, count As Integer, info As string, userId As Integer)
            Dim aParams As New List(Of SqlClient.SqlParameter)
            Dim aDB As ConnectionContextConnection
            Dim aUseTransaction As Boolean = False
            Dim aCloseConnectionWhenTerminates As Boolean = True 
            Dim aCommitTransactionWhenTerminates As Boolean  = False
            Dim aConContext As ConnectionContext = New ConnectionContext

            Dim i As Integer, j As Integer, day As Integer , month As Integer, year As Integer             
            i = dt.IndexOf("/")
            j = dt.LastIndexOf("/")
            month = dt.Substring (0, i)
            day = dt.Substring (i+1, j-i-1)
            year = dt.Substring(j+1)

            aDB = aConContext.ConnectionEntryFromMapping("KSARE.First")

            aParams.Add(DB.CreateParameter("@RECEIVEDON", SqlDbType.DateTime, -1, ParameterDirection.Input, New Date(year, month, day)))
            aParams.Add(DB.CreateParameter("@RECEIVEDBY", SqlDbType.INT, -1, ParameterDirection.Input, userId))
            aParams.Add(DB.CreateParameter("@AGENTID", SqlDbType.Int, -1, ParameterDirection.Input, agentId))
            aParams.Add(DB.CreateParameter("@COUNT", SqlDbType.Int, -1, ParameterDirection.Input, count))
            aParams.Add(DB.CreateParameter("@INFO", SqlDbType.NVarChar, 2000, ParameterDirection.Input, info))

            aParams.Add(DB.CreateParameter("@ID", SqlDbType.Int, -1, ParameterDirection.Output))
            aParams.Add(DB.CreateParameter("@CONC", SqlDbType.Timestamp, -1, ParameterDirection.Output))

            DB.CUD_SP("SP_INSERT_PROPERTYRECEIVED", aParams, aDB.Connection, aDB.ConnectionString, aConContext.Trs, aUseTransaction, aCommitTransactionWhenTerminates, aCloseConnectionWhenTerminates)

        End sub
    End Class
End Namespace

