﻿Imports System.Web
Imports System.Web.Services
Imports System.Web.Services.Protocols
Imports System.Collections.Generic
Imports System.Web.Script.Services
Imports Utils

<System.Web.Script.Services.ScriptService> _
<WebService(Namespace:="http://proinns.com/")> _
<WebServiceBinding(ConformsTo:=WsiProfiles.BasicProfile1_1)> _
<Global.Microsoft.VisualBasic.CompilerServices.DesignerGenerated()> _
Public Class WSPotentialOwners
    Inherits System.Web.Services.WebService

    <WebMethod()> _
    Public Function Load(id As Integer) As ApiResponse
       Try
            Return BackEnd.PotentialOwner2.LoadApi (id)
        Catch ex As Exception
            Return New ApiResponse(False, -1, "An unknow error occured.")
        End Try 
    End Function

    <WebMethod()> _
    Public Function Create(name As String, coName As String, cell As String, phone As String, email As String, address As String, notes As String, info As String, tagsIds As String, tagsTitles As String, isActive As Boolean, agentId As Integer, userId As Integer,  userIsAdmin As Boolean, userIsSuperUser As Boolean, userIsAgent As Boolean) As ApiResponse 
        Dim aUser As New FrontEnd.User()
        Dim aEntity As New BackEnd.PotentialOwnerData ()

        With aUser
            .ID = userId
            .IsAdmin = userIsAdmin
            .IsSuperUser = userIsSuperUser
            .IsAgent = userIsAgent 
        End With

        With aEntity
            .Id = 0
            .Name = name
            .CoName = coName
            .Cell = cell
            .Phone = phone
            .Email = email
            .Address = address
            .Info = info
            .Notes = notes
            .AgentId = agentId
            .IsActive = isActive 
            .CreatedBy = userId
            .CreatedOn = Now   
            .TagsIds = tagsIds
            .TagsTitles= tagsTitles 
        End With
       Try
            Return BackEnd.PotentialOwner2.CreateApi(aEntity, aUser)
        Catch ex As Exception
            Return New ApiResponse(False, -1, "An unknow error occured.")
        End Try 
    End Function

    <WebMethod()> _
    Public Function Update(id As Integer, name As String, coName As String, cell As String, phone As String, email As String, address As String, notes As String, info As String, tagsIds As String, tagsTitles As String, isActive As Boolean, agentId As Integer, userId As Integer, userIsAdmin As Boolean, userIsSuperUser As Boolean, userIsAgent As Boolean) As ApiResponse 
        Dim aUser As New FrontEnd.User()
        Dim aEntity As New BackEnd.PotentialOwnerData ()

        With aUser
            .ID = userId
            .IsAdmin = userIsAdmin
            .IsSuperUser = userIsSuperUser
            .IsAgent = userIsAgent 
        End With

        With aEntity
            .Id = id
            .Name = name
            .CoName = coName
            .Cell = cell
            .Phone = phone
            .Email = email
            .Address = address
            .Info = info
            .Notes = notes
            .AgentId = agentId
            .IsActive = isActive 
            .CreatedBy = userId
            .CreatedOn = Now       
            .TagsIds = tagsIds
            .TagsTitles= tagsTitles             
        End With
       Try
            Return BackEnd.PotentialOwner2.UpdateApi(aEntity, aUser)
        Catch ex As Exception
            Return New ApiResponse(False, -1, "An unknow error occured.")
        End Try 
    End Function

    <WebMethod()> _
    Public Function Activate(id As Integer, isActive As Boolean) As ApiResponse 
        Try 
            return BackEnd.PotentialOwner2.Activate(id, isActive)
        Catch ex As Exception
            Return New ApiResponse(False, -1, "An unknow error occured.")
        End Try 
    End Function

    <WebMethod()> _
    Public Function Delete(id As Integer) As ApiResponse 
        Try
            return BackEnd.PotentialOwner2.Delete(id)
        Catch ex As Exception
            Return New ApiResponse(False, -1, "An unknow error occured.")
        End Try 
    End Function

    <WebMethod()> _
    Public Function TransformIntoOwner(id As Integer) As ApiResponse 
        Try
            return BackEnd.PotentialOwner2.TransformIntoOwner(id)
        Catch ex As Exception
            Return New ApiResponse(False, -1, "An unknow error occured.")
        End Try 
    End Function

    <WebMethod()> _
    Public Function GetPotentialOwnersWhoseNamesStartWith(name As String, userId As Integer) As List(Of Utils.IntegerStringStringStringBoolean)
        Return BackEnd.PotentialOwner2.GetPotentialOwnersWhoseNamesStartWith(name, userId)
    End Function

    <WebMethod()> _
    Public Function GetPotentialOwnersWhoseNamesOrPhonesStartWith(name As String, userId As Integer) As List(Of Utils.IntegerStringStringStringBoolean)
        Return BackEnd.PotentialOwner2.GetPotentialOwnersWhoseNamesOrPhonesStartWith(name, userId)
    End Function

    <WebMethod()> _
    Public Function Search(isActive As Integer, tagsIds As String, tagsAnd As Boolean, agentId As Integer , userId As Integer) As List(Of Utils.IntegerStringStringStringStringStringIntegerString)
        Return BackEnd.PotentialOwner2.Search(isActive,tagsIds, tagsAnd, agentId, userId)
    End Function

End Class