﻿Imports System.Data
Imports PDF, PDF.DAL.MSSQL

Partial Class Backend_FrmReportsDataEntry
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If(IsPostback)
            HF_IsFresh.Value="false"
        Else
            Dim currentMonth As Integer = Month(DateTime.Now)
            Dim currentMonthS As String = currentMonth.ToString()

            If(currentMonth.ToString().Length = 1)
               currentMonthS = "0" & currentMonth.ToString()
            End If 

            Dim today As Date = Now
            Dim lastDay As Integer = Date.DaysInMonth(today.Year, today.Month)

            txtSDate.Text = Year(Now) & "." & currentMonthS & ".01"
            txtEDate.Text = Year(Now) & "." & currentMonthS & "." & lastDay

            HF_IsFresh.Value="true"   
            
            cmbReports.Items.Add(New System.Web.UI.WebControls.ListItem("Summary", 1))

            cmbReports.SelectedIndex = 0
        End If
    End Sub

    Protected Sub GetReport1(sDate As String, eDate As string)
        'Details
        Dim aConContext As ConnectionContext = New ConnectionContext()
        Dim aDB As ConnectionContextConnection = aConContext.ConnectionEntryFromMapping("KSARE.First")
        Dim aDR As DataRow, aCurrentRow As DataRow = Nothing 

        Dim aSQL As String = "SELECT CONVERT(NVARCHAR(20), PR_CREATEDON, 102) AS DAY, COUNT(PR_ID) AS PROPS, 2 AS TYPE FROM TBL_PROPERTY "
        aSQL &= " WHERE PR_CREATEDON >= '" & sDate & "' AND PR_CREATEDON <= '" & eDate & "' GROUP BY PR_CREATEDON "

        aSQL &= " UNION "

        aSQL &= "SELECT CONVERT(NVARCHAR(20), CT_DATE, 102) AS DAY, COUNT(CT_ID) AS PROPS, 1 AS TYPE FROM TBL_CLIENT "
        aSQL &= " WHERE CT_DATE >= '" & sDate & "' AND CT_DATE <= '" & eDate & "' GROUP BY CT_DATE "

        aSQL &= " ORDER BY DAY, TYPE"

        Dim aDT1 As DataTable = DB.ReadDT_Text(aSQL, Nothing, aDB.Connection, aDB.ConnectionString, Nothing, False, False, true)

        Dim aDT As New DataTable()
        aDT.Columns.Add("Date", GetType(string))
        aDT.Columns.Add("Requests", GetType(integer))
        aDT.Columns.Add("Properties", GetType(integer))

        For Each aDR In aDT1.Rows
            If aDR("TYPE") = 1
                aCurrentRow = aDT.Rows.Add(aDR("DAY"), aDR("PROPS"), 0)
            Else 
                If(aCurrentRow IsNot Nothing AndAlso aCurrentRow("Date") = aDR("DAY"))
                    aCurrentRow("Properties") = aDR("PROPS")
                Else 
                    aCurrentRow = aDT.Rows.Add(aDR("DAY"), 0, aDR("PROPS"))
                End If
            End If
        Next

        tblData.CssClass = "grid grid1"
        tblData.DataSource = aDT
        tblData.DataBind()
    End Sub

    Private Sub cmdGo_Click(sender As Object, e As EventArgs) Handles cmdGo.Click
       If(cmbReports.SelectedIndex = 0)
            GetReport1(txtSDate.Text, txtEDate.Text)
       End If
    End Sub

End Class
