﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="FrmSearchClientRequests.aspx.vb" Inherits="Backend_FrmSearchClientRequests" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

	<!-- Stylesheet -->
	<link rel="stylesheet" href="css/bootstrap.min.css" />

    <link rel="stylesheet" href="css/theme.bootstrap_4.min.css" />

    <!-- Context Menu 2.7.1 -->
    <link rel="stylesheet" href="css/contextmenu-2-7-1/jquery.contextMenu.min.css" />

    <!-- Spinner -->
    <link rel="stylesheet" href="css/spinner.css" />

	<link href="js/tag/tagsinput.css" rel="stylesheet" type="text/css" />
	 
	<link href="js/bootstrap-datepicker/dist/css/bootstrap-datepicker3.css" rel="stylesheet" type="text/css" />

    <link rel="stylesheet" href="js/jquery-ui1.11.2.css"/>

    <link rel="stylesheet" href="fontawesome/css/font-awesome.min.css" />

    <!--My Every Page -->
    <link rel="Stylesheet" href="css/page.css" />


	<!-- JavaScript -->
    <script src="js/jquery1.11.1.min.js"></script>

    <script src="Js/jquery-ui1.11.2.min.js"></script>

	<script src="js/popper.min.js"></script>

	<script src="js/bootstrap.min.js"></script>

	<script src="js/tag/tagsinput.js"></script>

    <script src="js/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js"></script>

    <script src="js/jquery.tablesorter.js"></script>

    <script type="text/javascript" src="js/jquery.tablesorter.widgets.js"></script>

    <script src="js/utils.js"></script>

    <!-- Style for tablesorter -->
    <style>
        th
        {
            cursor:pointer;
            background-color:#dadada;
            color:Black;
            font-weight:bold;
            text-align:left; 
        }
        th.tablesorter-headerAsc 
        {     
            background-image: url(css/images/dropbox-asc.png);
            background-position: right center;
            background-repeat:no-repeat; 
        }
        th.tablesorter-headerDesc 
        {     
            background-image: url(css/images/dropbox-desc.png);   
            background-position: right center;
            background-repeat:no-repeat; 
        } 
    </style>
    
    <!-- Style for date picker -->
    <style>
        .input-group-addon{
            padding: 6px 12px !important;
            font-size: 14px;
            font-weight: 400;
            line-height: 1;
            color: #555;
            text-align: center;
            background-color: #eee;
            border: 1px solid #ccc;                
            border-radius: 4px;
        }

        .input-group-addon, .input-group-btn{
            white-space: nowrap;

            vertical-align: middle;
        }

        .input-group .form-control, .input-group-addon{
            display: table-cell;
        }     

    </style>

    <!-- Style for Tags -->
    <style>
        .bootstrap-tagsinput{
            margin-top:3px !important;
            min-height:60px !important;
        }
    </style>

    <style>

         .toolbar {
             justify-content: space-between !important;
             padding-top:6px !important;
             padding-bottom:6px !important;
         }

        .errorDiv{
            font-size:12px !important;
            color:red;
            font-weight:600;
            padding:8px;
            border:1px solid red;
            margin-top:9px;
            margin-bottom:9px;
            margin-left:6px;
            margin-right:6px;
        }
        .root > .content{
            margin-top:0px;
            font-size:12px !important;
            display: flex;
            flex-direction:column;            
            padding:8px 12px;
        }

        .cell{
            display:flex;
            flex-direction:column;
        }

        .cellCheckbox{
            margin-top:3px;
            display:flex;           
            flex:1;
            padding: 0;
        }

        .cell1{
            display:flex;
            flex-direction:column;
            flex:1;
        }

        .row{
            display: flex;
            margin-left:0;
            margin-right:0;
            padding:0px 0px;
        }

        #Cmd_OpenSearch, #Cmd_OpenRequest{
            margin-left: 6px;
            margin-top:1px;
            padding: 3px 8px;
        }

        .chk{
            width: 130px !important;
        }

        .txtBig{
            height:60px !important;
        }

        .fixTextWidth{
            display:flex;
            flex:1 1 auto;
            width:0;
        }

        .dropDownxxx{
            display:flex;
            flex:1 1 auto !important;
            width:100% !important;
        }

        .btnVisit{
            padding:2px 8px;
        }
        .btnVisit:hover{
        }

        .btnClearGrid, .btnClearGrid:visited{
            display: inline-flex;
            align-items:center;
            font-size:12px !important;
            font-weight:400 !important;
            padding: 4px 2px;
            height:26px !important;
            background-color:transparent;
            border:none;
        }

         .btnClearGrid:hover {
             cursor: pointer;
             color: red;
         }

        .lst{
            margin-top:4px;
            border: 1px solid #ced4da !important;
            border-radius:0.25rem !important;
        }      
        
        .custom-checkbox .custom-control-label::before, .custom-checkbox .custom-control-label::after {
            margin-top: -4px !important;
        }
        
        .ui-accordion-header{
            background-color:#008ef2 !important;
            border-color:rgba(0,0,0,0.1) !important;
            color:white !important;
        }

        .ui-accordion .ui-accordion-icons {
            padding:0 !important;
        }

        .ui-accordion .ui-accordion-header{
            padding:4px !important;
        }

        .ui-accordion .ui-accordion-content {
             padding: 1em 10px !important;
             border-color:rgba(0,0,0,0.1) !important;
             background-color:#fafcfe;
        }


        .ui-corner-all, .ui-corner-top, .ui-corner-right, .ui-corner-tr{
            border-radius: 0 !important;
        }

        #criteria, #requests{
            border-left:none !important;
            border-radius: 0 !important;
        }

        #criteria .ui-accordion-content {
            padding-bottom:6px !important;
        }

        #requests .ui-accordion-content {
             padding-top: 0 !important;
             padding-left: 0 !important;
             padding-right: 0 !important;
             overflow:visible;/*to show the batch dropdown*/
        }

        .ui-accordion-content{
            border: none !important;
        }

        .root > .content .criteria .body{
            display:flex;
            flex-direction:column;
        }

        table{
            border-color:rgba(0,0,0,0.1) !important;
            border-left:none;
            border-right:none;
            border-bottom: none !important ;
        }
        table th{
            font-weight:700;
            background-color:#F7F8FA !important;
            border-left:none !important;
            border-right:none !important;
            border-bottom:1px solid rgba(0,0,0,0.2);
            border-top:1px solid rgba(0,0,0,0.2);
            padding-top:6px;
            padding-bottom:6px;
            padding-left:4px !important;
        }

         table th a {
             font-weight: 700;
         }

        table td{
            border-left:none !important;
            border-right:none !important;
            border-bottom:1px solid rgba(0,0,0,0.2);
            border-top:1px solid rgba(0,0,0,0.2);
            padding-top:6px;
            padding-bottom:6px;
            padding-left:4px !important;
        }

        table > tbody tr:last-child td{
            border-bottom: none !important ;
        }

        .separator{
            margin-bottom:8px !important;
            margin-top: 8px !important;
        }

    </style>

</head>
<body onload="loadMe()">
    <div class="spinnerOuterContainer">
        <div class="spinnerInnerContainer">
            <div class="spinner-grow text-muted spinner-grow-sm"></div>
            <div class="spinner-grow text-primary spinner-grow-sm"></div>
            <div class="spinner-grow text-success spinner-grow-sm"></div>
            <div class="spinner-grow text-info spinner-grow-sm"></div>
        </div>
    </div>

    <form id="form2" runat="server" defaultbutton="Cmd_PreventSubmit">
        <asp:ScriptManager ID="ScriptManager1" runat="server" LoadScriptsBeforeUI="false" >
        </asp:ScriptManager>

        <asp:HiddenField ID="HF_Exit" runat="server" />
        <asp:HiddenField ID="HF_ExitTo" runat="server" />        
        <asp:HiddenField ID="HF_ExitMessage" runat="server" />

        <asp:HiddenField ID="HF_StatusesIds" runat="server" />
        <asp:HiddenField ID="HF_StatusesText" runat="server" />

        <asp:HiddenField ID="HF_PropertyTypesIds" runat="server" />
        <asp:HiddenField ID="HF_PropertyTypesTitles" runat="server" />

        <asp:HiddenField ID="HF_DistrictsIds" runat="server" />
        <asp:HiddenField ID="HF_DistrictsTitles" runat="server" />

        <asp:HiddenField ID="HF_CitiesIds" runat="server" />
        <asp:HiddenField ID="HF_CitiesTitles" runat="server" />

        <asp:HiddenField ID="HF_NotCitiesIds" runat="server" />
        <asp:HiddenField ID="HF_NotCitiesTitles" runat="server" />

        <asp:HiddenField ID="HF_PropertiesIds" runat="server" />
        <asp:HiddenField ID="HF_PropertiesTitles" runat="server" />

        <asp:HiddenField ID="HF_RequestsIds" runat="server" />
        <asp:HiddenField ID="HF_RequestsTitles" runat="server" />

        <asp:HiddenField ID="HF_TagsIds" runat="server" />
        <asp:HiddenField ID="HF_TagsTitles" runat="server" />

        <asp:HiddenField ID="HF_SourcesIds" runat="server" />
        <asp:HiddenField ID="HF_SourcesTitles" runat="server" />

        <asp:HiddenField ID="HF_ClientsIds" runat="server" />
        <asp:HiddenField ID="HF_ClientsTitles" runat="server" />

        <asp:HiddenField ID="HF_AgentsIds" runat="server" />
        <asp:HiddenField ID="HF_AgentsTitles" runat="server" />


        <asp:HiddenField ID="HF_Mode" runat="server" />
        <asp:HiddenField ID="HF_SearchId" runat="server" />

        <asp:HiddenField ID="HF_SelectedSearchId" runat="server" />
        <asp:HiddenField ID="HF_TempSearchName" runat="server" />

        <asp:HiddenField ID="HF_RowsCount" runat="server"/>

        <asp:Button ID="Cmd_PreventSubmit" runat="server" CssClass="hidden" OnClientClick="return false;" />


        <div class="root" style="padding-top:4px !important; ">

            <!-- Nav tabs -->
            <ul class="nav nav-tabs" id="myTab" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="search-tab" data-toggle="tab" href="#search" role="tab" aria-controls="search" aria-selected="true">Search</a>
              </li>

              <li class="nav-item">
                <a class="nav-link" id="tasks-tab" data-toggle="tab" href="#tasks" role="tab" aria-controls="tasks" aria-selected="false">Tasks</a>
              </li>
              
              <li class="nav-item">
                <a class="nav-link" id="stats-tab" data-toggle="tab" href="#stats" role="tab" aria-controls="stats" aria-selected="false">Stats</a>
              </li>
            </ul>

            <div class="tab-content">
                <div class="content tab-pane active" id="search" role="tabpanel" aria-labelledby="search-tab">
                    <div id="criteria">
                        <h3 style="font-size:1rem !important;">Search Criteria</h3>
                        <div class="body">

                            <div class="row">

                                <div class="cell1" style="flex:2;margin-right:8px;">
                                    <div style="margin-bottom:3px;"><span class="lbl" style="">Creation Period</span></div>
	                                <div class="input-daterange input-group" id="datepicker" style="">
	                                    <input type="text" class="input-sm form-control txt" name="start" id="sDate" />
	                                    <span class="input-group-addon" style="line-height:1 !important;">To</span>
	                                    <input type="text" class="input-sm form-control txt" name="end" id="eDate" />
	                                </div>                             
                                </div>

                                <div class="cell1" style="margin-left:8px;">
                                    <div style="margin-bottom:3px;"><span class="lbl" style="">Urgency</span></div>
                                    <asp:DropDownList ID="Cmb_Urgency" runat="server" CssClass="form-control dropDown " style=""></asp:DropDownList>
                                </div>

                                <div class="cell1" style="margin-left:8px;">
                                    <div style="margin-bottom:3px;"><span class="lbl" style="">Importance</span></div>
                                    <asp:DropDownList ID="Cmb_Importance" runat="server" CssClass="form-control dropDown " style=""></asp:DropDownList>
                                </div>

                                <div class="cell1" style="margin-left:8px;">
                                    <div><asp:Checkbox ID="Chk_ForSale" runat="server" Text="Sale" CssClass="custom-control custom-checkbox" /></div>                                
                                    <div style="display:flex; flex-direction:row;">
                                        <asp:TextBox ID="Txt_SaleMin" runat="server" CssClass="form-control txt fixTextWidth" style="text-align:center;"></asp:TextBox>
                                        <asp:TextBox ID="Txt_SaleMax" runat="server" CssClass="form-control txt fixTextWidth" style="margin-left:4px;text-align:center;"></asp:TextBox>
                                    </div>
                                </div>

                                <div class="cell1" style="margin-left:8px;">
                                    <div><asp:Checkbox ID="Chk_ForRent" runat="server" Text="Rent" CssClass="custom-control custom-checkbox"/></div> 
                                    <div style="display:flex; flex-direction:row;">
                                        <asp:TextBox ID="Txt_RentMin" runat="server" CssClass="form-control txt fixTextWidth" style="text-align:center;"></asp:TextBox>
                                        <asp:TextBox ID="Txt_RentMax" runat="server" CssClass="form-control txt fixTextWidth" style="margin-left:4px;text-align:center;"></asp:TextBox>
                                    </div>
                                </div>
                            </div>         
                          
                            <div class="row" style="margin-top:8px">

                                <div class="cell1" style="flex:2;margin-right:8px;">
                                    <span class="lbl">Status</span>
                                    <asp:TextBox ID="Txt_Status" runat="server" CssClass="form-control txt"></asp:TextBox>
                                    <input id="Tg_Status" data-role="tagsinput " class="form-control txt tagHeight" style="margin-top:3px;" />
                                </div>

                                <div class="cell1" style="margin-left:8px;">
                                    <span class="lbl">Properties Types</span>
                                    <asp:TextBox ID="Txt_PropertiesTypes" runat="server" CssClass="form-control txt"></asp:TextBox>
                                    <input id="Tg_PropertiesTypes" data-role="tagsinput " class="form-control txt tagHeight" style="margin-top:3px;" />
                                </div>

                                <div class="cell1" style="margin-left:8px;">
                                    <span class="lbl">Districts</span>
                                    <asp:TextBox ID="Txt_Districts" runat="server" CssClass="form-control txt"></asp:TextBox>
                                    <input id="Tg_Districts" data-role="tagsinput " class="form-control txt tagHeight" style="margin-top:3px;" />
                                </div>

                                <div class="cell1" style="margin-left:8px;">
                                    <span class="lbl">Cities</span>
                                    <asp:TextBox ID="Txt_Cities" runat="server" CssClass="form-control txt"></asp:TextBox>
                                    <input id="Tg_Cities" data-role="tagsinput " class="form-control txt tagHeight" style="margin-top:3px;" />
                                </div>

                                <div class="cell1" style="margin-left:8px;">
                                    <span class="lbl">Not In Cities</span>
                                    <asp:TextBox ID="Txt_NotInCities" runat="server" CssClass="form-control txt"></asp:TextBox>
                                    <input id="Tg_NotInCities" data-role="tagsinput " class="form-control txt tagHeight" style="margin-top:3px;" />
                                </div>

                            </div>

                            <div class="row" style="margin-top:8px">

                                <div class="cell1" style="flex:1;">
                                    <span class="lbl" style="margin-top:3px !important;">Properties</span>
                                    <asp:TextBox ID="Txt_Properties" runat="server" CssClass="form-control txt"></asp:TextBox>
                                    <input id="Tg_Properties" data-role="tagsinput " class="form-control txt tagHeight" style="margin-top:3px;" />
                                </div>

                                <div class="cell1" style="margin-left:8px;">
                                    <span class="lbl" style="margin-top:3px !important;">Requests</span>
                                    <asp:TextBox ID="Txt_Requests" runat="server" CssClass="form-control txt"></asp:TextBox>
                                    <input id="Tg_Requests" data-role="tagsinput " class="form-control txt tagHeight" style="margin-top:3px;" />
                                </div>

                                <div class="cell1" style="flex:1; margin-left:8px;">
                                    <div style="display:flex;justify-content:space-between;">
                                        <span class="lbl">Tags</span>
                                        <asp:CheckBox ID="Chk_TagsAnd" runat="server" Text="AND" CssClass="custom-control custom-checkbox"></asp:CheckBox>
                                    </div>
                                    <asp:TextBox ID="Txt_Tags" runat="server" CssClass="form-control txt"></asp:TextBox>
                                    <input id="Tg_Tags" data-role="tagsinput " class="form-control txt tagHeight" style="margin-top:3px;" />
                                </div>

                                <div class="cell1" style="margin-left:8px;">
                                    <span class="lbl" style="margin-top:3px !important;">Sources</span>
                                    <asp:TextBox ID="Txt_Sources" runat="server" CssClass="form-control txt"></asp:TextBox>
                                    <input id="Tg_Sources" data-role="tagsinput " class="form-control txt tagHeight" style="margin-top:3px;" />
                                </div>

                                <div class="cell1" style="margin-left:8px;">
                                    <span class="lbl" style="margin-top:3px !important;">Clients</span>
                                    <asp:TextBox ID="Txt_Clients" runat="server" CssClass="form-control txt"></asp:TextBox>
                                    <input id="Tg_Clients" data-role="tagsinput " class="form-control txt tagHeight" style="margin-top:3px;" />
                                </div>

                                <div class="cell1" style="margin-left:8px;">
                                    <span class="lbl" style="margin-top:3px !important;">Agents</span>
                                    <asp:TextBox ID="Txt_Agents" runat="server" CssClass="form-control txt"></asp:TextBox>
                                    <input id="Tg_Agents" data-role="tagsinput " class="form-control txt tagHeight" style="margin-top:3px;" />
                                </div>
                            </div>

                            <div class="row" style="flex-wrap:wrap; margin-top:16px;padding-left:22px; justify-content:space-between !important;">
                                <div style="display:flex">
                                    <div class="cellCheckbox">
                                        <asp:CheckBox ID="Chk_IsActive" runat="server" Text="Active" CssClass="custom-control custom-checkbox chk"/>
                                    </div>                            
                                    <div class="cellCheckbox">
                                        <asp:CheckBox ID="Chk_IsInactive" runat="server" Text="Inactive" CssClass="custom-control custom-checkbox chk"/>
                                    </div>
                                    <div class="cellCheckbox">
                                        <asp:CheckBox ID="Chk_LTB" runat="server" Text="L.T.B." CssClass="custom-control custom-checkbox chk"/>
                                    </div>
                                    <div class="cellCheckbox">
                                        <asp:CheckBox ID="Chk_WillExchange" runat="server" Text="Exchange" CssClass="custom-control custom-checkbox chk"/>
                                    </div>
                                    <div class="cellCheckbox">
                                        <asp:CheckBox ID="Chk_Furnished" runat="server" Text="Furnished" CssClass="custom-control custom-checkbox chk"/>
                                    </div>
                                    <div class="cellCheckbox">
                                        <asp:CheckBox ID="Chk_Decorated" runat="server" Text="Decorated" CssClass="custom-control custom-checkbox chk"/>
                                    </div>
                                    <div class="cellCheckbox">
                                        <asp:CheckBox ID="Chk_Commercial" runat="server" Text="Commercial" CssClass="custom-control custom-checkbox chk"/>
                                    </div>
                                </div>

                                <div style="display:flex">
                                    <asp:Button ID="Cmd_Clear" runat="server" Text="Clear" CssClass="btn btnToolbar btnToolbarDelete" style="margin-right:12px;" OnClientClick="clearControls(); return false;" />
                                    <asp:Button ID="Cmd_Search" runat="server" Text="Search" CssClass="btn btnToolbar" style="margin-right:12px;" OnClientClick="search(); return false;" />
                                </div>
                            </div>


                        </div>
                    </div>

                    <div id="requests" style="margin-top:8px;">
                          <div style="display:flex;justify-content:space-between;padding-top:2px;padding-bottom:2px;">
                              <h3 style="font-size:1rem !important; display:flex;align-items:center;font-weight:400;margin-block-start: 0 !important;margin-block-end:0 !important;">Requests &nbsp;<%= HF_RowsCount.Value %></h3>
                          </div>

                          <div style="">
                            <div id="gridToolbar" style="margin-top:8px; margin-bottom:8px;display:flex;">
                                <div style="display:flex; align-items:center;">
                                    <input type="checkbox" id="Chk_SelectAll" value="&nbsp;" style="margin-left:4px;" />
                                </div>

                                <div style="display:flex;margin-left:16px;">
                                    <div class="btn-group">
                                        <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                                            Batch Tasks
                                        </button>
                                        <div class="dropdown-menu">
                                            <a onclick="return false;" class="dropdown-item" href="#">Assign Primary Agent</a>
                                            <a class="dropdown-item" href="#">Unassign Primary Agent</a>
                                            <hr class="separator" />
                                        
                                            <a class="dropdown-item" href="#">Assign Secondary Agent</a>
                                            <a class="dropdown-item" href="#">Unassign Secondary Agent</a>
                                            <hr class="separator" />

                                            <a class="dropdown-item" href="#">Change Importance</a>
                                            <hr class="separator" />

                                            <a class="dropdown-item" href="#">Change State</a>
                                            <hr class="separator" />

                                            <a class="dropdown-item" href="#">Edit</a>
                                        </div>
                                    </div>
                                </div>

                                <div style="display:flex;margin-left:20px;">
                                    <asp:Image ID="Img_Status" runat="server" ImageUrl="~/BackEnd/App_Photos/Ico_Success.png" />
                                </div>
                            </div>

                            <asp:GridView CssClass="tablesorter" ID="GV" runat="server" DataKeyNames="ID"  AutoGenerateColumns="false"  Width="100%" Font-Names="Verdana" Font-Size="10pt" PageSize="9999">
                                <Columns>        
                                    <asp:BoundField DataField="Id" ItemStyle-CssClass="hidden"  />  

                                    <asp:TemplateField HeaderText="" ItemStyle-CssClass="hidden" HeaderStyle-CssClass="hidden" ItemStyle-Width="45"  FooterStyle-HorizontalAlign="Center" HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign ="Center">
                                        <ItemTemplate> 
                                            <asp:CheckBox ID="IsChecked" runat="server" />
                                        </ItemTemplate>
                                    </asp:TemplateField>     
                                    
                                    <asp:BoundField DataField="RequestKey" HeaderText="Key" ItemStyle-HorizontalAlign="left" HeaderStyle-HorizontalAlign="left" ItemStyle-CssClass="paddingLeft4" HeaderStyle-CssClass="paddingLeft4" />  
                                    <asp:BoundField DataField="Client" HeaderText="Client" ItemStyle-HorizontalAlign="left" HeaderStyle-HorizontalAlign="left" HeaderStyle-CssClass="paddingLeft4" ItemStyle-CssClass="paddingLeft4" />  
                                    <asp:BoundField DataField="Cell" HeaderText="Cell" ItemStyle-HorizontalAlign="left" HeaderStyle-HorizontalAlign="left" ControlStyle-CssClass="paddingLeft4" HeaderStyle-CssClass="paddingLeft4" />  
                                    <asp:BoundField DataField="PrimaryAgent" HeaderText="Pr. Agent"  ItemStyle-HorizontalAlign="left" HeaderStyle-HorizontalAlign="left" ControlStyle-CssClass="paddingLeft4" HeaderStyle-CssClass="paddingLeft4" />  
                                    <asp:BoundField DataField="Status" HeaderText="Status"  ItemStyle-HorizontalAlign="left" HeaderStyle-HorizontalAlign="left" ControlStyle-CssClass="paddingLeft4" HeaderStyle-CssClass="paddingLeft4"  />  
                                    <asp:BoundField DataField="CreatedOn" HeaderText="Created On"  ItemStyle-HorizontalAlign="left" HeaderStyle-HorizontalAlign="left" ControlStyle-CssClass="paddingLeft4" HeaderStyle-CssClass="paddingLeft4"  />  
                                    <asp:BoundField DataField="Tags" HeaderText="Tags"  ItemStyle-HorizontalAlign="left" HeaderStyle-HorizontalAlign="left" ControlStyle-CssClass="paddingLeft4" HeaderStyle-CssClass="paddingLeft4"  />  
                                </Columns>

                                <RowStyle Height="26px" />
                                <HeaderStyle Height="26px" />
                                <EditRowStyle Height="26px" />
                                <AlternatingRowStyle BackColor="White" />
                            </asp:GridView>
                        </div>
                    </div>
                </div><!--content-->

                <div class="content tab-pane active" id="tasks" role="tabpanel" aria-labelledby="tasks-tab">
                </div>

                <div class="content tab-pane active" id="stats" role="tabpanel" aria-labelledby="stats-tab">
                </div>
            </div>
        </div>
    </form>

    <script type="text/javascript" id="jsMakeAutoComplete">
        function makeTxtStatusAutoComplete() {
            $("#<%= Txt_Status.ClientID %>").autocomplete({
                source: function (request, response) {
                    var term = request.term.trim();
                    var val, url, data;

                    $.ajax({
                        url: "WSClientsRequests.asmx/GetStatusesAndSubstatusesStartingWith",
                        data: JSON.stringify({ name: term, includeNew: true, includeInProcess: true, includeOnHold: true, includeNoDeal: true, includeDealClosed: true, includeAll: true }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val3 + ' - ' + item.Val4,
                                    val1: item.Val1,//statusId
                                    val2: item.Val2,//substatusId
                                    val3: item.Val3,//statusTitle
                                    val4: item.Val4//substatusTitle
                                };
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    addToTag("Tg_Status", ui.item.val1 + ";" + ui.item.val2, ui.item.label);
                    window.setTimeout(function () { document.getElementById("<%=Txt_Status.ClientID%>").value = ""; }, 100);
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {
                return $("<li style='display:flex;'></li>")
                    .append("<span style='display:flex;'>" + item.val3 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val4 + "</span>")
                    .appendTo(ul);
            };
        }

        function makeTxtPropertyTypesAutoComplete() {
            $("#<%= Txt_PropertiesTypes.ClientID %>").autocomplete({
                source: function (request, response) {
                    var term = request.term.trim();
                    var val, url, data;

                    $.ajax({
                        url: "WSProperties.asmx/GetPropertyTypesWhoseNamesStartWith",
                        data: JSON.stringify({ name: term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val2,
                                    val1: item.Val1,//ID
                                    val2: item.Val2//Name
                                };
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    addToTag("Tg_PropertiesTypes", ui.item.val1 , ui.item.val2);
                    window.setTimeout(function () { document.getElementById("<%=Txt_PropertiesTypes.ClientID%>").value = ""; }, 100);
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {
            return $("<li style='display:flex;'></li>")
                    .append("<span style='display:flex;'>" + item.val2 + "</span>")
                    .appendTo(ul);
            };
        }

        function makeTxtDistrictsAutoComplete() {
            $("#<%= Txt_Districts.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSCities.asmx/GetDistrictsWhoseNamesStartWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val2,
                                    val2: item.Val2,//Appears in text box => just the name
                                    val1: item.Val1,
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    addToTag("Tg_Districts", ui.item.val1 , ui.item.val2);
                    window.setTimeout(function () { document.getElementById("<%=Txt_Districts.ClientID%>").value = ""; }, 100);
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {
            return $("<li style='display:flex;'></li>")
                    .append("<span style='display:flex;'>" + item.val2 + "</span>")
                    .appendTo(ul);
            };
        }

        function makeTxtCitiesAutoComplete() {
            $("#<%= Txt_Cities.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSCities.asmx/GetCitiesWhoseNamesStartWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val2,
                                    val2: item.Val2,//Appears in text box => just the name
                                    val1: item.Val1,
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    addToTag("Tg_Cities", ui.item.val1 , ui.item.val2);
                    window.setTimeout(function () { document.getElementById("<%=Txt_Cities.ClientID%>").value = ""; }, 100);
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {
            return $("<li style='display:flex;'></li>")
                    .append("<span style='display:flex;'>" + item.val2 + "</span>")
                    .appendTo(ul);
            };
        }

        function makeTxtNotCitiesAutoComplete() {
            $("#<%= Txt_NotInCities.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSCities.asmx/GetCitiesWhoseNamesStartWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val2,
                                    val2: item.Val2,//Appears in text box => just the name
                                    val1: item.Val1,
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    addToTag("Tg_NotInCities", ui.item.val1 , ui.item.val2);
                    window.setTimeout(function () { document.getElementById("<%=Txt_NotInCities.ClientID%>").value = ""; }, 100);
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {
            return $("<li style='display:flex;'></li>")
                    .append("<span style='display:flex;'>" + item.val2 + "</span>")
                    .appendTo(ul);
            };
        }


        function makeTxtPropertiesAutoComplete() {
            var type = 0;
            var currentUserId = -1;

            $("#<%= Txt_Properties.ClientID %>").autocomplete({  
                source: function (request, response) {
                    var term = request.term;
                    var aCurrentUserId = 0;

                    <% If aCurrentUser Is Nothing Then %>
                          aCurrentUserId = -1; 
                    <%ElseIf aCurrentUser.IsAdmin = False AndAlso aCurrentUser.IsSuperUser=False%>
                          aCurrentUserId = <%=aCurrentUser.ID %>;
                    <%End If%>

                    $.ajax({
                        url: "WSProperties.asmx/GetPropertiesKeysWhoStartWith",
                        data: JSON.stringify({name: term, userId: aCurrentUserId}),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val2 + " - " + item.Val3 + " - " + item.Val4 + "m2 - " + item.Val5,
                                    value: item.Val2,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2,
                                    val3: item.Val3,
                                    val4: item.Val4,
                                    val5: item.Val5,
                                    val6: item.Val6,
                                    val7: item.Val7,
                                    val8: item.Val8,
                                    val9: item.Val9,
                                    val10: item.Val10,
                                    val11: item.Val11
                                };
                            }));
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    addToTag("Tg_Properties", ui.item.val1 , ui.item.val2);
                    window.setTimeout(function () { document.getElementById("<%=Txt_Properties.ClientID%>").value = ""; }, 100);
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {
                var li = "<li style='display:flex;font-size:12.5px;'></li>";
                if (item.val11.toString().toLowerCase() == "false")
                    li = "<li style='display:flex;font-size:12.5px; color:red !important;'></li>"

                return $(li).attr("data-value", item.val2)
                            .append("<span style='display:flex;'>" + item.val2 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val3 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val4 + "m2</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val5 + "m2</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val6 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val7 + "$</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val8 + "$</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val9 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val10 + "</span>")
                            .appendTo(ul);
            };
        } 


        function makeTxtRequestAutoComplete() {
            $("#<%= Txt_Requests.ClientID %>").autocomplete({
                source: function (request, response) {
                    var aCurrentUserId = 0;

                    <% If aCurrentUser Is Nothing Then %>
                    aCurrentUserId = -1;
                    <%ElseIf aCurrentUser.IsAdmin = False AndAlso aCurrentUser.IsSuperUser=False%>
                    aCurrentUserId = <%=aCurrentUser.ID %>;
                    <%End If%>

                    var term = request.term.trim();
                    var val, url, data;

                    if (term.length > 3) {
                        if (term.toLowerCase().substr(0, 3) == "cr-" && isStrictlyPositiveNumber(term.substr(3))) {
                            val = term.substr(3).trim();
                            url = "WSClientsRequests.asmx/GetClientsRequestsWhoseIdsStartWith";
                            data = { name: val, userId: aCurrentUserId };
                        }
                        else {
                            //Client Request
                            url = "WSClientsRequests.asmx/GetClientsRequestsWhoseNamesStartWith";
                            data = { name: term, userId: aCurrentUserId };
                        }
                    }
                    else {
                        //Client Request
                        url = "WSClientsRequests.asmx/GetClientsRequestsWhoseNamesStartWith";
                        data = { name: term, userId: aCurrentUserId };
                    }

                    $.ajax({
                        url: url,//"WSClientsRequests.asmx/GetClientsRequestsWhoseNamesStartWith",
                        data: JSON.stringify(data),//{ 'name': request.term, 'userId': aCurrentUserId }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val2 + " - " + item.Val3 + " - " + item.Val4 + " / CR - " + item.Val1,
                                    value: "CR-" + item.Val1,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2,
                                    val3: item.Val3,
                                    val4: item.Val4,
                                    val5: item.Val5,
                                    val6: item.Val6,
                                    val7: item.Val7
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    addToTag("Tg_Requests", ui.item.val1 , ui.item.val2);
                    window.setTimeout(function () { document.getElementById("<%=Txt_Requests.ClientID%>").value = ""; }, 100);
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {
                var color = "";

                if (item.val7.toString().toLowerCase() == "false")
                    color = crInactiveColor;
                else {
                    if (item.val6 == 1)//normal
                        color = crNormalColor;
                    else if (item.val6 == 2)
                        color = crImportantColor;
                    else
                        color = crNotImportantColor;
                }

                var li = "<li style='display:flex;color:" + color + " !important;'></li>";

                return $(li)
                        .attr("data-value", item.val2)
                        .append("<span style='display:flex;'>" + item.val2 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val3 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val4 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val5 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>CR-" + item.val1 + "</span>")
                        .appendTo(ul);
                };
        }   

        function makeTxtTagsAutoComplete() {
            $("#<%= Txt_Tags.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSTag.asmx/GetTagsStartingWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function(item) {
                                return {
                                    label: item.Val2,
                                    value: item.Val2,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    addToTag("Tg_Tags", ui.item.val1 , ui.item.val2);
                    window.setTimeout(function () { document.getElementById("<%=Txt_Tags.ClientID%>").value = ""; }, 100);
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {

            var li = "<li style='display:flex;'></li>";

            return $(li)
                .attr("data-value", item.val2)
                .append("<span style='display:flex;'>" + item.val2 + "</span>")
                .appendTo(ul);
            };
        }


        function makeTxtSourcesAutoComplete() {
            $("#<%= Txt_Sources.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSProperties.asmx/GetMarketingChannelsSourcesWhoseNamesStartWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function(item) {
                                return {
                                    label: item.Val2,
                                    value: item.Val2,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    addToTag("Tg_Sources", ui.item.val1 , ui.item.val2);
                    window.setTimeout(function () { document.getElementById("<%=Txt_Sources.ClientID%>").value = ""; }, 100);
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {

            var li = "<li style='display:flex;'></li>";

            return $(li)
                .attr("data-value", item.val2)
                .append("<span style='display:flex;'>" + item.val2 + "</span>")
                .appendTo(ul);
            };
        }


        function makeTxtClientsAutoComplete() {
            $("#<%= Txt_Clients.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSClients.asmx/GetClientsWhoseNamesOrPhonesStartWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function(item) {
                                return {
                                    label: item.Val2 + " - " + item.Val3,
                                    value: item.Val2,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2,
                                    val3: item.Val3,
                                    val4: item.Val4
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    addToTag("Tg_Clients", ui.item.val1 , ui.item.val2);
                    window.setTimeout(function () { document.getElementById("<%=Txt_Clients.ClientID%>").value = ""; }, 100);
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {

            var li = "<li style='display:flex;'></li>";
            if (item.val4.toString().toLowerCase() == "false")
                li = "<li style='display:flex; color:" + inactiveColor + " !important;'></li>";

            return $(li)
                .attr("data-value", item.val2)
                .append("<span style='display:flex;'>" + item.val2 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val3 + "</span>")
                .appendTo(ul);
            };
        }

        function makeTxtAgentsAutoComplete() {
            $("#<%= Txt_Agents.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSProperties.asmx/GetAgentsWhoseNamesStartWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function(item) {
                                return {
                                    label: item.Val2,
                                    value: item.Val2,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2,
                                    val3: item.Val3
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    addToTag("Tg_Agents", ui.item.val1 , ui.item.val2);
                    window.setTimeout(function () { document.getElementById("<%=Txt_Agents.ClientID%>").value = ""; }, 100);
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {

            var li = "<li style='display:flex;'></li>";
            if (item.val3.toString().toLowerCase() == "false")
                li = "<li style='display:flex; color:" + inactiveColor + " !important;'></li>";

            return $(li)
                .attr("data-value", item.val2)
                .append("<span style='display:flex;'>" + item.val2 + "</span>")
                .appendTo(ul);
            };
        }
    </script>

    <script type="text/javascript">
        function fnHideSuccessIcon() {
            window.setTimeout(function () {
                var o = document.getElementById("<%= Img_Status.ClientID %>");
                if (o)
                    o.style.display = "none";
            }, 3000);
        }

        $(document).ready(function () {

            //Initialize tableso
            $("#GV").tablesorter();

            //Initialize datePicker
            $('.input-daterange').datepicker({
                autoclose: true,
                clearBtn: true,
                format: 'M/dd/yyyy',
                keepEmptyValues: true,
                todayHighlight: true,
                showOnFocus: true,
                //toggleActive: false,
            });

            $("#sDate").on('changeDate', function (e) {
                //e.date is a date object
                //if (!e.date) => date is clea" + color + "
                //console.log("sDate Change: ", e);
            });

            $("#eDate").on('changeDate', function (e) {
                //console.log("eDate Change: ", e);
            });

            //Tag
            $(".tagHeight").tagsinput({
                allowDuplicates: false,
                itemValue: 'id',  // this will be used to set id of tag
                itemText: 'title' // this will be used to set text of tag
            });

            $(".bootstrap-tagsinput > input").prop("readonly", true);


            //Collapsible
            $("#criteria").accordion({ collapsible: true });
            $("#requests").accordion({ collapsible: true });

            window.setTimeout(function () {
                $(".ui-accordion-content").css("height", "");
            }, 2000);


            makeTextboxK(document.getElementById("<%=Txt_SaleMin.ClientID%>"));
            makeTextboxK(document.getElementById("<%=Txt_SaleMax.ClientID%>"));
            makeTextboxK(document.getElementById("<%=Txt_RentMin.ClientID%>"));
            makeTextboxK(document.getElementById("<%=Txt_RentMax.ClientID%>"));

            makeTxtStatusAutoComplete();
            makeTxtPropertyTypesAutoComplete();
            makeTxtDistrictsAutoComplete();
            makeTxtCitiesAutoComplete();
            makeTxtNotCitiesAutoComplete();
            makeTxtPropertiesAutoComplete();
            makeTxtRequestAutoComplete();
            makeTxtSourcesAutoComplete();
            makeTxtClientsAutoComplete();
            makeTxtAgentsAutoComplete();
            makeTxtTagsAutoComplete();
        });

        
      function loadMe()
      {
          fnHideSuccessIcon();

          //Handle checkboxes look
          $(".custom-checkbox input").addClass("custom-control-input");
          $(".custom-checkbox label").addClass("custom-control-label");

          clearControls();

          if (document.getElementById("HF_Exit").value == "exit") {
              if (document.getElementById("HF_ExitMessage").value != "")
                  alert(document.getElementById("HF_ExitMessage").value);

              var aExitTo = document.getElementById("HF_ExitTo").value;

              if (aExitTo.substring(0, 1) == "1") {
                  if (window.parent.parent)
                      window.parent.parent.location = aExitTo.substring(1);
                  else if (window.parent)
                      window.parent.location = aExitTo.substring(1);
              }

              else {
                  if (window.parent.document.getElementById('myIframe'))
                      window.parent.document.getElementById('myIframe').src = aExitTo.substring(1);
                  else if (window.parent)
                      window.parent.location = aExitTo.substring(1);
              }
          }
        }    

        function clearControls() {
            var today = new Date();
            var sDate = new Date(today.getFullYear(), today.getMonth(), today.getDate() - 6);
            var eDate = today;

            $('#sDate').datepicker('setDate', sDate);
            $('#eDate').datepicker('setDate', eDate);

            document.getElementById("<%=Cmb_Urgency.ClientID%>").value = "0";

            document.getElementById("<%=Cmb_Importance.ClientID%>").value = "0";

            document.getElementById("<%=Chk_ForSale.ClientID%>").checked = false;
            document.getElementById("<%=Txt_SaleMin.ClientID%>").value = "0";
            document.getElementById("<%=Txt_SaleMax.ClientID%>").value = "0";

            document.getElementById("<%=Chk_ForRent.ClientID%>").checked = false;
            document.getElementById("<%=Txt_RentMin.ClientID%>").value = "0";
            document.getElementById("<%=Txt_RentMax.ClientID%>").value = "0";

            document.getElementById("<%=Txt_Status.ClientID%>").value = "";
            clearTag("Tg_Status");

            document.getElementById("<%=Txt_PropertiesTypes.ClientID%>").value = "";
            clearTag("Tg_PropertiesTypes");

            document.getElementById("<%=Txt_Districts.ClientID%>").value = "";
            clearTag("Tg_Districts");

            document.getElementById("<%=Txt_Cities.ClientID%>").value = "";
            clearTag("Tg_Cities");

            document.getElementById("<%=Txt_NotInCities.ClientID%>").value = "";
            clearTag("Tg_NotInCities");

            document.getElementById("<%=Txt_Properties.ClientID%>").value = "";
            clearTag("Tg_Properties");

            document.getElementById("<%=Txt_Requests.ClientID%>").value = "";
            clearTag("Tg_Requests");

            document.getElementById("<%=Txt_Tags.ClientID%>").value = "";
            clearTag("Tg_Tags");

            document.getElementById("<%=Txt_Sources.ClientID%>").value = "";
            clearTag("Tg_Sources");

            document.getElementById("<%=Txt_Clients.ClientID%>").value = "";
            clearTag("Tg_Clients");

            document.getElementById("<%=Txt_Agents.ClientID%>").value = "";
            clearTag("Tg_Agents");

            document.getElementById("<%=Chk_TagsAnd.ClientID%>").checked = false;
            document.getElementById("<%=Chk_IsActive.ClientID%>").checked = true;
            document.getElementById("<%=Chk_IsInactive.ClientID%>").checked = false;
            document.getElementById("<%=Chk_LTB.ClientID%>").checked = false;
            document.getElementById("<%=Chk_WillExchange.ClientID%>").checked = false;
            document.getElementById("<%=Chk_Furnished.ClientID%>").checked = false;
            document.getElementById("<%=Chk_Decorated.ClientID%>").checked = false;
            document.getElementById("<%=Chk_Commercial.ClientID%>").checked = false;


            return false;
        }

        function validateSearch() {
            var aErrors = "";

            return aErrors;
        }

        function search() {
            var errors = validateSearch();

            if (errors != "") {
                alert(errors);
                return false;
            }

            //sDate
            var sDateT, eDateT;

            var sDate = $('#sDate').datepicker('getDate');
            if (!sDate)
                sDateT = "";
            else
                sDateT = (sDate.getMonth() + 1).toString() + "/" + sDate.getDate().toString() + "/" + sDate.getFullYear().toString();

            //eDate
            var eDate = $('#eDate').datepicker('getDate');
            if (!eDate)
                eDateT = "";
            else
                eDateT = (eDate.getMonth() + 1).toString() + "/" + eDate.getDate().toString() + "/" + eDate.getFullYear().toString();

            if (sDate && eDate && sDate > eDate) {
                alert("Start date must be smaller than end date.");
                return false;
            }

            var urgency = document.getElementById("<%=Cmb_Urgency.ClientID%>").value;

            var importance = document.getElementById("<%=Cmb_Importance.ClientID%>").value;

            var forSale = document.getElementById("<%=Chk_ForSale.ClientID%>").checked;
            var saleMin = document.getElementById("<%=Txt_SaleMin.ClientID%>").value;
            var saleMax = document.getElementById("<%=Txt_SaleMax.ClientID%>").value;

            var forRent = document.getElementById("<%=Chk_ForRent.ClientID%>").checked;
            var rentMin = document.getElementById("<%=Txt_RentMin.ClientID%>").value;
            var rentMax = document.getElementById("<%=Txt_RentMax.ClientID%>").value;

            var statuses = getIdsAsString("Tg_Status");
            var propertiesTypes = getIdsAsString("Tg_PropertiesTypes");
            var districts = getIdsAsString("Tg_Districts");
            var cities = getIdsAsString("Tg_Cities");
            var notInCities = getIdsAsString("Tg_NotInCities");
            var properties = getIdsAsString("Tg_Properties");
            var requests = getIdsAsString("Tg_Requests");
            var tags = getIdsAsString("Tg_Tags");
            var tagsAnd = document.getElementById("<%=Chk_TagsAnd.ClientID%>").checked;
            var sources = getIdsAsString("Tg_Sources");
            var clients = getIdsAsString("Tg_Clients");
            var agents = getIdsAsString("Tg_Agents");

            var isActive = document.getElementById("<%=Chk_IsActive.ClientID%>").checked == true ? 1 : 0;
            var isInactive = document.getElementById("<%=Chk_IsInactive.ClientID%>").checked == true ? 1 : 0;
            var ltb = document.getElementById("<%=Chk_LTB.ClientID%>").checked == true ? 1 : 0;
            var exchange = document.getElementById("<%=Chk_WillExchange.ClientID%>").checked == true ? 1 : 0;
            var furnished = document.getElementById("<%=Chk_Furnished.ClientID%>").checked == true ? 1 : 0;
            var decorated = document.getElementById("<%=Chk_Decorated.ClientID%>").checked == true ? 1 : 0;
            var commercial = document.getElementById("<%=Chk_Commercial.ClientID%>").checked == true ? 1 : 0;

            //Search
            var aCurrentUserId = 0;

            <% If aCurrentUser Is Nothing Then %>
                aCurrentUserId = -1;
            <%ElseIf aCurrentUser.IsAdmin = False AndAlso aCurrentUser.IsSuperUser=False%>
                aCurrentUserId = <%=aCurrentUser.ID %>;
            <%End If%>


            //Show spinner
            showSpinner();

            //Call API
            var aData = {
                'sDate': sDateT, 'eDate': eDateT, 'urgency': urgency, 'importance': importance,
                'forSale': forSale, 'saleMin': saleMin, 'saleMax': saleMax, 'forRent': forRent, 'rentMin': rentMin, 'rentMax': rentMax,
                'statuses': statuses,
                'propertyTypesIds': propertiesTypes, 'districtsIds': districts, 'citiesIds': cities, 'notInCitiesIds': notInCities,
                'propertiesIds': properties, 'requestsIds': requests, 'tags': tags, 'tagsAnd': tagsAnd, 'sourcesIds': sources, 'clientsIds': clients, 'agentsIds': agents,
                'isActive': isActive, 'isInactive': isInactive, 'isLTB': ltb, 'isExchange': exchange, 'isFurnished': furnished, 'isDecorated': decorated, 'isCommercial': commercial,
                'userId': aCurrentUserId
            };

            $.ajax({
                url: "WSClientsRequests.asmx/Search",
                data: JSON.stringify(aData),
                dataType: "json",
                type: "POST",
                contentType: "application/json; charset=utf-8",
                success: function (data) {
                    if (data.Succeeded == false) {
                        hideSpinner();
                        alert(data.ErrorMessage);
                        return false;
                    }

                    //Success
                    bindGrid(data.Data);

                    hideSpinner();

                    if (data.length < 1) {
                        //alert("No matches found.");
                        return;
                    }
                },
                error: function (XMLHttpRequest, textStatus, errorThrown) {
                    hideSpinner();

                    alert("Error fetching data.");
                }
            });
        }


        function bindGrid(arr) {
            var color = "";
            var item;

            $("#GV > tbody").empty();

            if (arr.length > 0) {
                for (var i = 0; i < arr.length; i++) {
                    item = arr[i];

                    if (item.Val9 == 0)
                        color = crInactiveColor;
                    else {
                        if (item.Val8 == 1)//normal
                            color = crNormalColor;
                        else if (item.Val8 == 2)
                            color = crImportantColor;
                        else
                            color = crNotImportantColor;
                    }

                    $("#GV > tbody").append("<tr style='color:" + color + " !important'><td style=''><input type='checkbox' id='chk_" + arr[i].Val1 + "' /></td><td style='display:none'>" + arr[i].Val1 + "</td><td style='color:" + color + " !important'>" + arr[i].Val2 + "</td><td style='color:" + color + " !important'>" + arr[i].Val3 + "</td><td style='color:" + color + " !important'>" + arr[i].Val4 + "</td><td style='color:" + color + " !important'>" + arr[i].Val5 + "</td><td style='color:" + color + " !important'>" + arr[i].Val6 + "</td><td style='color:" + color + " !important'>" + arr[i].Val7 + "</td><td style='color:" + color + " !important'>" + arr[i].Val10 + "</td></tr>");
                }

                window.parent.postMessage({ message: 'refreshIFrameHeight' }, 'http://localhost:56038');

                $("table").trigger("updateAll", [true, function () { } ]);
                    //Bind the context menu
                    //bindGridEvents();
            }
        }

    </script>

    <script type="text/javascript" id="jsTags">
        function getIdsAsString(controlId) {
            var result = "";
            var resultArr = $("#" + controlId).val().split(",");

            if (resultArr && resultArr.length > 0) {
                for (var i = 0; i < resultArr.length; i++) 
                    result += resultArr[i] + ",";

                result = result.substr(0, result.length - 1);
            }

            return result;
        }

        function addToTag(controlId, id, title) {
            //If id or text (trimmed + insensitive) exists then return
            var items = $("#" + controlId).tagsinput('items');

            if (!items || items.length < 1) 
                $("#" + controlId).tagsinput("add", { "id": id , "title": title});    
            else {
                //Do NOT add if the id is there or a text (trimmed + insensitive)
                for (var i = 0; i < items.length; i++) {
                    if (items[i].title.trim().toLowerCase() == title.trim().toLowerCase() || items[i].id == id)
                        return;
                }
                $("#" + controlId).tagsinput("add", { "id": id , "title": title});    
            }
        }

        function clearTag(controlId) {
            $('#' + controlId).tagsinput('removeAll');
        }
    </script>

    <!-- Spinner -->
    <script id="jsSpinner" type="text/javascript">
        function showSpinner() {
            $(".spinnerOuterContainer").css("visibility", "visible");
        }

        function hideSpinner(){
            $(".spinnerOuterContainer").css("visibility", "hidden");
        }
    </script>
</body>
</html>
