﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="ToDel1.aspx.vb" Inherits="Backend_ToDel1" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

    
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/latest/jquery.min.js"></script>
    <script type="text/javascript" src="https://cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />

    <!-- Bootstrap tooltips -->
    <link rel="stylesheet" href="css/bootstrap.min.css" />
    <link rel="stylesheet" href="fontawesome/css/font-awesome.min.css" />



    <!--My Every Page -->
    <link rel="Stylesheet" href="css/page.css" />

</head>
<body>
    <form id="form1" runat="server">
        <asp:HiddenField ID="HF_SDate" runat="server" />
        <asp:HiddenField ID="HF_EDate" runat="server" />

        <div style="">


            <div>
                <div id="reportrange" style="cursor: pointer; border: 1px solid #ccc; width:230px !important;" class="txt">
                    <i class="fa fa-calendar"></i>&nbsp;
                    <span></span>&nbsp;<i class="fa fa-caret-down"></i>
                </div>
                <asp:Button runat="server" OnClick="Unnamed_Click" />
            </div>
        </div>
    </form>


    <script type="text/javascript">
        $(document).ready(function () {

            var start = moment().subtract(29, 'days');
            var end = moment();

            function cb(start, end) {
                $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));

                document.getElementById("<%= HF_SDate.ClientID %>").value = start.format("MM/DD/YYYY");
                document.getElementById("<%= HF_EDate.ClientID %>").value = end.format("MM/DD/YYYY");
            }

            $('#reportrange').daterangepicker({
                startDate: start,
                endDate: end,
                ranges: {
                    'Today': [moment(), moment()],
                    'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                    'Last 7 Days': [moment().subtract(6, 'days'), moment()],
                    'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                    'This Month': [moment().startOf('month'), moment().endOf('month')],
                    'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                }
            }, cb);

            cb(start, end);
        });

    </script>
</body>
</html>
