﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="frmClientsRequests2.aspx.vb" Inherits="Backend_frmClientsRequests2" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
     <title></title>

	<!-- Stylesheet -->
	<link rel="stylesheet" href="css/bootstrap.min.css" />

    <link rel="stylesheet" href="css/theme.bootstrap_4.min.css" />

	<link href="js/tag/tagsinput.css" rel="stylesheet" type="text/css" />
	 
    <link rel="stylesheet" href="Js/jquery-ui1.11.2.css"/>

    <link rel="stylesheet" href="fontawesome/css/font-awesome.min.css" />

    <!--My Every Page -->
    <link rel="Stylesheet" href="css/page.css" />


	<!-- JavaScript -->
    <script src="js/jquery1.11.1.min.js"></script>

    <script src="Js/jquery-ui1.11.2.min.js"></script>

	<script src="js/popper.min.js"></script>

	<script src="js/bootstrap.min.js"></script>

	<script src="js/tag/tagsinput.js"></script>

    <script src="Js/movablediv.js"></script>

    <script src="js/utils.js"></script>

     <style>

         .toolbar {
             justify-content: space-between !important;
             padding-top:6px !important;
             padding-bottom:6px !important;
         }

        .errorDiv{
            font-size:12px !important;
            color:red;
            font-weight:600;
            padding:8px;
            border:1px solid red;
            margin-top:9px;
            margin-bottom:9px;
            margin-left:6px;
            margin-right:6px;
        }

        .root > .content{
            margin-top:0px;
            font-size:12px !important;
            display: flex;
            flex-direction:column;            
            /*border:1px solid rgba(0, 0, 0, 0.4);*/
            padding:8px 12px;
        }

        .cell{
            display:flex;
            flex-direction:column;
        }

        .cellCheckbox{
            margin-top:3px;
            display:flex;           
            flex:1;
            padding: 0;
        }

        .cell1{
            display:flex;
            flex-direction:column;
            flex:1;
        }

        .row{
            display: flex;
            margin-left:0;
            margin-right:0;
            padding:0px 0px;
        }

        #Cmd_Go{
            margin-left: 6px;
            margin-top:1px;
            padding: 3px 8px;
        }

        .chk{
            width: 150px !important;
        }

        .txtBig{
            height:95px !important;
        }

        .fixTextWidth{
            display:flex;
            flex:1 1 auto;
            width:0;
        }

        select{
            display:flex;
            flex:1 1 auto;
            width:100%;
        }

        .lst{
            margin-top:4px;
            border: 1px solid #ced4da !important;
            border-radius:0.25rem !important;
        }  

        .txt2{
            width:auto !important;
            max-width:70px !important;
            height:26px !important;
        }

        #popupMessage{
            position:absolute;
            z-index:999;
            left:0;
            right:0;
            top:0;
            bottom:0;
            background-color:rgba(0,0,0,0.02);
            width:100%;
            height: 100%;
        }

        #popupMessageInner{
            position:absolute;
            z-index:9999;
            left:300px !important;
            top:50px !important;
            width:600px;
            height:365px;
            border: 5px solid #008fe2;
            border-radius:6px;
            background-color:white;
            overflow-y:auto;            
        }

        .ui-autocomplete li.ui-menu-item:hover .ui-menu-item-wrapper{
            border:none !important;
            background:rgba(0,0,0,0.1) !important;
        }
    </style>

    <!-- Style for Tags -->
    <style>
        .bootstrap-tagsinput{
            margin-top:3px !important;
            min-height:60px !important;
        }
    </style>
</head>

<body onload="loadMe()">
    <form id="form1" runat="server" defaultbutton="Cmd_PreventSubmit">
        <asp:ScriptManager ID="ScriptManager1" runat="server" LoadScriptsBeforeUI="false">
        </asp:ScriptManager>

        <asp:HiddenField ID="HF_Exit" runat="server" />
        <asp:HiddenField ID="HF_ExitTo" runat="server" />        
        <asp:HiddenField ID="HF_ExitMessage" runat="server" />
        <asp:HiddenField ID="HF_Mode" runat="server" />

        <asp:HiddenField ID="HF_ShowPopup" runat="server" />
        <asp:HiddenField ID="HF_RequestId" runat="server" />
        <asp:HiddenField ID="HF_ClientId" runat="server" />

        <asp:HiddenField ID="HF_StatusId" runat="server" />
        <asp:HiddenField ID="HF_SubstatusId" runat="server" />

        <asp:HiddenField ID="HF_PropertiesIds" runat="server" />
        <asp:HiddenField ID="HF_PropertiesTitles" runat="server" />
        <asp:HiddenField ID="HF_DistrictsIds" runat="server" />
        <asp:HiddenField ID="HF_DistrictsTitles" runat="server" />
        <asp:HiddenField ID="HF_CitiesGroupsIds" runat="server" />
        <asp:HiddenField ID="HF_CitiesGroupsTitles" runat="server" />
        <asp:HiddenField ID="HF_CitiesIds" runat="server" />
        <asp:HiddenField ID="HF_CitiesTitles" runat="server" />
        <asp:HiddenField ID="HF_NotCitiesIds" runat="server" />
        <asp:HiddenField ID="HF_NotCitiesTitles" runat="server" />
        <asp:HiddenField ID="HF_PropertyTypesIds" runat="server" />
        <asp:HiddenField ID="HF_PropertyTypesTitles" runat="server" />

        <asp:HiddenField ID="HF_TagsIds" runat="server" />
        <asp:HiddenField ID="HF_TagsTitles" runat="server" />

        <asp:Button ID="Cmd_PreventSubmit" runat="server" CssClass="hidden" OnClientClick="return false;" />

        <div class="root">
            <div class="toolbar">
                <div style="display:flex;">
                    <div class="cell">
                        <span class="label" style="">Request</span>
                        <asp:TextBox ID="Txt_Request" runat="server" CssClass="form-control txt" Width="250px" ></asp:TextBox>
                    </div>
                    <div class="cell">
                        <span>&nbsp;</span>
                        <asp:Button ID="Cmd_Go" runat="server" Text="View" CssClass="btn btnToolbar" OnClientClick="return cmdGoClicked();" OnClick="Cmd_Go_Click" />
                    </div>
                </div>

                <div style="display:flex;align-items:center;">
                    <asp:Image ID="Img_Status" runat="server" ImageUrl="~/BackEnd/App_Photos/Ico_Success.png" />

                    <asp:Button ID="Cmd_New" runat="server" Text="New" CssClass="btn btnToolbar btnGreen" OnClientClick="clearControls(); return true;" OnClick="Cmd_New_Click" style="margin-right:12px;" />
                    <asp:Button ID="Cmd_Save" runat="server" Text="Save" CssClass="btn btnToolbar" OnClientClick="return cmdSaveClicked();" OnClick="Cmd_Save_Click" style="margin-right:12px;" />
                    <asp:Button ID="Cmd_Delete" runat="server" Text="Delete" CssClass="btn btnToolbarDelete" />
                </div>

            </div>

            <% If aError IsNot Nothing AndAlso aError <> "" %>
                <div class="errorDiv">
                    <%= aError %>
                </div>
            <%End If %>

            <div class="content">
                <div class="row">
                    <div class="cell1">
                        <div style="margin-bottom:2px;"><span class="lbl" style="">Client*</span></div>
                        <asp:TextBox ID="Txt_Client" runat="server" CssClass="form-control txt " ></asp:TextBox>
                    </div>
                    <div class="cell1" style="margin-left:8px;">
                        <div style="margin-bottom:2px;"><span class="lbl" style="">Cell*</span></div>
                        <asp:TextBox ID="Txt_Cell" runat="server" CssClass="form-control txt "></asp:TextBox>
                    </div>
                    <div class="cell1" style="margin-left:8px; flex:2;">
                        <div style="margin-bottom:2px;"><span class="lbl">Email</span></div>
                        <asp:TextBox ID="Txt_Email" runat="server" CssClass="form-control txt "></asp:TextBox>
                    </div>
                    <div class="cell1" style="margin-left:8px;">
                        <div style="margin-bottom:2px;"><span class="lbl" style="">Source</span></div>
                        <asp:DropDownList ID="Cmb_Source" runat="server" CssClass="form-control dropDown"></asp:DropDownList>
                    </div>
                    <div class="cell1" style="margin-left:8px;">
                        <div style="display:flex;flex-direction:row;">
                            <div style="display:flex; flex:1 1 70%;flex-direction:column;max-width:70%;">
                                <div style="margin-bottom:2px;"><span class="lbl" style="">Parking</span></div>
                                <asp:DropDownList ID="Cmb_Parking" runat="server" CssClass="form-control dropDown"></asp:DropDownList>
                            </div>
                            <div style="display:flex; flex:1 1 30%;flex-direction:column;margin-left:4px;max-width:calc(70% - 4px);">
                                <div style="margin-bottom:2px;"><span class="lbl" style="">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;#</span></div>
                                <asp:TextBox ID="Txt_Parking" runat="server" CssClass="form-control txt" style="width:100%!important;text-align:center;"></asp:TextBox>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row" style="margin-top:14px">

                    <div class="cell1" style="">
                        <div class="form-check form-check-inline" style="margin-bottom:2px;">
                            <asp:RadioButton ID="Opt_Surface" runat="server" Text="Surface" GroupName="Area" CssClass="custom-control custom-checkbox " />
                            <asp:RadioButton ID="Opt_Sellable" runat="server" Text="Sellable" GroupName="Area" style="margin-left:20px;" CssClass="custom-control custom-checkbox " />
                        </div>
                        <div style="display:flex; flex-direction:row;flex:1;">
                            <asp:TextBox ID="Txt_AreaMin" runat="server" CssClass="form-control txt fixTextWidth" style="text-align:center;"></asp:TextBox>
                            <asp:TextBox ID="Txt_AreaMax" runat="server" CssClass="form-control txt fixTextWidth" style="margin-left:4px;text-align:center;"></asp:TextBox>
                        </div>
                    </div>

                    <div class="cell1" style="margin-left:8px;">
                        <div style="margin-bottom:2px;"><asp:Checkbox ID="Chk_ForSale" runat="server" Text="Sale" CssClass="custom-control custom-checkbox" /></div>                                
                        <div style="display:flex; flex-direction:row;">
                            <asp:TextBox ID="Txt_SaleMin" runat="server" CssClass="form-control txt fixTextWidth" style="text-align:center;"></asp:TextBox>
                            <asp:TextBox ID="Txt_SaleMax" runat="server" CssClass="form-control txt fixTextWidth" style="margin-left:4px;text-align:center;"></asp:TextBox>
                        </div>
                    </div>

                    <div class="cell1" style="margin-left:8px;">
                        <div style="margin-bottom:2px;"><asp:Checkbox ID="Chk_ForRent" runat="server" Text="Rent" CssClass="custom-control custom-checkbox" /></div> 
                        <div style="display:flex; flex-direction:row;">
                            <asp:TextBox ID="Txt_RentMin" runat="server" CssClass="form-control txt fixTextWidth" style="text-align:center;"></asp:TextBox>
                            <asp:TextBox ID="Txt_RentMax" runat="server" CssClass="form-control txt fixTextWidth" style="margin-left:4px;text-align:center;"></asp:TextBox>
                        </div>
                    </div>

                    <div class="cell1" style="margin-left:8px;">
                        <div style="margin-bottom:5px;"><span class="lbl">Bedrooms</span></div>
                        <div style="display:flex; flex-direction:row;">
                            <asp:TextBox ID="Txt_BedroomsMin" runat="server" CssClass="form-control txt fixTextWidth" style="text-align:center;"></asp:TextBox>
                            <asp:TextBox ID="Txt_BedroomsMax" runat="server" CssClass="form-control txt fixTextWidth" style="margin-left:4px;text-align:center;"></asp:TextBox>
                        </div>
                    </div>

                    <div class="cell1" style="margin-left:8px;">
                        <div style="margin-bottom:3px;"><span class="lbl" style="">View</span></div>
                        <asp:DropDownList ID="Cmb_View" runat="server" CssClass="form-control dropDown " style=""></asp:DropDownList>
                    </div>

                    <div class="cell1" style="margin-left:8px;">
                        <span class="lbl">Age</span>
                        <asp:DropDownList ID="Cmb_Age" runat="server" CssClass="form-control dropDown"></asp:DropDownList>
                    </div>

                </div>         

                <div class="row" style="margin-top:14px">
                    <div class="cell1" style=" ">
                        <span class="lbl">Property Types</span>
                        <asp:TextBox ID="Txt_PropertyTypes" runat="server" CssClass="form-control txt"></asp:TextBox>
                        <asp:ListBox ID="Lst_PropertyTypes" runat="server" Height="60px" CssClass="lst" ondblclick="removePropertyType(this);"></asp:ListBox>
                    </div>

                    <div class="cell1" style="margin-left:8px;">
                        <span class="lbl">Districts</span>
                        <asp:TextBox ID="Txt_Districts" runat="server" CssClass="form-control txt"></asp:TextBox>
                        <asp:ListBox ID="Lst_Districts" runat="server" Height="60px" CssClass="lst" ondblclick="removeDistrict(this);"></asp:ListBox>
                    </div>

                    <div class="cell1" style="margin-left:8px;">
                        <span class="lbl">Cities Groups</span>
                        <asp:TextBox ID="Txt_CitiesGroups" runat="server" CssClass="form-control txt"></asp:TextBox>
                        <asp:ListBox ID="Lst_CitiesGroups" runat="server" Height="60px" CssClass="lst" ondblclick="removeCityGroup(this);" ></asp:ListBox>
                    </div>

                    <div class="cell1" style="margin-left:8px;">
                        <span class="lbl">Cities</span>
                        <asp:TextBox ID="Txt_Cities" runat="server" CssClass="form-control txt"></asp:TextBox>
                        <asp:ListBox ID="Lst_Cities" runat="server" Height="60px" CssClass="lst" ondblclick="removeCity(this);"></asp:ListBox>
                    </div>

                    <div class="cell1" style="margin-left:8px;">
                        <span class="lbl">Not In</span>
                        <asp:TextBox ID="Txt_NotCities" runat="server" CssClass="form-control txt"></asp:TextBox>
                        <asp:ListBox ID="Lst_NotCities" runat="server" Height="60px" CssClass="lst" ondblclick="removeNotCity(this);"></asp:ListBox>
                    </div>

                    <div class="cell1" style="margin-left:8px;">
                        <span class="lbl">Properties</span>
                        <asp:TextBox ID="Txt_Properties" runat="server" CssClass="form-control txt"></asp:TextBox>
                        <asp:ListBox ID="Lst_Properties" runat="server" Height="60px" CssClass="lst" ondblclick="removeProperty(this);" ></asp:ListBox>
                    </div>

                </div>

                <div class="row" style="flex-wrap:wrap; margin-top:14px;padding-left:0px;">
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_LTB" runat="server" Text="L.T.B." CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_Furnished" runat="server" Text="Furnished" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_Decorated" runat="server" Text="Decorated" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_NotUsed" runat="server" Text="Not Used" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_Lux" runat="server" Text="Lux." CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_Duplex" runat="server" Text="Duplex" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_Commercial" runat="server" Text="Commercial" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_WillExchange" runat="server" Text="Exchange" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_NoSlope" runat="server" Text="No Slope" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_GF" runat="server" Text="G.F." CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_FirstFloor" runat="server" Text="1st Floor" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_NotGF" runat="server" Text="Not G.F." CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_NotFirstFloor" runat="server" Text="Not 1st Floor" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_NotLastFloor" runat="server" Text="Not Last Floor" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_Garden" runat="server" Text="Garden" CssClass="custom-control custom-checkbox chk"/>
                    </div>                            
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_Terrace" runat="server" Text="Terrace" CssClass="custom-control custom-checkbox chk"/>
                    </div>                            
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_Balcony" runat="server" Text="Balcony" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_MaidRoom" runat="server" Text="Maid Room" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_MaidBath" runat="server" Text="Maid Bath." CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_Heating" runat="server" Text="Heating" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_Solar" runat="server" Text="Solar" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_CentralAC" runat="server" Text="Central AC" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_Storage" runat="server" Text="Storage" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_DoubleGlazing" runat="server" Text="Double G." CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_Interphone" runat="server" Text="Interphone" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_VideoPhone" runat="server" Text="Videophone" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_BIW" runat="server" Text="Built-in W." CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_Concierge" runat="server" Text="Concierge" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_Security" runat="server" Text="Security" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_Pool" runat="server" Text="Pool" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_PetsAllowed" runat="server" Text="Pets ?" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                    <div class="cellCheckbox">
                        <asp:CheckBox ID="Chk_Roof" runat="server" Text="Roof" CssClass="custom-control custom-checkbox chk"/>
                    </div>
                </div>


                <div class="row" style="margin-top:14px;">
                    <div class="cell1">
                        <span class="lbl">Client Notes</span>
                        <asp:TextBox ID="Txt_ClientNotes" runat="server" CssClass="form-control txt txtBig" TextMode="MultiLine" Height="60px"></asp:TextBox>
                    </div>

                    <div class="cell1" style="margin-left:14px;">
                        <span class="lbl">Tags</span>
                        <asp:TextBox ID="Txt_Tags" runat="server" CssClass="form-control txt"></asp:TextBox>
                        <input id="Tg_Tags" data-role="tagsinput " class="form-control txt tagHeight" style="margin-top:3px;" />
                    </div>

                    <div class="cell1" style="margin-left:8px;">
                        <span class="lbl">&nbsp;</span>
                        <div class="cellCheckbox">
                            <asp:CheckBox ID="Chk_MatchNotify" runat="server" Text="Notify When a New Matching Property is Created" CssClass="custom-control custom-checkbox "/>
                        </div>
                    </div>
                </div>

                <div class="row" style="margin-top:14px;">
                    <div class="cell1" style="">
                        <span class="lbl">Urgency</span>
                        <asp:DropDownList ID="Cmb_Urgency" runat="server" CssClass="form-control dropDown"></asp:DropDownList>
                    </div>
                    <div class="cell1" style="margin-left:14px;flex:2;">
                        <span class="lbl">Status</span>
                        <asp:TextBox ID="Txt_Status" runat="server" CssClass="form-control txt " ></asp:TextBox>
                    </div>
                    <div class="cell1" style="margin-left:14px;">
                        <span class="lbl">Importance</span>
                        <asp:DropDownList ID="Cmb_Importance" runat="server" CssClass="form-control dropDown" ></asp:DropDownList>
                    </div>
                    <div class="cell1" style="margin-left:14px;">
                        <span class="lbl">Created By</span>
                        <asp:DropDownList ID="Cmb_CreatedBy" runat="server" CssClass="form-control dropDown" Enabled="false"></asp:DropDownList>
                    </div>
                    <div class="cell1" style="margin-left:14px;">
                        <span class="lbl">Created On</span>
                        <asp:TextBox ID="Txt_CreatedOn" runat="server" CssClass="form-control txt" Enabled="false"></asp:TextBox>
                    </div>

                </div>
            </div>
        </div>

        <!--PopupMessage-->
        <%If HF_ShowPopup.Value = "True" Then %>
            <div id="popupMessage">
                <div id="popupMessageInner" class="movableDiv">
                    <div class="popupToolbar">
                        <input type="button" value="Close" onclick="return closeMessagePopup();" class="btn btnToolbar" />
                    </div>
                    <div style="display:flex; flex-direction:column;margin-top:6px;padding:6px;">
                        <asp:Label ID="Lbl_MessageTitle" runat="server" style="padding:6px;display:flex;flex:1;"></asp:Label>
                        <asp:TextBox ID="Txt_Message" runat="server" CssClass="form-control txt" style="display:flex;height:248px!important ;" TextMode="MultiLine" ></asp:TextBox>
                    </div>
                </div>
            </div>
        <%End If %>

    </form>

    <script type="text/javascript">
       function makeTextboxK(txt) {
           if (!txt)
               return;

           txt.addEventListener("blur", function () {
                var val = this.value.trim();

                if (!val || val.length < 1)
                    return;

                if (val.toLowerCase().substr(val.length - 1) == "k") {
                    val = val.substr(0, val.length - 1).trim();
                    if (isPositiveNumber(val))
                        this.value = val * 1000;
                }
            });
       }

      function fnHideSuccessIcon()
      {
          window.setTimeout(function(){
              var o = document.getElementById("<%= Img_Status.ClientID %>");
              if(o)
                 o.style.display="none";   
          }, 3000);
      }

      function loadMe()
      {
           fnHideSuccessIcon();

           //Handle checkboxes look
           $(".custom-checkbox input").addClass("custom-control-input");
           $(".custom-checkbox label").addClass("custom-control-label");

           if (document.getElementById("HF_Exit").value == "exit")
             {      
               if (document.getElementById("HF_ExitMessage").value != "")
                  alert(document.getElementById("HF_ExitMessage").value);
           
               var aExitTo = document.getElementById("HF_ExitTo").value;
           
               if (aExitTo.substring(0,1) == "1")
                  {
                    if (window.parent.parent)
                       window.parent.parent.location = aExitTo.substring(1);
                    else if (window.parent)
                       window.parent.location = aExitTo.substring(1); 
                  }
                 
               else
                 {
                    if (window.parent.document.getElementById('myIframe'))
                        window.parent.document.getElementById('myIframe').src= aExitTo.substring(1);            
                    else if (window.parent)
                       window.parent.location = aExitTo.substring(1);
                 } 
              }
        }    

    </script>
     
    <script type="text/javascript">
        function isPositiveNumber(v) {
            if (v == null || v.toString().trim()=="" || isNaN(v.toString().trim().replace(",","")) || parseFloat(v.toString().trim().replace(",","")) < 0)
                return false;
            return true;
        }

        function isStrictlyPositiveNumber(v) {
            if (v == null || v.toString().trim()=="" || isNaN(v.toString().trim().replace(",","")) || parseFloat(v.toString().trim().replace(",","")) <= 0)
                return false;
            return true;
        }

        function closeMessagePopup() {
            document.getElementById("<%= HF_ShowPopup.ClientID %>").value = "False";
            document.getElementById("popupMessage").style.display = "none";
            return false;
        }

        function cmdGoClicked() {
            var txtRequest = document.getElementById("<%= Txt_Request.ClientID %>");
            var hfRequest = document.getElementById("<%= HF_RequestId.ClientID %>");

            if (!isStrictlyPositiveNumber(hfRequest.value) || txtRequest.value.trim() == "") {
                alert("Invalid request specified.");
                return false;
            }

            return true;
        }

        function cmdSaveClicked() {
            var aErrors = validateForm();

            if (aErrors != "") {
                alert(aErrors);
                return false;
            }

            fillHiddenFieldsFromTags();

            return true;
        }

        function validateForm() {
            var aErrors = "";

            var hfMode = document.getElementById("<%= HF_Mode.ClientID %>");
            var hfRequest = document.getElementById("<%= HF_RequestId.ClientID %>");
            var hfClient = document.getElementById("<%= HF_ClientId.ClientID  %>");
            var cmbImportance = document.getElementById("<%= Cmb_Importance.ClientID %>");
            var hfStatusId = document.getElementById("<%= HF_StatusId.ClientID %>");
            var hfSubstatusId = document.getElementById("<%= HF_SubstatusId.ClientID %>");
            var hfPropertiesIds = document.getElementById("<%= HF_PropertiesIds.ClientID %>");
            var hfPropertyTypesIds = document.getElementById("<%= HF_PropertyTypesIds.ClientID %>");


            var txtClient = document.getElementById("<%=Txt_Client.ClientID %>");
            var txtCell = document.getElementById("<%=Txt_Cell.ClientID %>");
            var chkForSale = document.getElementById("<%=Chk_ForSale.ClientID %>");
            var txtSaleMin = document.getElementById("<%=Txt_SaleMin.ClientID %>");
            var txtSaleMax = document.getElementById("<%=Txt_SaleMax.ClientID %>");

            var chkForRent = document.getElementById("<%=Chk_ForRent.ClientID %>");
            var txtRentMin = document.getElementById("<%=Txt_RentMin.ClientID %>");
            var txtRentMax = document.getElementById("<%=Txt_RentMax.ClientID %>");

            var txtAreaMin = document.getElementById("<%=Txt_AreaMin.ClientID %>");
            var txtAreaMax = document.getElementById("<%=Txt_AreaMax.ClientID %>");

            var txtBedroomsMin = document.getElementById("<%=Txt_BedroomsMin.ClientID %>");
            var txtBedroomsMax = document.getElementById("<%=Txt_BedroomsMax.ClientID %>");


            if (hfMode.value == 1) {
                //New Mode
                if (isStrictlyPositiveNumber(hfRequest.value)) {
                    aErrors = "A request is selected while in new mode.";
                    return aErrors;
                }

                if (!isStrictlyPositiveNumber(hfClient.value) && (txtClient.value.trim()=="" || txtCell.value.trim()=="")) {
                    aErrors = "Since the client is new, both the name and cell of that client must be specified.";
                    return aErrors;
                }
            }
            else {
                //Edit Mode
                if (!isStrictlyPositiveNumber(hfRequest.value)) {
                    aErrors = "Invalid client requets to update.";
                    return aErrors;
                }
            }

            if ((!hfPropertiesIds.value || hfPropertiesIds.value.trim() == "") && (!hfPropertyTypesIds.value || hfPropertyTypesIds.value.trim() == "")) 
                aErrors += "Since no specific property was selected, the client must specify the property type(s).\r\n";
            

            if (!isPositiveNumber(txtSaleMin.value))
                aErrors += "Invalid min. sale amount.\r\n";
            if (!isPositiveNumber(txtSaleMax.value))
                aErrors += "Invalid max. sale amount.\r\n";
            if (isStrictlyPositiveNumber(txtSaleMin.value) && isStrictlyPositiveNumber(txtSaleMax.value) && parseInt(txtSaleMin.value) > parseInt(txtSaleMax.value))
                aErrors += "Min. sale must be smaller or equal max. sale.\r\n";
            

            if (!isPositiveNumber(txtRentMin.value))
                aErrors += "Invalid min. rent amount.\r\n";
            if (!isPositiveNumber(txtRentMax.value))
                aErrors += "Invalid max. rent amount.\r\n";
            if (isStrictlyPositiveNumber(txtRentMin.value) && isStrictlyPositiveNumber(txtRentMax.value) && parseInt(txtRentMin.value) > parseInt(txtRentMax.value))
                aErrors += "Min. rent must be smaller or equal max. rent.\r\n";

            if (!isPositiveNumber(txtAreaMin.value))
                aErrors += "Invalid min. area.\r\n";
            if (!isPositiveNumber(txtAreaMax.value))
                aErrors += "Invalid max. area.\r\n";
            if (isStrictlyPositiveNumber(txtAreaMin.value) && isStrictlyPositiveNumber(txtAreaMax.value) && parseInt(txtAreaMin.value) > parseInt(txtAreaMax.value))
                aErrors += "Min. area must be smaller or equal max. area.\r\n";

            if (!isPositiveNumber(txtBedroomsMin.value))
                aErrors += "Invalid min. bedrooms.\r\n";
            if (!isPositiveNumber(txtBedroomsMax.value))
                aErrors += "Invalid max. bedrooms.\r\n";
            if (isStrictlyPositiveNumber(txtBedroomsMin.value) && isStrictlyPositiveNumber(txtBedroomsMax.value) && parseInt(txtBedroomsMin.value) > parseInt(txtBedroomsMax.value))
                aErrors += "Min. bedrooms must be smaller or equal max. bedrooms.\r\n";

            if (!isStrictlyPositiveNumber(cmbImportance.value))
                aErrors += "Invalid importance specified.";

            if (!isStrictlyPositiveNumber(hfStatusId.value) || !isStrictlyPositiveNumber(hfSubstatusId.value))
                aErrors += "Invalid status specified.";

            if (aErrors == "") {
                if (isStrictlyPositiveNumber(txtSaleMin.value) || isStrictlyPositiveNumber(txtSaleMax.value))
                    chkForSale.checked = true;

                if (isStrictlyPositiveNumber(txtRentMin.value) || isStrictlyPositiveNumber(txtRentMax.value))
                    chkForRent.checked = true;
            }

            return aErrors;
        }
    </script>

    <script type="text/javascript">
        $(document).ready(function () {
            makeTxtRequestAutoComplete();
            makeTxtClientAutoComplete();

            makeTxtPropertiesAutoComplete();
            makeTxtDistrictsAutoComplete();
            makeTxtCitiesGroupsAutoComplete();
            makeTxtCitiesAutoComplete();
            makeTxtNotCitiesAutoComplete();
            makeTxtPropertyTypesAutoComplete();
            makeTxtTagsAutoComplete();

            makeTextboxK(document.getElementById("<%=Txt_SaleMin.ClientID%>"));
            makeTextboxK(document.getElementById("<%=Txt_SaleMax.ClientID%>"));
            makeTextboxK(document.getElementById("<%=Txt_RentMin.ClientID%>"));
            makeTextboxK(document.getElementById("<%=Txt_RentMax.ClientID%>"));

            makeTxtStatusAutoComplete();


            $('#<%= Txt_Client.ClientID %>').on('keyup', function(e) {
                var code = (e.keyCode ? e.keyCode : e.which);
                if ((code==8 || code==46) || (code >64 && code!=91)) {
                    document.getElementById("<%=HF_ClientId.ClientID%>").value = "";
                }
            });

            $('#<%= Txt_Request.ClientID %>').on('keyup', function(e) {
                var code = (e.keyCode ? e.keyCode : e.which);
                if ((code==8 || code==46) || (code >64 && code!=91)) {
                    document.getElementById("<%=HF_RequestId.ClientID%>").value = "";
                }
            });

            $('#<%= Txt_Status.ClientID %>').on('keyup', function(e) {
                var code = (e.keyCode ? e.keyCode : e.which);
                if ((code==8 || code==46) || (code >64 && code!=91)) {
                    document.getElementById("<%=HF_StatusId.ClientID%>").value = "";
                    document.getElementById("<%=HF_SubstatusId.ClientID%>").value = "";
                }
            });

            $("#<%= Txt_Tags.ClientID%>").on("keypress", function (e) {
                  if ( e.which == 13 ) {
                      e.preventDefault();
                      addNewTag("Tg_Tags", document.getElementById("<%=Txt_Tags.ClientID%>").value);
                      document.getElementById("<%=Txt_Tags.ClientID%>").value = "";
                  }
            });


            //Initialize Tag
            $(".tagHeight").tagsinput({
                allowDuplicates: false,
                itemValue: 'id',  // this will be used to set id of tag
                itemText: 'title' // this will be used to set text of tag
            });

            $(".bootstrap-tagsinput > input").prop("readonly", true);


            //Fill it from hidden fields
            fillTagsFromHiddenFields();
        });

        function makeTxtRequestAutoComplete() {
            $("#<%= Txt_Request.ClientID %>").autocomplete({               
                source: function (request, response) {
                    var aCurrentUserId = 0;

                    <% If aCurrentUser Is Nothing Then %>
                          aCurrentUserId = -1; 
                    <%ElseIf aCurrentUser.IsAdmin = False AndAlso aCurrentUser.IsSuperUser=False%>
                          aCurrentUserId = <%=aCurrentUser.ID %>;
                    <%End If%>

                    var term = request.term.trim();
                    var val, url, data;

                    if (term.length > 3) {
                        if (term.toLowerCase().substr(0, 3) == "cr-" && isStrictlyPositiveNumber(term.substr(3))) {
                            val = term.substr(3).trim();
                            url = "WSClientsRequests.asmx/GetClientsRequestsWhoseIdsStartWith";
                            data = { name: val, userId: aCurrentUserId };
                        }
                        else {
                            //Client Request
                            url = "WSClientsRequests.asmx/GetClientsRequestsWhoseNamesStartWith";
                            data = { name: term, userId: aCurrentUserId };
                        }
                    }
                    else {
                        //Client Request
                        url = "WSClientsRequests.asmx/GetClientsRequestsWhoseNamesStartWith";
                        data = { name: term, userId: aCurrentUserId };
                    }

                    $.ajax({
                        url: url,//"WSClientsRequests.asmx/GetClientsRequestsWhoseNamesStartWith",
                        data: JSON.stringify(data),//{ 'name': request.term, 'userId': aCurrentUserId }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function(item) {
                                return {
                                    label: item.Val2 + " - " + item.Val3 + " - " + item.Val4 + " / CR - " + item.Val1,
                                    value: "CR-" + item.Val1,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2,
                                    val3: item.Val3,
                                    val4: item.Val4,
                                    val5: item.Val5,
                                    val6: item.Val6,
                                    val7: item.Val7
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                        document.getElementById("<%= HF_RequestId.ClientID %>").value = ui.item.val1;
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {
                var color = "";

                if (item.val7.toString().toLowerCase() == "false")
                    color = crInactiveColor;
                else {
                    if (item.val6 == 1)//normal
                        color = crNormalColor;
                    else if (item.val6 == 2)
                        color = crImportantColor;
                    else
                        color = crNotImportantColor;
                }

                return $("<li style='display:flex; color:" + color + " !important;'></li>")
                        .attr("data-value", item.val2)
                        .append("<span style='display:flex;'>" + item.val2 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val3 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val4 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val5 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>CR-" + item.val1 + "</span>")
                        .appendTo(ul);
                };
        }        

        function makeTxtClientAutoComplete() {
            $("#<%= Txt_Client.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSClients.asmx/GetClientsWhoseNamesOrPhonesStartWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function(item) {
                                return {
                                    label: item.Val2 + " - " + item.Val3,
                                    value: item.Val2,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2,
                                    val3: item.Val3,
                                    val4: item.Val4,
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    var i, cell

                    i = ui.item.label.lastIndexOf("-");
                    if (i > 0)
                        document.getElementById("<%= Txt_Cell.ClientID %>").value = ui.item.label.substr(i + 1).trim();

                    document.getElementById("<%= HF_ClientId.ClientID %>").value = ui.item.val1;
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {

            var li = "<li style='display:flex;'></li>";
            if (item.val4.toString().toLowerCase() == "false")
                li = "<li style='display:flex; color:" + inactiveColor + " !important;'></li>";

            return $(li)
                .attr("data-value", item.val2)
                .append("<span style='display:flex;'>" + item.val2 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val3 + "</span>")
                .appendTo(ul);
            };;
        }


        function makeTxtPropertiesAutoComplete() {
            var type = 0;
            var currentUserId = -1;

            $("#<%= Txt_Properties.ClientID %>").autocomplete({  
                source: function (request, response) {
                    var term = request.term;
                    var aCurrentUserId = 0;

                    <% If aCurrentUser Is Nothing Then %>
                          aCurrentUserId = -1; 
                    <%ElseIf aCurrentUser.IsAdmin = False AndAlso aCurrentUser.IsSuperUser=False%>
                          aCurrentUserId = <%=aCurrentUser.ID %>;
                    <%End If%>

                    $.ajax({
                        url: "WSProperties.asmx/GetPropertiesKeysWhoStartWith",
                        data: JSON.stringify({name: term, userId: aCurrentUserId}),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val2 + " - " + item.Val3 + " - " + item.Val4 + "m2 - " + item.Val5,
                                    value: item.Val2,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2,
                                    val3: item.Val3,
                                    val4: item.Val4,
                                    val5: item.Val5,
                                    val6: item.Val6,
                                    val7: item.Val7,
                                    val8: item.Val8,
                                    val9: item.Val9,
                                    val10: item.Val10,
                                    val11: item.Val11
                                };
                            }));
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    var id = ui.item.val1.toString();
                    var title = ui.item.val2;

                    var lst = document.getElementById("<%=Lst_Properties.ClientID%>");
                    var txt = document.getElementById("<%=Txt_Properties.ClientID%>");
                    var hfIds = document.getElementById("<%=HF_PropertiesIds.ClientID %>");
                    var hfTitles = document.getElementById("<%=HF_PropertiesTitles.ClientID %>");

                    var ids = hfIds.value;
                    var titles = hfTitles.value;

                    if (ids != "") {
                        var idsArr = ids.split(",");
                        if (idsArr.indexOf(id) < 0) {
                            //Add item
                            hfIds.value += "," + id;
                            hfTitles.value += "," + title;

                            var opt = document.createElement("option");
                            opt.text = title;
                            opt.value = id;
                            lst.options.add(opt);
                        }
                    }
                    else {
                        //Add item
                        hfIds.value += id;
                        hfTitles.value += title;

                        var opt = document.createElement("option");
                        opt.text = title;
                        opt.value = id;
                        lst.options.add(opt);
                    }

                    window.setTimeout(function () {
                        txt.value = "";
                    }, 100);
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {
                var li = "<li style='display:flex;font-size:12.5px;'></li>";
                if (item.val11.toString().toLowerCase() == "false")
                    li = "<li style='display:flex;font-size:12.5px; color:red;'></li>"

                return $(li).attr("data-value", item.val2)
                            .append("<span style='display:flex;'>" + item.val2 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val3 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val4 + "m2</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val5 + "m2</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val6 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val7 + "$</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val8 + "$</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val9 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val10 + "</span>")
                        .appendTo(ul);
            };
        } 

        function removeProperty() {
            var lst = document.getElementById("<%=Lst_Properties.ClientID%>");
            var hfIds = document.getElementById("<%=HF_PropertiesIds.ClientID %>");
            var hfTitles = document.getElementById("<%=HF_PropertiesTitles.ClientID %>");
            var selectedIndex = lst.selectedIndex;

            var ids = hfIds.value;
            var titles = hfTitles.value;

            if (!isPositiveNumber(selectedIndex))
                return;

            var id = lst.options[selectedIndex].id;
            var value = lst.options[selectedIndex].value;

            var idsArr = ids.split(",");
            var titlesArr = titles.split(",");
            
            idsArr.splice(selectedIndex, 1);
            titlesArr.splice(selectedIndex, 1);

            hfIds.value = "";
            hfTitles.value = "";

            if (idsArr.length > 0) {           
                for (var i = 0; i < idsArr.length; i++) {
                    hfIds.value += idsArr[i] + ",";
                    hfTitles.value += titlesArr[i] + ",";
                }

                hfIds.value = hfIds.value.substr(0, hfIds.value.length - 1);
                hfTitles.value = hfTitles.value.substr(0, hfTitles.value.length - 1);
            }

            lst.remove(selectedIndex);
        }

        function makeTxtDistrictsAutoComplete() {
            $("#<%= Txt_Districts.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSCities.asmx/GetDistrictsWhoseNamesStartWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val2,
                                    value: item.Val2,//Appears in text box => just the name
                                    id: item.Val1,
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    var id = ui.item.id.toString();
                    var title = ui.item.value;

                    var lst = document.getElementById("<%=Lst_Districts.ClientID%>");
                    var txtDistricts = document.getElementById("<%=Txt_Districts.ClientID%>");
                    var hfIds = document.getElementById("<%=HF_DistrictsIds.ClientID %>");
                    var hfTitles = document.getElementById("<%=HF_DistrictsTitles.ClientID %>");

                    var ids = hfIds.value;
                    var titles = hfTitles.value;

                    if (ids != "") {
                        var idsArr = ids.split(",");

                        if (idsArr.indexOf(id) < 0) {
                            //Add item
                            hfIds.value += "," + id;
                            hfTitles.value += "," + title;

                            var opt = document.createElement("option");
                            opt.text = title;
                            opt.value = id;
                            lst.options.add(opt);
                        }
                    }
                    else {
                        //Add item
                        hfIds.value += id;
                        hfTitles.value += title;

                        var opt = document.createElement("option");
                        opt.text = title;
                        opt.value = id;
                        lst.options.add(opt);
                    }

                    window.setTimeout(function () {
                        txtDistricts.value = "";
                    }, 100);                    
                }
            });
        }

        function removeDistrict() {
            var lst = document.getElementById("<%=Lst_Districts.ClientID%>");
            var hfIds = document.getElementById("<%=HF_DistrictsIds.ClientID %>");
            var hfTitles = document.getElementById("<%=HF_DistrictsTitles.ClientID %>");
            var selectedIndex = lst.selectedIndex;

            var ids = hfIds.value;
            var titles = hfTitles.value;

            if (!isPositiveNumber(selectedIndex))
                return;

            var id = lst.options[selectedIndex].id;
            var value = lst.options[selectedIndex].value;

            var idsArr = ids.split(",");
            var titlesArr = titles.split(",");
            
            idsArr.splice(selectedIndex, 1);
            titlesArr.splice(selectedIndex, 1);

            hfIds.value = "";
            hfTitles.value = "";

            if (idsArr.length > 0) {           
                for (var i = 0; i < idsArr.length; i++) {
                    hfIds.value += idsArr[i] + ",";
                    hfTitles.value += titlesArr[i] + ",";
                }

                hfIds.value = hfIds.value.substr(0, hfIds.value.length - 1);
                hfTitles.value = hfTitles.value.substr(0, hfTitles.value.length - 1);
            }

            lst.remove(selectedIndex);
        }

        function makeTxtCitiesGroupsAutoComplete() {
            $("#<%= Txt_CitiesGroups.ClientID %>").autocomplete({
                source: function (request, response) {
                    $.ajax({
                        url: "WSCities.asmx/GetCitiesGroupsWhoseNamesStartWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val2,
                                    value: item.Val2,//Appears in text box => just the name
                                    id: item.Val1,
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    var id = ui.item.id.toString();
                    var title = ui.item.value;

                    var lst = document.getElementById("<%=Lst_CitiesGroups.ClientID%>");
                    var txtCitiesGroups = document.getElementById("<%=Txt_CitiesGroups.ClientID%>");
                    var hfIds = document.getElementById("<%=HF_CitiesGroupsIds.ClientID %>");
                    var hfTitles = document.getElementById("<%=HF_CitiesGroupsTitles.ClientID %>");

                    var ids = hfIds.value;
                    var titles = hfTitles.value;

                    if (ids != "") {
                        var idsArr = ids.split(",");
                        if (idsArr.indexOf(id) < 0) {
                            //Add item
                            hfIds.value += "," + id;
                            hfTitles.value += "," + title;

                            var opt = document.createElement("option");
                            opt.text = title;
                            opt.value = id;
                            lst.options.add(opt);
                        }
                    }
                    else {
                        //Add item
                        hfIds.value += id;
                        hfTitles.value += title;

                        var opt = document.createElement("option");
                        opt.text = title;
                        opt.value = id;
                        lst.options.add(opt);
                    }

                    window.setTimeout(function () {
                        txtCitiesGroups.value = "";
                    }, 100);
                }
            });
        }

        function removeCityGroup() {
            var lst = document.getElementById("<%=Lst_CitiesGroups.ClientID%>");
            var hfIds = document.getElementById("<%=HF_CitiesGroupsIds.ClientID %>");
            var hfTitles = document.getElementById("<%=HF_CitiesGroupsTitles.ClientID %>");
            var selectedIndex = lst.selectedIndex;

            var ids = hfIds.value;
            var titles = hfTitles.value;

            if (!isPositiveNumber(selectedIndex))
                return;

            var id = lst.options[selectedIndex].id;
            var value = lst.options[selectedIndex].value;

            var idsArr = ids.split(",");
            var titlesArr = titles.split(",");
            
            idsArr.splice(selectedIndex, 1);
            titlesArr.splice(selectedIndex, 1);

            hfIds.value = "";
            hfTitles.value = "";

            if (idsArr.length > 0) {           
                for (var i = 0; i < idsArr.length; i++) {
                    hfIds.value += idsArr[i] + ",";
                    hfTitles.value += titlesArr[i] + ",";
                }

                hfIds.value = hfIds.value.substr(0, hfIds.value.length - 1);
                hfTitles.value = hfTitles.value.substr(0, hfTitles.value.length - 1);
            }

            lst.remove(selectedIndex);
        }


        function makeTxtCitiesAutoComplete() {
            $("#<%= Txt_Cities.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSCities.asmx/GetCitiesWhoseNamesStartWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val2,
                                    value: item.Val2,//Appears in text box => just the name
                                    id: item.Val1,
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    var id = ui.item.id.toString();
                    var title = ui.item.value;

                    var lst = document.getElementById("<%=Lst_Cities.ClientID%>");
                    var txtCities = document.getElementById("<%=Txt_Cities.ClientID%>");
                    var hfIds = document.getElementById("<%=HF_CitiesIds.ClientID %>");
                    var hfTitles = document.getElementById("<%=HF_CitiesTitles.ClientID %>");

                    var ids = hfIds.value;
                    var titles = hfTitles.value;

                    if (ids != "") {
                        var idsArr = ids.split(",");

                        if (idsArr.indexOf(id) < 0) {
                            //Add item
                            hfIds.value += "," + id;
                            hfTitles.value += "," + title;

                            var opt = document.createElement("option");
                            opt.text = title;
                            opt.value = id;
                            lst.options.add(opt);
                        }
                    }
                    else {
                        //Add item
                        hfIds.value += id;
                        hfTitles.value += title;

                        var opt = document.createElement("option");
                        opt.text = title;
                        opt.value = id;
                        lst.options.add(opt);
                    }

                    window.setTimeout(function () {
                        txtCities.value = "";
                    }, 100);                    
                }
            });
        }


        function removeCity() {
            var lst = document.getElementById("<%=Lst_Cities.ClientID%>");
            var hfIds = document.getElementById("<%=HF_CitiesIds.ClientID %>");
            var hfTitles = document.getElementById("<%=HF_CitiesTitles.ClientID %>");
            var selectedIndex = lst.selectedIndex;

            var ids = hfIds.value;
            var titles = hfTitles.value;

            if (!isPositiveNumber(selectedIndex))
                return;

            var id = lst.options[selectedIndex].id;
            var value = lst.options[selectedIndex].value;

            var idsArr = ids.split(",");
            var titlesArr = titles.split(",");
            
            idsArr.splice(selectedIndex, 1);
            titlesArr.splice(selectedIndex, 1);

            hfIds.value = "";
            hfTitles.value = "";

            if (idsArr.length > 0) {           
                for (var i = 0; i < idsArr.length; i++) {
                    hfIds.value += idsArr[i] + ",";
                    hfTitles.value += titlesArr[i] + ",";
                }

                hfIds.value = hfIds.value.substr(0, hfIds.value.length - 1);
                hfTitles.value = hfTitles.value.substr(0, hfTitles.value.length - 1);
            }

            lst.remove(selectedIndex);
        }

        function makeTxtNotCitiesAutoComplete() {
            $("#<%= Txt_NotCities.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSCities.asmx/GetCitiesWhoseNamesStartWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val2,
                                    value: item.Val2,//Appears in text box => just the name
                                    id: item.Val1,
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    var id = ui.item.id.toString();
                    var title = ui.item.value;

                    var lst = document.getElementById("<%=Lst_NotCities.ClientID%>");
                    var txtNotCities = document.getElementById("<%=Txt_NotCities.ClientID%>");
                    var hfIds = document.getElementById("<%=HF_NotCitiesIds.ClientID %>");
                    var hfTitles = document.getElementById("<%=HF_NotCitiesTitles.ClientID %>");

                    var ids = hfIds.value;
                    var titles = hfTitles.value;

                    if (ids != "") {
                        var idsArr = ids.split(",");

                        if (idsArr.indexOf(id) < 0) {
                            //Add item
                            hfIds.value += "," + id;
                            hfTitles.value += "," + title;

                            var opt = document.createElement("option");
                            opt.text = title;
                            opt.value = id;
                            lst.options.add(opt);
                        }
                    }
                    else {
                        //Add item
                        hfIds.value += id;
                        hfTitles.value += title;

                        var opt = document.createElement("option");
                        opt.text = title;
                        opt.value = id;
                        lst.options.add(opt);
                    }

                    window.setTimeout(function () {
                        txtNotCities.value = "";
                    }, 100);                    
                }
            });
        }

        function removeNotCity() {
            var lst = document.getElementById("<%=Lst_NotCities.ClientID%>");
            var hfIds = document.getElementById("<%=HF_NotCitiesIds.ClientID %>");
            var hfTitles = document.getElementById("<%=HF_NotCitiesTitles.ClientID %>");
            var selectedIndex = lst.selectedIndex;

            var ids = hfIds.value;
            var titles = hfTitles.value;

            if (!isPositiveNumber(selectedIndex))
                return;

            var id = lst.options[selectedIndex].id;
            var value = lst.options[selectedIndex].value;

            var idsArr = ids.split(",");
            var titlesArr = titles.split(",");
            
            idsArr.splice(selectedIndex, 1);
            titlesArr.splice(selectedIndex, 1);

            hfIds.value = "";
            hfTitles.value = "";

            if (idsArr.length > 0) {           
                for (var i = 0; i < idsArr.length; i++) {
                    hfIds.value += idsArr[i] + ",";
                    hfTitles.value += titlesArr[i] + ",";
                }

                hfIds.value = hfIds.value.substr(0, hfIds.value.length - 1);
                hfTitles.value = hfTitles.value.substr(0, hfTitles.value.length - 1);
            }

            lst.remove(selectedIndex);
        }

        function makeTxtPropertyTypesAutoComplete() {
            $("#<%= Txt_PropertyTypes.ClientID %>").autocomplete({  
                source: function (request, response) {
                    var term = request.term;

                    $.ajax({
                        url: "WSProperties.asmx/GetPropertyTypesWhoseNamesStartWith",
                        data: JSON.stringify({name: term}),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val2,
                                    value: item.Val2,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2
                                };
                            }));
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    var id = ui.item.val1.toString();
                    var title = ui.item.val2;

                    var lst = document.getElementById("<%=Lst_PropertyTypes.ClientID%>");
                    var txt = document.getElementById("<%=Txt_PropertyTypes.ClientID%>");
                    var hfIds = document.getElementById("<%=HF_PropertyTypesIds.ClientID %>");
                    var hfTitles = document.getElementById("<%=HF_PropertyTypesTitles.ClientID %>");

                    var ids = hfIds.value;
                    var titles = hfTitles.value;

                    if (ids != "") {
                        var idsArr = ids.split(",");
                        if (idsArr.indexOf(id) < 0) {
                            //Add item
                            hfIds.value += "," + id;
                            hfTitles.value += "," + title;

                            var opt = document.createElement("option");
                            opt.text = title;
                            opt.value = id;
                            lst.options.add(opt);
                        }
                    }
                    else {
                        //Add item
                        hfIds.value += id;
                        hfTitles.value += title;

                        var opt = document.createElement("option");
                        opt.text = title;
                        opt.value = id;
                        lst.options.add(opt);
                    }

                    window.setTimeout(function () {
                        txt.value = "";
                    }, 100);
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {
                var li = "<li style='display:flex;font-size:12.5px;'></li>";

                return $(li).attr("data-value", item.val2)
                            .append("<span style='display:flex;'>" + item.val2 + "</span>")
                        .appendTo(ul);
            };
        } 

        function removePropertyType() {
            var lst = document.getElementById("<%=Lst_PropertyTypes.ClientID%>");
            var hfIds = document.getElementById("<%=HF_PropertyTypesIds.ClientID %>");
            var hfTitles = document.getElementById("<%=HF_PropertyTypesTitles.ClientID %>");
            var selectedIndex = lst.selectedIndex;

            var ids = hfIds.value;
            var titles = hfTitles.value;

            if (!isPositiveNumber(selectedIndex))
                return;

            var id = lst.options[selectedIndex].id;
            var value = lst.options[selectedIndex].value;

            var idsArr = ids.split(",");
            var titlesArr = titles.split(",");
            
            idsArr.splice(selectedIndex, 1);
            titlesArr.splice(selectedIndex, 1);

            hfIds.value = "";
            hfTitles.value = "";

            if (idsArr.length > 0) {           
                for (var i = 0; i < idsArr.length; i++) {
                    hfIds.value += idsArr[i] + ",";
                    hfTitles.value += titlesArr[i] + ",";
                }

                hfIds.value = hfIds.value.substr(0, hfIds.value.length - 1);
                hfTitles.value = hfTitles.value.substr(0, hfTitles.value.length - 1);
            }

            lst.remove(selectedIndex);
        }


        function makeTxtStatusAutoComplete() {
            $("#<%= Txt_Status.ClientID %>").autocomplete({
                position: {
                    my: "left bottom",
                    at: "left top"
                },
                source: function (request, response) {
                    var term = request.term.trim();
                    var val, url, data;


                    $.ajax({
                        url: "WSClientsRequests.asmx/GetStatusesAndSubstatusesStartingWith",
                        data: JSON.stringify({ name: term, includeNew: true, includeInProcess: true, includeOnHold: true, includeNoDeal: true, includeDealClosed: false, includeAll: false }),//{ 'name': request.term, 'userId': aCurrentUserId }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val3 + ' - ' + item.Val4,
                                    val1: item.Val1,//statusId
                                    val2: item.Val2,//substatusId
                                    val3: item.Val3,//statusTitle
                                    val4: item.Val4//substatusTitle
                                };
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    document.getElementById("<%= HF_StatusId.ClientID %>").value = ui.item.val1;
                    document.getElementById("<%= HF_SubstatusId.ClientID %>").value = ui.item.val2;
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {
            return $("<li style='display:flex;'></li>")
                    .append("<span style='display:flex;'>" + item.val3 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val4 + "</span>")
                    .appendTo(ul);
            };
        } 


        function makeTxtTagsAutoComplete() {
            $("#<%= Txt_Tags.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSTag.asmx/GetTagsStartingWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function(item) {
                                return {
                                    label: item.Val2,
                                    value: item.Val2,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    addToTag("Tg_Tags", ui.item.val1 , ui.item.val2);
                    window.setTimeout(function () { document.getElementById("<%=Txt_Tags.ClientID%>").value = ""; }, 100);
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {

            var li = "<li style='display:flex;'></li>";

            return $(li)
                .attr("data-value", item.val2)
                .append("<span style='display:flex;'>" + item.val2 + "</span>")
                .appendTo(ul);
            };
        }

        function clearControls() {
            var id = "Tg_Tags";
            clearTag(id);
        }
    </script>

    <script type="text/javascript" id="jsTags">
        function getIdsAsString(controlId) {
            var result = "";
            var resultArr = $("#" + controlId).val().split(",");

            if (resultArr && resultArr.length > 0) {
                for (var i = 0; i < resultArr.length; i++) 
                    result += resultArr[i] + ",";

                result = result.substr(0, result.length - 1);
            }

            return result;
        }

        function addToTag(controlId, id, title) {
            //If id or text (trimmed + insensitive) exists then return
            var items = $("#Tg_Tags").tagsinput('items');

            if (!items || items.length < 1) 
                $("#" + controlId).tagsinput("add", { "id": id , "title": title});    
            else {
                //Do NOT add if the id is there or a text (trimmed + insensitive)
                for (var i = 0; i < items.length; i++) {
                    if (items[i].title.trim().toLowerCase() == title.trim().toLowerCase() || items[i].id == id)
                        return;
                }

                $("#" + controlId).tagsinput("add", { "id": id , "title": title});    
            }
        }

        function clearTag(controlId) {
            $('#' + controlId).tagsinput('removeAll');
            document.getElementById("<%=HF_TagsIds.ClientID%>").value = "";
            document.getElementById("<%=HF_TagsTitles.ClientID%>").value = "";
        }

        function fillTagsFromHiddenFields() {
            var ids = document.getElementById("<%=HF_TagsIds.ClientID %>").value;
            var titles = document.getElementById("<%=HF_TagsTitles.ClientID %>").value;

            if (ids && ids.length > 0) {
                var idsArr = ids.split(",");
                var titlesArr = titles.split(",");

                for (var i = 0; i < idsArr.length; i++) {
                    addToTag("Tg_Tags", idsArr[i], titlesArr[i])
                }
            }
        }

        function fillHiddenFieldsFromTags() {
            var hfIds = document.getElementById("<%=HF_TagsIds.ClientID %>");
            var hfTitles = document.getElementById("<%=HF_TagsTitles.ClientID %>");
            var ids = "", titles = "";
            var items = $("#Tg_Tags").tagsinput('items');

            hfIds.value = "";
            hfTitles.value = "";

            if (items && items.length > 0) {
                for (var i = 0; i < items.length; i++) {
                    ids += items[i].id + ",";
                    titles += items[i].title + ",";
                }

                ids = ids.substr(0, ids.length - 1);
                titles = titles.substr(0, titles.length - 1);

                hfIds.value = ids;
                hfTitles.value = titles;
            }
        }

        function getLowestNegativeTagId(controlId) {
            var result = 0;

            var items = $("#" + controlId).tagsinput('items');

            if (!items || items.length < 1)
                return result;

            for (var i = 0; i < items.length; i++) {
                if (items[i].id < 0) {
                    if (items[i].id < result)
                        result = parseInt(items[i].id);
                }
            }

            return result;
        }

        function addNewTag(controlId, title) {
            var items = $("#" + controlId).tagsinput('items');

            if (!items || items.length < 1) 
                addToTag(controlId, getLowestNegativeTagId("Tg_Tags") - 1, title);            
            else {
                //Check maybe the trimmed text is there
                for (var i = 0; i < items.length; i++) {
                    if (items[i].title.trim().toLowerCase() == title.trim().toLowerCase())
                        return;
                }

                addToTag(controlId, getLowestNegativeTagId("Tg_Tags") - 1, title);            
            }
        }
    </script>


</body>
</html>
