<%@ Page Language="VB" AutoEventWireup="false" CodeFile="frmImageViewer.aspx.vb" Inherits="BackEnd_frmImageViewer"  %>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Image Viewer</title>
 
<style type="text/css">
.Lbl_CenterText
{
	vertical-align:middle;
	text-align:center;
	padding-top:5px;
	padding-bottom:5px;
	padding-left:5px;
	padding-right:5px;
}


.LinkButton2
{
	font-family: Tahoma, Calibri, Verdana, Arial;
	font-size: 10px;	
	color: Gray;
	/*text-decoration: underline;
font-weight: bold;
*/
	border:solid 1px Gray;	
	text-align:center;
	width:46px;
	height:20px;
}
</style>
 
</head>
<body onload="LoadMe();">
    <form id="form1" runat="server">
 
      <table width="100%" border="0" cellpadding="2" cellspacing="2" style="height:100%">
        <tr style="height:90%">
          <td align="center" valign="middle">&nbsp;<asp:Image ID="Img_Main" runat="server" /></td>
        </tr>
        <tr style="height:10%;">
          <td align="center" valign="bottom" style="height:22px;"><table width="200" border="0" cellspacing="0" cellpadding="0" style="height:22px;">
            <tr>
              <td style=" width:12px;"><span onMouseOut="document.getElementById('<%= Lnk_Prev.ClientID %>').style.color='Gray';" onMouseOver="document.getElementById('<%= Lnk_Prev.ClientID %>').style.color= 'Orange';">
          <asp:LinkButton ID="Lnk_Prev" runat="server" CssClass="LinkButton2" Font-Size="10pt"
                ForeColor="Gray" Height="16px" Width="20px"  OnClientClick="PrevClicked(); return false;" > < </asp:LinkButton>
        </span></td>
              <td align="center">&nbsp;<asp:Label ID="Lbl_Photo" runat="server" CssClass="Lbl_CenterText"></asp:Label></td>
              <td style=" width:12px;"><span onMouseOut="document.getElementById('<%= Lnk_Next.ClientID %>').style.color='Gray';" onMouseOver="document.getElementById('<%= Lnk_Next.ClientID %>').style.color= 'Orange';">
          <asp:LinkButton ID="Lnk_Next" runat="server" CssClass="LinkButton2" Font-Size="10pt"
                ForeColor="Gray" Height="16px" Width="20px" OnClientClick="NextClicked(); return false;" > > </asp:LinkButton>
        </span></td>
            </tr>
          </table></td>
        </tr>
      </table>

</form>
</body>
<script type="text/javascript" language="javascript">
       
         //The Array of photos
         var Photos ;
         var CurrentIndex;
         
         function LoadMe()
          {
            Photos = window.opener.Photos;
            
            var GotoIndex = window.opener.GotoIndex;
            CurrentIndex = 0 ;
            
            if (GotoIndex != null)
             {
               GotoPhoto(GotoIndex);
               return;
             }
            
            if (Photos !=null && Photos.length != null && Photos.length > 0)
             {
                document.getElementById("Img_Main").src=Photos[0];
                
                document.getElementById("Lbl_Photo").innerText = NameFromPath(Photos[0]);
                
                if (Photos.length > 1)
                  {
                    document.getElementById("Lnk_Next").innerText = ">";                                
                  }
                else
                  {   
                    document.getElementById("Lnk_Next").innerText = "|";                                   
                  }
                  
                document.getElementById("Lnk_Prev").innerText = "|";                                     
             }
        }
           
         function NextClicked()
          { 
            if (Photos !=null && Photos.length != null && Photos.length > 0 && (CurrentIndex +1) <= (Photos.length-1))
             {  
                CurrentIndex += 1;
                               
  
                document.getElementById("Img_Main").src=Photos[CurrentIndex];
                
                document.getElementById("Lbl_Photo").innerText = NameFromPath(Photos[CurrentIndex]);



                document.getElementById("Lnk_Prev").innerText = "<";                                 
                                       
                if ((CurrentIndex + 1) <= (Photos.length -1))
                  {
                    document.getElementById("Lnk_Next").innerText = ">";                                     
                  }
                else
                  {                 
                   document.getElementById("Lnk_Next").innerText = "|";                                    
                  }  
             }
             
             return false;
          } 
          
         function PrevClicked()
          {
            if (Photos !=null && Photos.length != null && Photos.length > 0 && (CurrentIndex -1) >= 0)
             {     
                CurrentIndex -= 1;
                
                document.getElementById("Img_Main").src=Photos[CurrentIndex];
                
                document.getElementById("Lbl_Photo").innerText = NameFromPath(Photos[CurrentIndex]);



                document.getElementById("Lnk_Next").innerText = ">";                                
                                       
                if ((CurrentIndex - 1) >= 0)
                  {
                    document.getElementById("Lnk_Prev").innerText = "<";                                    
                  }
                else
                  {                 
                   document.getElementById("Lnk_Prev").innerText = "|";                                      
                  }  
             }
             
             return false;
          }    
          
       function NameFromPath(aPath)
        {
          var i, j;
          
          if (aPath != null)
           {
              i = aPath.lastIndexOf("\\");
              j = aPath.lastIndexOf("/");
                           
              if (i < j)
                 i = j;
              
              if (i < 0)
                 return aPath;
              else
                {
                  if (i >= (aPath.length-1))
                    return "";
                  else   
                    return aPath.substr(i+1);                    
                } 
          }
         else
            return "";              
       } 
      
      
      function GotoPhoto (aIndex)
       {
          if (Photos !=null && Photos.length != null && Photos.length > 0 && aIndex >=0 && aIndex <= (Photos.length-1))
           {
                CurrentIndex = aIndex;
                
                document.getElementById("Img_Main").src=Photos[CurrentIndex];
                
                document.getElementById("Lbl_Photo").innerText = NameFromPath(Photos[CurrentIndex]);


                if ((CurrentIndex + 1) <= (Photos.length -1))
                  {
                    document.getElementById("Lnk_Next").innerText = ">";                                     
                  }
                else
                  {                 
                   document.getElementById("Lnk_Next").innerText = "|";                                    
                  }  

                                       
                if ((CurrentIndex - 1) >= 0)
                  {
                    document.getElementById("Lnk_Prev").innerText = "<";                                    
                  }
                else
                  {                 
                   document.getElementById("Lnk_Prev").innerText = "|";                                      
                  }  
           }
         
       }
    </script>

</html>
 