﻿Imports System.Collections.Generic
Imports System.Data


Partial Class Backend_frmPhoneBook
    Inherits System.Web.UI.Page

    'Redirect option = Transfer / Redirect
    Private aRedirectOption As RedirectOptionEnum = RedirectOptionEnum.Transfer
    Public aCurrentUser As FrontEnd.User = Nothing
    Public aError As String

    Private Sub ClientTransferOrRedirect(ByVal aRedirect As Boolean, ByVal aDestination As String, ByVal aErrorMessage As String)
        Me.HF_Exit.Value = "exit"
        Me.HF_ExitMessage.Value = aErrorMessage

        If aRedirect = True Then
            Me.HF_ExitTo.Value = "1" & aDestination
        Else
            Me.HF_ExitTo.Value = "2" & aDestination
        End If
    End Sub

    Private Function ValidateUser() As Boolean
        aCurrentUser = Session("CurrentUser")

        If aCurrentUser Is Nothing OrElse (aCurrentUser.IsAgent = False AndAlso aCurrentUser.IsAdmin = False AndAlso aCurrentUser.IsSuperUser = False) Then
            ClientTransferOrRedirect(True, "frmLogin.Aspx", "")
            Return False
        End If

        Return True
    End Function
    
    Protected Function CreateEmptyTable() As DataTable
        Dim aResult As New DataTable

        aResult.Columns.Add("Type", GetType(String))
        aResult.Columns.Add("Name", GetType(String))
        aResult.Columns.Add("Company", GetType(String))
        aResult.Columns.Add("Cell", GetType(String))
        aResult.Columns.Add("Phone", GetType(String))
        aResult.Columns.Add("Email", GetType(String))
        aResult.Columns.Add("Tags", GetType(String))

        aResult.Rows.Add()

        Return aResult 
    End Function

    Private Sub Backend_frmPhoneBook_Load(sender As Object, e As EventArgs) Handles Me.Load
        If ValidateUser = False Then Return

        aError = ""

        If Me.IsPostBack = False Then 
           'Bind grid to an empty table
            GV.DataSource = Me.CreateEmptyTable()
            GV.DataBind()
        End If 
    End Sub
    
End Class
