﻿Imports System.Data

Partial Class Backend_frmReportingPropertiesQueue
    Inherits System.Web.UI.Page

    'Redirect option = Transfer / Redirect
    Private aRedirectOption As RedirectOptionEnum = RedirectOptionEnum.Transfer
    Public aCurrentUser As FrontEnd.User = Nothing
    Public aDataSource As DataTable 
    Public aError As String

    Private Sub ClientTransferOrRedirect(ByVal aRedirect As Boolean, ByVal aDestination As String, ByVal aErrorMessage As String)
        Me.HF_Exit.Value = "exit"
        Me.HF_ExitMessage.Value = aErrorMessage

        If aRedirect = True Then
            Me.HF_ExitTo.Value = "1" & aDestination
        Else
            Me.HF_ExitTo.Value = "2" & aDestination
        End If
    End Sub

    Private Function ValidateUser() As Boolean
        aCurrentUser = Session("CurrentUser")

        If aCurrentUser Is Nothing OrElse aCurrentUser.IsSuperUser = False Then
            ClientTransferOrRedirect(True, "frmLogin.Aspx", "")
            Return False
        End If

        Return True
    End Function
    
    Private Sub Backend_frm_Load(sender As Object, e As EventArgs) Handles Me.Load
        Dim aDTLookups As DataTable

        If ValidateUser = False Then Return

        aError = ""

        If Me.IsPostBack = False Then 
            Try
                aDTLookups = BackEnd.Reporting.GetAdminDailyTasksLookups()

                With Cmb_Admin
                    .Items.Clear

                    .Items.Add(New ListItem("All", 0))

                    For Each aDRow As DataRow In aDTLookups.Rows
                        .Items.Add(New ListItem(aDRow("NAME"), aDRow("ID")))
                    Next

                    .SelectedIndex=0
                End With

            Catch ex As Exception
                aError = ex.Message
            End Try
        End If 
    End Sub

    Protected Sub Cmd_Search_Click(sender As Object, e As EventArgs)
        Dim aAdmin As Integer = Cmb_Admin.SelectedValue

        Try 
            aDataSource = BackEnd.Reporting.GetReceivedCreated(aAdmin, "1/1/2019", 0)
            Me.GV.DataSource = aDataSource
            Me.GV.DataBind()

        Catch ex As Exception
            aError = ex.Message
        End Try
    End Sub

End Class
