﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="frmSearch.aspx.vb" Inherits="Backend_frmSearch" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>


    <script src="Js/jquery1.11.1.min.js"></script>
    <link rel="stylesheet" href="Js/jquery-ui1.11.2.css"/>
    <script src="Js/jquery-ui1.11.2.min.js"></script>

    <script src="Js/popper.min.js"></script>
    <script src="Js/bootstrap.min.js"></script>

    <script src="js/utils.js"></script>


    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="css/bootstrap.min.css" />
    <link rel="stylesheet" href="fontawesome/css/font-awesome.min.css" />

    <link rel="stylesheet" href="fontawesome/css/font-awesome.min.css" />

    <!--My Every Page -->
    <link rel="Stylesheet" href="css/page.css" />

     <style>

         .toolbar {
             justify-content: space-between !important;
             padding-top:6px !important;
             padding-bottom:6px !important;
         }

        .errorDiv{
            font-size:12px !important;
            color:red;
            font-weight:600;
            padding:8px;
            border:1px solid red;
            margin-top:9px;
            margin-bottom:9px;
            margin-left:6px;
            margin-right:6px;
        }
        .root > .content{
            margin-top:0px;
            font-size:12px !important;
            display: flex;
            flex-direction:column;            
            padding:8px 12px;
        }

        .cell{
            display:flex;
            flex-direction:column;
        }

        .cellCheckbox{
            margin-top:3px;
            display:flex;           
            flex:1;
            padding: 0;
        }

        .cell1{
            display:flex;
            flex-direction:column;
            flex:1;
        }

        .row{
            display: flex;
            margin-left:0;
            margin-right:0;
            padding:0px 0px;
        }

        #Cmd_OpenSearch, #Cmd_OpenRequest{
            margin-left: 6px;
            margin-top:1px;
            padding: 3px 8px;
        }

        .chk{
            width: 130px !important;
        }

        .txtBig{
            height:60px !important;
        }

        .fixTextWidth{
            display:flex;
            flex:1 1 auto;
            width:0;
        }

        .dropDown{
            display:flex;
            flex:1 1 auto !important;
            width:100% !important;
        }

        .btnVisit{
            padding:2px 8px;
        }
        .btnVisit:hover{
        }

        .btnClearGrid, .btnClearGrid:visited{
            display: inline-flex;
            align-items:center;
            font-size:12px !important;
            font-weight:400 !important;
            padding: 4px 2px;
            height:26px !important;
            background-color:transparent;
            border:none;
        }

         .btnClearGrid:hover {
             cursor: pointer;
             color: red;
         }

        .lst{
            margin-top:4px;
            border: 1px solid #ced4da !important;
            border-radius:0.25rem !important;
        }      
        
        .custom-checkbox .custom-control-label::before, .custom-checkbox .custom-control-label::after {
            margin-top: -4px !important;
        }
        
        .ui-accordion-header{
            background-color:#008ef2 !important;
            border-color:rgba(0,0,0,0.1) !important;
            color:white !important;
        }

         .ui-accordion .ui-accordion-content {
             padding: 1em 10px !important;
             border-color:rgba(0,0,0,0.1) !important;
             overflow-y:hidden;
             background-color:#fafcfe;
         }

        .root > .content .criteria .body{
            display:flex;
            flex-direction:column;
        }

        table{
            border-color:rgba(0,0,0,0.1) !important;
        }
        table th{
            font-weight:700;
            background-color:#F7F8FA !important;
            border-left:none !important;
            border-right:none !important;
            border-bottom:1px solid rgba(0,0,0,0.2);
            border-top:1px solid rgba(0,0,0,0.2);
        }

         table th a {
             font-weight: 700;
         }

        table td{
            border-left:none !important;
            border-right:none !important;
            border-bottom:1px solid rgba(0,0,0,0.2);
            border-top:1px solid rgba(0,0,0,0.2);
            padding-top:2px;
            padding-bottom:2px;
        }

    </style>
</head>
<body onload="loadMe()">
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" LoadScriptsBeforeUI="false">
        </asp:ScriptManager>


        <asp:HiddenField ID="HF_Exit" runat="server" />
        <asp:HiddenField ID="HF_ExitTo" runat="server" />        
        <asp:HiddenField ID="HF_ExitMessage" runat="server" />

        <asp:HiddenField ID="HF_PropertiesIds" runat="server" />
        <asp:HiddenField ID="HF_PropertiesTitles" runat="server" />
        <asp:HiddenField ID="HF_DistrictsIds" runat="server" />
        <asp:HiddenField ID="HF_DistrictsTitles" runat="server" />
        <asp:HiddenField ID="HF_PropertyTypesIds" runat="server" />
        <asp:HiddenField ID="HF_PropertyTypesTitles" runat="server" />
        <asp:HiddenField ID="HF_CitiesIds" runat="server" />
        <asp:HiddenField ID="HF_CitiesTitles" runat="server" />
        <asp:HiddenField ID="HF_NotCitiesIds" runat="server" />
        <asp:HiddenField ID="HF_NotCitiesTitles" runat="server" />

        <asp:HiddenField ID="HF_Mode" runat="server" />
        <asp:HiddenField ID="HF_SearchId" runat="server" />

        <asp:HiddenField ID="HF_SelectedSearchId" runat="server" />
        <asp:HiddenField ID="HF_TempSearchName" runat="server" />

        <asp:HiddenField ID="HF_RequestId" runat="server" />

        <asp:HiddenField ID="HF_RowsCount" runat="server"/>

        <asp:HiddenField ID="HF_CreateSearchRequest" runat="server"/>


        <div class="root">
            <div id="pageSpinner" style="display:none;justify-content:center;align-items:center;position:absolute;width:100%;height:100%;background-color:transparent">
                <div class="spinner-border text-primary" style="width:100px;height:100px" role="status">
                    <span class="sr-only">Loading...</span>
                </div>
            </div>

            <div class="toolbar">
                <div style="display:flex;">
                    <div class="cell" >
                        <span class="label" style="display:inline-block;">Search</span>
                        <asp:TextBox ID="Txt_Searches" runat="server" CssClass="form-control txt" Width="250px" ></asp:TextBox>
                    </div>
                    <div class="cell">
                        <span>&nbsp;</span>
                        <asp:Button ID="Cmd_OpenSearch" runat="server" Text="View" CssClass="btn btnToolbar" style="" OnClientClick="return onOpenSearchClick();"  OnClick="Cmd_OpenSearch_Click" />
                    </div>

                    <div class="cell" style="margin-left:20px;">
                        <span class="label" style="display:inline-block;">Request</span>
                        <asp:TextBox ID="Txt_Request" runat="server" CssClass="form-control txt" Width="120px" ></asp:TextBox>
                    </div>
                    <div class="cell">
                        <span>&nbsp;</span>
                        <asp:Button ID="Cmd_OpenRequest" runat="server" Text="View" CssClass="btn btnToolbar" style="" OnClientClick="return onOpenRequestClick();"  OnClick="Cmd_OpenRequest_Click" />
                    </div>
                </div>

                <div style="display:flex;align-items:center;">
                    <asp:Image ID="Img_Status" runat="server" ImageUrl="~/BackEnd/App_Photos/Ico_Success.png" />
                    <asp:Button ID="Cmd_Clear" runat="server" Text="Clear" CssClass="btn btnToolbar btnToolbarDelete" style="margin-right:12px;" OnClick="Cmd_Clear_Click" />
                    <asp:Button ID="Cmd_Search" runat="server" Text="Search" CssClass="btn btnToolbar" style="margin-right:12px;" OnClientClick="return validateSearch();" OnClick="Cmd_Search_Click" />
                    <asp:Button ID="Cmd_Save" runat="server" Text="Save Search" CssClass="btn btnToolbar" style="margin-right:12px;" OnClientClick="return onSaveSearchClicked();" OnClick="Cmd_Save_Click" />
                    <div class="dropdown">
                        <button class="btn btn-secondary dropdown-toggle" style="border:none !important;  background-color:#28a745 !important; color:white !important;" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Generate Request
                        </button>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">
                            <asp:Button ID="NewRequestFromSearch" runat="server" CssClass="dropdown-item" text="From Search" OnClick="NewRequestFromSearch_Click"></asp:Button>
                            <div class="dropdown-divider"></div>
                            <asp:Button ID="NewRequestFromProps" runat="server" CssClass="dropdown-item" text="From Properties" OnClientClick="return onNewRequestFromProperties();" OnClick="NewRequestFromProps_Click"></asp:Button>
                        </div>
                    </div>
                </div>

            </div>

            <% If aError IsNot Nothing AndAlso aError <> "" %>
                <div class="errorDiv">
                    <%= aError %>
                </div>
            <%End If %>

            <div class="content">
                <div id="criteria">
                    <h3 style="font-size:1rem !important;">Search Criteria</h3>
                    <div class="body">

                        <div class="row">

                            <div class="cell1" style="flex:2;">
                                <div style="margin-bottom:3px;"><span class="lbl" style="">Search In</span></div>
                                <asp:DropDownList ID="Cmb_SearchIn" runat="server" CssClass="form-control dropDown " style=""></asp:DropDownList>
                            </div>

                            <div class="cell1" style="margin-left:16px;">
                                <div style="margin-bottom:0px;" class="form-check form-check-inline">
                                    <asp:RadioButton ID="Opt_Surface" runat="server" Text="Surface" GroupName="Area" CssClass="custom-control custom-checkbox" />
                                    <asp:RadioButton ID="Opt_Sellable" runat="server" Text="Sellable" GroupName="Area" CssClass="custom-control custom-checkbox" style="margin-left:20px;" />
                                </div>
                                <div style="display:flex; flex-direction:row;flex:1;">
                                    <asp:TextBox ID="Txt_AreaMin" runat="server" CssClass="form-control txt fixTextWidth" style="text-align:center;"></asp:TextBox>
                                    <asp:TextBox ID="Txt_AreaMax" runat="server" CssClass="form-control txt fixTextWidth" style="margin-left:4px;text-align:center;"></asp:TextBox>
                                </div>
                            </div>

                            <div class="cell1" style="margin-left:8px;">
                                <div><asp:Checkbox ID="Chk_ForSale" runat="server" Text="Sale" CssClass="custom-control custom-checkbox" /></div>                                
                                <div style="display:flex; flex-direction:row;">
                                    <asp:TextBox ID="Txt_SaleMin" runat="server" CssClass="form-control txt fixTextWidth" style="text-align:center;"></asp:TextBox>
                                    <asp:TextBox ID="Txt_SaleMax" runat="server" CssClass="form-control txt fixTextWidth" style="margin-left:4px;text-align:center;"></asp:TextBox>
                                </div>
                            </div>

                            <div class="cell1" style="margin-left:8px;">
                                <div><asp:Checkbox ID="Chk_ForRent" runat="server" Text="Rent" CssClass="custom-control custom-checkbox"/></div> 
                                <div style="display:flex; flex-direction:row;">
                                    <asp:TextBox ID="Txt_RentMin" runat="server" CssClass="form-control txt fixTextWidth" style="text-align:center;"></asp:TextBox>
                                    <asp:TextBox ID="Txt_RentMax" runat="server" CssClass="form-control txt fixTextWidth" style="margin-left:4px;text-align:center;"></asp:TextBox>
                                </div>
                            </div>

                            <div class="cell1" style="margin-left:8px;">
                                <div style="margin-bottom:2px;"><span class="lbl">Bedrooms</span></div>
                                <div style="display:flex; flex-direction:row;">
                                    <asp:TextBox ID="Txt_BedroomsMin" runat="server" CssClass="form-control txt fixTextWidth" style="text-align:center;"></asp:TextBox>
                                    <asp:TextBox ID="Txt_BedroomsMax" runat="server" CssClass="form-control txt fixTextWidth" style="margin-left:4px;text-align:center;"></asp:TextBox>
                                </div>
                            </div>

                        </div>         
                          
                        <div class="row" style="margin-top:8px">

                            <div class="cell1" style="">
                                <span class="lbl">Property Types</span>
                                <asp:TextBox ID="Txt_PropertyTypes" runat="server" CssClass="form-control txt"></asp:TextBox>
                                <asp:ListBox ID="Lst_PropertyTypes" runat="server" Height="60px" CssClass="lst" ondblclick="removeCityGroup(this);" ></asp:ListBox>
                            </div>

                            <div class="cell1" style="margin-left:8px;">
                                <span class="lbl">Properties</span>
                                <asp:TextBox ID="Txt_Properties" runat="server" CssClass="form-control txt"></asp:TextBox>
                                <asp:ListBox ID="Lst_Properties" runat="server" Height="60px" CssClass="lst" ondblclick="removeProperty(this);" ></asp:ListBox>
                            </div>

                            <div class="cell1" style="margin-left:8px;">
                                <span class="lbl">Districts</span>
                                <asp:TextBox ID="Txt_Districts" runat="server" CssClass="form-control txt"></asp:TextBox>
                                <asp:ListBox ID="Lst_Districts" runat="server" Height="60px" CssClass="lst" ondblclick="removeDistrict(this);"></asp:ListBox>
                            </div>

                            <div class="cell1" style="margin-left:8px;">
                                <span class="lbl">Cities</span>
                                <asp:TextBox ID="Txt_Cities" runat="server" CssClass="form-control txt"></asp:TextBox>
                                <asp:ListBox ID="Lst_Cities" runat="server" Height="60px" CssClass="lst" ondblclick="removeCity(this);"></asp:ListBox>
                            </div>

                            <div class="cell1" style="margin-left:8px;">
                                <span class="lbl">Not In</span>
                                <asp:TextBox ID="Txt_NotCities" runat="server" CssClass="form-control txt"></asp:TextBox>
                                <asp:ListBox ID="Lst_NotCities" runat="server" Height="60px" CssClass="lst" ondblclick="removeNotCity(this);"></asp:ListBox>
                            </div>

                            <div class="cell1" style="margin-left:8px; justify-content:space-between;">
                                <div style="display:flex;flex-direction:row;">
                                    <div style="display:flex; flex:1;flex-direction:column;max-width:50%;">
                                        <div style="margin-bottom:2px;"><span class="lbl" style="">View</span></div>
                                        <asp:DropDownList ID="Cmb_View" runat="server" CssClass="form-control dropDown"></asp:DropDownList>
                                    </div>
                                    <div style="display:flex; flex:1;flex-direction:column;margin-left:4px;max-width:calc(50% - 4px);">
                                        <div style="margin-bottom:2px;"><span class="lbl" style="">Age</span></div>
                                        <asp:DropDownList ID="Cmb_Age" runat="server" CssClass="form-control dropDown"></asp:DropDownList>
                                    </div>
                                </div>
                                <div style="display:flex;flex-direction:row;">
                                    <div style="display:flex; flex:1;flex-direction:column;max-width:50%;">
                                        <div style="margin-bottom:2px;"><span class="lbl" style="">Parking</span></div>
                                        <asp:DropDownList ID="Cmb_Parking" runat="server" CssClass="form-control dropDown"></asp:DropDownList>
                                    </div>
                                    <div style="display:flex; flex:1;flex-direction:column;margin-left:4px;max-width:calc(50% - 4px);">
                                        <div style="margin-bottom:2px;"><span class="lbl" style="">#</span></div>
                                        <asp:TextBox ID="Txt_Parking" runat="server" CssClass="form-control txt" style="width:100%!important;text-align:center;"></asp:TextBox>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="row" style="flex-wrap:wrap; margin-top:16px;padding-left:22px;">
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_LTB" runat="server" Text="L.T.B." CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_Furnished" runat="server" Text="Furnished" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_Decorated" runat="server" Text="Decorated" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_NotUsed" runat="server" Text="Not Used" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_Lux" runat="server" Text="Lux." CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_Duplex" runat="server" Text="Duplex" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_Commercial" runat="server" Text="Commercial" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_IsFeatured" runat="server" Text="Hot" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_WillExchange" runat="server" Text="Exchange" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_NoSlope" runat="server" Text="No Slope" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_GF" runat="server" Text="G.F." CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_FirstFloor" runat="server" Text="1st Floor" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_NotGF" runat="server" Text="Not G.F." CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_NotFirstFloor" runat="server" Text="Not 1st Floor" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_NotLastFloor" runat="server" Text="Not Last Floor" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_Garden" runat="server" Text="Garden" CssClass="custom-control custom-checkbox chk"/>
                            </div>                            
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_Terrace" runat="server" Text="Terrace" CssClass="custom-control custom-checkbox chk"/>
                            </div>                            
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_Balcony" runat="server" Text="Balcony" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_MaidRoom" runat="server" Text="Maid Room" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_MaidBath" runat="server" Text="Maid Bath." CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_Heating" runat="server" Text="Heating" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_Solar" runat="server" Text="Solar" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_CentralAC" runat="server" Text="Central AC" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_Storage" runat="server" Text="Storage" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_DoubleGlazing" runat="server" Text="Double G." CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_Interphone" runat="server" Text="Interphone" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_VideoPhone" runat="server" Text="Videophone" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_BIW" runat="server" Text="Built-in W." CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_Concierge" runat="server" Text="Concierge" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_Security" runat="server" Text="Security" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_Pool" runat="server" Text="Pool" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_PetsAllowed" runat="server" Text="Pets ?" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_Roof" runat="server" Text="Roof" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_IsContractSigned" runat="server" Text="Exclusive" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_IsActive" runat="server" Text="Active" CssClass="custom-control custom-checkbox chk"/>
                            </div>                            
                            <div class="cellCheckbox">
                                <asp:CheckBox ID="Chk_IsNotActive" runat="server" Text="Inactive" CssClass="custom-control custom-checkbox chk"/>
                            </div>
                        </div>

                    </div>
                </div>

                <div id="props" style="margin-top:8px;">
                      <div style="display:flex;justify-content:space-between;padding-top:2px;padding-bottom:2px;">
                          <h3 style="font-size:1rem !important; display:flex;align-items:center;font-weight:400;margin-block-start: 0 !important;margin-block-end:0 !important;">Properties &nbsp;<%= HF_RowsCount.Value %></h3>
                          <input type="button" value="Clear Grid" class="btnClearGrid" onclick="onClearGrid();" />
                      </div>
                      <div style="">
                            <asp:GridView AllowSorting="true" ID="GV" runat="server" DataKeyNames="ID"  AutoGenerateColumns="false"  Width="100%" Font-Names="Verdana" Font-Size="10pt" PageSize="9999" ShowHeaderWhenEmpty="true">
                                <Columns>        
                                    <asp:BoundField DataField="ID" SortExpression="ID" HeaderText="ID" ItemStyle-HorizontalAlign="center" HeaderStyle-HorizontalAlign="center" ControlStyle-CssClass="centerText" HeaderStyle-CssClass="centerText" />  
                                    
                                    <asp:BoundField DataField="PropertyKey" HeaderText="Prop. Key" ItemStyle-HorizontalAlign="center" HeaderStyle-HorizontalAlign="center" ControlStyle-CssClass="centerText" HeaderStyle-CssClass="centerText" />  
                                    <asp:BoundField DataField="City" SortExpression="City" HeaderText="City" ItemStyle-HorizontalAlign="left" HeaderStyle-HorizontalAlign="left" HeaderStyle-CssClass="paddingLeft4" ItemStyle-CssClass="paddingLeft4" />  
                                    <asp:BoundField DataField="Surface" SortExpression="Surface" HeaderText="Surface" ItemStyle-HorizontalAlign="center" HeaderStyle-HorizontalAlign="center" ControlStyle-CssClass="centerText" HeaderStyle-CssClass="centerText" />  
                                    <asp:BoundField DataField="Sellable" SortExpression="Sellable" HeaderText="Sellable" ItemStyle-HorizontalAlign="center" HeaderStyle-HorizontalAlign="center" ControlStyle-CssClass="centerText" HeaderStyle-CssClass="centerText" />  
                                    <asp:BoundField DataField="Bedrooms" SortExpression="Bedrooms" HeaderText="Bedrooms" ItemStyle-HorizontalAlign="center" HeaderStyle-HorizontalAlign="center" ControlStyle-CssClass="centerText" HeaderStyle-CssClass="centerText" />  
                                    <asp:BoundField DataField="SaleAmount" SortExpression="SaleAmount" DataFormatString="{0:N0}" HeaderText="Sale $" ItemStyle-HorizontalAlign="center" HeaderStyle-HorizontalAlign="center" ControlStyle-CssClass="centerText" HeaderStyle-CssClass="centerText" />  
                                    <asp:BoundField DataField="RentAmount" SortExpression="RentAmount" DataFormatString="{0:N0}" HeaderText="Rent $" ItemStyle-HorizontalAlign="center" HeaderStyle-HorizontalAlign="center" ControlStyle-CssClass="centerText" HeaderStyle-CssClass="centerText" />  
                                    <asp:BoundField DataField="Owner" SortExpression="Owner" HeaderText="Owner" ItemStyle-HorizontalAlign="left" HeaderStyle-HorizontalAlign="left" HeaderStyle-CssClass="paddingLeft4" ItemStyle-CssClass="paddingLeft4" />  
                                    <asp:BoundField DataField="OwnerCell" HeaderText="Owner Cell" ItemStyle-HorizontalAlign="left" HeaderStyle-HorizontalAlign="left" HeaderStyle-CssClass="paddingLeft4" ItemStyle-CssClass="paddingLeft4" />  
                                    <asp:BoundField DataField="IsActive" SortExpression="IsActive" ItemStyle-CssClass="hidden" HeaderStyle-CssClass="hidden"  />  

                                    <asp:TemplateField HeaderText="" ItemStyle-Width="75"  HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign ="Center">
                                        <ItemTemplate> 
                                            <asp:Button ID="Cmd_View" runat="server" data-id='<%# DataBinder.Eval(Container.DataItem, "Id")%>' Text="View" OnClientClick="return view(this);" CssClass="btn btnToolbar btnVisit centerText" style="" Width="55"></asp:Button>
                                        </ItemTemplate>
                                    </asp:TemplateField> 

                                    <asp:TemplateField HeaderText="" ItemStyle-Width="75"  HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign ="Center">
                                        <ItemTemplate> 
                                            <asp:Button ID="Cmd_Visit" runat="server" data-id='<%# DataBinder.Eval(Container.DataItem, "Id")%>' Text="Visit" OnClientClick="return visit(this);" CssClass="btn btnToolbar btnVisit centerText" style="" Width="55"></asp:Button>
                                        </ItemTemplate>
                                    </asp:TemplateField> 
                                </Columns>

                                <RowStyle Height="26px" />
                                <HeaderStyle Height="26px" />
                                <EditRowStyle Height="26px" />
                                <AlternatingRowStyle BackColor="White" />
                            </asp:GridView>
                      </div>
                 </div>
            </div><!--content-->
        </div>
    </form>

    <script type="text/javascript">
        function isPositiveNumber(v) {
            if (v == null || v.toString().trim()=="" || isNaN(v.toString().trim().replace(",","")) || parseFloat(v.toString().trim().replace(",","")) < 0)
                return false;
            return true;
        }

        function isStrictlyPositiveNumber(v) {
            if (v == null || v.toString().trim()=="" || isNaN(v.toString().trim().replace(",","")) || parseFloat(v.toString().trim().replace(",","")) <= 0)
                return false;
            return true;
        }

        function makeTextboxK(txt) {
            if (!txt)
                return;

            txt.addEventListener("blur", function () {
                var val = this.value.trim();

                if (!val || val.length < 1)
                    return;

                if (val.toLowerCase().substr(val.length - 1) == "k") {
                    val = val.substr(0, val.length - 1).trim();
                    if (isPositiveNumber(val))
                        this.value = val * 1000;
                }
            });
        }

    </script>

    <script type="text/javascript">
       function fnHideSuccessIcon()
       {
          window.setTimeout(function(){
             var o = document.getElementById("<%= Img_Status.ClientID %>");
              if (o)
                  o.style.display = "none";   
          }, 3000);
        }

        $(function () {
            $("#criteria").accordion({ collapsible: true });

            $("#props").accordion({ collapsible: true });

            makeTextboxK(document.getElementById("<%=Txt_SaleMin.ClientID%>"));
            makeTextboxK(document.getElementById("<%=Txt_SaleMax.ClientID%>"));
            makeTextboxK(document.getElementById("<%=Txt_RentMin.ClientID%>"));
            makeTextboxK(document.getElementById("<%=Txt_RentMax.ClientID%>"));

            makeTxtSearchesAutoComplete()
            makeTxtRequestAutoComplete();

            makeTxtPropertiesAutoComplete();
            makeTxtDistrictsAutoComplete();
            makeTxtPropertyTypesAutoComplete();
            makeTxtCitiesAutoComplete();
            makeTxtNotCitiesAutoComplete();

            $('#<%= Txt_Searches.ClientID %>').on('keyup', function(e) {
                var code = (e.keyCode ? e.keyCode : e.which);
                if ((code==8 || code==46) || (code >64 && code!=91)) {
                    document.getElementById("<%=HF_SelectedSearchId.ClientID%>").value = "";
                }
            });
          //$("#criteria > .ui-accordion-content").css("display", section1);
      });

        
      function loadMe()
      {
          fnHideSuccessIcon();


           //Handle checkboxes look
           $(".custom-checkbox input").addClass("custom-control-input");
           $(".custom-checkbox label").addClass("custom-control-label");

          if (document.getElementById("HF_Exit").value == "exit") {
              if (document.getElementById("HF_ExitMessage").value != "")
                  alert(document.getElementById("HF_ExitMessage").value);

              var aExitTo = document.getElementById("HF_ExitTo").value;

              if (aExitTo.substring(0, 1) == "1") {
                  if (window.parent.parent)
                      window.parent.parent.location = aExitTo.substring(1);
                  else if (window.parent)
                      window.parent.location = aExitTo.substring(1);
              }

              else {
                  if (window.parent.document.getElementById('myIframe'))
                      window.parent.document.getElementById('myIframe').src = aExitTo.substring(1);
                  else if (window.parent)
                      window.parent.location = aExitTo.substring(1);
              }
          }
          else {
              if (document.getElementById("<%= HF_CreateSearchRequest.ClientID %>").value == "true") {
                  document.getElementById("<%= HF_CreateSearchRequest.ClientID %>").value = "";
                  top.open("frmAdminPanel.aspx?_pageid=2", "_blank")
                  
                  return;
              }
          }
        }    

        function onOpenSearchClick() {
              var hfSelectedSearchId = document.getElementById("<%= HF_SelectedSearchId.ClientId %>");
              var txtSearches = document.getElementById("<%= Txt_Searches.ClientID %>");

              if (!hfSelectedSearchId.value || !isStrictlyPositiveNumber(hfSelectedSearchId.value) || !txtSearches.value) {
                  alert("No specified search entity to display.");
                  return false;
              }

              return true;
          }

          function onOpenRequestClick() {
              var hfRequestId = document.getElementById("<%= HF_RequestId.ClientId %>");
              var txtRequest = document.getElementById("<%= Txt_Request.ClientID %>");

              if (!hfRequestId.value || !isStrictlyPositiveNumber(hfRequestId.value) || !txtRequest.value) {
                  alert("No specified client request entity to display.");
                  return false;
              }

              return true;
          }
    </script>

    <script type="text/javascript">
        function makeTxtSearchesAutoComplete() {
            $("#<%= Txt_Searches.ClientID %>").autocomplete({               
                source: function (request, response) {
                    var currentUserId = 0;

                    <% If aCurrentUser IsNot Nothing Then %>
                        currentUserId = <%=aCurrentUser.ID %>;
                    <% End If %>

                    $.ajax({
                        url: "WSProperties.asmx/GetPropertiesSearchesWhoseNamesStartWith",
                        data: JSON.stringify({ 'name': request.term, 'userId': currentUserId }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function(item) {
                                return {
                                    label: item.Val2,
                                    value: item.Val2,//Appears in text box => just the name
                                    id: item.Val1,
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    document.getElementById("<%= HF_SelectedSearchId.ClientID %>").value = ui.item.id;
                }
            });
        }

        function makeTxtRequestAutoComplete() {
            $("#<%= Txt_Request.ClientID %>").autocomplete({               
                source: function (request, response) {
                    var aCurrentUserId = 0;

                    <% If aCurrentUser Is Nothing Then %>
                          aCurrentUserId = -1; 
                    <%ElseIf aCurrentUser.IsAdmin = False AndAlso aCurrentUser.IsSuperUser=False%>
                          aCurrentUserId = <%=aCurrentUser.ID %>;
                    <%End If%>

                    var term = request.term.trim();
                    var val, url, data;

                    if (term.length > 3) {
                        if (term.toLowerCase().substr(0, 3) == "cr-" && isStrictlyPositiveNumber(term.substr(3))) {
                            val = term.substr(3).trim();
                            url = "WSClientsRequests.asmx/GetClientsRequestsWhoseIdsStartWith";
                            data = { name: val, userId: aCurrentUserId };
                        }
                        else {
                            //Client Request
                            url = "WSClientsRequests.asmx/GetClientsRequestsWhoseNamesStartWith";
                            data = { name: term, userId: aCurrentUserId };
                        }
                    }
                    else {
                        //Client Request
                        url = "WSClientsRequests.asmx/GetClientsRequestsWhoseNamesStartWith";
                        data = { name: term, userId: aCurrentUserId };
                    }

                    $.ajax({
                        url: url,//"WSClientsRequests.asmx/GetClientsRequestsWhoseNamesStartWith",
                        data: JSON.stringify(data),//{ 'name': request.term, 'userId': aCurrentUserId }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function(item) {
                                return {
                                    label: item.Val2 + " - " + item.Val3 + " - " + item.Val4 + " / CR - " + item.Val1,
                                    value: "CR-" + item.Val1,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2,
                                    val3: item.Val3,
                                    val4: item.Val4,
                                    val5: item.Val5,
                                    val6: item.Val6,
                                    val7: item.Val7
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                        document.getElementById("<%= HF_RequestId.ClientID %>").value = ui.item.val1;
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {
                var color = "";

                if (item.val7.toString().toLowerCase() == "false")
                    color = crInactiveColor;
                else {
                    if (item.val6 == 1)//normal
                        color = crNormalColor;
                    else if (item.val6 == 2)
                        color = crImportantColor;
                    else
                        color = crNotImportantColor;
                }

                var li = "<li style='display:flex;color:" + color + " !important;'></li>";

                return $(li)
                        .attr("data-value", item.val2)
                        .append("<span style='display:flex;'>" + item.val2 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val3 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val4 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val5 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>CR-" + item.val1 + "</span>")
                        .appendTo(ul);
                };
        }        


        function makeTxtPropertiesAutoComplete() {
            var type = 0;
            var currentUserId = -1;

            $("#<%= Txt_Properties.ClientID %>").autocomplete({  
                source: function (request, response) {
                    var term = request.term;
                    var aCurrentUserId = 0;

                    <% If aCurrentUser Is Nothing Then %>
                          aCurrentUserId = -1; 
                    <%ElseIf aCurrentUser.IsAdmin = False AndAlso aCurrentUser.IsSuperUser=False%>
                          aCurrentUserId = <%=aCurrentUser.ID %>;
                    <%End If%>

                    $.ajax({
                        url: "WSProperties.asmx/GetPropertiesKeysWhoStartWith",
                        data: JSON.stringify({name: term, userId: aCurrentUserId}),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val2 + " - " + item.Val3 + " - " + item.Val4 + "m2 - " + item.Val5,
                                    value: item.Val2,//Appears in text box => just the name
                                    val1: item.Val1,
                                    val2: item.Val2,
                                    val3: item.Val3,
                                    val4: item.Val4,
                                    val5: item.Val5,
                                    val6: item.Val6,
                                    val7: item.Val7,
                                    val8: item.Val8,
                                    val9: item.Val9,
                                    val10: item.Val10,
                                    val11: item.Val11
                                };
                            }));
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    var id = ui.item.val1.toString();
                    var title = ui.item.val2;

                    var lst = document.getElementById("<%=Lst_Properties.ClientID%>");
                    var txt = document.getElementById("<%=Txt_Properties.ClientID%>");
                    var hfIds = document.getElementById("<%=HF_PropertiesIds.ClientID %>");
                    var hfTitles = document.getElementById("<%=HF_PropertiesTitles.ClientID %>");

                    var ids = hfIds.value;
                    var titles = hfTitles.value;

                    if (ids != "") {
                        var idsArr = ids.split(",");
                        if (idsArr.indexOf(id) < 0) {
                            //Add item
                            hfIds.value += "," + id;
                            hfTitles.value += "," + title;

                            var opt = document.createElement("option");
                            opt.text = title;
                            opt.value = id;
                            lst.options.add(opt);
                        }
                    }
                    else {
                        //Add item
                        hfIds.value += id;
                        hfTitles.value += title;

                        var opt = document.createElement("option");
                        opt.text = title;
                        opt.value = id;
                        lst.options.add(opt);
                    }

                    window.setTimeout(function () {
                        txt.value = "";
                    }, 100);
                }
            }).data("ui-autocomplete")._renderItem = function (ul, item) {
                var li = "<li style='display:flex;font-size:12.5px;'></li>";
                if (item.val11.toString().toLowerCase() == "false")
                    li = "<li style='display:flex;font-size:12.5px; color:red !important;'></li>"

                return $(li).attr("data-value", item.val2)
                            .append("<span style='display:flex;'>" + item.val2 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val3 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val4 + "m2</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val5 + "m2</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val6 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val7 + "$</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val8 + "$</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val9 + "</span>&nbsp;-&nbsp;<span style='display:flex;margin-left:6px;'>" + item.val10 + "</span>")
                        .appendTo(ul);
            };
        } 

        function removeProperty() {
            var lst = document.getElementById("<%=Lst_Properties.ClientID%>");
            var hfIds = document.getElementById("<%=HF_PropertiesIds.ClientID %>");
            var hfTitles = document.getElementById("<%=HF_PropertiesTitles.ClientID %>");
            var selectedIndex = lst.selectedIndex;

            var ids = hfIds.value;
            var titles = hfTitles.value;

            if (!isPositiveNumber(selectedIndex))
                return;

            var id = lst.options[selectedIndex].id;
            var value = lst.options[selectedIndex].value;

            var idsArr = ids.split(",");
            var titlesArr = titles.split(",");
            
            idsArr.splice(selectedIndex, 1);
            titlesArr.splice(selectedIndex, 1);

            hfIds.value = "";
            hfTitles.value = "";

            if (idsArr.length > 0) {           
                for (var i = 0; i < idsArr.length; i++) {
                    hfIds.value += idsArr[i] + ",";
                    hfTitles.value += titlesArr[i] + ",";
                }

                hfIds.value = hfIds.value.substr(0, hfIds.value.length - 1);
                hfTitles.value = hfTitles.value.substr(0, hfTitles.value.length - 1);
            }

            lst.remove(selectedIndex);
        }

        function makeTxtDistrictsAutoComplete() {
            $("#<%= Txt_Districts.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSCities.asmx/GetDistrictsWhoseNamesStartWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val2,
                                    value: item.Val2,//Appears in text box => just the name
                                    id: item.Val1,
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    var id = ui.item.id.toString();
                    var title = ui.item.value;

                    var lst = document.getElementById("<%=Lst_Districts.ClientID%>");
                    var txtDistricts = document.getElementById("<%=Txt_Districts.ClientID%>");
                    var hfIds = document.getElementById("<%=HF_DistrictsIds.ClientID %>");
                    var hfTitles = document.getElementById("<%=HF_DistrictsTitles.ClientID %>");

                    var ids = hfIds.value;
                    var titles = hfTitles.value;

                    if (ids != "") {
                        var idsArr = ids.split(",");

                        if (idsArr.indexOf(id) < 0) {
                            //Add item
                            hfIds.value += "," + id;
                            hfTitles.value += "," + title;

                            var opt = document.createElement("option");
                            opt.text = title;
                            opt.value = id;
                            lst.options.add(opt);
                        }
                    }
                    else {
                        //Add item
                        hfIds.value += id;
                        hfTitles.value += title;

                        var opt = document.createElement("option");
                        opt.text = title;
                        opt.value = id;
                        lst.options.add(opt);
                    }

                    window.setTimeout(function () {
                        txtDistricts.value = "";
                    }, 100);                    
                }
            });
        }

        function removeDistrict() {
            var lst = document.getElementById("<%=Lst_Districts.ClientID%>");
            var hfIds = document.getElementById("<%=HF_DistrictsIds.ClientID %>");
            var hfTitles = document.getElementById("<%=HF_DistrictsTitles.ClientID %>");
            var selectedIndex = lst.selectedIndex;

            var ids = hfIds.value;
            var titles = hfTitles.value;

            if (!isPositiveNumber(selectedIndex))
                return;

            var id = lst.options[selectedIndex].id;
            var value = lst.options[selectedIndex].value;

            var idsArr = ids.split(",");
            var titlesArr = titles.split(",");
            
            idsArr.splice(selectedIndex, 1);
            titlesArr.splice(selectedIndex, 1);

            hfIds.value = "";
            hfTitles.value = "";

            if (idsArr.length > 0) {           
                for (var i = 0; i < idsArr.length; i++) {
                    hfIds.value += idsArr[i] + ",";
                    hfTitles.value += titlesArr[i] + ",";
                }

                hfIds.value = hfIds.value.substr(0, hfIds.value.length - 1);
                hfTitles.value = hfTitles.value.substr(0, hfTitles.value.length - 1);
            }

            lst.remove(selectedIndex);
        }


        function makeTxtPropertyTypesAutoComplete() {
            $("#<%= Txt_PropertyTypes.ClientID %>").autocomplete({
                source: function (request, response) {
                    $.ajax({
                        url: "WSProperties.asmx/GetPropertyTypesWhoseNamesStartWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val2,
                                    value: item.Val2,//Appears in text box => just the name
                                    id: item.Val1,
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    var id = ui.item.id.toString();
                    var title = ui.item.value;

                    var lst = document.getElementById("<%=Lst_PropertyTypes.ClientID%>");
                    var txtPropertyTypes = document.getElementById("<%=Txt_PropertyTypes.ClientID%>");
                    var hfIds = document.getElementById("<%=HF_PropertyTypesIds.ClientID %>");
                    var hfTitles = document.getElementById("<%=HF_PropertyTypesTitles.ClientID %>");

                    var ids = hfIds.value;
                    var titles = hfTitles.value;

                    if (ids != "") {
                        var idsArr = ids.split(",");
                        if (idsArr.indexOf(id) < 0) {
                            //Add item
                            hfIds.value += "," + id;
                            hfTitles.value += "," + title;

                            var opt = document.createElement("option");
                            opt.text = title;
                            opt.value = id;
                            lst.options.add(opt);
                        }
                    }
                    else {
                        //Add item
                        hfIds.value += id;
                        hfTitles.value += title;

                        var opt = document.createElement("option");
                        opt.text = title;
                        opt.value = id;
                        lst.options.add(opt);
                    }

                    window.setTimeout(function () {
                        txtPropertyTypes.value = "";
                    }, 100);
                }
            });
        }

        function removePropertyType() {
            var lst = document.getElementById("<%=Lst_PropertyTypes.ClientID%>");
            var hfIds = document.getElementById("<%=HF_PropertyTypesIds.ClientID %>");
            var hfTitles = document.getElementById("<%=HF_PropertyTypesTitles.ClientID %>");
            var selectedIndex = lst.selectedIndex;

            var ids = hfIds.value;
            var titles = hfTitles.value;

            if (!isPositiveNumber(selectedIndex))
                return;

            var id = lst.options[selectedIndex].id;
            var value = lst.options[selectedIndex].value;

            var idsArr = ids.split(",");
            var titlesArr = titles.split(",");
            
            idsArr.splice(selectedIndex, 1);
            titlesArr.splice(selectedIndex, 1);

            hfIds.value = "";
            hfTitles.value = "";

            if (idsArr.length > 0) {           
                for (var i = 0; i < idsArr.length; i++) {
                    hfIds.value += idsArr[i] + ",";
                    hfTitles.value += titlesArr[i] + ",";
                }

                hfIds.value = hfIds.value.substr(0, hfIds.value.length - 1);
                hfTitles.value = hfTitles.value.substr(0, hfTitles.value.length - 1);
            }

            lst.remove(selectedIndex);
        }


        function makeTxtCitiesAutoComplete() {
            $("#<%= Txt_Cities.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSCities.asmx/GetCitiesWhoseNamesStartWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val2,
                                    value: item.Val2,//Appears in text box => just the name
                                    id: item.Val1,
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    var id = ui.item.id.toString();
                    var title = ui.item.value;

                    var lst = document.getElementById("<%=Lst_Cities.ClientID%>");
                    var txtCities = document.getElementById("<%=Txt_Cities.ClientID%>");
                    var hfIds = document.getElementById("<%=HF_CitiesIds.ClientID %>");
                    var hfTitles = document.getElementById("<%=HF_CitiesTitles.ClientID %>");

                    var ids = hfIds.value;
                    var titles = hfTitles.value;

                    if (ids != "") {
                        var idsArr = ids.split(",");

                        if (idsArr.indexOf(id) < 0) {
                            //Add item
                            hfIds.value += "," + id;
                            hfTitles.value += "," + title;

                            var opt = document.createElement("option");
                            opt.text = title;
                            opt.value = id;
                            lst.options.add(opt);
                        }
                    }
                    else {
                        //Add item
                        hfIds.value += id;
                        hfTitles.value += title;

                        var opt = document.createElement("option");
                        opt.text = title;
                        opt.value = id;
                        lst.options.add(opt);
                    }

                    window.setTimeout(function () {
                        txtCities.value = "";
                    }, 100);                    
                }
            });
        }

        function removeCity() {
            var lst = document.getElementById("<%=Lst_Cities.ClientID%>");
            var hfIds = document.getElementById("<%=HF_CitiesIds.ClientID %>");
            var hfTitles = document.getElementById("<%=HF_CitiesTitles.ClientID %>");
            var selectedIndex = lst.selectedIndex;

            var ids = hfIds.value;
            var titles = hfTitles.value;

            if (!isPositiveNumber(selectedIndex))
                return;

            var id = lst.options[selectedIndex].id;
            var value = lst.options[selectedIndex].value;

            var idsArr = ids.split(",");
            var titlesArr = titles.split(",");
            
            idsArr.splice(selectedIndex, 1);
            titlesArr.splice(selectedIndex, 1);

            hfIds.value = "";
            hfTitles.value = "";

            if (idsArr.length > 0) {           
                for (var i = 0; i < idsArr.length; i++) {
                    hfIds.value += idsArr[i] + ",";
                    hfTitles.value += titlesArr[i] + ",";
                }

                hfIds.value = hfIds.value.substr(0, hfIds.value.length - 1);
                hfTitles.value = hfTitles.value.substr(0, hfTitles.value.length - 1);
            }

            lst.remove(selectedIndex);
        }

        function makeTxtNotCitiesAutoComplete() {
            $("#<%= Txt_NotCities.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSCities.asmx/GetCitiesWhoseNamesStartWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function (item) {
                                return {
                                    label: item.Val2,
                                    value: item.Val2,//Appears in text box => just the name
                                    id: item.Val1,
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                    var id = ui.item.id.toString();
                    var title = ui.item.value;

                    var lst = document.getElementById("<%=Lst_NotCities.ClientID%>");
                    var txtNotCities = document.getElementById("<%=Txt_NotCities.ClientID%>");
                    var hfIds = document.getElementById("<%=HF_NotCitiesIds.ClientID %>");
                    var hfTitles = document.getElementById("<%=HF_NotCitiesTitles.ClientID %>");

                    var ids = hfIds.value;
                    var titles = hfTitles.value;

                    if (ids != "") {
                        var idsArr = ids.split(",");

                        if (idsArr.indexOf(id) < 0) {
                            //Add item
                            hfIds.value += "," + id;
                            hfTitles.value += "," + title;

                            var opt = document.createElement("option");
                            opt.text = title;
                            opt.value = id;
                            lst.options.add(opt);
                        }
                    }
                    else {
                        //Add item
                        hfIds.value += id;
                        hfTitles.value += title;

                        var opt = document.createElement("option");
                        opt.text = title;
                        opt.value = id;
                        lst.options.add(opt);
                    }

                    window.setTimeout(function () {
                        txtNotCities.value = "";
                    }, 100);                    
                }
            });
        }

        function removeNotCity() {
            var lst = document.getElementById("<%=Lst_NotCities.ClientID%>");
            var hfIds = document.getElementById("<%=HF_NotCitiesIds.ClientID %>");
            var hfTitles = document.getElementById("<%=HF_NotCitiesTitles.ClientID %>");
            var selectedIndex = lst.selectedIndex;

            var ids = hfIds.value;
            var titles = hfTitles.value;

            if (!isPositiveNumber(selectedIndex))
                return;

            var id = lst.options[selectedIndex].id;
            var value = lst.options[selectedIndex].value;

            var idsArr = ids.split(",");
            var titlesArr = titles.split(",");
            
            idsArr.splice(selectedIndex, 1);
            titlesArr.splice(selectedIndex, 1);

            hfIds.value = "";
            hfTitles.value = "";

            if (idsArr.length > 0) {           
                for (var i = 0; i < idsArr.length; i++) {
                    hfIds.value += idsArr[i] + ",";
                    hfTitles.value += titlesArr[i] + ",";
                }

                hfIds.value = hfIds.value.substr(0, hfIds.value.length - 1);
                hfTitles.value = hfTitles.value.substr(0, hfTitles.value.length - 1);
            }

            lst.remove(selectedIndex);
        }

    </script>

    <script type="text/javascript">
        function validateSearch() {
            var errors = "";

            var minArea = document.getElementById("<%= Txt_AreaMin.ClientID %>").value;
            var maxArea = document.getElementById("<%= Txt_AreaMax.ClientID %>").value;

            var minSale = document.getElementById("<%= Txt_SaleMin.ClientID %>").value;
            var maxSale = document.getElementById("<%= Txt_SaleMax.ClientID %>").value;

            var minRent = document.getElementById("<%= Txt_RentMin.ClientID %>").value;
            var maxRent = document.getElementById("<%= Txt_RentMax.ClientID %>").value;

            var minBedrooms = document.getElementById("<%= Txt_BedroomsMin.ClientID %>").value;
            var maxBedrooms = document.getElementById("<%= Txt_BedroomsMax.ClientID %>").value;

            var parkingCount = document.getElementById("<%= Txt_Parking.ClientID %>").value;
            

            if (!isPositiveNumber(minArea))
                errors += "Invalid minimum area." + "\r\n";
            else if (!isPositiveNumber(maxArea))
                errors += "Invalid maximum area." + "\r\n";
            else if (parseInt(minArea) > parseInt(maxArea))
                errors += "Minimum area must be smaller than maximum area." + "\r\n";

            if (!isPositiveNumber(minSale))
                errors += "Invalid minimum sale amount." + "\r\n";
            else if (!isPositiveNumber(maxSale))
                errors += "Invalid maximum sale amount." + "\r\n";
            else if (parseFloat(minSale) > parseFloat(maxSale))
                errors += "Minimum sale amount must be smaller than maximum sale amount." + "\r\n";

            if (!isPositiveNumber(minRent))
                errors += "Invalid minimum rent amount." + "\r\n";
            else if (!isPositiveNumber(maxRent))
                errors += "Invalid maximum rent amount." + "\r\n";
            else if (parseFloat(minRent) > parseFloat(maxRent))
                errors += "Minimum rent amount must be smaller than maximum rent amount." + "\r\n";

            if (!isPositiveNumber(minBedrooms))
                errors += "Invalid minimum bedrooms." + "\r\n";
            else if (!isPositiveNumber(maxBedrooms))
                errors += "Invalid maximum bedrooms." + "\r\n";
            else if (parseFloat(minBedrooms) > parseFloat(maxBedrooms))
                errors += "Minimum bedrooms must be smaller than maximum bedrooms." + "\r\n";

            if (!isPositiveNumber(parkingCount))
                errors += "Invalid parking number." + "\r\n";

            if (errors)
                alert(errors);

            return errors == "";
        }

        function view(btn) {
            var id = btn.getAttribute("data-id");
            var url = "frmAdminPanel.aspx?_pageid=1&_pageitemid=" + id;
            window.open(url, "_blank");
            return false;
        }

        function visit(btn) {
            var id = btn.getAttribute("data-id");
            var url = "http://www.pierrefrancis.com/properties-detail-print.aspx?id=" + id;
            window.open(url, "_blank");
            return false;
        }

        function onRowDoubleClick(row) {
            var children = row.cells;
            if (children) {
                var id = children[0].innerHTML;
                var url = "frmItems2.aspx?id=" + id;
                window.open(url, "myIframe");
            }
        }

        function onSaveSearchClicked() {
            if (validateSearch() == false)
                return false;

            //success if update
            if (document.getElementById("<%= HF_Mode.ClientID %>").value != "1")
                return true;

            //requires the name if new mde
            var name = prompt("Please specify the search name.", "");

            if (!name)
                return false;

            document.getElementById("<%= HF_TempSearchName.ClientId %>").value = name;
            return true;
        }

        function onClearGrid(e) {
            var grid = document.getElementById("<%= GV.ClientID %>");
            if (!grid) {
                return false;
            }
            var gridId = "<%= GV.ClientID %>";
            var rows = grid.rows;
            $("[id*=GV] tr").not($("[id*=GV] tr:first-child")).remove();

            document.getElementById("<%= HF_RowsCount.ClientID %>").value = "0";
            $("#props h3").html("Properties");

            if(e)
                e.preventDefault();

            return false;
        }

        function onNewRequestFromProperties() {
            var propertiesIds = document.getElementById("<%= HF_PropertiesIds.ClientId %>");

            if (!propertiesIds.value) {
                alert("No property selected.");
                return false;
            }

            return true;
        }

    </script>
</body>
</html>