﻿var inactiveColor = "red";

var crNormalColor = "black";
var crImportantColor = "green";
var crNotImportantColor = "gray";
var crInactiveColor = "red";


function isDate(value) {
    return !isNaN(Date.parse(value));
}

function isNumber(v) {
    if (v == null || v.toString().trim() == "" || isNaN(v.toString().trim().replace(/,/g, "")))
        return false;
    return true;
}

function isPositiveNumber(v) {
    if (v == null || v.toString().trim() == "" || isNaN(v.toString().trim().replace(/,/g, "")) || parseFloat(v.toString().trim().replace(/,/g, "")) < 0)
        return false;
    return true;
}

function isStrictlyPositiveNumber(v) {
    if (v == null || v.toString().trim() == "" || isNaN(v.toString().trim().replace(/,/g, "")) || parseFloat(v.toString().trim().replace(/,/g, "")) <= 0)
        return false;
    return true;
}

function isNegativeNumber(v) {
    if (v == null || v.toString().trim() == "" || isNaN(v.toString().trim().replace(/,/g, "")) || parseFloat(v.toString().trim().replace(/,/g, "")) > 0)
        return false;
    return true;
}

function isStrictlyNegativeNumber(v) {
    if (v == null || v.toString().trim() == "" || isNaN(v.toString().trim().replace(/,/g, "")) || parseFloat(v.toString().trim().replace(/,/g, "")) >= 0)
        return false;
    return true;
}

function replaceAll(s1, c1, c2) {
    return s1.replace(new RegExp(c1, 'g'), c2)
}

function clearPhoneNumber(phone) {
    phone = replaceAll(phone, " ", "");
    phone = replaceAll(phone, "-", "");
    phone = replaceAll(phone, "/", "");

    return phone;
}


function makeTextboxK(txt) {
    if (!txt)
        return;

    txt.addEventListener("blur", function () {
        var val = this.value.trim();

        if (!val || val.length < 1)
            return;

        if (val.toLowerCase().substr(val.length - 1) == "k") {
            val = val.substr(0, val.length - 1).trim();
            if (isPositiveNumber(val))
                this.value = val * 1000;
        }
    });
}