﻿// JScript File
        
               
        function UWG_BeforeRowDelete(gridname, rowid)
        {
             var Name;
             var aRow=igtbl_getRowById(rowid);
             var aDel=true;

             Name =  aRow.getCellFromKey("Name").getValue();
             if (!Name)
                Name='';
                
                                   
             //show the confirm box
             aDel=confirm("الرجاء تأكيد الرغبة بالألغاء");
             
             //set deleting to true so confirm is not shown again
             //deleting=true
        
             
              if (aDel == true)
              {
                var aGrid = igtbl_getGridById(gridname);
                
	            aGrid.invokeXmlHttpRequest(aGrid.eReqType.Custom,aRow, aRow.getCellFromKey("ID").getValue());
	          }
	         
	            
	          return true;
        }
        
        
        
     
       //Support AJAX   
        function UWG_XmlHTTPResponseHandler(gridName, rowId, gridResponse)
        {
	     //Add code to handle your event here.
	     var aGrid = igtbl_getGridById(gridName);
	     var aRow = null;
	     var aColor;
	     var i;
	
	     aRow = igtbl_getRowById(rowId);
	     
	     if (gridResponse.ReqType == igtbl_reqType.Custom)
	      {
	         if (gridResponse.ResponseStatus == aGrid.eError.LoadFailed)
	          {
	             alert(gridResponse.StatusMessage);
	          }   
	         else
	          {
	             igtbl_doPostBack(gridName);
	          } 
	         return;  
	      }
	        
	
	     if (aRow != null && gridResponse.StatusMessage != "")
	     {
	       if (gridResponse.ResponseStatus == aGrid.eError.LoadFailed)
    	    {
    	       aRow.getCellFromKey("ClassError").setValue(gridResponse.StatusMessage);
	        }  
	     }
        } 


    function UWG_EditKeyDown(gridName, cellId, key)
    {
    
      //Get the cell being edited    
      var cell = igtbl_getCellById(cellId);
    
      //Get the row of the cell being edited
      var row = cell.getRow();

      //Key Codes Down = 40, Up = 38, Right = 39, Left = 37
    
    switch(key)
    {
        //If Down Key
        case 40:
            
            //Check to see if there is a next row
            var nextRow = row.getNextRow();
            if(nextRow != null)
            {
                //End editing of the current cell
                cell.endEdit(true); 
                
                //Active and begin edit on the cell below it
                nextRow.getCell(cell.Index).activate();
                nextRow.getCell(cell.Index).beginEdit();
            }
            break;
        //If up key
        case 38:
            //Check to see if there is a previous row
            var prevRow = row.getPrevRow();
            if(prevRow != null)
            {
                //End editing of the current cell
                cell.endEdit(true);
                
                //Active and begin edit on the cell above it
                prevRow.getCell(cell.Index).activate();
                prevRow.getCell(cell.Index).beginEdit();
            }
            break;
        //If right key
        case 39:
            //Check to see if there is a next cell in the row
            var nextCell = cell.getNextCell();
            if(nextCell != null)
            {
                //End editing of the current cell
                cell.endEdit(true);
                
                //Active and begin edit on the cell to the right
                nextCell.activate();
                nextCell.beginEdit();
            }
            break;
        //If left key
        case 37:
            //Check to see if there is a previous cell in the row
            var prevCell = cell.getPrevCell();
            if(prevCell != null)
            {
                //End editing of the current cell
                cell.endEdit(true);
                
                //Active and begin edit on the cell to the left
                prevCell.activate();
                prevCell.beginEdit();
            }
            break;
    }
}
