﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="leoapi2.aspx.vb" Inherits="Backend_leoapi2" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
    <link rel="stylesheet" href="//ajax.googleapis.com/ajax/libs/jqueryui/1.11.2/themes/smoothness/jquery-ui.css" />
    <script src="//ajax.googleapis.com/ajax/libs/jqueryui/1.11.2/jquery-ui.min.js"></script>

</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:TextBox ID="Txt_Client" runat="server" ></asp:TextBox>
        </div>
    </form>

    <script type="text/javascript">
        $(document).ready(function() {
            makeTxtClientAutoComplete();
        });

        function makeTxtClientAutoComplete() {
            $("#<%= Txt_Client.ClientID %>").autocomplete({               
                source: function(request, response) {
                    $.ajax({
                        url: "WSClients.asmx/GetClientsWhoseNamesStartWith",
                        data: JSON.stringify({ 'name': request.term }),
                        dataType: "json",
                        type: "POST",
                        contentType: "application/json; charset=utf-8",
                        success: function (data) {
                            response($.map(data, function(item) {
                                return {
                                    label: item.Val2,
                                    value: item.Val2,
                                    id: item.Val2,
                                }
                            }))
                        },
                        error: function (XMLHttpRequest, textStatus, errorThrown) {
                            console.log("Error");
                            console.log(textStatus, errorThrown);
                            console.log(XMLHttpRequest);
                        }
                    });
                },
                minLength: 1,
                select: function (event, ui) {
                }
            });
        }
    </script>
</body>
</html>
