<%@ Page Language="VB" AutoEventWireup="false" CodeFile="popupPvtInfo.aspx.vb" Inherits="properties_pvtInfo"%>




<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html lang="en"> <!--<![endif]-->
<head>
	<meta charset="utf-8" />
	
	<!-- Page Title -->
	<title></title>
	
    <meta name="keywords" content="Lebanon realestate, Properties for sale in Ballouneh, Shaile, Under Construction, Bsalim, Rabieh, Rabwe, Ballouneh, Shaile, properties lebanon, properties keserwen." />
	<meta name="description" content="Welcome to my website. Purchasing a property in Lebanon (apartment, house, land, office) is often a very crucial and important task. Having a huge stock to 
    choose from, my aim is to provide you with the optimum choice making your decision a rewarding one." />
	<meta name="author" content="Pierre Francis Eid" />
	
	<!-- Mobile Meta Tag -->
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
	
	<!-- Meta Tags for Social Networks sharing -->
	<meta content="en_US" property="og:locale"/>
	<meta content="article" property="og:type"/>
	<meta content="Pierre Francis (Real Estate In Lebanon)" property="og:site_name" />
	
	<!-- Fav and touch icons -->
	<link rel="shortcut icon" type="image/x-icon" href="images/fav_touch_icons/favicon.ico" />
	<link rel="apple-touch-icon" href="images/fav_touch_icons/apple-touch-icon.png" />
	<link rel="apple-touch-icon" sizes="72x72" href="images/fav_touch_icons/apple-touch-icon-72x72.png" />
	<link rel="apple-touch-icon" sizes="114x114" href="images/fav_touch_icons/apple-touch-icon-114x114.png" />
	
	<!-- IE6-8 support of HTML5 elements -->
	<!--[if lt IE 9]>
	  <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script> 
	<![endif]-->
	
	<!-- Google Web Font -->
	<link href="http://fonts.googleapis.com/css?family=Raleway:300,500,900%7COpen+Sans:400,700,400italic" rel="stylesheet" type="text/css" />
	
	<!-- Bootstrap CSS -->
	<link href="css/bootstrap.min.css" rel="stylesheet" />
	
	<!-- Template CSS -->
	<link href="css/style.css" rel="stylesheet" />
	
	<!-- Modernizr -->
	<script src="js/modernizr-2.8.1.min.js"></script>

    <!-- Handle Buttons by Pierre -->
    <script id="handleButtons" language="javascript" type="text/javascript">
        function joinNewsletter() {


            document.getElementById("HD_Email").value = document.getElementById("newsletter_email").value;
            document.getElementById("Cmd_JoinNewsletter").click();
        }

        function LoadMe() {
            if (document.getElementById("HD_Message").value != '') {
                alert(document.getElementById("HD_Message").value);
            }

        }

    </script>
</head>


<body >	
		
		<form runat="server" id="form1" class="form-style col-md-8">   
                             <asp:HiddenField ID="HF_Error" runat="server" />
                          <asp:HiddenField ID="HF_Photos" runat="server" />
                          </form>
		
									
							<!-- BEGIN PROPERTY DETAIL LARGE IMAGE SLIDER -->
							<div id="property-detail-large" class="owl-carousel">
                             <% 						    
                                  Dim aPicturesList As System.Collections.Generic.List(Of String) = Me.Photos
                                  Dim i As Integer = 0
						   
                                  For i = 0 To aPicturesList.Count - 1
						     %>
								<div class="item">
									<img src="http://www.961property.com/<%= PictureUtils.RelativePathFromPhysical(aPicturesList(i)) %>" alt="" style="width:764px; height:423px"  />
								</div>		
                                <%
                                Next
                                    %>					
							</div>
							<!-- END PROPERTY DETAIL LARGE IMAGE SLIDER -->
							
							<!-- BEGIN PROPERTY DETAIL THUMBNAILS SLIDER -->
							<div id="property-detail-thumbs" class="owl-carousel">
                              <% 						    
                                  Dim aPicturesThumbList As System.Collections.Generic.List(Of String) = Me.Photos
                                  Dim j As Integer = 0
                                  
                                  For j = 0 To aPicturesThumbList.Count - 1
						      %>
								<div class="">       
                                   <img src="http://www.961property.com/<%= PictureUtils.RelativePathFromPhysical(aPicturesThumbList(j)) %>" alt="" title="" style="width:148px; height:131px" />
                                </div>
                                   <%
                                Next
                                    %>	
                                    		
							</div>
							<!-- END PROPERTY DETAIL THUMBNAILS SLIDER -->
				
	
	
	
	<!-- Libs -->
	<script src="js/common.js"></script>
	<script src="js/chosen.jquery.min.js"></script>
    <script src="js/owl.carousel.min.js"></script>
	<script src="http://maps.google.com/maps/api/js?sensor=false" type="text/javascript"></script>
	<script src="js/markerclusterer.min.js" type="text/javascript"></script>
	
	<!-- Template Scripts -->
	<script src="js/variables.js"></script>
	<script src="js/scripts.js"></script>
	
    <!-- Properties list -->
	<script src="js/properties.js"></script>
	
	<script type="text/javascript">
		(function($){
			"use strict";
			
			$(document).ready(function(){
				//Create property map centered on the marker of the property with id=0.
				Cozy.propertiesMap(properties, 'property_location', 0);
			});
		})(jQuery);
	</script>


     <!-- Start of StatCounter Code for Default Guide -->
<script type="text/javascript">
    var sc_project = 10518358;
    var sc_invisible = 1;
    var sc_security = "0296bd09";
    var scJsHost = (("https:" == document.location.protocol) ?
"https://secure." : "http://www.");
    document.write("<sc" + "ript type='text/javascript' src='" +
scJsHost +
"statcounter.com/counter/counter.js'></" + "script>");
</script>
<noscript><div class="statcounter"><a title="shopify traffic
stats" href="http://statcounter.com/shopify/"
target="_blank"><img class="statcounter"
src="http://c.statcounter.com/10518358/0/0296bd09/1/"
alt="shopify traffic stats"></a></div></noscript>
<!-- End of StatCounter Code for Default Guide -->

</body>
</html>