<%@ Page Language="VB" AutoEventWireup="false" CodeFile="newsletter.aspx.vb" Inherits="newsletter" %>
<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<title>iSold real estate, Lebanon</title>
</head>

<body style="margin:1%;padding:0">
	<form id="form1" runat="server">
		<style>
            body{
                font-family:Tahoma, Geneva, sans-serif;
            }	
            .col-3{
                width:32%;
                margin:0;
                padding:0;	
                display:inline-block;
            }
            
            .item-title{
                color:#23b4eb;	
                font-weight:bold;
            }
            
            .item-description{
                color:#555555;	
                font-weight:normal;
                text-align: justify;
                font-size:0.8em;
                max-width:380px;
            }		
            
            a.item-mote-details:link, a.item-mote-details:active,a.item-mote-details:visited{
                background-color:#552676;
                color:#fff;
                padding:5px;
                margin:10px 0 10px 0;
                border-radius:5px;
                text-decoration:none;
                font-size:0.9em;
				display:inline-block;
            }
            
            a.item-mote-details:hover{
                background-color:#1face4;
                color:#fff;
                padding:5px;
                margin:10px 0 10px 0;
                border-radius:5px;
				display:inline-block;				
            }	
            
            .clearfix	{
                display:block;
                clear:both;	
            }
            
            .item-inner-div, .item-inner-div-desc{
                display:inline-block;	
                vertical-align:super;		
            }
            
			.item-inner-div img{
				vertical-align: super;
				display: block;				
			}

            
        @media all and (max-width: 768px) {
            .col-3{
                width:98%;
                margin:0 auto;			
                display:block;
            }		
        }		
        </style>
        <header>
            <p align="center"><img src="logo.jpg" alt="iSold Real Estate - www.isold-realestate.com" style="max-width:100%;width:250px"></p>
        </header>
        
        <h2 align="center" style="color:#7c7c7c;text-transform:uppercase">Featured Items</h2>
        
        <hr>
        
        <div id="Tbl_Main">
        	<div id="Top">
    
            <!-- Item 1 -->
            <div class="col-3" id="Tbl_A0">
                <div class="item-inner-div" id="Tbl_Featured_A0">
                    <img alt="" src="" style="max-width:100%;margin:0 auto" runat="server" id="FeaturedImg_A0">
                </div>	
                <div style="item-inner-div-desc">
                    <div class="item-title" runat="server" id="FeaturedTitle_A0"></div>
                    <p class="item-description" runat="server" id="FeaturedText_A0"></p>
                    <div><asp:HyperLink ID="HL_A0" runat="server" Target="_blank" class="item-mote-details">More Details</asp:HyperLink></div>
                </div>
                
                
            </div><!-- End Item 1 -->
            
            <!-- Item 2 -->
            <div class="col-3" id="Tbl_A1">
                <div class="item-inner-div" id="Tbl_Featured_A1">
                    <img alt="" src="" style="max-width:100%;margin:0 auto" runat="server" id="FeaturedImg_A1">
                </div>	
                <div style="item-inner-div-desc">
                    <div class="item-title" runat="server" id="FeaturedTitle_A1"></div>
                    <p class="item-description" runat="server" id="FeaturedText_A1"></p>
                    <div><asp:HyperLink ID="HL_A1" runat="server" Target="_blank" class="item-mote-details">More Details</asp:HyperLink></div>
                </div>
                
                
            </div><!-- End Item 2 --> 
            
            <!-- Item 3 -->
            <div class="col-3" id="Tbl_A2">
                <div class="item-inner-div" id="Tbl_Featured_A2">
                    <img alt="" src="" style="max-width:100%;margin:0 auto" runat="server" id="FeaturedImg_A2">
                </div>	
                <div style="item-inner-div-desc">
                    <div class="item-title" runat="server" id="FeaturedTitle_A2"></div>
                    <p class="item-description" runat="server" id="FeaturedText_A2"></p>
                    <div><asp:HyperLink ID="HL_A2" runat="server" Target="_blank" class="item-mote-details">More Details</asp:HyperLink></div>
                </div>
                
                
            </div><!-- End Item 3 --> 
            
            <div class="clearfix"></div>
            
            
            <!-- Item 4 -->
            <div class="col-3" id="Tbl_A3">
                <div class="item-inner-div" id="Tbl_Featured_A3">
                    <img alt="" src="" style="max-width:100%;margin:0 auto" runat="server" id="FeaturedImg_A3">
                </div>	
                <div style="item-inner-div-desc">
                    <div class="item-title" runat="server" id="FeaturedTitle_A3"></div>
                    <p class="item-description" runat="server" id="FeaturedText_A3"></p>
                    <div><asp:HyperLink ID="HL_A3" runat="server" Target="_blank" class="item-mote-details">More Details</asp:HyperLink></div>
                </div>
                
                
            </div><!-- End Item 4 -->
            
            <!-- Item 5 -->
            <div class="col-3" id="Tbl_A4">
                <div class="item-inner-div" id="Tbl_Featured_A4">
                    <img alt="" src="" style="max-width:100%;margin:0 auto" runat="server" id="FeaturedImg_A4">
                </div>	
                <div style="item-inner-div-desc">
                    <div class="item-title" runat="server" id="FeaturedTitle_A4"></div>
                    <p class="item-description" runat="server" id="FeaturedText_A4"></p>
                    <div><asp:HyperLink ID="HL_A4" runat="server" Target="_blank" class="item-mote-details">More Details</asp:HyperLink></div>
                </div>
                
                
            </div><!-- End Item 5 --> 
            
            <!-- Item 6 -->
            <div class="col-3" id="Tbl_A5">
                <div class="item-inner-div" id="Tbl_Featured_A5">
                    <img alt="" src="" style="max-width:100%;margin:0 auto" runat="server" id="FeaturedImg_A5">
                </div>	
                <div style="item-inner-div-desc">
                    <div class="item-title" runat="server" id="FeaturedTitle_A5"></div>
                    <p class="item-description" runat="server" id="FeaturedText_A5"></p>
                    <div><asp:HyperLink ID="HL_A5" runat="server" Target="_blank" class="item-mote-details">More Details</asp:HyperLink></div>
                </div>
                
                
            </div><!-- End Item 6 --> 
            
            <div class="clearfix"></div>
            
            
           <!-- Item 7 -->
            <div class="col-3" id="Tbl_A6">
                <div class="item-inner-div" id="Tbl_Featured_A6">
                    <img alt="" src="" style="max-width:100%;margin:0 auto" runat="server" id="FeaturedImg_A6">
                </div>	
                <div style="item-inner-div-desc">
                    <div class="item-title" runat="server" id="FeaturedTitle_A6"></div>
                    <p class="item-description" runat="server" id="FeaturedText_A6"></p>
                    <div><asp:HyperLink ID="HL_A6" runat="server" Target="_blank" class="item-mote-details">More Details</asp:HyperLink></div>
                </div>
                
                
            </div><!-- End Item 7 -->
            
            <!-- Item 8 -->
            <div class="col-3" id="Tbl_A7">
                <div class="item-inner-div" id="Tbl_Featured_A7">
                    <img alt="" src="" style="max-width:100%;margin:0 auto" runat="server" id="FeaturedImg_A7">
                </div>	
                <div style="item-inner-div-desc">
                    <div class="item-title" runat="server" id="FeaturedTitle_A7"></div>
                    <p class="item-description" runat="server" id="FeaturedText_A7"></p>
                    <div><asp:HyperLink ID="HL_A7" runat="server" Target="_blank" class="item-mote-details">More Details</asp:HyperLink></div>
                </div>
                
                
            </div><!-- End Item 8 --> 
            
            <!-- Item 9 -->
            <div class="col-3" id="Tbl_A8">
                <div class="item-inner-div" id="Tbl_Featured_A8">
                    <img alt="" src="" style="max-width:100%;margin:0 auto" runat="server" id="FeaturedImg_A8">
                </div>	
                <div style="item-inner-div-desc">
                    <div class="item-title" runat="server" id="FeaturedTitle_A8"></div>
                    <p class="item-description" runat="server" id="FeaturedText_A8"></p>
                    <div><asp:HyperLink ID="HL_A8" runat="server" Target="_blank" class="item-mote-details">More Details</asp:HyperLink></div>
                </div>
                
                
            </div><!-- End Item 9 --> 
            
            <div class="clearfix"></div> 
            
            
            <!-- Item 10 -->
            <div class="col-3" id="Tbl_A9">
                <div class="item-inner-div" id="Tbl_Featured_A9">
                    <img alt="" src="" style="max-width:100%;margin:0 auto" runat="server" id="FeaturedImg_A9">
                </div>	
                <div style="item-inner-div-desc">
                    <div class="item-title" runat="server" id="FeaturedTitle_A9"></div>
                    <p class="item-description" runat="server" id="FeaturedText_A9"></p>
                    <div><asp:HyperLink ID="HL_A9" runat="server" Target="_blank" class="item-mote-details">More Details</asp:HyperLink></div>
                </div>
                
                
            </div><!-- End Item 10 --> 

            
            <!-- Item 11-->
            <div class="col-3" id="Tbl_A10">
                <div class="item-inner-div" id="Tbl_Featured_A10">
                    <img alt="" src="" style="max-width:100%;margin:0 auto" runat="server" id="FeaturedImg_A10">
                </div>	
                <div style="item-inner-div-desc">
                    <div class="item-title" runat="server" id="FeaturedTitle_A10"></div>
                    <p class="item-description" runat="server" id="FeaturedText_A10"></p>
                    <div><asp:HyperLink ID="HL_A10" runat="server" Target="_blank" class="item-mote-details">More Details</asp:HyperLink></div>
                </div>
                
                
            </div><!-- End Item 10 --> 
            
                                 
                        
            </div>
    	</div>        
    </form>
</body>
</html>