﻿Imports Microsoft.VisualBasic
Imports System.Data


Partial Class newsletter
    Inherits System.Web.UI.Page

    Public aSdate As New Date(1900, 1, 1)
    Public aEdate As New Date(2020, 1, 1)

    Public aPropertyTitle As String = ""
    Public aPublicDescription As String = ""
    Public aMainPhoto As String = ""
    Public aURL As String = ""


    Private Function ValidateQueryString(ByVal aID As String) As Integer
        If aID Is Nothing OrElse IsNumeric(aID) = False OrElse CInt(aID) < 1 OrElse CInt(aID) > 8 Then
            Return 0
        End If
    End Function

    Protected Sub Page_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        Dim aImageURL As String = "http://www.961property.com/client%20resources/properties/ThumbPhotos/"
        Dim aHTMLCode As String = "", aSiteUrl As String = "http://www.961property.com/", aEmail As String = "", aBgColor As String = "", aIsNew As String = "", aIsHot As String = ""
        Dim aDS As DataSet, aDT As DataTable, aDR As DataRow, aDays As Integer = 0
        Dim aDtFeatured As DataTable, aDrFeatured As DataRow
        Dim aFeaturedItem As Integer = 0


        aDtFeatured = BackEnd.Prop.I_GenerateFeaturedProperties(1)


        'Load the main linked in preview item
        aFeaturedItem = ValidateQueryString(Request.QueryString("id"))

        If aDtFeatured.Columns.Count >= aFeaturedItem Then
            aDrFeatured = aDtFeatured.Rows(aFeaturedItem)

            aPropertyTitle = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            aPublicDescription = Left(aDrFeatured("INFO"), 250) &" [...]"
            aMainPhoto = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            aURL = "http://961property.com/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
        End If



        'Apartments Price: 60-190
        If aDtFeatured.Columns.Count >= 1 Then
            aDrFeatured = aDtFeatured.Rows(0)
            Me.FeaturedTitle_A0.InnerText = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            Me.FeaturedText_A0.InnerText = Left(aDrFeatured("INFO"), 250) &" [...]"
            'Me.FeaturedImg_A0.Src = "http://www.961property.com/getThumb.asp?path=" & Server.MapPath(".") & "\" & PictureUtils.RelativePathFromPhysical(aDrFeatured("MAINPHOTO")) & "&width=450&height=337"
            Me.FeaturedImg_A0.Src = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            Me.FeaturedImg_A0.Width = 200
            Me.FeaturedImg_A0.Height = 160

            'Me.HL_A0.NavigateUrl = "http://961property.com/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
			Me.HL_A0.NavigateUrl = "http://www.isold-realestate.com/property/150-m2-apartment-sale-antelias-nice-mountain-view/"
        End If

        'Apartments Price: 190-250
        If aDtFeatured.Columns.Count >= 2 Then
            aDrFeatured = aDtFeatured.Rows(1)
            Me.FeaturedTitle_A1.InnerText = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            Me.FeaturedText_A1.InnerText = Left(aDrFeatured("INFO"), 250) &" [...]"
            Me.FeaturedImg_A1.Src = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            Me.FeaturedImg_A1.Width = 200
            Me.FeaturedImg_A1.Height = 160
            'Me.HL_A1.NavigateUrl = "http://961property.com/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
			Me.HL_A1.NavigateUrl = "http://www.isold-realestate.com/property/130-m2-apartment-sale-antelias/"
        End If

        'Apartments Price: 251-350
        If aDtFeatured.Columns.Count >= 3 Then
            aDrFeatured = aDtFeatured.Rows(2)
            Me.FeaturedTitle_A2.InnerText = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            Me.FeaturedText_A2.InnerText = Left(aDrFeatured("INFO"), 250) &" [...]"
            Me.FeaturedImg_A2.Src = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            Me.FeaturedImg_A2.Width = 200
            Me.FeaturedImg_A2.Height = 160
            'Me.HL_A2.NavigateUrl = "http://961property.com/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
			Me.HL_A2.NavigateUrl = "http://www.isold-realestate.com/property/160m2-apartment-sale-mar-roukouz/"
        End If

        'Apartments Price: 351-550
        If aDtFeatured.Columns.Count >= 4 Then
            aDrFeatured = aDtFeatured.Rows(3)
            Me.FeaturedTitle_A3.InnerText = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            Me.FeaturedText_A3.InnerText = Left(aDrFeatured("INFO"), 250) &" [...]"
            Me.FeaturedImg_A3.Src = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            'Me.HL_A3.NavigateUrl = "http://961property.com/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
			Me.HL_A3.NavigateUrl = "http://www.isold-realestate.com/property/270m2-apartment-sale-ain-el-remaneh/"
        End If

        'Apartments Price: 551-2,000,000
        If aDtFeatured.Columns.Count >= 5 Then
            aDrFeatured = aDtFeatured.Rows(4)
            Me.FeaturedTitle_A4.InnerText = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            Me.FeaturedText_A4.InnerText = Left(aDrFeatured("INFO"), 250) &" [...]"
            Me.FeaturedImg_A4.Src = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            Me.FeaturedImg_A4.Width = 200
            Me.FeaturedImg_A4.Height = 160
            'Me.HL_A4.NavigateUrl = "http://961property.com/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
			Me.HL_A4.NavigateUrl = "http://www.isold-realestate.com/property/160-m2-apartment-sale-mar-roukouz-dikwene-cap-sur-ville/"
        End If

        'Villas & houses
        If aDtFeatured.Columns.Count >= 6 Then
            aDrFeatured = aDtFeatured.Rows(5)
            Me.FeaturedTitle_A5.InnerText = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            Me.FeaturedText_A5.InnerText = Left(aDrFeatured("INFO"), 250) &" [...]"
            Me.FeaturedImg_A5.Src = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            Me.FeaturedImg_A5.Width = 200
            Me.FeaturedImg_A5.Height = 160
            'Me.HL_A5.NavigateUrl = "http://961property.com/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
			Me.HL_A5.NavigateUrl = "http://www.isold-realestate.com/property/198-m2-apartment-sale-jeita-sea-mountain-view/"
        End If

        'Lands
        If aDtFeatured.Columns.Count >= 7 Then
            aDrFeatured = aDtFeatured.Rows(6)
            Me.FeaturedTitle_A6.InnerText = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            Me.FeaturedText_A6.InnerText = Left(aDrFeatured("INFO"), 250) &" [...]"
            Me.FeaturedImg_A6.Src = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            Me.FeaturedImg_A6.Width = 200
            Me.FeaturedImg_A6.Height = 160
            'Me.HL_A6.NavigateUrl = "http://961property.com/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
			Me.HL_A6.NavigateUrl = "http://www.isold-realestate.com/property/zalka-apartment-sale/"
        End If

        'Commercial
        If aDtFeatured.Columns.Count >= 8 Then
            aDrFeatured = aDtFeatured.Rows(7)
            Me.FeaturedTitle_A7.InnerText = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            Me.FeaturedText_A7.InnerText = Left(aDrFeatured("INFO"), 250) &" [...]"
            Me.FeaturedImg_A7.Src = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            Me.FeaturedImg_A7.Width = 200
            Me.FeaturedImg_A7.Height = 160
            'Me.HL_A7.NavigateUrl = "http://961property.com/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
			Me.HL_A7.NavigateUrl = "http://www.isold-realestate.com/property/ain-saadeh-194-m2-apartment-sale-100-m2-terrace-garden/"
        End If
		
        'Commercial
        If aDtFeatured.Columns.Count >= 9 Then
            aDrFeatured = aDtFeatured.Rows(8)
            Me.FeaturedTitle_A8.InnerText = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            Me.FeaturedText_A8.InnerText = Left(aDrFeatured("INFO"), 250) &" [...]"
            Me.FeaturedImg_A8.Src = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            Me.FeaturedImg_A8.Width = 200
            Me.FeaturedImg_A8.Height = 160
            'Me.HL_A8.NavigateUrl = "http://961property.com/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
			Me.HL_A8.NavigateUrl = "http://www.isold-realestate.com/property/297m2-apartment-sale-mar-takla/"
        End If		
		
        'Commercial
        If aDtFeatured.Columns.Count >= 10 Then
            aDrFeatured = aDtFeatured.Rows(9)
            Me.FeaturedTitle_A9.InnerText = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            Me.FeaturedText_A9.InnerText = Left(aDrFeatured("INFO"), 250) &" [...]"
            Me.FeaturedImg_A9.Src = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            Me.FeaturedImg_A9.Width = 200
            Me.FeaturedImg_A9.Height = 160
            'Me.HL_A9.NavigateUrl = "http://961property.com/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
			Me.HL_A9.NavigateUrl = "http://www.isold-realestate.com/property/villa-sale-baabda-araya/"
        End If	
		
		
		        'Commercial
        If aDtFeatured.Columns.Count >= 11 Then
            aDrFeatured = aDtFeatured.Rows(10)
            Me.FeaturedTitle_A10.InnerText = aDrFeatured("CITY") & ", " & aDrFeatured("AREA") & " m2,  $ " & aDrFeatured("PRICE")
            Me.FeaturedText_A10.InnerText = Left(aDrFeatured("INFO"), 250) &" [...]"
            Me.FeaturedImg_A10.Src = aImageURL & CStr(aDrFeatured("PROPERTYID")) & ".jpg"
            Me.FeaturedImg_A10.Width = 200
            Me.FeaturedImg_A10.Height = 160
            'Me.HL_A9.NavigateUrl = "http://961property.com/properties_detail.aspx?id=" & aDrFeatured("PROPERTYID")
			Me.HL_A10.NavigateUrl = "http://www.isold-realestate.com/property/500-m2-land-sale-kneise-knayseh-ras-el-metn/"
        End If		


    End Sub


End Class
